Welcome to SQL Manager for SQL Server!

EMS SQL Manager for SQL Server is a powerful tool for SQL Server administration and development. SQL Manager for SQL Server works with all SQL Server versions from 2000 to the newest one and supports all the latest SQL Server features including memory-optimized tables, backup encryption, FileTables, columnstore indices and other. It offers plenty of powerful SQL tools such as Visual Database Designer that allows designing SQL Server database in few clicks, Design Query and advanced SQL editor to build complicated SQL Server queries and many more useful features for efficient SQL Server development and administration. SQL Manager has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Visit our web-site for details: https://www.sqlmanager.net/

Key features

  • Support of SQL Server versions up to 2022 and Azure SQL Database
  • Easy management of all SQL Server objects
  • Excellent visual and text tools for query building
  • Visual Database Designer to handle database structure in a few clicks
  • Powerful Transact-SQL debugger to trace procedures, functions, SQL scripts
  • Comparison and synchronization of database structure
  • Simple getting your database under source control
  • Rapid database management and navigation
  • Impressive data export and import capabilities
  • Advanced data manipulation tools
  • Effective security management
  • Easy-to-use wizards performing SQL Server administrative tasks
  • Report designer with clear in use report construction wizard

Product information

Homepage: | https://www.sqlmanager.net/products/mssql/manager
Support Ticket System: | https://www.sqlmanager.net/support
Register on-line at: | https://www.sqlmanager.net/products/mssql/manager/buy


What's new

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

What's new?

Version | Release date
SQL Manager for SQL Server 5.2 | May 21, 2024

What's new in SQL Manager for SQL Server 5.2?

1. Released x64 version of the program.

2. Aliases can be selected for servers now.

3. Dependencies retrieving with limited privileges has been improved.

4. Improvements implemented in the Activity monitor.

5. Code completion list displays columns for synonyms now.

6. SQL editor with multiple tabs is opening faster now.

7. SUID queries are generated more accurate for views now.

8. Export of lists from object editors fixed.

9. The error occurred on opening XML collection with some providers. Fixed now.

10. The printing options fixed in Sequence editor.

11. The notification on modified but not compiled objects is now displayed on closing the app.

12. COLUMNSTORE clustered indexes can be created now.

13. Improvements implemented in the dark visual scheme.

14. Many other fixes and improvements.

See also:

Version history


System requirements

System requirements for SQL Manager for SQL Server

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Server 2019, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Microsoft Windows 11 ARM
  • 512MB RAM or more; 1024MB or more recommended
  • 100MB of available HD space for program installation
  • Microsoft® Data Access Components (MDAC) or SQL Server Native Client
  • Possibility to connect to any local or remote Microsoft® SQL Server™
  • Supported Microsoft SQL Server versions: from 2000 up to 2022 (We do not support SQL Server Compact Edition), Azure SQL Databases and Amazon RDS for Microsoft SQL Server


Feature Matrix

The FREE Lite version of SQL Manager for SQL Server does not include all features of the Full version and has some limitations concerning the number of the databases that can be registered and the set of data manipulation and server maintenance tools. The detailed feature matrix is given below.

Note that when using the FREE Lite version of SQL Manager for SQL Server you can activate a 30-day period of fully-functional usage. After the period expires, you will be able to continue using the Lite version.

For more information on activating the Full version features see Full Mode activation.

 | Full version | Lite version
Support of SQL Server versions up to latest version and Azure SQL Database, including the latest features
Support of memory-optimized tables | + | +
Support of backup encryption | + | +
Support of backup to Windows Azure | + | +
Rapid database management and navigation
Multiple host/database connections | + | +
Database properties management | + | +
Server properties management | + | -
Registering databases for working with the required databases only | + | +
Favorite objects to work with the selected database objects only | + | +
Multiple user-defined tabs for any tree node to access it in one click. | + | +
Working with multiple selected objects at a time. | + | +
Grouping/ungrouping registered databases by host name | + | +
Working with queries and SQL scripts in DB Explorer tree like with database objects | + | +
Simple getting your database under source control | + | -
Easy management of all SQL Server objects
Creating/dropping databases and schemas | + | +
Managing tables and all their subobjects: fields, indices, triggers, checks and foreign keys | + | +
Managing views, procedures and user-defined functions | + | +
Managing user-defined types, synonyms, DDL triggers, assemblies, aggregates, XML schema collections, defaults, rules, partition functions and schemes, full-text catalogs and indices, symmetric and asymmetric keys, certificates | + | +
Managing jobs, schedules, alerts, operators, endpoints, linked servers, credentials, proxies | + | -
Duplicating all database objects | + | +
Viewing dependencies between database objects | + | +
Powerful Transact-SQL debugger to trace procedures, functions, SQL scripts | + | -
Advanced data manipulation tools
Powerful BLOB viewer/editor with several modes of viewing BLOB data | + | -
Plenty of useful tools such as data grouping, summarizing, fast searching and filtering | + | +
Master-detail view to work with two linked tables at the same time | + | -
Table and card views to see data the way you like | + | -
Ability to copy and paste selected records | + | -
Advanced printing system | + | -
Effective security management
Powerful login manager for administering server logins | + | +
Managing database users and user-defined roles | + | +
Managing server roles membership | + | +
Grant manager displaying all database object grants in the form of a grid | + | +
Viewing and changing object permissions to database roles in object editors | + | +
Excellent visual and text tools for query building
Visual query builder allowing you to build complicated queries without deep knowledge of SQL syntax | + | -
Multiple SQL editors with code completion, syntax highlight and code folding | + | +
Executing large scripts (SQL Script editor) | + | +
Ability to view actual and estimated query plan as a diagram | + | +
SQL Formatter (available from SQL Editor context menu) | + | -
Favorite Queries (save and use your frequently used queries easily) | + | -
Impressive data export and import abilities
Exporting data to most popular formats: MS Excel, MS Word, MS Access, HTML, PDF, TXT, CSV, DBF, XML, ODF, etc. | + | -
Importing data from MS Excel, MS Access, DBF, XML, ODF, TXT and CSV | + | -
Bulk Insert wizard | + | -
Exporting data to SQL script as INSERT statement with specified destination DBMS | + | -
Visual Database Designer to handle database structure in a few clicks
Creating a diagram of an existing database using Reverse engineering tool | + | -
Dividing diagram into different subject areas located on separate pages | + | -
Navigation within the diagram using preview navigation tool | + | -
Creating/editing/dropping tables and table fields, visually setting links between them | + | -
Creating/editing/dropping views, procedures and user-defined functions | + | -
Saving as image or printing database diagram | + | -
Two diagram notations (IDEF1x and IE) | + | -
A lot of visual customization options | + | -
Easy-to-use wizards performing SQL Server administrative tasks
Backing up databases | + | +
Restoring databases | + | +
Attaching databases | + | +
Detaching databases | + | +
Shrinking databases | + | -
Managing indices | + | -
Updating statistics | + | -
Checking databases | + | -
Powerful tools to make your work with SQL Server as easy as it can be
Extracting metadata into text files or SQL Script editor | + | +
Powerful print metadata module for creating customizable metadata reports | + | -
HTML report generator to create a detailed HTML report of your database quickly | + | -
SQL Monitor | + | +
Managing backup devices | + | +
Managing database snapshots | + | -
Viewing SQL Server logs | + | -
Monitoring SQL Server activity | + | -
Quick search within the scope of database metadata | + | -
Comparison and synchronization of database structure | + | -
Report designer with clear in use report construction wizard
Using Create Report Wizard to create simple reports in a few clicks | + | -
Managing reports in the same way as if they were database objects: accessing reports directly through the DB Explorer tree | + | -
Powerful and easy-to-use graphical user interface
Office and Windows native visual schemes support | + | +
Well-described Wizard System | + | +
Improved database explorer for easy management of all SQL Server objects | + | +
MDI and floating-windows styles implementation | + | +
Windows Toolbar to switch between windows easily, like in Windows Task Bar | + | +
Navigation bars with hot actions in most of the windows | + | +
Ability to save all program settings | + | +
Customizable toolbars for all program windows | + | +
Fully customizable program interface | + | +
Powerful visual options module | + | +
Localizable program interface | + | +
...and other useful features
Keyboard templates | + | +
To-Do list | + | +
External Tools manager | + | +


Installation

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Installation of SQL Manager for SQL Server

If you are installing SQL Manager for SQL Server for the first time on your PC:

  • download the SQL Manager for SQL Server distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run MSManagerFull.msi (Full version) or MSManagerLite.msi (Lite version) from the local directory and follow the instructions of the installation wizard;
  • after the installation process is complete, find the SQL Manager shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of SQL Manager for SQL Server to the latest version:

  • download the SQL Manager for SQL Server distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close SQL Manager application if it is running;
  • run MSManagerFull.msi (Full version) or MSManagerLite.msi (Lite version) from the local directory and follow the instructions of the installation wizard.

See also:

SQL Manager FAQ


Registration

All purchases are provided by Digital River registration service. The Digital River order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

Digital River is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you want to review your order information, or you have questions about ordering or payments please visit our Customer Care Center, provided by Digital River.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords. Also you will receive a copy of registration keys or passwords by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Product distribution | Digital River
EMS SQL Manager for SQL Server (Business license) + 1-Year Maintenance* | Register Now!
EMS SQL Manager for SQL Server (Business license) + 2-Year Maintenance*
EMS SQL Manager for SQL Server (Business license) + 3-Year Maintenance*
EMS SQL Manager for SQL Server (Non-commercial license) + 1-Year Maintenance*
EMS SQL Manager for SQL Server (Non-commercial license) + 2-Year Maintenance*
EMS SQL Manager for SQL Server (Non-commercial license) + 3-Year Maintenance*
EMS SQL Manager for SQL Server (Trial version) | Download Now!
EMS SQL Manager for SQL Server Lite | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register SQL Manager


How to register SQL Manager

If you have not registered your copy of SQL Manager for SQL Server yet, you can do it by pressing the Register Now button and entering your registration information in the Register SQL Manager for SQL Server dialog.

Welcome to SQL Manager - About

To register your newly purchased copy of EMS SQL Manager for SQL Server, perform the following steps:

  • receive the notification letter from Digital River with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information in the About SQL Manager for SQL Server dialog (use the Help | About menu item to open this dialog).

Welcome to SQL Manager - Register product

See also:

Registration


Version history

Product name | Version | Release date
SQL Manager for SQL Server | Version 5.1.1 | December 27, 2023
SQL Manager for SQL Server | Version 5.1 | May 5, 2023
SQL Manager for SQL Server | Version 5.0.6 | August 17, 2022
SQL Manager for SQL Server | Version 5.0.5 | January 18, 2022
SQL Manager for SQL Server | Version 5.0.4 | December 18, 2020
SQL Manager for SQL Server | Version 5.0.3 | December 6, 2019
SQL Manager for SQL Server | Version 5.0.2 | September 13, 2019
SQL Manager for SQL Server | Version 5.0.1 | October 4, 2018
SQL Manager for SQL Server | Version 5.0 | September 6, 2018
SQL Manager for SQL Server | Version 4.4.1 | July 5, 2017
SQL Manager for SQL Server | Version 4.4 | March 7, 2017
SQL Manager for SQL Server | Version 4.3 | September 7, 2016
SQL Manager for SQL Server | Version 4.2.2 | June 28, 2016
SQL Manager for SQL Server | Version 4.2 | May 26, 2016
SQL Manager for SQL Server | Version 4.1.1 | November 23, 2015
SQL Manager for SQL Server | Version 4.1 | March 23, 2015
SQL Manager for SQL Server | Version 4.0 | July 15, 2014
SQL Manager for SQL Server | Version 3.9.0.1 | August 27, 2013
SQL Manager for SQL Server | Version 3.8.0.1 | April 16, 2012
SQL Manager 2011 for SQL Server | Version 3.7.0.1 | July 11, 2011
SQL Manager 2010 for SQL Server | Version 3.6.0.1 | June 22, 2010
SQL Manager 2010 for SQL Server | Version 3.5.0.1 | November 09, 2009
SQL Manager 2008 for SQL Server | Version 3.4.0.1 | May 20, 2009
SQL Manager 2008 for SQL Server | Version 3.3.0.1 | September 29, 2008
SQL Manager 2008 for SQL Server | Version 3.2.0.1 | April 10, 2008
SQL Manager 2008 for SQL Server | Version 3.1.0.1 | January 18, 2008
SQL Manager 2008 for SQL Server | Version 3.0.0.1 | November 28, 2007
SQL Manager 2005 for SQL Server | Version 2.7.0.1 | June 13, 2007
SQL Manager 2005 for SQL Server | Version 2.6.0.1 | January 23, 2007
SQL Manager 2005 for SQL Server | Version 2.5.0.1 | September 29, 2006
SQL Manager 2005 for SQL Server | Version 2.4.0.1 | June 13, 2006
SQL Manager 2005 for SQL Server | Version 2.3.0.1 | April 24, 2006
SQL Manager 2005 for SQL Server | Version 2.2.0.1 | February 14, 2006
SQL Manager 2005 for SQL Server | Version 2.1.0.1 | November 17, 2005
SQL Manager 2005 for SQL Server | Version 2.0.5.1 | October 31, 2005
SQL Manager 2005 for SQL Server | Version 2.0.0.1 | October 14, 2005
MS SQL Manager | Version 1.8.5.1 | June 28, 2005
MS SQL Manager | Version 1.8.0.1 | December 16, 2004
MS SQL Manager | Version 1.7.0.1 | September 15, 2004
MS SQL Manager | Version 1.6.0.1 | May 31, 2004
MS SQL Manager | Version 1.5.0.1 | April 14, 2004
MS SQL Manager | Version 1.4.0.1 | February 24, 2004
MS SQL Manager | Version 1.3.0.1 | January 14, 2004
MS SQL Manager | Version 1.2.0.1 | November 17, 2003
MS SQL Manager | Version 1.1.0.1 | October 14, 2003
MS SQL Manager | Version 1.0.0.1 | October 1, 2003

Full version history is available at http://www.sqlmanager.net/products/mssql/manager/news

Version 5.1.1

1. Custom format mask is now applied correctly to DATE type for CAST operator.

2. Script for updating dependent views on table update is now generated with correct schema value.

3. The popup list is closed instead of the dialog with ECS in Find or replace editor.

4. Services. The issue of connecting to the databases with Unicode names has been resolved.

5. GEOGRAPHY computed values are not updated on table editing now.

6. Empty toolbars are no longer displayed after program update.

7. Some other fixes and minor improvements.

Version 5.1

1. Compatibility level for SQL Server 2022 added.

2. Connection issues fixed for Azure Managed Instance.

3. Increased performance for Dependency Tree.

4. Dependencies tree fixed for XML Schema Collections.

5. Improved work with BLOB editor.

6. Wizard templates are now saved in UTF8.

7. Scaling improved in DB Designer editor.

8. The issue with displaying Unicode parameters in tables fixed.

9. The new scheme name was missing in Duplicate wizard in some cases. Fixed now.

10. Commit after all records is now set by default in Import data wizard.

11. Unicode strings in DB properties are now processed correctly.

12. Selected data is not reset on moving between steps in Statistics Update and Indices Management Wizards.

13. Incorrect applying of On All group actions on Permissions tab in object editors fixed.

14. Many other fixes and improvements.

Version 5.0.6

1. Added option to connect to the server without checking its certificate.

2. The ability to rebuild views has been added.

3. The ability to rebuild metadata of dependent views after making significant changes in table fields added.

4. Fixed errors when importing data from some XML files.

5. XML data was not filled in correctly for Path in Data import wizard. Fixed now.

6. Dependent objects were incorrectly displayed in the Dependency Tree for role synonyms. Fixed now.

7. Other changes and improvements.

Version 5.0.5

1. Editor tabs can be now highlighted with the specific DB color.

2. Improved processing of dependencies in large databases.

3. Incorrect copying of Null cells from tables grid fixed.

4. Field name was modified in Duplicate table wizard if it was the same as table name. Fixed now.

5. Seed property for identity fields was set to 0 instead of 1. Fixed now.

6. BIGINT data types are now exported correctly into XLS and XLSX fils.

7. Other minor fixes and improvements.

Version 5.0.4

1. Support for compatibility level 15 added.

2. Custom toolbars are no longer removed.

3. Query plan resulted in error on second execution in Query Builder. Fixed now.

4. Memory-optimized table parameters are displayed correctly now.

5. Minor fixes and interface improvements.

Version 5.0.3

1. Desktop was not restored correctly if server name contained non-Latin characters. Fixed now.

2. 'List index out of bounds' error occured on filtration if connection was lost. Fixed now.

3. The main menu disappeared with some specific localizations used. Fixed now.

4. Default values are now set correctly on client side.

5. Deafult names for tables didn't apply current schema. Fixed now.

6. Confirmation was added for closing all editors.

7. 'Invalid variant type' error on editing datetime2 data in SQL Azure fixed.

8. Now the number of fetched records is displayed right in Load visible rows mode.

9. Other minor fixes.

Version 5.0.2

1. The error occured on editing data in Hungarian locale. Fixed now.

2. DATA_COMPRESSION option was not generated correctly. Fixed now.

3. Path to the recent file is now saved in Restore database wizard.

4. Notifications are now displayed if Debugger cannot be started due to privilegies restriction.

5. Key mapping didn't work correctly for displaying some objects. Fixed now.

6. SQL Assistant. Data was not displyed for newly created objects. Fixed now.

7. Quotes are now correctly applied to objects on duplication.

8. Code was not formatted correctly with nested WHEN conditions. Fixed now.

9. Now the error line is shown correctly when code starts with comment.

10. The body of the procedure created on assembly was not displayed. Fixed now.

11. SQL Script. The editor froze on execution after file drag-and-drop. Fixed now.

12. Export of settings to the restricted folder doesn't fail with the Access Violation error now.

13. Other minor fixes.

Version 5.0.1

1. Tabs couldn't be reordered. Fixed now.

2. The 'Access Violation' error occasionally occured on toolbar customization. Fixed now.

3. Display of sql_variant data has been fixed.

4. Incorrect refresh of tables in SQL Server 2000 has been fixed.

5. Columns autofit didn't always work correctly. Fixed now.

6. The error on compiling stored procedure has been fixed.

7. The object was not focused in the collapsed node on Ctrl+O use.

8. The variable color has been changed for the dark color schema.

9. Fragmentation data was not displayed for indices. Fixed now.

10. Many other improvements and bugfixes.

Version 5.0

1.

Whats new - dark schema

2. Added new objects of SQL Server 2017, Azure SQL and Azure Datawarehouse:

  • External table
  • DB Scoped Credential
  • External file format
  • Graph table

3. Support for Amazon RDS for SQL Server implemented.

4. MS OLE DB provider for connecting to SQL Server has been updated.

5. Unicode object names are supported now.

6. Improved support of high-DPI monitors and large-scale fonts added.

7. Objects can be now added to the Favorites node from the popup menu.

8. Encryption algorithms for symmetric and asymmetric keys have been updated.

9. Now it's possible to view object creation and modification date.

10. Code completion has been improved.

11. Format set in Color & Formats was not applied. Fixed now.

12. Many other improvements and bug-fixes.

Version 4.4.1

  1. Data frame. Implemented the ability to add values to the current filter instead of replacing them by using the Shift button.
  2. TSQL Debugger. Debugging large procedures has been improved and optimized.
  3. Data frame. When adding a new row empty strings were displayed instead of default values. Fixed now.
  4. SQL Editor. Query execution failed when NULL-value was set as a string-parameter. Fixed now.
  5. Objects at the Dependencies tab sometimes were added as new nodes instead of adding inside the right nodes. Fixed now.
  6. Query Builder. Arrow direction was incorrect for the LEFT OUTER JOIN relationship. Fixed now.
  7. Query Builder. The field moved outside list visible area and there was no possibility to scroll the list. Fixed now.
  8. An object was not focused using Ctrl+O shortcut when it was out of visible range. Fixed now.
  9. The ‘Online’ field option was incorrectly set by default. Now it is available for the Enterprise edition of SQL Server only.
  10. Now it is possible to sort and filter data rows returned by a stored procedure.
  11. The error occurred when launching the program on OS with Breton locale.
  12. Confirmation window appeared twice on exit the program. Fixed now.
  13. Table name disappeared in its sub-objects editors in some cases. Fixed now.
  14. Data frame. If data was shorter than column header column width was set incorrectly. Fixed now.
  15. Fixed errors of highlighting and execution code with nested comments.
  16. There was an error opening table indices after changing this table fields order. Fixed now.
  17. Many other improvements and bugfixes.

Version 4.4

  1. Support of Azure SQL Database v12 new features.
  2. Added the ability to browse binary data in Debugger as text or hexadecimal value.
  3. The ability to encrypt objects with context menu.
  4. It is possible to change field order in index more efficiently now.
  5. It is possible to select several table fields for reordering now.
  6. It was not possible to distinguish NULL-values from empty strings in Debugger watches list. Fixed now.
  7. The cursor moved to the end of SQL-text on formatting. Fixed now.
  8. 'The style 121 is not supported for conversions from varbinary to nvarchar' error occurred on opening partition function based on binary types. Fixed now.
  9. The field list of alias was displayed incorrectly when the same alias was used in several queries. Fixed now.
  10. The script was not generated on reordering index fields. Fixed now.
  11. The charset was always reset to default on each saving of the object DDL. Fixed now.

Version 4.3

1. Support for new features of SQL Server 2016 has been added.

- Truncate table partition has been added.

- Added support for altering columns with ONLINE option ON.

- ‘Maximum degree of parallelism’ option has been added in Check database wizard.

- Support for DROP IF EXISTS statement in Extract database wizard.

2. The possibility to browse PDF has been implemented in BLOB Editor.

3. The algorithm for Code Completion list has been improved.

4. Now information messages and errors in the dialogs can be copied with Ctrl+C.

5. Applying of Schema-organized database tree option is performed without reconnect now.

6. SQL Editor. The results of the query without key fields couldn’t be edited. Fixed now.

7. Now you can drag-and-drop triggers to set breakpoints in Debugger.

8. ‘Out of memory’ error has been fixed in Extract database wizard.

9. The query executing couldn’t be cancelled in ‘Open server cursor’ and ‘Asynchronous query’ execution modes. Fixed now.

10. The error on loading VARBINARY data has been fixed.

11. The tables containing ‘Space’ symbol were processed incorrectly in Query Builder. Fixed now.

12. Drop\Create statements were generated in Index Editor even if no changes were made. Fixed now.

13. Code Completion list didn’t appear for functions and procedures with database name added. Fixed now.

14. Many other fixes and improvements.

Version 4.2.2

1. Some performance issues have been resolved: slow connection and services launch on some specific client configurations.

2. Data Frame. Cells were filled with empty strings instead of default values when a new row was added. Fixed now.

3. Defaults and computed fields definitions were truncated in table DDL. Fixed now.

4. Data Frame. Incorrect sorting and filtering has been fixed for the case when data was loaded partially.

5. Favourite Queries were not shown when ODBC connection was used. Fixed now.

6. The procedures were executed twice in Procedure Editor. Fixed now.

7. Many other improvements and bug-fixes.

Version 4.2

1. ODBC driver support has been implemented to ensure best compatibility with all server versions.

2. Support of privileges for Routes, Message Types, Services, Service Bindings and Queues has been added.

3. Support of new Full-text Indices properties has been added.

4. Corresponding Registry settings are cleaned up on unregistering the database.

5. The error on applying Quick Filter for Decimal fields has been fixed.

6. Ctrl+O hot key added for focusing the currently edited object in the DB Explorer tree.

7. Object editors can be opened from Grant Manager by double-clicking now.

8. Other improvements and bug-fixes.

Version 4.1.1

  1. The 'DROP' statements were not generated while synchronizing databases. Fixed now.
  2. The 'Code Completion' windows did not appear for the INSERTED and DELETED keywords. Fixed now.
  3. Sometimes the values of BIGINT type were displayed incorrectly. Fixed now.
  4. The 'Floating point: division by zero' error occurred when the FLOAT-typed values were edited. Fixed now.
  5. Some fixes of synchronization of views.
  6. Lots of other improvements and bug-fixes.

Version 4.1

  1. Support of Azure SQL Database.
  2. Now when modifying an object, a window is marked with an asterisk (*) in the Windows Bar. The same is for files opened in SQL Script form, Visual Database Designer diagrams, etc.
  3. DB Explorer.
    • Type of field and nullability are now displayed in DB Explorer tree.
    • Favourite queries and scripts may be added into Favourite Objects folders.
  4. Data Grid. Now it has become possible to select several cells and copy them to clipboard. To do this it is necessary to switch on the 'Cell selection' and 'Row/cell multi-selection' options on Grid tab of the Environment Options dialog.
  5. Dependency Tree, Dependency tab in object editors. Now dependencies on external and dropped objects are shown (for SQL Server 2008 and higher).
  6. Export Data as SQL Script, Extract Database. Now in the field 'Script destination | File charset' the last charset saved is chosen.
  7. Restore Database wizard. Now the name of the restoring database is displayed in the form header.
  8. DDL Trigger Editor, Server Trigger Editor. Events are sorted in alphabetic order.
  9. SQL Monitor. Now parameter values, used at query/procedure run, are also displayed in the log.
  10. Data Grid.
    • If the fractional seconds precision of the time value in the field datetime2 exceeded three signs after decimal point, there used to arise an error at data opening. It is fixed now.
    • Default values for datetime types were displayed wrong when adding a new entry. It is fixed now.
    • Big values of bigint type used to be displayed in scientific notation. It is fixed now.
    • Data of the tinyint field was not sorted in the 'Load Visible Rows' grid mode. Fixed now.
  11. Login Editor. Refresh didn’t work in the User Mapping tab. Fixed now.
  12. SQL Editor. If you execute the query, and then disable the 'Show Actual Execution Plan' option, odd record set would display in the results for subsequent queries. Fixed now.
  13. Attach Database, Detach Database wizards. Some passwords were encoded wrong on saving the template. Fixed now.
  14. DB Explorer. If you enable the 'Sort by aliases' option table fields were sorted as well. Fixed now.
  15. At opening the Database Properties dialog for the disconnected database, the value of the database owner was not displayed. Fixed now.
  16. SQL Script. At saving the script was scrolled up to the beginning. Fixed now.
  17. A lot of other small improvements and bug fixes.

Version 4.0

  1. The ability to debug Transact-SQL code is now implemented in SQL Editor. The debugger makes it possible to find errors in SQL scripts, stored procedures, user-defined functions by observing their run-time behaviour. It is possible to trace into bodies of stored procedures and functions, see the value of local and global variables, set the breakpoints, etc.
  2. Added the Database Comparer tool which allows getting a script to synchronize the database structure.
  3. Added support of new SQL Server 2014 features:
    • Support of memory-optimized tables.
    • Support of backup encryption.
    • Support of backup to Windows Azure.
  4. The Search in Metadata tool is implemented for performing the quick search within the scope of database metadata. The tool allows you to set various search conditions and view the results.
  5. Added the ability to create SELECT/INSERT/UPDATE/DELETE procedures from tables and views easily.
  6. Visual Database Designer.
    • Added the Undo and Redo commands.
    • Added tools for visual formatting diagram objects: setting fonts, colors, etc.
    • Now views, procedures and functions can be added to a diagram.
    • Added the possibility to display attribute properties (optionality, keys, etc.) in parentheses after the attribute name and type.
    • Diagram print options are now saved in the diagram file.
    • Added the possibility to display printing page borders on a diagram.
    • Added the possibility to drag and drop schemas to a diagram.
  7. DB Explorer.
    • The database tree now contains Scripts branch for fast access to SQL files from a specified folder (set in Database Registration Info dialog) and its subfolders.
    • Added the ability to duplicate objects to other databases by using drag-and-drop.
    • Restore of previously opened object editors when connecting to database is carried out more quickly as far as majority of repeated requests to server are excluded.
  8. HTML Report.
    • Now it is possible to define report visual style.
    • Triggers, indices, foreign keys, check constrains are now displayed in a separate general list.
    • Now it is not necessary to connect to database to create a report for server objects only.
  9. Added the Instance Manager tool which allows checking statuses of SQL Server services and starting/stopping them.
  10. Added the Database Registration Manager which allows adding and deleting database registrations quickly.
  11. New Object Templates window allows you to preset property values for newly created objects: fields, indices, triggers, views, procedures, functions. Also it is possible to define name template for new database and server objects.
  12. Environment Options.
    • Added the possibility to define shortcuts for some commands in DB Explorer, SQL Editor, SQL Script and other tools (Global Shortcuts).
    • Now it is possible to specify the display style of object names as schema.name or name (schema).
    • It is possible to set the font for data grid separately.
    • Added the possibility to specify which database should be selected for a newly opened editor or tool: the database selected in DB Explorer or the one from the currently focused editor.
  13. Dependency Tree.
    • Added the possibility to move the tree within the display area by holding the left mouse button.
    • Changed the drawing of selected object and recursive objects for better distinction.
    • Added different display modes of dependency tree: to show all objects, to show objects depending on selected object, or only objects selected object depends on.
    • Selected object is placed to the display area automatically now when the dependency tree is too large.
  14. Windows panel.
    • Switch between windows is now possible with Ctrl+Tab shortcut.
    • Added the ability to move tabs of open windows with a mouse.
    • Now it is possible to close the windows with the scroll button.
  15. Table Editor. Data tab.
    • Added the possibility to create automatically the detail data levels for tables connected with the given one by means of foreign keys.
    • Values of geometry and geography types are now displayed as a text. Now it is possible to edit them.
  16. Object names in DDL are not quoted now, if it is not necessary.
  17. Export/Import Data. Now in most cases exported data is not re-requested from server.
  18. Procedure and Function Editors. It is possible to set use of default parameter values when executing procedures/functions.
  19. SQL Formatter now allows formatting DDL statements.
  20. SQL Editor. Now the query execution time is displayed more accurately with no additional cost in the program itself.
  21. Indices Management, Update Statistics, Shrink Database and Check Database wizards are non-modal now; operation is executed in a thread.
  22. Visual Options. Added the possibility to set Slants Kind property value for page controls.
  23. SQL Editor, Procedure Editor. The query execution process is completely revised: repeated query executions to display forward-only cursor results or to get info messages are excluded.
  24. Some of the forms were not scaled in Control Panel\Display | Size of All Items - Medium mode. Fixed now.
  25. Lots of other improvements and bug-fixes.

Version 3.9.0.1

  • The possibility to record object definitions to files for further use with version control systems (menu Tools | DDL to Files).
  • SQL Editor. Quick Code.
  • The list of table fields of current SELECT query is now shown at 'Code Completion' even without indicating table alias.
  • Context sensitive elements: table aliases of the current SQL query, local variables, query table fields now are arranged at 'Code Completion' at the top of the list.
  • The support of table-valued user-defined functions to get the field list in 'Code Completion' was added.
  • It is possible to choose the value in 'Code Completion' with the spacebar (option in Options | Editor Options | Display | Quick Code).
  • Code Parameters did not work if the user-defined function name was quoted. Fixed now.
  • Duplicate Object wizard. When duplicating the table to database at the same server, the copying is made with SQL statement INSERT FROM … SELECT. But when duplicating to the other server the data copy statements are not recorded to the main script, and are fulfilled separately that requires less memory.
  • Check Constraint Editor. Now the property setting "Check existing data" is taken from the system catalogue, and is included to constraint definitions.
  • SQL Editor. For convenience the query execution timing information is drawn at the same status bar as the number of returned records is.
  • Activity Monitor. The filter is not reset with clicking Refresh.
  • Job History. The time values are now formatted for more convenient comparison.
  • Jobs. When opening the form the data were not refreshed: at times only the names of jobs were shown, and all the rest information was blank. Fixed now.
  • New Table form. The right-click menu was not opened for field list. Fixed now.
  • DDL Trigger Editor. After compiling the disabled trigger was enabled. Fixed now.
  • UDT Editor. When saving changes of table type constraints the incorrect script was at times generated. Fixed now.
  • Save Settings wizard. The database projects for servers with the named instances were not saved. Fixed now.
  • Environment Options. Naming Rules. The value of index type tag for XML indexes was not saved. Fixed now.
  • Select Object dialog. At Users section the roles were shown, and at Roles - the users. Fixed now.
  • Credential Editor. If fields 'Password' and 'Confirm password' contained distinct values, two error messages appeared when compiling. Fixed now.
  • Environment Options dialog. For Tools | Object Editors tab the wrong Help page was opened. Fixed now.
  • Lots of other improvements and bug-fixes.

Version 3.8.0.1

  • Added support of new SQL Server 2012 features:
  • Support of sequences.
  • Support of custom server roles.
  • Support of columnstore indices.
  • Support of FileTables.
  • Support of contained databases.
  • Added support of spatial indices (SQL Server 2008 and higher).
  • Login Editor. Added the possibility to set up permissions on logins and server roles.
  • Role Editor.
  • Added the possibility to rename the role and define its description (SQL Server 2005 and higher).
  • Now when editing the application role, the following fields are available: "Confirm Password" and "Default Schema".
  • The definition is now displayed as CREATE ROLE statement and the modification script as ALTER ROLE (SQL Server 2005 and higher).
  • DB Explorer. Now when pressing "Left", first the subnodes of the current node are collapsed, after pressing again the parent node is focused.
  • Database Registration Info. OLE DB Provider. Added ability to select SQL Native Client 2008 to connect to the server. Also added the "Default" option, which allows connecting by the client corresponding to the Server version.
  • BLOB view. Added the support of PNG images.
  • Table DDL. Added the "Show collation in table DDL only if it is different from database collation" option (Tools tab of the Environment Options dialog)
  • Database Properties. Added the ability to modify the following database options: Non-transactional access to FILESTREAM data, Directory name for FileTable data, Containment (all up to SQL Server 2012).
  • Server Properties. Added the ability to modify the following server options: Filestream access level (SQL Server 2008 and higher), Database containment (SQL Server 2012), Compressed backups by default (SQL Server 2008 and higher), Max number of locks, Query wait.
  • Editor Options. Quick Code. Now when pressing the space bar, the Code Completion list can be closed with the selected item input.
  • Dependencies tab. Before displaying the dependencies of procedures, functions, and views, the dependencies on the server are refreshed by the sp_refreshsqlmodule procedure.
  • Table Editor.
  • Now it is possible to set FileTable options when creating and deleting tables.
  • Data tab. After refreshing the corresponding button in the DB Navigator, the current record is not changed.
  • Added the "Download User's Manuals and Languages" item to the Help menu.
  • Now the Help file is opened in the selected language of the program.
  • Query Builder.
  • Queries, having a statement in the parsing join condition, gave an error.
  • When calling the "Create View" option, the changes made in the Edit tab were not displayed in the view definition. Fixed now.
  • View Editor. When changing an indexed view which contained multiple indices, the index creation order in the generated script could be incorrect. Fixed now.
  • When creating an SQL login, the "Enforce password policy" option value was not saved. Fixed now.
  • If the directory name required quoting while rebuilding the full-text directory, an error occurred. Fixed now.
  • Foreign Key Editor. If the foreign key name was automatically created by the server, saving the changes caused the "The foreign key is not found in the database" error. Fixed now.
  • SQL Editor. When executing the SELECT query using the SQL Native Client, if there was a single-line comment before the WHERE clause, the empty data set was returned. Fixed now.
  • UDT Editor. The negative and very large positive values were allowed to be input ​​in the "Size/precision" and "Scale" fields. Fixed now.
  • Some other improvements and bugfixes.

Version 3.7.0.1

  • Added the support of ANSI_NULLS and QUOTED_IDENTIFIER options for procedures, functions, views, table triggers, database triggers и server triggers.
  • Aggregate Editor. Added the possibility to create/edit aggregates with several parameters (SQL Server 2008).
  • Full-Text Catalog Editor. Added the possibility to create full-text indexes for the indexed views.
  • DB Explorer.

Tick Now searching with the toolbar "Search" is possible by both expanded and collapsed tree nodes.

Tick In the script generated by the 'Script to ...' command, the declarations of variables for the return value and output parameters are added to the stored procedure.

  • Editor Options. The maximum value for the "Right margin position" field is increased.
  • SQL Editor.

Tick Some national characters could not be displayed. Fixed now.

Tick After making a replacement using the "Replace Text" dialog, in some cases it was not possible to close the end of operation message. Fixed now.

Tick In SQL Server 2000 when opening the "Code Completion" option for the text '<database name>.<schema name>.', the "Invalid object name 'sys.schemas'" error occurred. Fixed now.

  • Data View.

Tick In some cases the presence of sublevels caused the "The component with name ... already exists." error. Fixed now.

Tick Some national characters were not displayed in the "Find" field. Fixed now.

Tick If there was a national character in the column header, the data in this column were displayed as null. Fixed now.

Tick If the active view is a sublevel, changing the "Record Limit" value caused AV error. Fixed now.

  • Server Roles. Opening the form greatly increased CPU usage of the program. Fixed now.
  • Export/Import Data. In some cases when importing/ exporting data to/from the xlsx and docx files in Windows 7, an error occurred. Fixed now.
  • Export Data as SQL Script. Now when creating an SQL script for SQL Server, the constraint definitions of the table are added to the result script in table DDL.
  • UDF Editor.
    Tick The table type parameters were not displayed on the Parameters tab. Fixed now.
    Tick The size of the function return value was not displayed in DDL. Fixed now.
  • Procedure Editor. The parameter default values were not displayed for SQL procedures on the Parameters tab. Fixed now.
  • If the default object was assigned to the table field, the table scheme was not specified in the EXEC sp_bindefault command in table DDL. Fixed now.
  • Server Properties. If opening the form caused an error, AV error occurred instead of the error message. Fixed now.
  • Queue Editor. When editing/deleting a queue, generated in the non-current scheme, the scheme name was not added to the script and an error occurred. Fixed now.
  • Field Editor. It was not possible to set "precision 0" for the TIME type (SQL Server 2008). Fixed now.
  • Duplicate Object Wizard. When duplicating a value ​​to another scheme, in some cases the scheme name was not substituted in the script. Fixed now.
  • Aggregate Editor. If a parameter or a return type of the aggregate was UDT, when opening this aggregate, the corresponding field in the editor was empty. Fixed now.
  • If during the disconnection from the database the request to save data in any open form of the program is occurred, clicking the Cancel button caused the AV error. Fixed now.;
  • If the current Windows locale uses a multi byte encoding (e.g. Chinese), when using national characters in the object names, the name was truncated on saving the object. Fixed now.
  • Some other improvements and bugfixes.

Version 3.6.0.1

  • SQL Editor.

Tick Now the number of affected records is displayed for each batch statement.

Tick If a query returns multiple recordsets, the number of records is now displayed for every recordset.

Tick Data of FOR XML queries were displayed incorrectly if the data were presented as elements. Fixed now.

Tick Labels in the procedures were considered as parameters during execution. Fixed now.

Tick For certain types of queries returning multiple recordsets, the export of the second and subsequent recordsets worked incorrectly. Fixed now.

Tick The varchar and text fields data that contained national alphabet characters were sorted incorrectly. Fixed now.

Tick Info messages were sometimes not displayed during repeated execution on SQL Server 2000. Fixed now.

Tick Sometimes the run-time timer did not stop after the execution. Fixed now.

  • Table and View editors, Data tab. Now the editing of the new datetime types values is possible with the input mask and the drop-down calendar.
  • Table Editor, Data tab.

Tick The width of the uniqueidentifier fields has been enlarged in the Form View.

Tick On Windows 7 the grid was resized incorrectly after resizing of the form. Fixed now.

Tick The grid level disappeared if the grid level was added and then the Refresh command was executed. Fixed now.

Tick The “Set to Empty String” command did not work for varchar (max) fields. Fixed now.

Tick When pressing Fetch All in tables with large number of records, the records were loaded slowly. Fixed now.

  • Extract Database.

Tick When extracting a table with the filestream field, the incorrect script was generated: the data were inserted before the creation of the unique key, which caused an error. Fixed now.

Tick In some cases the commands of indexes creation were duplicated in the result script. Fixed now.

  • Activity Monitor. The text is highlighted now in the SQL Text dialogue.
  • During the text input some national characters were replaced by question marks in the grid and SQL editor. Fixed now.
  • Query Builder. The query containing a clause or a value in brackets in the TOP was not parsed. Fixed now.
  • Windows toolbar. The switching between windows worked incorrectly if a large number of windows were opened. Fixed now.
  • When renaming the procedure without recompiling its body, the old name was displayed in the DDL. Fixed now.
  • In some cases, the extra brackets in field default values were cut off incorrectly. Fixed now.
  • In some cases constraint names autogenerated by the Server were displayed in table DDL. Fixed now.
  • Procedure Editor. If the data export was launched after executing a procedure which returned the recordset, the Missing SQL property error occurred. Fixed now.
  • Now it is possible to change the columns width on the Permissions tab of the objects editors.
  • Table Editor. If on the DDL tab the filestream option and a constrained were set for the field, the erroneous SQL was created. Fixed now.
  • Indices Management. When working with SQL Server 2000, empty strings could appear in the index list if the selected table contained the statistics objects. Fixed now.
  • Table Editor. The statistics objects were displayed in the index list in SQL Server 2000. Fixed now.
  • Other small improvements and bug fixes.

Version 3.5.0.1

  • Database Properties: the 'Transparent data encryption' option is now available when working with SQL Server 2008
  • The Jobs form now opens faster
  • SQL editors:

Tick Added the possibility to load the file contents into SQL Editor by dragging the file from the Windows Explorer onto the editor area

Tick The file encoding selected in the Open/Save file dialog is saved and then used when opening/saving files next time

Tick When using comments like /** ... **/, the text after the block was highlighted like comments. Fixed now

  • SQL Editor:

Tick If a file name and path were too long for the window caption, the application used to cut the filename. Now it cuts the path

Tick XML field values were not displayed when connecting through the Native Client. Fixed now

Tick If the last line of the executed query contained comments, the query did not return a record set. Fixed now

Tick The Ctrl+D shortcut is added for the “Show Results on Edit Tab” command

Tick With a certain option combination set, all queries resulted in “0 records fetched”. Fixed now

  • SQL Script: if a file name and path were too long for the window caption, the application used to cut the filename. Now it cuts the path
  • Now it is possible to connect to a database if the user does not have the necessary rights to obtain the collation list
  • Duplicate Object Wizard: now it is possible to change the form size
  • Key mapping: the confirmation dialog is now displayed on deleting a scheme and key combinations
  • Extract Database:

Tick Added the possibility to extract system objects

Tick The certificate dependency on users by the Authorization property is taken into account when a script is generated

  • Certificate Editor: the Start Date and End Date parameters now include the drop-down calendar to choose the date
  • Activity Monitor: sometimes the “Overflow while converting variant of type (Int64) into type (Integer)” error occurred when opening a form for SQL Server 2008. Fixed now
  • Data View: due to an error in Windows Vista, the grid size did not change when enlarging the form size. Fixed now
  • Query Builder: an error occurred during the reverse engineering of a query where object names were quoted. Fixed now
  • Procedure Editor: after executing a procedure which returned a record set, the Ctrl+Ins and Shift+Ins shortcuts stopped working on the procedure text editor’s tab. Fixed now
  • UDF Editor: when launching a UDF, its name was not quoted – an error occurred if the name included invalid characters. Fixed now
  • Export Data, Export as SQL Script: when working with queries returning several record sets, it is now possible to export the second and the following record sets
  • Login Editor:

Tick An error occurred when revoking permissions for a database. Fixed now

Tick Now it is possible to create a login with a blank password

  • It was not possible to open the editor for an object if its name looked like ‘text (text)’. Fixed now
  • Table Editor: if non-English localization was used in the program, the “Floating point division by zero” error occurred when switching to the Dependencies tab
  • Field Editor: if the default object was bound to the field, an error occurred on saving – a wrong script was generated. Fixed now
  • Index Editor: the Partitioning column list was not filled after choosing the partition scheme as an index data space. Fixed now
  • Export as SQL Script: the values of numeric fields with a large precision were displayed as nvarchar values. Fixed now
  • It was not possible to open Job Editor if connection to a database with a case sensitive collation was established. Fixed now
  • Other minor improvements and bug-fixes

Version 3.4.0.1

  • The following SQL Server 2008 feature is now supported:

Tick Resource Governor

  • Support of 'FOR XML' clause in queries used to return results as XML instead of standard rowsets
  • Using macro is now possible in SQL Editor and SQL Script
  • Data View | Blob View: added the XML tab allowing you to view XML data as a tree
  • The Unicode support is implemented in procedure/function bodies, views, triggers, check constraints, object description, field default values and in a number of other object properties
  • Grant Manager:

Tick added support of database permissions for SQL Server 2005 and higher

Tick users and roles are now separated in the 'Privileges for' list

Tick column permissions were not always displayed correctly: the higher-level object permissions were not considered. Fixed now

  • Database Registration Info:

Tick most of the options from the Grid | Data Options section of the Environment Options dialog can now be specified individually for each of the registered databases in the Database Registration Info dialog. The values specified on the Grid | Data Options page will be applied as default settings for newly registered databases

Tick added a possibility to select the OLE DB Provider: OLE DB Provider for SQL Server or SQL Native Client

Tick metadata and SQL Editor logs can now be saved in UNICODE or ANSI

  • SQL Editor:

Tick after the USE Transact-SQL statement execution the name of the current database is displayed in the status bar area of the editor

Tick fixed several errors concerning syntax highlight

Tick fixed several bugs concerning incorrect parsing of table aliases in queries

Tick the Ctrl+Alt+C shortcut did not work for showing the list of fields of the table whose name is copied to clipboard. Fixed now

Tick the displayed number of affected records was not always correct. Fixed now

  • DB Explorer:

Tick the Find Object dialog has been improved

Tick added a possibility to execute procedures and user-defined functions directly from DB Explorer (through the context menu)

Tick the program saves the information about the last opened database before shutdown. When the application is started next time, this database will be automatically selected in the DB Explorer tree

Tick the button for switching search mode is added to the Search Panel toolbar

Tick double-clicking an object group node folds and unfolds its branch

Tick when adding a server object, if the branch had not been refreshed yet, only this new object was displayed in the tree. Fixed now

  • Extract Database:

Tick now the script is directly generated in the selected charset, which reduces the script generation time

Tick with the 'Generate DROP statements' option enabled, odd statements for deleting table subobjects were generated. Fixed now

  • Export as SQL Script: now the script is directly generated in the selected charset, which reduces the script generation time
  • Visual Database Designer:

Tick tables are arranged more compactly in the reverse engineering mode

Tick alignment options did not work when a diagram was loaded from a file

  • Options: the ability to apply default settings (to all or just to a separate category of options) is implemented for all option dialogs
  • Windows List: the 'Close All Database Windows' command is implemented
  • Data Grid: the method of work in asynchronous mode is changed - the usage of a separate connection for each Data Grid makes it possible to perform simultaneous fetching without losing the ability to use other functions of the program
  • Data Grid: the selected data record highlight changes when the focus is switched from the grid
  • Job Step Editor: added support of the 'Write log to table' option, and new subsystems of SQL Server 2008
  • Changes that take place upon table recreation are now written to the log of metadata changes: changing column identity, reordering columns
  • Save Settings wizard: now, when saving settings to an existing file, the program suggests that you overwrite the file or make the new file unique by adding the current date and time to the file name
  • Environment Options | Tools | SQL Server Reference: added an option for SQL Server 2008 Books Online
  • Full-Text Catalog Editor:

Tick the data type value of a full-text index was not applied on saving the object

Tick when saving changes, pressing Cancel in the Changing Metadata window resulted in losing changes in the editor

  • The DDL of user-defined functions did not contain comments to fields of the returned table. Fixed now
  • Linked Servers: the content of the linked server was not displayed by the application if the provider did not support the information in the catalog. Fixed now
  • Partition Function Editor: milliseconds in threshold values of datetime type were not displayed. Fixed now
  • Export Data: when exporting data of type decimal with precision less than 15 digits, the numbers were rounded to the 4th decimal digit. Fixed now
  • Query Builder: the width of the Link Properties dialog was set incorrectly when running in Windows Vista. Fixed now
  • It was impossible to change object description if the object's description was an empty string. Fixed now
  • Role Editor: the 'Refresh' command did not work within the Member of tab. Fixed now
  • Field Editor: the 'Sparse' option could not be disabled for NOT NULL fields (in SQL Server 2008)
  • It was impossible to turn off the database compatibility level warning on connection - the 'Do not ask me again' option value was not saved after closing the program
  • Other minor improvements and bug-fixes

Version 3.3.0.1

  • The following SQL Server 2008 features are now supported:

Tick compressed Tables and Indexes;

Tick Field and file group filestream

Tick filtered indexes

Tick sparse columns

  • Query Builder:

Tick when a table is added to a query, its foreign key links to other tables participating in this query are reflected by JOIN statements

Tick in some cases renaming a table and moving to the SQL tab resulted in the “Cannot bind JOIN expression” error. Fixed now

  • DB Explorer:

Tick the possibility to reorder hosts using drag-and-drop is implemented

Tick the User role and Application role objects now have different icons

Tick pressing the Edit Object button or selecting the corresponding context menu item with multiple selection of server objects resulted in opening a single editor. Fixed now

Tick it is now possible to disable the warning that the database compatibility level is not set to its maximum value

  • SQL Assistant: the Edit objects command did not work with server objects. Fixed now
  • Database Registration Info: the 'Schema-organized database tree' option is added. With this option disabled, the object tree is built without grouping by schemas
  • Database Properties: database owner information is now available
  • The ability to edit the result of a query containing JOIN statements is implemented
  • The seed and increment parameters of the IDENTITY field can now be negative
  • Restore Database wizard: it is now possible to disconnect all users while restoring an existing database
  • HTML Report: added a possibility to change the font size for the DDL section (the corresponding option is added to the Setting additional report options step of the wizard)
  • The Changing Metadata window can now be closed by pressing the ESC key
  • The Access Violation error appeared sometimes when deleting a User-defined data type. Fixed now
  • Queue Editor: if the Rollback operation was made in the Changing Metadata window while editing a queue, all changes made in the Queue Editor disappeared. Fixed now
  • Database object comments containing national symbols were displayed improperly if their collation differed from the client machine default language. Fixed now
  • Extract Database: bugs concerning wrong statements order and incomplete object definition, and a number of others are fixed now
  • Code Completion window: some system functions used to be duplicated in the list. Fixed now
  • Code Parameters: the list of parameters did not appear if the object name was put into square brackets. Fixed now
  • Visual Database Designer: some printers could not print field and table icons. Fixed now
  • Table Editor: the Property tab could not be refreshed. Fixed now
  • An attempt to connect to a SQL Server 2005 database with compatibility level 8 led to an error; contracts and routes were not refreshed in that case. Fixed now
  • If different languages that use different decimal separators were set at the first and the last tabs of the Regional and Language options dialog (Start->Control panel), an error occurred when viewing tables with numeric data. Fixed now
  • Data Grid: an error occurred when editing data of the date format with month as text (e.g. dd-MMM-yyyy). Fixed now
  • Wrong shortcuts were displayed for a number of commands from the Quick Code context menu group. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.2.0.1

  • Service Broker support is implemented; now all Service Broker objects are supported: message types, contracts, queues, services, routes, remote service bindings
  • SQL Server 2008 support:

Tick new data types support: date, datetime2, datetimeoffset, time, hierarchyid, geometry, geography;

Tick table types support implemented: table types are displayed within the UDTs branch in the DB Explorer tree;

Tick Backup Database wizard now supports new backup parameters such as compression, buffer count, max transfer size;

Tick logon triggers support implemented: logon triggers are created in the server DDL Trigger Editor. New DDL trigger events are currently supported as well

  • The Same queries for all databases option is added for the SQL Editor. With this option enabled SQL Editor stores all queries in a shared repository so that switching to another database does not cause loading that database queries (applying that option does not affect the currently opened copies of the SQL Editor). The values of the option can be changed freely without any risk to lose the query repository content
  • SQL editors:

Tick some functions work faster now

Tick now you can change the size of the Code Completion list

Tick the 'Search next' feature now works even if the ‘Find dialog’ was opened for another SQL Editor

  • Job History tool: jobs can now be edited, stopped, run and deleted directly within the Job History form
  • Server Log Viewer: time in the date field is now displayed with milliseconds
  • Now on attempt to connect to database the compatibility level is checked with the prompt for changing it, if needed
  • The ‘Invalid date’ error occurred when entering a date with different languages set at the first and last tabs of the Control Panel | Regional and Language Options dialog. Fixed now
  • In some rare cases the ‘Multiple-step operation generated errors’ error used to occur when executing a query containing XML fields. Fixed now
  • Activity Monitor: after refreshing the content, filtering options used to be resetted. Fixed now
  • Dependency tab: the dependencies used to be displayed improperly for some types and procedures. Fixed now
  • Location of toolbars within the program main window used to be resetted. Fixed now
  • Print Metadata: the table field comments were not displayed. Fixed now
  • Visual Database Designer: the default settings for the diagram were not applied to its first tab. Fixed now
  • Export Data Wizard: now you can export all results of the multi-recordset query
  • BLOB Editor used to allow editing data even in read-only levels. Fixed now
  • Fixed the error that occurred on attempt to connect to a database using a password containing punctuation marks
  • Many other minor improvements and bug-fixes

Scroll to top

Version 3.1.0.1

  • Implemented support for server objects in Extract Database, Print Metadata, Duplicate Object, New Object, SQL Script Explorer tools
  • Grant Manager: it is now possible to view effective permissions on objects
  • SQL Editor: a number of functions now work faster
  • SQL Editor: fixed several bugs concerning incorrect work of code folding, 'List index out of bounds' and 'Access Violation' errors, cases of incorrect recognition of table aliases in queries, non-applicability of background color
  • SQL Editor: keyboard templates do not trigger in comments any more
  • Database Registration Info: added the 'Always use client cursor to get data' option; this option should be enabled for remote server connections, e.g. upon connection via Internet
  • Print Metadata: added the possibility to interrupt report generation
  • Data Grid: sub-levels based on a SQL query can now be edited in the Load All Rows mode as well, if the query is built by one table and contains key fields
  • Data Grid: upon insertion of text into a grid cell, Shift-Ins resulted in the duplicating field dialog. Fixed now
  • View Editor: added a capability for editing queries in Query Builder
  • Job Editor: added commands for running tasks, stopping task execution, viewing task execution results
  • Indices Management: now it is possible to select several indexes and set parameters for all of them simultaneously
  • SQL Editor: Unicode was not supported upon inputting parameters for queries containing parameters' declaration. Fixed now
  • SQL Editor: when working with several instances of SQL Editor, Favorite queries were not always saved correctly. Fixed now
  • SQL Editor: in some cases, after server connection was lost, no attempt to reconnect was made. Fixed now
  • Upon duplicating full-text catalogs an error message appeared stating that the query could not be executed inside a transaction. Fixed now
  • SQL Script: the 'Cannot create file' error used to occur on attempt to save the editor content to a file. Fixed now
  • Extract Database: the generated CREATE DATABASE statement did not contain operators for creating files and file groups. Fixed now
  • Server Log Viewer: in some cases the 'Field Date is not found' error occurred while opening a log. Fixed now
  • Restore Database wizard: when saving master options to a template, in some cases database file names were not written into the template. Fixed now
  • Keyboard Templates: when using the Paste command in a template body, applying the template resulted in insertion of the first word only, instead of the entire text from the clipboard. Fixed now
  • Dependency Tree: if the tree building was interrupted, rebuilding was not initiated upon subsequent selection of an object. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.0.0.1

  • Added several new tools for working with the server: Server Log Viewer, Activity Monitor, Shrink Database wizard, Check Database wizard, Indices management and Update statistics wizards, server roles management
  • Implemented support for a number of additional SQL Server capabilities: support of Symmetric keys, Asymmetric keys, Certificates; support of Full-text catalogs and Full-text indices; support of server DDL triggers; support of Endpoints; support of Database Snapshots; support of Shared Schedules, Proxies and Target Servers in Jobs; support of new login properties, such as password policy, enable/disable; creating Certificate-mapped and Asymmetric key-mapped logins; capability of mapping logins to database users in Login Editor; assigning credentials to SQL Server Logins
  • Support of Unicode in SQL Editor, Query Builder, Grid View, Import/Export Data wizards
  • All wizards, including Import/Export Data wizards, Extract Database wizard, Backup/Restore Database wizards run in background mode now, allowing one to continue working with the program
  • New advanced SQL Editor of the Visual Studio 2005 kind with Code Folding, UNICODE support, code completion, syntax highlight and other useful features
  • Enhanced Import Data Wizard - now data can be imported up to 10 times faster; also added support of the following source file formats: HTML, XML Document, Open Document Format (ODF), Open XML Format (MS Word 2007, MS Excel 2007)
  • Added the Permissions tab to object editors, making it possible to grant privileges on objects to users and roles
  • Improved DB Explorer in several respects: added a menu for generation of common SQL statements for database objects (Script to SQL Editor, Script to Clipboard) - it is now possible to get CREATE, ALTER, DROP, SELECT statements for each database object; DB Explorer displays server objects (objects of the server level) as well; object status (e.g. enabled/disabled) is indicated by corresponding icons; added Tasks submenu to the context menu, items of the submenu provide access to basic operations that can be performed over the selected object/database/server; added the Search Panel
  • Now it is possible to save frequently used queries within the Favorite Queries node of DB Explorer; Favorite Queries can be stored either locally in Windows Registry (in this case they are only available for local users), or in a special table of the database (therefore, the queries can be accessed by all database users)
  • Enhanced Visual Database Designer: added a new diagram object (Comment); possibility to select the specification level for displaying objects (only object names, only fields); upon Reverse Engineering one can select schemas to add their tables to the diagram
  • Improved Export Data Wizard: now works faster; added several output file formats: XML Document, Open Document Format (ODF), Open XML Format (MS Word 2007, MS Excel 2007)
  • Advanced Table Editor: added a possibility to view and edit table properties within a separate tab
  • Added the Find Option tool which allows one to find the required option in the scope of all program settings, by a word or an expression from the option title
  • Enhanced reports management system
  • It is now possible to execute functions directly in Function Editor window
  • Extract Database wizard: object dependencies are now handled correctly
  • Backup/Restore Database wizards: implemented support of several additional backup/restore parameters applied to SQL Server 2005 (copy-only backup, verify backup when finished, checksum support)

Scroll to top

Version 2.7.0.1

  • Database properties: information about the database is now displayed: the size of the entire database, data, indexes, transaction log, etc.; the date of the recently performed full, differential, transaction log backup
  • Database properties: possibility to rename the database added
  • Database properties: it is now possible to open this dialog for disconnected databases and for databases in the offline mode
  • Database properties: it has become possible to change the name and location of database files (the latter is applied to SQL Server 2005 only)
  • DB Explorer: it is now possible to view brief table information in SQL Assistant
  • It is now possible to modify the schema/owner in object editors
  • Incremental search has been added to a number of object lists
  • Data View: for string fields of 80 and more characters in length an editor similar to that used for editing TEXT fields is implemented in the Form View; also, the "Word wrap in string editor" option is added
  • Table Editor, Fields tab: the Data Type column now contains the basic type on which the current data type is based
  • SQL Editor: when several copies of SQL Editor are used and the content of one of them is being saved, the changes in the content of the other ones are also considered
  • Export as SQL Script: you are now prompted to confirm the result file replacement if the file already exists
  • HTML Report: an error used to occur when building a report for SQL Server 2000 users ("Invalid object name sys.schemas"). Fixed now
  • Fixed the "List index out of bounds" error that occurred on Step 2 of Export Data Wizard with German localization applied
  • An error used to occur upon attempt to add the IDENTITY field to an existing table. Fixed now
  • When working on Windows Vista, with Native Client installed and SQL authentication used, it was impossible to connect to the server. Corrected now
  • Trigger Editor: it was impossible to change the 'Enabled' property for encrypted triggers when using the editor
  • In SQL Editor the name of the object was not displayed as a link when the default schema was not [dbo] for the current user and the name of the object of this schema did not contain the [dbo] schema name
  • Restore Database: there was an error when specifying the backup file on selecting backup set to restore from (in the "Backup of database" mode). Fixed now
  • Extract Database: dependencies between Views and User-Defined Functions were not considered in the generated script. Corrected now
  • Grid: in the Load Visible Rows mode the Blank and the Non Blank filters did not work. Fixed now
  • After aligning windows, e.g. by title vertical, another object selection in the object editor caused changing the position and the size of the form. Fixed now
  • Visual Database Designer: the Primary keys that were created for several fields were not displayed. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 2.6.0.1

  • SQL Script: ability to execute selected statements and statements under cursor added
  • The identity field property can now be edited
  • Reorder Fields: field order can now be changed no matter if the table has other dependent objects or not
  • Table Editor: if Object Explorer is turned off, Table Editor opens quicker. Object Explorer can be disabled within the Object Editors section of the Environment Options dialog
  • Table Editor, Fields tab: the Identity column added
  • Extract Database: view triggers used to be extracted with empty bodies. Fixed now
  • SQL Editor, Query Builder, Procedure Editor: when executing a query asynchronously, CPU load could reach 100%. Fixed now
  • The DDL of assemblies is now represented as binary code
  • Dependency Tree: with the 'Show subobjects' option enabled, the dependencies were displayed not quite correctly. Fixed now
  • Dependency Tree: object icons were not printed. Fixed now
  • SQL Script: the SQL Script window does not close upon disconnect from the database
  • SQL Script: the error list was not cleared when loading a file. Fixed now
  • Editor Options: the ability to set default colors added
  • Index Editor: when creating an index, you need not specify the data space; the data space of the table is used by default
  • SQL Editor: when switching between queries, the cursor and the scrolling bar position were not saved. Fixed now
  • DDL Trigger Editor: wrong script used to be generated when disabling/enabling an existing trigger. Fixed now
  • Data View: mouse-wheel scrolling for the Form View is implemented
  • Visual Options: the 'Menus show recently used commands first' option added
  • Environment Options | DB Explorer: the 'Refresh object on showing in SQL Assistant' option is added
  • Add Grid Level: with the ‘Show tables related by foreign keys only’ mode enabled, loading tables used to take much time on SQL Server 2005. Fixed now
  • It was impossible to create a TIMESTAMP field with a NOT NULL restriction. Fixed now
  • To-Do List: on selecting a disconnected database in the list the ‘Invalid authorization specification’ error message used to appear. Fixed now
  • In some rare cases when executing several queries simultaneously in asynchronous mode, the 'Access Violation' error used to appear. Fixed now
  • DB Explorer: a newly created object was not listed in the 'Recent Objects' drop-down menu
  • View Editor, Triggers tab: if a view had more than one trigger, the type for the second and the succeeding triggers used to be displayed incorrectly. Fixed now
  • Visual Database Designer: in some rare cases when opening a chart the ‘Could not convert variant of type (OleStr) into (Double)’ error occurred. Fixed now
  • Export as SQL Script: the values of DATETIME and binary types used to be returned incorrectly for the sql_variant fields. Fixed now
  • Import Data Wizard: when importing from DBF format, the default values for the Boolean type were 'False' and 'True' (instead of the required 'F' and 'T'), so it was necessary to change them into the appropriate ones while processing the data. Fixed now
  • The Changing Metadata window can now be closed with the Esc button applying no changes
  • Environment Options | Windows: the 'Number of open editors is restricted' option did not function. Fixed now

Scroll to top

Version 2.5.0.1

  • Database Registration Info: an option that allows one to skip refreshing objects on connection to database is added
  • SQL Editor, SQL Script, Procedure Editor: information messages are displayed correctly now; to enable the messages, switch on the corresponding options within the Tools and the SQL Script sections of the Environment Options dialog)
  • French localization added
  • Grid: items that allow switching between grid tabs are added to the context menu
  • Grid: in some cases for the master-detail views related by decimal or money type field in the "Load all rows" mode the records were not displayed. Fixed now
  • Grid: filtering of DATETIME type data used to work incorrectly in SQL Filter mode. Fixed now
  • Grid: the "Word wrap in memo editor" option added (Environment Options | Grid | Advanced)
  • Grid: formats set in Grid | Color & Formats were not applied to detail levels. Fixed now
  • Linked Servers: Now this feature works fine with SQL Server version 7.0
  • Export as SQL Script: 'COMPUTED BY' fields were not excluded from the INSERT statements. Fixed now
  • Export as SQL Script: sql_variant type data were always represented as strings in the result script. Fixed now
  • CLR User-defined data types were not shown in the DB Explorer tree. Fixed now
  • When duplicating a table with data into another database, the TEXT and NTEXT type data were not copied. Fixed now
  • When duplicating a procedure, its name remained. Fixed now
  • DB Explorer: after adding an object into the project it did not appear within the Projects node. Fixed now
  • Trigger Editor: the comments preceding the CREATE TRIGGER statement were not displayed in trigger DDL. Fixed now
  • SQL Editor: for queries returning more than one dataset the value of Fetched records is changed now in the status bar on switching between the grid tabs
  • On executing a procedure with parameters, those of DATETIME type containing the time part were not saved between execution sessions. Fixed now
  • Visual Database Designer: after resetting all toolbars and opening Visual Database Designer, the toolbar used to disappear from the form. Fixed now
  • The 'Reset all Toolbars and menus' command did not work properly for DB Explorer toolbar. Fixed now
  • Now it is possible to resize the To-Do Item Editor window
  • Dependency Tree: the 'Save as image' button is now available on the Navigation bar
  • When creating a table without the NOT NULL flag for the Primary key, the constraint was not applied automatically, which caused wrong script generation and resulted in error upon its execution. Fixed now

Scroll to top

Version 2.4.0.1

  • Export as SQL Script: now you can specify the DBMS for which the script should be generated
  • BLOB Editor now supports BINARY and VARBINARY field types
  • Linked Servers: now you can see the tables and views contained by a linked server
  • Extract Database: now views and procedures are arranged in accordance with the object dependencies in the target script
  • DB Explorer: the 'Add to Projects' command implemented; now objects can be added by specifying them in the corresponding dialog, and not only by dragging into the Projects folder
  • When duplicating an object into another schema, for some objects its definition used to change incorrectly in DDL generated. Fixed now
  • Grid: the 'Expand All' and 'Collapse All' context menu items added
  • Grid: the 'Save column sorting' option is added for the 'Save and restore layout' mode
  • Grant Manager: now User Editor and Role Editor can be called directly from this window
  • Naming Rules: XML index support implemented
  • CPU usage significantly decreased
  • For the fields allowing NULL value the 'Null' sign is indicated in table definition now
  • SQL Editor: for the queries which allow data insert the ability to import data into the table implemented
  • SQL Editor: the Code Completion tool did not start automatically. Fixed now
  • SQL Editor: in some cases the Results tab was not displayed. Fixed now
  • SQL Editor: in some rare cases the 'Range Check Error' message appeared during query execution
  • SQL Editor: upon opening object editor with the Ctrl+Enter shortcut used, the scheme was ignored. Fixed now
  • SQL Editor: the Ctrl+Shift+Enter shortcut for pointing out the corresponding item in the DB Explorer tree worked incorrectly. Fixed now
  • SQL Editor: the Code Completion tool used to work incorrectly with the "[" and the "]" symbols. Fixed now
  • SQL Editor: after dragging objects from DB Explorer to SQL Editor the Undo command worked improperly in some rare cases
  • SQL Editor: the 'Select All' command did not work correctly on text with long lines (more than 4096 symbols)
  • Restore Database: it was impossible to use logical backup device containing the space character(s) in its name. Fixed now
  • Job schedule, daily frequency: fixed the bug with improper handling of Daily frequency control (minutes used to be interpreted as hours and vice versa)
  • The size and Scale for input parameter type could not be set when creating new partition functions. Fixed now
  • Table Editor, Data tab: fixed the bug with incorrect displaying of the bit-typed fields in the 'SQL filter' mode
  • The dependencies were not displayed for XML schema collections. Fixed now
  • To avoid script errors, the name of XML schema collection is always quoted now when creating an XML-typed field
  • Import Data Wizard: when setting column correspondence for import from Excel, selecting a new column caused the cursor to move to the first column in the grid. Fixed now
  • Database Registration Info: when applying changes, the originality of database aliases used not to be checked. Fixed now
  • Visual Database Designer: switching to another visual scheme did not take any effect in context menu style. Fixed now

Scroll to top

Version 2.3.0.1

  • Editor Options: added the Key Mapping section that allows you to set shortcuts for SQL editors
  • XML Schema collections support is implemented
  • Query Builder: query execution plan is now displayed as a graphical diagram
  • Query Builder: queries containing user-defined functions are now supported
  • Dependency Tree: the diagram can now be printed
  • SQL Editor: now it is possible to rename and move query tabs
  • SQL Editor: ability to execute statement under cursor added
  • SQL Editor: query execution time is now displayed in the hh:mm:ss format
  • SQL Editor: the timer in status bar area used to stay running on after aborting query execution. Fixed now
  • SQL editors: now you can set a source code fragment as a comment with a single click
  • SQL editors: next Bookmark, Previous Bookmark context menu items added
  • SQL editors: with 'Trim trailing spaces' option on, an attempt to use Code Complete used to clear the whole line. Fixed now
  • SQL editors: dragging the field names from SQL Assistant works perfectly now
  • When opening Grant Manager window, it was impossible to edit statement permissions without forced refresh. Fixed now
  • HTML Report: now you can include user and role information into reports
  • HTML Report: ability to change header/footer of the report added
  • Extract Database: now provides an option adding the CREATE DATABASE statement to the script
  • Extract Database: server version is included into comments for the script now
  • Environment Options: now it is possible to set refreshing objects timeout. Refresh of the objects can be terminated after timeout expired if there is an active transaction that made any changes to metadata
  • The open/save backup file dialogs now look more like standard ones in behaviour
  • Import Data Wizard: with the 'Use transactions...' option disabled, in the 'Commit changes manually' mode you are now prompted for an action on transaction
  • Import Data Wizard: ability to resize the wizard window added
  • Import Data Wizard: the 'Division by zero' error used to appear after importing data with the 'Commit changes manually' option switched on. Fixed now
  • Import Data Wizard: having specified user-defined fields to import, the rest of them were filled with empty strings; so that the default values defined for the fields were not applied. Fixed now
  • Trigger Editor: when altering a trigger, the schema/owner name was not added to the trigger name in the generated script, that in some cases raised errors. Fixed now
  • Foreign key/check constraint editors: the 'Not for replication' option added
  • Visual Database Designer: it was impossible to drop table via the corresponding context menu item when just a field, not the table itself, was selected. Fixed now
  • Visual Database Designer: when dragging a table of a non-default schema (SQL Server 2005) from DB Explorer to the working area, an error used to appear and the table was not added. Fixed now
  • Grid: the 'Paste Cell' context menu item did not work in the Lite version. Fixed now
  • Grid: in some rare cases the data of of BIGINT fields were displayed improperly. Fixed now
  • Grid: with the 'Column auto-width' option enabled, BLOB field columns used to become too wide. Fixed now
  • SQL Script: confirmation of abort script execution added
  • Restore Database: it was impossible to type in backup file name in the corresponding window. Fixed now
  • Restore Database: prompt for database registration used to appear even if restoration was unsuccessful. Fixed now
  • Job Editor: fixed the bug with wrong script generation when you saved the job in which the created schedule was deleted
  • DB Explorer: it was unable to open index or trigger via the Recent Objects menu. Fixed now
  • DB Explorer: the context menu used to stay on top when switching between applications. Fixed now
  • DB Explorer: after table duplication the indices and triggers of the new table were not displayed in the tree. Fixed now
  • Export Data Wizard: with the 'Export empty tables' option disabled, on attempt to export an empty table there appeared an error containing no text. Fixed now
  • Export Data Wizard: in some cases, when exporting data to MS Excel, the 'Data format \ Styles' options used to work incorrectly. Fixed now
  • Export Data Wizard: when exporting data to MS Excel, the user-adjusted Boolean True format used to be ignored. Fixed now
  • Detach Database: having used the 'Clear connections' function, the database was still displayed in the DB Explorer tree and further attempts to access its objects returned errors. Fixed now
  • Many other small improvements and bug-fixes

Scroll to top

Version 2.2.0.1

  • SQL Editor: query execution plan is now displayed as a graphical diagram
  • SQL Formatter: formats SELECT, INSERT, UPDATE, DELETE queries (available from SQL Editor context menu)
  • Grid: when pasting records from the clipboard, you can now set correspondences between clipboard columns and query columns
  • Form View: Memo-fields editor is extended (can be customized within the Grid | Advanced section of the Environment Options dialog)
  • Blob View: 'Word Wrap' option for text added
  • Grid: 'Set to Empty String' and other similar operations do not result in posting records in the table any more
  • SQL Script: the progress of script execution is now displayed and the execution process can be stopped
  • SQL Script: several windows can now be opened simultaneously
  • SQL Script: SQL Script used to hang when a large (>10Mb) script was edited and Enable Parsing was on. Fixed now
  • SQL Script: now some additional statement types can be parsed
  • SQL Editor: query execution plan can now work with SQL Server 2005
  • SQL Editor: now there are no limitations for the size of edited scripts
  • Field Editor: default constraints now can be renamed
  • DTS Packages: now you can remove imported packages
  • Table Data: not all the records added with the following COMMIT in "Use transactions in Data tab of object editors, SQL Editor and Query Builder" mode (Environment Options | Tools) were displayed. Fixed now
  • Extract Database: with the "Insert COMMIT after each block" option on, COMMIT was added without corresponding BEGIN TRANSACTION. Fixed now
  • Extract Database: empty NOT NULL image fields used to be displayed incorrectly. Now fixed
  • Extract Database: dbo name was missing when generating INSERT INTO [dbo].[table_name]
  • Export as SQL Script: with the "Insert COMMIT after each block" option on, COMMIT was added without corresponding BEGIN TRANSACTION. Fixed now
  • Dependency Tree: wrong dependency order was shown for Assemblies, Aggregates, Partition Functions and Partition Schemas: the parent object used to be displayed after the dependent one. Fixed now
  • Visual Database Designer: changing the table name and editing the fields did not affect the currently opened graphical diagram. Fixed now
  • Reorder Columns, Duplicate Table, Extract Metadata: tables with timestamp/rowversion fields are processed correctly now
  • Switching program interface language took a long time if there were any databases connected. Fixed now
  • Database Properties: if the "auto file growth" option was off for a DB file, it could not be turned on. Fixed now
  • Attach Database: it was impossible to set login and password using SQL Authentication. Fixed now
  • Attach Database: the 'File name' field did not have the Explorer button to call the "Open File" dialog. Fixed now
  • UDF Editor: options of the 'For new columns only' group are processed properly now
  • DB Explorer: it was impossible to duplicate triggers and indices. Fixed now
  • DB Explorer: after dropping a trigger or index it was still displayed in the tree
  • Query Builder stores queries between sessions now
  • The 'Don't fill server lists in connection forms' option is added; the option disables retrieving information about all SQL servers available on the local network because in some rare cases it might take a long time
  • The border of the SQL Editor window is now painted according to the current visual scheme
  • Procedure Editor: if the FLOAT type was specified for a procedure parameter and had a value equal to 0, it used to be processed as NULL. Fixed now
  • Restore Database: sometimes due to the improper size of the dialog the directory tree at the Select Backup Set step was not seen. Fixed now
  • The corresponding documentation page did not open for some forms when pressing F1. Fixed now
  • Synonym Editor, Aggregate Editor: it was impossible to create an object when the <Default> scheme was selected because of wrong script generation. Fixed now
  • Create Database wizard: if log and data files had the same names when creating a database, the log file was not created. Fixed now
  • Aggregate Editor: if a parameter does not contain the at ("@") sign, it is added automatically now
  • Aggregate Editor: turning on the Max Size option disables the Size field now
  • Fixed the bug with the Code Completion drop-down list which could be partially covered with Windows Taskbar
  • On continuous holding F5 button to refresh the objects in DB Explorer they used to double. Fixed now
  • Table/Field Editor: identity seed is now displayed properly for values greater than 65536
  • Check Editor: the "Check existing data" option is not cleared anymore after compiling the current check
  • After renaming the object its name was not refreshed in DB Explorer context menu. Fixed now
  • For some forms the Refresh operation could not be performed with F5 key used. Fixed now

Scroll to top

Version 2.1.0.1

  • Partition functions and partition schemes are now supported
  • Added the ability to work with linked servers
  • German localization is implemented (Michael Albrecht)
  • Export/Import wizards: added the "Save Current Settings as Default" drop-down menu and the "Reset Saved Settings" option in Templates
  • New editor options added: trim trailing spaces, Drag and drop text, Group undo, Keep caret horizontal position
  • Grid: large queries were opened very slowly because the switch to Grid Mode Load All Rows was executed after the grid was filled. Fixed now
  • Export Data Wizard: added the 'Finish' button that runs the Wizard at any moment
  • Export as SQL Script and Extract Database wizards gave values of datetime type in the formats predefined in Windows settings, which sometimes caused execution errors. Fixed now
  • When creating a CLR user-defined data type, correct script is generated now
  • Unicode data are now displayed correctly for the system language for non-Unicode programs
  • Object editors: when pressing F5 in the subobjects lists, the 'Access Violation' error occurred. Fixed now
  • Window List: added the 'Close window' item to the context menu
  • The "Don't save query text" option available back in version 1.x of the program is now restored in SQL Editor
  • Grid: adding level bound by several fields caused “Invalid column name” error. Fixed now
  • Save Settings: multi-line keyboard templates were blank when imported from a file. Fixed now
  • Keyboard templates: the #Date tag gave the wrong date. Fixed now
  • Printing now works correctly in Aggregate, DDL Trigger and Synonym editors
  • Index editor: clicking the header of selected fields list returned the 'Access violation' error if the list was empty. Fixed now
  • SQL Script is now saved with any content of the editor
  • Allow parameters in SQL (Environment Options | Tools) for currently opened Query Builder and SQL Editor windows can now be activated; also, when running queries asynchronously, the values of parameters were not taken. Fixed now
  • Other small improvements and bug-fixes

Scroll to top

Version 2.0.5.1

  • When closing the program it gave a number of errors if no other programs were running. Now fixed
  • Field default values are now displayed correctly now when working with SQL Server 2005
  • SQL Editor: text search did not work when called from the context menu. Fixed now
  • SQL Editor: sometimes the Limit bar was displayed for grid. Fixed now
  • SQL Editor: code completion across databases did not work by table alias with owner (schema) not specified. Fixed now
  • SQL Editor: code completion by table aliases did not work after 10-15 table lines down the text. Fixed now
  • SQL Editor: when adding a new tab and trying to delete a row, the "Access Violation" error emerged. Fixed now
  • Database Registration Info: Display Options were not saved after closing/restarting the program. Fixed now
  • Now the size of stored procedure and UDF parameters is shown correctly
  • SQL Script: the "Access Violation" error arose upon calling Code Completion if there were no connected databases. Fixed now
  • DB Explorer: now the parameter information of some stored procedure types is displayed correctly in SQL Assistant
  • Grid: filtering by value that had an apostrophe (‘) character did not function. Fixed now

Scroll to top

Version 2.0.0.1

Basic features:

Latest SQL Server versions support

  • Full compatibility with all SQL Server versions from 7 to 2005
  • Full support of SQL Server 2005 permission system
  • DDL Triggers, Synonyms and Aggregates support
  • Typed XML columns

Significantly improved user interface

  • New well-described Wizard System to perform complex tasks easily
  • Fast access to most essential actions using Navigation bars in most of the windows
  • New Windows Toolbar to switch windows easily, like in Windows Task Bar
  • Office 11 and Windows XP visual schemes support

Improved Database Explorer

  • Creating tabs for any tree node to access it in one-click
  • Work with multiple selected objects at a time
  • Much more convenient toolbar and context menu

New powerful tools to perform SQL Server administrative tasks

  • Server Properties and Database Properties windows
  • DTS Packages management tool

Visual Database Designer to handle database structure in a few clicks

  • Creating diagram of existing database using Reverse engineering tool
  • Dividing diagram into different subject areas located on separate pages
  • Navigating through diagram using preview navigation tool
  • Creating/editing/dropping tables and table fields visually setting links between them
  • Saving as image or printing database diagram
  • Two diagram notations (IDEF1x and IE)
  • A lot of visual customization options

New powerful data management tools

  • Plenty of useful tools such as data grouping, summarizing, fast searching and filtering
  • Master-Detail View to work with two linked tables at the same time
  • Table and Card Views to see data the way you like
  • Ability to copy and paste selected records
  • Advanced printing system
  • Fully customizable interface

Improved report management

  • The new Create Report Wizard allows you to create a simple report in a few clicks
  • Managing reports in the same way as if they were database objects: accessing reports directly through DB Explorer tree

and more...

Scroll to top

Version 1.8.5.1

  • Support of Microsoft® SQL Server 2005
  • When an error arises in SQL Editor or in the Changing Metadata window, the cursor is placed to the proper place now
  • Creating table: enhanced editing abilities in the Fields grid
  • Editor Options: added the 'Convert Tab character to spaces' option
  • SQL Editor: implemented the 'Don't save query text' option
  • SQL Editor: added an ability to reset current execution point - the corresponding item is added to the context menu
  • Table Editor: confirmation request was not displayed upon deletion of table subobjects even if the corresponding option was on. Now fixed
  • Query Builder: the WHERE part was parsed incorrectly if there were several IN operators - the list was duplicated
  • Timeouts did not work in SQL Script
  • Sometimes when disconnecting from a database, its objects were refreshed if viewing table subobjects was off
  • Grid: the time values were not shown on attempt to enter the edit mode for datetime fields
  • When trying to open a procedure with number (e.g. proc;1), there occurred an error saying that the procedure was not found in the database
  • The program hanged when using keyboard templates if Windows clipboard had the hash (#) sign
  • To-Do List: upon editing an item a second copy of the item used to appear in the list. Fixed now
  • Table Editor, the Dependency tab: tables with foreign keys referring to a currently opened table were not shown in the dependent objects list
  • If the Clustered checkbox was off when creating an index, keyword NONCLUSTERED was not added to the script, which led to creating a clustered primary key
  • Shortcuts for tabs did not work. Now fixed
  • Resolved the issue when the state of the main form window was not restored when running the application
  • It was impossible to edit fields having a dot (.) character or the 'on' word in their name. Now fixed
  • Code Completion did not work with table aliases which had the dollar ($) sign in their name, e.g. "TableName$". Now fixed
  • Editor Options: decreased the minimum possible value for Quick Code delay
  • Other small improvements and bug-fixes

Scroll to top

Version 1.8.0.1

  • Implemented the ability to generate names for the table subobjects on their creating automatically; you can customize the name templates or disable this option using the Naming Rules section of the Environment Options dialog
  • Extract Metadata: changed the sequence of some operator types to register possible dependencies between objects; included support for identity and calculated fields; added an ability to generate the IF EXISTS... DROP statements
  • SQL Editor: now it is possible to view the query results under the same tab with the query text
  • There is a new possibility to disable the Changing Metadata window using the corresponding option within the Confirmations section of the Environment Options dialog
  • Query Builder: the "Access Violation" error emerged on attempt to add a criterion and close the form. Fixed now
  • Table Data: the 'DataD: Cannot perform this operation on a closed dataset' error does not appear anymore
  • On creating a unique index you can now select whether to create an index or a constraint
  • Grid: added the possibility to set format for the money fields within the Grid tab of the Environment Options dialog
  • Table Data: fixed the bug when the Grid layout was not saved
  • The 'Make hidden Table Explorer visible on new table window' option is substituted for 'Hide Table Explorer'; a new button is added to the toolbar of Table Editor to show/hide the explorer
  • If a field was indexed, you could not change its type or the NOT NULL constraint - the script error arose. Fixed now
  • Extract Metadata & Export as Insert: when extracting BLOB data, the final bytes with 0x00 value were cut. Fixed now
  • Export Data Wizard: when the 'Current record only' option was selected the cursor jumped to the first record and the first record was exported. Fixed now
  • When running the program, it was impossible to shut down Windows. Fixed now
  • Print Metadata: fixed the bug when the Primary Key and Unique columns of table fields were not filled out
  • Now the 'Help | Send bug report to' main menu item allows you to access our Support Ticket System
  • The 'Class TSynEdit not found' error arose on attempt to open the localization form. Fixed now

Scroll to top

Version 1.7.0.1

  • Implemented a new form for creating tables: now it allows you to define all table fields before table creation
  • Import Data Wizard: added a possibility of defining the error log file name
  • Backup/Restore: while working with large databases, the operation was canceled by timeout in 30 seconds. Now the problem is solved
  • Fixed the following bugs concerned with Code Completion: processor loading was raised after the window "code completion" had been opened with a non-default localization used; the focus bounced back to the top of the list after one started typing; the view was not canceled in case a space character was entered or the cursor was moved after typing a letter or a number; there was a problem with re-opening the code completion window after inserting a keyword
  • Export as Insert: in float fields the dot (.) character is used as a fractional part separator now
  • The bug that caused only tree-choice of backup filename in case of using non-logical device is fixed now
  • Wrong script was generated when a Not Null field with a Unique constraint and without default value had been added. Fixed now
  • After a field with a unique non-constrained index was changed, wrong script was generated. Fixed now
  • Available permissions were defined incorrectly for UDF. Fixed now
  • Edit login: the password could not be cleared. Fixed now
  • Confirmation is requested now on attempt to delete query pages
  • Integer field changes (if the field was not in edit mode) were saved incorrectly. Fixed now
  • The font size changes in Environment Options were not applied to menus and toolbars. Fixed now
  • Corrected the "RecordIndex out of range" error that used to appear when editing database file list
  • The Row Guid flag could not be changed for fields with type "uniqueidentifier". Fixed now
  • Sometimes after upgrade to a new product version the language settings could not be changed. Fixed now
  • Export to XML: if table field names contained spaces, the summary file would not open. Fixed now
  • Changing Metadata window: now the editor font is determined by the database properties instead of the defaults used previously

Scroll to top

Version 1.6.0.1

  • Significantly improved the Export data dialog: now you can add notes, hyperlinks and charts based on exported data to Excel documents; you can also define graphical styles for column captions, data, footer, and header for export to RTF documents; ability to define strip styles is also included
  • Significantly improved Import Data Wizard to make most of EMS QuickImport 2 component suite new abilities available in MS SQL Manager: import from XML format is available now; a possibility of importing data from different Excel sheets is implemented; a possibility of importing formulas from Excel is added
  • We have implemented a new service - Backup Devices Manager: you can access this tool using the Services menu
  • SQL Editor: now you can use the Shift+Ctrl+Space key combination to view function parameters after you enter a function name in your code; the Shift+Ctrl+P key combination can be used to insert names of the function parameters into your code
  • Duplicate Table: in this version you can copy the table metadata and data to another schema/database
  • Added a new localization - Chinese (Simplified)
  • The Database Metadata log now contains only records that are executed completely and not rolled back
  • The SQL Editor log now contains only statements that are executed successfully. You can disable this feature using the corresponding option within the SQL Editor section of the Environment Options dialog
  • Now the program correctly displays all objects within the Dependencies tab
  • If a table contained a calculated field with more than 4000-char length, then the 'List index is out of bounds' error appeared. Now fixed
  • Form View: NULL values of date fields were displayed as 30.12.1899. Now fixed

Scroll to top

Version 1.5.0.1

  • Implemented two new services - Backup Database and Restore Database: you can access these tools through the Services menu
  • Data Grid: now you can filter data in the 'Load Visible Rows' mode; the program exports only the filtered data
  • Improved the reporting tools (Print Metadata and Print Data tabs of the program windows): added powerful filters for exporting data to different formats, such as XLS, RTF, HTML, BMP, JPEG and TIFF
  • Now the program compiles large procedures, views, user-defined functions and triggers without losing spaces in the object body
  • Now you can create fields flagged with the Not Null constraint without any problems
  • SQL Script: fixed a bug that caused the "Control 'tlMessages' has no parent window" error after successful script compilation
  • Now the program correctly creates fields with the Collation and the Default parameters defined; correct DDL is also built for tables that contain fields with these parameters
  • SQL Script: now the program correctly saves scripts upon pressing the Ctrl+S shortcut
  • Fixed a bug that caused high processor loading when typing text in SQL Editor if the selected interface language was different from default
  • Now the program correctly displays connection errors that appear when connecting to the database
  • If the database contained two procedures with names different only in character case, then the 'Index is out of bounds' error appeared. Now fixed
  • Fixed the 'Index is out of bounds' error that appeared on attempt to create a job schedule
  • If an operation caused many errors on the server, then the program returned only the last one; now all errors are returned
  • SQL Script: fixed a bug that caused incorrect word wrapping in the Messages window
  • Fixed a bug with a button on the Form View tab that shows BLOB content
  • View Editor: fixed a bug that sometimes caused the 'List index is out of bounds' error when switching between the Description and the Data tabs
  • Extract Metadata: now the program correctly extracts values of BIT fields
  • Small improvements and bug-fixes

Scroll to top

Version 1.4.0.1

  • Implemented four new services: Jobs, Job History, Alerts, and Operators; these services are available through the respective items of the Services menu
  • Added Romanian localization to the installation package
  • SQL Editor: the grid did not show results of any queries after executing query that returned empty dataset in asynchronous mode. Now fixed
  • The 'Class Tcxbutton not found' error appeared when trying to open the Keyboard Templates dialog. Now fixed
  • SQL Editor: Fixed bug with displaying number of affected rows when executing queries in asynchronous mode
  • SQL Script: The Rollback on Abort option works correctly now
  • Added the vertical scrollbar to the stored procedure parameters dialog; now you can define the procedure parameters without any difficulties
  • Fixed the bug giving the 'Insufficient key column information for updating or refreshing' error when refreshing query results
  • Fixed several bugs in the Code Insight system; now the system correctly works with queries that contain aliases
  • Export data: now the Export dialog automatically adds the file extension to the file name
  • Now you can call the Replace Text dialog using the Ctrl+R keyboard shortcut in SQL Editor and in SQL Script editors

Scroll to top

Version 1.3.0.1

  • Implemented the threaded query execution: now you can stop query execution at any time. To enable this feature, check the "Asynchronous query execution" option within the Tools tab of the Environment Options dialog
  • SQL Editor: now you can view the query execution plans. You can view the plans by pressing the corresponding button on the SQL Editor toolbar, or by checking the "Explain Query" option within the SQL Editor section of the Environment Options dialog
  • Now grids automatically switch to the "Load Visible Rows" mode on opening queries with a large amount of result rows
  • Now the DDL tab and the Extract Metadata Expert show object owners that differ from "dbo"
  • We have fixed a bug with stored procedure execution
  • Now the "Refresh" item of the DB Explorer context menu includes the type of object to refresh
  • Now the table explorer is correctly refreshed after deleting the table subobjects in the DB Explorer
  • Some small improvements and bug-fixes

Scroll to top

Version 1.2.0.1

  • Added the Services menu which contains two database services - Attach Database and Detach Database
  • Now you can run stored procedures directly from Procedure Editor
  • Now MS SQL Manager supports operation timeouts. You can setup the timeout values using the Timeouts panel available within the Tools section of the Environment Options dialog
  • Added the "Try to open server cursor" option to the SQL Editor section of the Environment Options dialog
  • The "Field 'Name' not found" error appeared on registering database for some servers. Now fixed
  • Now MS SQL Manager correctly opens tables with large NUMERIC and DECIMAL fields
  • Fixed a bug in the Code Completion system. Now it correctly displays view fields
  • Fixed a bug with comments on altering procedures and functions
  • The "Cannot focus a disabled or invisible window" error appeared in some cases. Now fixed
  • SQL Editor: fixed a bug when the "There is no active transaction" message appeared during query execution, with transactions disabled
  • Query Builder: fixed a bug with dragging and dropping tables from the explorer panel to the workspace
  • SQL Script: fixed bug in building the object tree, if the script contains objects, which names differ only by char cases
  • Editor Options: now you can customize colors for SQL functions and SQL data types
  • Now SQL Editor saves the cursor position for every script, which is currently opened
  • Added 'Copy' and 'Paste' items to the grid context menu
  • Now MS SQL Manager does not show the _WA_Sys_xxx indexes
  • A large amount of bug-fixes in Query Builder
  • Some small bug-fixes and improvements

Scroll to top

Version 1.1.0.1

  • Implemented an opportunity to view dependencies between database objects: this feature is accessible through the Dependencies tab of all Object Editors
  • Considerably increased connection speed
  • Now you can set almost all database options using the Database Properties dialog
  • Implemented Default Editor and Rule Editor
  • Now object names containing unavailable symbols are enclosed in square brackets []
  • Now text editors are displayed much faster than in the previous version
  • Fixed a bug with connection to database with SQL Authentication if the 'Password' field was not empty
  • The "Cannot sort a row of size XXXX, which is greater than the allowable maximum of 8094." message appeared upon connection to databases containing large objects. Now fixed
  • Fixed error "Field 'sql2' not found" that used to occur on connection to databases containing large triggers
  • Fixed the "Invalid column name 'Collation'" error that appeared on connection to the database if the 'Collation' property was set to a case-sensitive value
  • Now you need to confirm record deletion on pressing the Delete key in the grid
  • Fixed a bug with displaying object comments
  • The 'Login prompt before connection' option available in the Database Info dialog works properly now
  • All windows with text editors are displayed correctly now
  • Now View Editor generates correct update script if there is a comment before the view definition
  • Small bug-fixes and improvements

Scroll to top

Version 1.0.0.1

Basic features:

  • Easy management of all MS SQL objects: creating/dropping databases; creating/dropping/altering tables, views, procedures, etc.
  • Creating/dropping/altering all the table subobjects
  • Viewing/editing data in tables
  • Support of all MS SQL field types
  • Multiple database connections
  • Powerful Login Manager and Grant Manager
  • SQL Editor with syntax highlight
  • Visual Query Builder
  • Powerful BLOB Viewer/Editor that provides several ways of viewing BLOB data
  • Export data to 14 popular formats, including MS Access, Excel, RTF (Word), HTML, etc.
  • Import data from most popular formats, including MS Excel, Access, etc.
  • Customizable program interface
  • Detailed Help System and User's Guide

and more...

Scroll to top

See also:

What's new


EMS SQL Manager FAQ

Please read this page attentively if you have questions about EMS SQL Manager for SQL Server.

Table of contents

  1. What is EMS SQL Manager for SQL Server?
  2. What is the difference between Full and Freeware editions of EMS SQL Manager for SQL Server?
  3. What do I need to start working with EMS SQL Manager for SQL Server?
  4. Why cannot I connect to SQL Server?
  5. How can I customize data formats in a grid?
  6. How can I speed up my work with large tables?
  7. I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in EMS SQL Manager for SQL Server?
  8. How to connect to a named instance of SQL Server 2000 in EMS SQL Manager for SQL Server?
  9. I can access my server via an alternative port. I have searched for a setting in EMS SQL Manager for SQL Server to alter the connection port, but have not yet been able to locate this. How would I go about altering this port?
  10. What is the difference between the Export/Import functions in EMS SQL Manager for SQL Server tool and EMS Data Export/Import for SQL Server utilities?
  11. What is the difference between the Design Query module in EMS SQL Manager for SQL Server tool and EMS SQL Query for SQL Server utility?
  12. I can‘t modify DDL. Why?
  13. When I create database objects, their names are always converted to lower case. How can I prevent it?
  14. I have a table with ~ 1000 records only and a large number of columns. Opening this table on Data tab takes too much time.
  15. What is the difference between the Extract Database and Export As SQL Script functions?
  16. I’m trying to export table, but TEXT columns are not exported.
  17. How do I change the default directory where exported data will be saved?
  18. I get an error 'Timeout expired' when I try to execute a query in Query Data or when I perform some operations with database objects.
  19. I get the error "Debugger interface not registered on client" when trying to run the T-SQL Debugger.

Question/answer list

Q:

What is EMS SQL Manager for SQL Server?

A:

EMS SQL Manager for SQL Server is a powerful graphical tool for Microsoft SQL Server development and administration. It makes creating and editing MS SQL Server database objects easy and fast, and allows you to run SQL scripts, manage users and their privileges, build SQL queries visually, extract, print and search metadata, export data to 14 available formats and import them from most popular formats, view and edit BLOB fields, and much more.

Q:

What is the difference between Full and Freeware editions of EMS SQL Manager for SQL Server?

A:

These editions of SQL Manager for SQL Server differ in their functionality. Being a light edition, SQL Manager Freeware has certain restrictions, for example, it can handle not more than 5 databases, and some others. You can view the list of all functional differences between full and freeware versions at our Feature Matrix Page.

Q:

What do I need to start working with EMS SQL Manager for SQL Server?

A:

First of all you must have an opportunity to connect to some local or remote SQL Server from 2000 up to the latest one (We do not support SQL Server Compact Edition), Azure SQL Databases or Amazon RDS for Microsoft SQL Server. Besides you need your computer to satisfy the system requirements of SQL Manager for SQL Server.

Q:

Why cannot I connect to SQL Server?

A:

1. If your server is installed as named instance, use server name in form . SQL Server 2005 Express Editor has by default SQLEXPRESS instance name.

2. If you connect to the remote server, make sure that the connection is not blocked by firewall. Ask your system administrator to correctly open appropriate ports.

3. Make sure that SQL Server is started and you have correct login to access it.

4. Make sure that client protocols are correctly tuned. User SQL Server Configuration Manager on connection to SQL Server 2005 (it is installed with Native Client) or SQL Server Client Network Utility (system32 cliconfg.exe) on connection to earlier versions.

5. Make sure that remote connection is enabled on server and server protocols are correctly tuned. Use SQL Server Surface Area Configuration on SQL Server 2005 and SQL Server Network Utility (Program FilesMicrosoft SQL Server80ToolsBinnsvrnetcn.exe) on earlier server versions.

6. If you use named instance of server with dynamic TCP/IP port, make sure that SQL Browser service is running.

7. If you connect remotely, try using server IP address instead of its name to ensure that DNS works well.

Q:

How can I customize data formats in a grid?

A:

You can customize all display formats: integer, float, date, time and date/time in the Environment Options window on the Grid | Color & Formats tab.

Q:

How can I speed up my work with large tables?

A:

For your convenience and to speed up your work Data Grid allows customizing many data display parameters. Here are the most important of them (accessible through Database Registration Info dialog):

  • Limit options in table and view editors. The “Select all records of a table” option will enable you to see all table records without extra references to the server, yet in case of large tables or low speed connection channel the data may be fetched with huge delays and the incoming traffic might grow considerably.This mode is recommended when working with local databases or in a private network.
  • The “Select only” mode restricts the maximum number of records returned after the query. Man can't process a massive amount of information at once. Hence, we came up with this mode. This mode speeds up table data viewing considerably, prevents hanging and connection timeout. It is recommended to work with large tables, in case of low speed connection channels and when the traffic volume is of importance. This is a default mode.
  • Default Grid Mode. This option defines whether the requested rows will be loaded in the Grid all at once ("Load all rows"), or in parts ("Load visible rows") as the user scrolls down table data. The first mode increases the query opening time but speeds up scrolling. In the second mode the query opens very fast but there might be delays when navigating the grid.

We recommend that you set the following option values to achieve maximum efficiency when working with large tables:

  • Select only - On
  • Load visible rows - On

Q:

I need to perform some changes in database objects of my test database and then make the same changes on master database. Are there any tools for this purpose in EMS SQL Manager for SQL Server?

A:

Database Registration Info dialog contains Log tab where you can enable logging metadata changes that are performed on a database and SQL statements that are executed in Query Data.

Q:

How to connect to a named instance of SQL Server 2000 in EMS SQL Manager for SQL Server?

A:

If you have troubles in connection to a named instances of SQL Server 2000 please try the following:

- Run SQL Server Client Network Utility (system32cliconfg.exe) on client computer where EMS SQL Manager for SQL Server runs.

- Go to the second (Alias) tab of the Utility.

- Add a new server alias with Server Name in form and TCP/IP as Network library.

- Use the server alias name as host name on Database Registration Info dialog of EMS SQL Manager for SQL Server.

Q:

I can access my server via an alternative port. I have searched for a setting in EMS SQL Manager for SQL Server to alter the connection port, but have not yet been able to locate this. How would I go about altering this port?

A:

To connect to SQL Server 2005 on alternative port, do the following:

- Run SQL Server Configuration Manager (it is installed with Native Client) on client computer where SQL Manager runs.

- Select SQL Native Client Configuration | Aliases node.

- Add a new server alias and set port number, TCP/IP as protocol and server name.

- Use the server alias name as host name on Database Registration Info dialog of SQL Manager.

To connect to SQL Server 2000 or earlier on alternative port, do the following:

- Run SQL Server Client Network Utility (system32cliconfg.exe) on client computer where SQL Manager runs.

- Go to the second (Alias) tab of the Utility.

- Add a new server alias and set server name, port number and TCP/IP as Network library.

- Use the server alias name as host name on Database Registration Info dialog of SQL Manager.

Q:

What is the difference between the Export/Import functions in EMS SQL Manager for SQL Server tool and EMS Data Export/Import for SQL Server utilities?

A:

EMS Data Export/Import for SQL Server includes some additional features, which are not available in SQL Manager for SQL Server such as:

export/import data from/to several tables at once;

export/import data from/to tables selected from different databases on one host;

command line utility to export/import data using the configuration file with all the export/import options.

Q:

What is the difference between the Design Query module in EMS SQL Manager for SQL Server tool and EMS SQL Query for SQL Server utility?

A:

First of all, EMS SQL Query for SQL Server works faster as it is a much lighter product. Besides it provides additional features for query building, e.g.:

keeping query history, which allows you to rollback to any edited query;

various interface improvements for more productive and easy work.

Q:

I can‘t modify DDL. Why?

A:

The 'DDL' tabs of the Table Editor, View Editor, etc. are read-only. They display the definition of tables. To modify this text you can copy it to the clipboard and modify it using Query Data.

Q:

When I create database objects, their names are always converted to lower case. How can I prevent it?

A:

You need to switch off the “Convert created object's names to lower case” option in Environment Options dialog on the Tools | Object Editors tab.

Q:

I have a table with ~ 1000 records only and a large number of columns. Opening this table on Data tab takes too much time.

A:

You need to set Grid Mode for the table to 'Load Visible Rows'. Please right click on the table's grid and select Grid Mode | Load Visible Rows.

Q:

What is the difference between the Extract Database and Export As SQL Script functions?

A:

Export As SQL Script is intended to export table data that will be inserted into a database system other than MS SQL Server. Use Extract Database to copy data to a table on MS SQL Server.

Q:

I’m trying to export table, but TEXT columns are not exported.

A:

Columns of types TEXT, BINARY, IMAGE, etc. are not exported by default. You should select these columns manually on the columns tab.

Q:

How do I change the default directory where exported data will be saved?

A:

Follow the steps below to change directory.

- Right click on the database you need in DB Explorer and click on "Database Registration Info..." item in popup menu (you can also find this item in main menu "Database"). The Database Properties form will be opened.

- Click on the "Save Options" tab.

- In the "Default Directory for Export Data" section you can choose the default directory for export file.

Q:

I get an error 'Timeout expired' when I try to execute a query in Query Data or when I perform some operations with database objects.

A:

You need to increase timeout values on Tools | Timeouts tab of Environment Options dialog, or set them to 0 - unlimited.

Q:

I get the error "Debugger interface not registered on client" when trying to run the T-SQL Debugger.

A:

In order to debug code on the remote host the client machine must be configured as follows http://msdn.microsoft.com/en-us/library/cc646024.aspx.

Scroll to top

If you still have any questions, contact us at our Support Center.


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for PostgreSQL Creates backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export for RAD Studio VCL Advanced Data Export for RAD Studio VCL allows you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import for RAD Studio VCL Advanced Data Import for RAD Studio VCL will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator for RAD Studio Advanced PDF Generator for RAD Studio gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder for RAD Studio VCL Advanced Query Builder for RAD Studio VCL is a powerful component for Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report for RAD Studio Advanced Excel Report for RAD Studio is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer for RAD Studio VCL Advanced Localizer for RAD Studio VCL is an indispensable component for Delphi for adding multilingual support to your applications.
 | Scroll to top


Getting Started

SQL Manager for SQL Server provides you with an ability to contribute to efficient SQL Server administration and development using a variety of available tools easily and quickly.

The succeeding chapters of this document are intended to inform you about the tools implemented in SQL Manager for SQL Server. Please see the instructions below to learn how to perform various operations in the easiest way.

  • Selecting style and language
  • How the application looks when you start it for the first time
  • Using Desktop Panel
  • Database navigation
  • Working with database objects
  • Using context menus
  • Working with child windows

See the How to... chapter to view brief instructions on how to perform some operations on databases, database objects, etc.

Enjoy your work with EMS SQL Manager for SQL Server!

See also:

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Selecting style and language

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Selecting environment style and program language

Before you start SQL Manager for the first time, you have to choose the environment style and the interface language. You can change these settings any time using the Environment Options dialog (Options | Environment Options...) to configure the environment style and the Select Language dialog (Options | Select Program Language...) to change the program language.

Environment style

This switch allows you to define the main window behavior style - RadioButton MDI (like in MS Office applications) or RadioButton Floating windows (like Borland Delphi IDE).

Bar style for child forms

Here you can define the location of action buttons: RadioButton within the Navigation bar (on the left) and/or RadioButton on the Toolbar.

Program Language

Select the interface language from the list of available languages.

Getting started - Selecting style and language

See also:

First time started

Using Desktop Panel

Database navigation

Working with database objects

Using context menus

Working with windows


First time started

This is how SQL Manager for SQL Server looks when you start it for the first time. Use the Desktop panel to fulfill any of common tasks: Create a new database, Manage existing database(s), and several tasks that do not require database registration, i.e. Execute Script, accessing the reference system or using available Internet resources.

The main menu allows you to perform various Database operations, open To-Do List and activate/deactivate Database Explorer, SQL Assistant and various toolbars within the View menu, manage your databases using items of the Tools and Services menus, customize the application using the Options menu, manage SQL Manager Windows using Window List and other tools, view the Tip of the Day and access Registration information and product documentation, update the product to the latest version using the corresponding items available within the Help menu.

To start working with your SQL Server, you should first register one or several databases using Register Database Wizard.

By default the corresponding btnRegisterHost Register Host, btnRegisterDB Register Database buttons are available on the toolbar and within the Database menu.

When the database connection settings are specified, you can set connection to your database and proceed to Database navigation, Database Objects management, working with SQL queries and other tools of SQL Manager.

Getting started - First time started

See also:

Selecting style and language

Using Desktop Panel

Database navigation

Working with database objects

Using context menus

Working with windows


Using Desktop Panel

Desktop Panel is the area that is visible when no child windows are open in SQL Manager for SQL Server. The working area of Desktop Panel is divided into four sections: Getting Started, Database Tools, Help and Support, Internet Resources.

Getting started - Using Desktop Panel

Using the Desktop Panel items you can:

Getting Started

create a new SQL Server database

register existing database(s) to operate them afterwards in SQL Manager

create a new table within the current database using the New Table window (this item is available if there is at least one active database connection)

create a new database object within the current database (this item is available if there is at least one active database connection)

Database Tools

execute a script using Execute Script editor

execute a SQL query using Query Data editor (this item is available if there is at least one active database connection)

grant permissions on database objects to SQL Server users using Grant Manager (this item is available if there is at least one active database connection)

Help and Support

show this help file

use SQL Server reference

Internet Resources

visit SQL Manager Home Page

browse SQL Manager on-line documentation

go to Technical Support Center

look through the Frequently Asked Questions page

See also:

Selecting style and language

First time started

Database navigation

Working with database objects

Using context menus

Working with windows


Database navigation

After you have registered the required database(s), the corresponding alias(es) appear in the DB Explorer tree on the left. If the Show Hosts option is checked on the Environment Options | DB Explorer page, the host nodes are also displayed in the tree (alternatively, you can use the Show Hosts item of the Database context menu, or the drop-down menu of the btnViewMode View Mode toolbar button for the same purpose). If necessary, you can also specify that empty schemas should be hidden in the tree: use the corresponding option available on the DB Explorer page of the Environment Options dialog.

Getting started - Database navigation

DB Explorer displays all registered databases. Connected/disconnected databases can be easily distinguished in the tree: aliases of disconnected databases are grayed out.

Getting started - Database navigation - Disconnected DB

To connect to a database, simply double-click its alias (or select the database alias in DB Explorer and press Enter). If the connection is successful, the database node expands into a tree of objects. To select the types of objects to be expanded upon successful database connection, you can use the Expand on connection group of the Environment Options | DB Explorer page.

Now you can navigate within the database objects. Use SQL Assistant to get extended information about the currently selected object.

For your convenience objects having different status (e.g. enabled/disabled) are displayed with different icons in Database Explorer.

See also:

Selecting style and language

First time started

Using Desktop Panel

Working with database objects

Using context menus

Working with windows


Working with database objects

The nodes of the DB Explorer tree allow you to access server objects and objects of the selected database respectively. If SQL Server you are connected to supports certain types of objects, their nodes will appear in the tree.

Double-click an object group to expand/collapse the corresponding tree node.

Double-click an object to open it in the corresponding editor.

Right-click an object to display its context menu which allows you to perform various operations over the selected object or database.

Getting started - Working with database objects

If you want to use the DB Explorer tree for working with table subobjects (columns, indexes, Foreign keys, etc.), check the Show table subobjects option which is available within the General options group of the Environment Options | DB Explorer page (you can also use the Show Table Subobjects menu item in the drop-down menu of the btnViewMode View Mode toolbar button for the same purpose.)

Getting started - Working with database objects - View Mode

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Using context menus

Working with windows


Using context menus

The context menus are aimed at facilitating your work with SQL Manager for SQL Server: you can perform a variety of operations using context menu items.

Select an object in DB Explorer and right-click its alias to open the context menu.

  • Host context menu
  • Database context menu
  • Object context menu

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Working with database objects

Working with windows


Host context menu

The context menu of a host in the DB Explorer tree allows you to:

  • access server objects and some common services available in the Tasks submenu;
  • view/edit the selected host properties within the Server Properties dialog;
  • btnCreateDB create a new database on the selected host;
  • register a new database using btnRegisterDB Register Database Wizard;
  • btnUnregisterHost unregister the selected host;
  • configure representation of hosts and databases in Database Explorer;
  • create a new tab for the selected host to access it through this tab quickly and/or manage the existing tab;
  • iconFindObject search for an object within the tree.

Using context menus - Host context menu

See also:

Database context menu

Object context menu


Database context menu

The context menu of a registered database in the DB Explorer tree allows you to:

  • btnConnectToDB connect to the selected database (if connection to the database is not active yet);
  • btnDisconnectFromDB disconnect from the selected database (if connection to the database has been already set);
  • access database tools available in the Tasks submenu;
  • view/edit the btnDBProperties Database properties;
  • btnCreateDB create a new database on the host where the selected database resides;
  • iconDropDatabase drop the selected database;
  • register a new database using btnRegisterDB Register Database Wizard;
  • view/edit the selected database registration information within the btnDBRegistrationInfo Database Registration Info dialog;
  • btnUnregisterDB unregister the selected database;
  • btnUnregisterHost unregister the host where the selected database resides;
  • generate the script and open it in Query Data;
  • generate the script and copy its text to Windows clipboard;
  • configure representation of hosts and databases in Database Explorer;
  • iconRefresh refresh the selected database;
  • test connection to the database (or reconnect if connection has been already established);
  • btnNewTabFromHere create a new tab for the selected database to access it through this tab quickly and/or manage the existing tab;
  • iconFindObject search for an object within the tree.

Using context menus - Database context menu

Tasks submenu allows you to:

backup database

restore database

detach database

shrink database

manage indices

update statistics

check database

btnGrantManager manage privileges

btnExtractDB extract database objects and/or data to an SQL script

btnPrintMetadata print metadata

generate html report of the selected objects

iconToDoList create to-do list

See also:

Host context menu

Object context menu


Object context menu

The context menu of an object (e.g. table or view) in the DB Explorer tree allows you to:

  • create a new database object of the same type;
  • edit the selected object in its editor;
  • rename the selected object;
  • drop the selected object from the database;
  • iconDuplicateObject duplicate the selected object (create a new object with the same DDL structure and properties as the selected object has);
  • access common Tasks applied to this object;
  • perform data manipulation operations (for tables and views);
  • add object to favorite objects
  • btnDBProperties table properties;
  • define btnGrantManager grants for the selected object;
  • generate the object script and open it in Query Data;
  • generate the object script and copy its text to Windows clipboard;
  • iconRefresh refresh all objects of the selected object type;
  • view/edit the database registration information within the btnDBRegistrationInfo Database Registration Info dialog (for database objects);
  • btnNewTabFromHere create a new tab for the selected object to access it through this tab quickly and/or manage the existing tab;
  • iconFindObject search for an object within the tree.

Using context menus - Object context menu

See also:

Host context menu

Database context menu


Working with windows

The Windows Toolbar of SQL Manager allows you to switch between child windows easily, like in Windows Task Bar.

To activate the window you need, simply click one of the window buttons. To perform some additional actions with the window, right-click its tab and select the corresponding menu item from the popup menu.

Getting started - Switching windows

If you have multiple windows opened, you can also switch between them using the Ctrl+Tab shortcut.

The Number of open editors is restricted option available in the Windows section of the Environment Options options dialog allows you to set the maximum number of editors that may be opened simultaneously. When the number of editors exceeds the specified value, the previously opened editors will be closed automatically.

The Windows menu facilitates your work with SQL Manager windows.

The Windows menu allows you to:

  • view the Windows List within the corresponding tab of DB Explorer;
  • set all current windows cascade:

Getting started - Windows - Cascade

  • minimize all windows;
  • restore all windows;
  • tile all current windows horizontally:

Getting started - Windows - Tile Horizontal

  • tile all current windows vertically:

Getting started - Windows - Tile Vertical

  • set defaults to all windows;
  • reset all toolbars and menus;
  • close all windows;
  • close all editors of the specified object type (can be selected from the submenu);
  • switch to the previous window;
  • switch to the next window;
  • activate one of currently opened windows.

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Working with database objects

Using context menus


Database Explorer

Database Explorer (or DB Explorer) is the basic window of SQL Manager for SQL Server for navigation within databases and working with database and server objects. The tree-like structure of DB Explorer allows you to manage the databases, database and server objects and perform other everyday operations quickly and easily.

The following list contains the most frequently used features provided by Database Explorer.

  • Managing database registration info
  • Connecting to databases and hosts
  • Performing basic operations upon database objects
  • Selecting multiple objects
  • Navigating database objects using multiple tabs
  • Easy access to recently opened objects
  • Managing favorite objects
  • Searching within the tree
  • Viewing extended information about database objects
  • Configuring Database Explorer
  • Managing Favorite queries
  • Managing scripts

All objects are structured by their types and are available within the corresponding nodes of the tree. The number of objects of each type is displayed in brackets after the node name denoting the object type. To expand/collapse a node, you can double-click it or use the +/- icons. Alternatively, yu can use "Right"/"Left" buttons: when pressing "Left", first the subnodes of the current node are collapsed, after pressing again the parent node is focused and so on; when pressing "Right" the current node expands.

To view/hide the Database Explorer window, use the View | DB Explorer main menu item or press the F11 key.

DB Explorer - View

Use the Ctrl+Shift+C shortcut to collapse current DB Explorer tree branch and switch to the parent node.

Note that you can change host and database aliases order by dragging them within the DB Explorer tree.

See also:

Getting Started

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Managing database registration info

After you have created and/or registered your database in SQL Manager for SQL Server, you can perform a number of operations with the database using the context menu.

If you need to view/edit the registration information of a database, right-click the database alias in DB Explorer and select the Database Registration Info... context menu item to open the Database Registration Info dialog.

DB Explorer - Managing database registration info

See also:

Register Database

Database Registration Info

Database Properties


Connecting to databases

When the database registration is complete, you can establish connection to your database.

The simplest way to connect to a database is to double-click its alias in the Database Explorer tree. The same operation can be performed by selecting the Connect to Database item of the database alias context menu, or by using the Database | Connect to Database main menu item.

DB Explorer - Connecting to databases

Before working with server-scoped objects and services, a host connection must be established by selecting the Connect to Host item of the Server Objects node context menu, or by using the Database | Connect to Host main menu item.

DB Explorer - Connecting to host

Alternatively, you can use the Shift+Ctrl+C shortcut or the btnConnectToDB Connect to Database ( btnConnectToDB Connect to Host) toolbar buttons.

DB Explorer - Connecting to databases - Toolbar

See also:

Register Database

Database Registration Info


Operations with database and server objects

Database Explorer allows you to perform various operations with database objects and server objects.

To open an object in its editor, you can double-click the object in the DB Explorer tree.

You can also right-click an object within the DB Explorer tree and use its context menu to perform a number of operations:

  • create a new object (the New <object>... item);
  • edit currently selected object (the Edit <object_name>... item);
  • rename currently selected object (the Rename <object_name>... item);
  • drop the selected object from the database (the Drop <object_name>... item);
  • duplicate the selected object (the Duplicate <object_name>... item);
  • define grants for the selected object (the Grants for <object_name>... item).

Note that the context menu contains object-specific items only when the object is currently selected in DB Explorer.

DB Explorer - Operations with database objects

Using drag-and-drop operations you can add objects to Query Data, Design Query or Execute Script editor. For your convenience the Insert to editor dialog is implemented. The dialog allows you to specify the statement to be inserted into the editor: Name, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, Columns list, Name and Type. If necessary, set the Alias and Prefix for variable.

If more convenient, you can edit the generated statement manually (see Working with Query Data area).

DB Explorer - Insert to Editor

See also:

Database and Server Objects Management

Query Data

Selecting multiple objects


Selecting multiple objects

You can select more than one object in Database Explorer by pressing the Ctrl or the Shift key and selecting multiple objects one by one.

The context menu of several selected objects allows you to:

  • create a new database object of the same type;
  • edit the selected objects;
  • drop the selected objects;
  • perform other operations with the first of the selected objects (see Operations with database objects).

DB Explorer - Selecting multiple objects

Hint: You can move several objects to your projects: just drag and drop the selected objects to the previously created subfolder within the Projects node of DB Explorer.

See also:

Operations with database and server objects

Database and Server Objects Management

Managing favorite objects


Using tabs for database navigation

To make your work with Database Explorer even more convenient, the capability of working with several tabs is implemented.

You can use tabs when you wish to work with a particular node of the DB Explorer tree only: with one specific schema, or with tables of some schema, or with a specific database project. Creating such tabs will minimize scrolling within large trees, you only need to switch between them with a single click on the corresponding tab.

Creating tabs

In order to create a new tab:

  • right-click the node (e.g. the Tables node) for which you wish to create a tab and select the New Tab from Here... context menu item.

Note: A tab can be created only on the basis of a tree node. For example, if the Show Table Subobjects option is disabled in the View Mode menu, the New Tab from Here... item will not be available for tables, since none of them will be a tree node anymore.

DB Explorer - Using tabs - New tab

The specified tabs can be displayed in either of the two views:

  • as icons on the lower pane of DB Explorer:

DB Explorer - Using tabs - View as icons

  • as tabs with captions:

DB Explorer - Using tabs - View as tabs

Hint: You can reorder items in the tabs view by dragging their captions up and down.

To add/remove items to/from the tabs view, you can drag the horizontal splitter up/down:

DB Explorer - Splitter for tabs

or click the Configure buttons icon available in the bottom right corner of the DB Explorer window, and select Show More Buttons / Show Fewer Buttons / Add or Remove Buttons items from the popup menu.

DB Explorer - Using tabs - Add or remove buttons

Note: Navigation through the tabs is also possible with the help of the following shortcuts:

  • Ctrl+Shift+N - move to the next tab;
  • Ctrl+Shift+P - move to the previous tab.

Renaming tabs

In order to rename a tab:

  • switch to the tab by clicking its caption or icon (there can be only one active tab, and it is highlighted with a different color);
  • right-click within the DB Explorer area and select the Rename Current Tab... context menu item.

Removing tabs

In order to remove a tab:

  • switch to the tab by clicking its caption or icon (there can be only one active tab, and it is highlighted with a different color);
  • right-click within the DB Explorer area and select the Delete Current Tab context menu item.

See also:

Managing favorite objects

Windows List

Database and Server Objects Management


Recently opened objects

Use the Recent Objects btnRecentObjects button available on the DB Explorer toolbar to access the list of recently opened database objects (during the current session).

This list is common for all registered databases. Next to the object name the database name and the host/address are displayed. Select an object from this list to open it using its editor.

DB Explorer - Recently opened objects

To change the number of objects that are considered 'recent', select the Options | Environment Options main menu item, proceed to the Tools | DB Explorer section within the Environment Options dialog, and set the Recent objects count option value (see Environment Options for details).

See also:

Database and Server Objects Management

Environment Options


Managing favorite objects

Use the Favorite Objects node for each database to work with the selected objects of this database only. You can place any object from the database tree here.

You can also create a separate tab for your favorite object folder. See Using tabs for database navigation section for details.

DB Explorer - Managing projects - New Subfolder

Creating favorite objects folders

In order to create a new folder:

  • create a folder (if necessary, you can create subfolders inside the favorite objects folder) by right-clicking the Favorite Objects node and selecting the New Sub Folder... context menu item;
  • enter the folder name within the New Folder dialog.

DB Explorer - Managing projects - Adding objects

Adding objects

In order to add a new object to the favorite objects folder:

  • extent the Favorite Objects node in DB Explorer;
  • drag an object (or multiple objects) from the database tree to the favorite objects folder

or

  • right-click the favorite objects folder and select the Add Object... context menu item, or use the Ins key;
  • use the Select Object dialog to specify objects to be added to the favorite objects folder.

Removing objects from the favorite objects

In order to remove an object from the favorite objects:

  • right-click the object and select the Remove <object_name> from Favorite Objects context menu item, or use the Shift+Ctrl+Del shortcut;
  • confirm removing in the dialog window.

Note: This operation does not drop the object from the database, but only removes its alias from the favorite objects tree.

See also:

Using tabs for database navigation

Select Object dialog

Database and Server Objects Management


Searching within the tree

SQL Manager for SQL Server provides an ability to search for items within the DB Explorer tree. Searching for items may be useful if you have a lot of database objects, and it may be sometimes hard to find the one you need.

There are two search facilities implemented in SQL Manager for your convenience. You can search for objects within the DB Explorer tree in either of the following ways:

  • using the Find Object dialog

To call the Find Object dialog, right-click the Database alias, any database object group nodes or objects in the DB Explorer tree and select the Find Object... context menu item, or use the Ctrl+F shortcut.

DB Explorer - Find Object

Available search options are similar to those provided by the Find Text dialog. For detailed description of the search options refer to the Find Text dialog page.

Note: You can specify whether the search will be performed within the entire tree or within the currently selected node only: toggle search mode using the [image] Search by categories button on the Search Panel, or use the corresponding option available in the Tools | DB Explorer section of the Environment Options dialog.

  • using the Search Panel

Type in the first letters in the edit-box, and the corresponding object will be highlighted in the tree, as displayed in the picture below. The [image] [image] buttons allow you to define the search direction.

DB Explorer - Search Panel

By default, the Search Panel is activated in the upper area of DB Explorer. To disable the panel, right-click within the panel and deselect the checkbox at the corresponding popup menu item.

DB Explorer - Search Panel - Activate

Hint: The Search Panel is dockable, i.e. you can drag it to any location within the DB Explorer form.

See also:

Find Text dialog


SQL Assistant

SQL Assistant which is located at the bottom of the Database Explorer window helps you to work with your database objects. Depending on the current selection in DB Explorer, the SQL Assistant area displays additional information pertaining to the selected object.

DB Explorer - SQL Assistant

If you select a host in DB Explorer, SQL Assistant displays the list of registered databases that reside on this host.

If you select a database in DB Explorer, SQL Assistant displays the list of the database object groups and the number of objects in each group.

If you select a schema in DB Explorer, SQL Assistant displays the schema definition (by default).

Selecting an object group in DB Explorer displays the list of the objects in SQL Assistant. Double-clicking the object name in SQL Assistant makes the object available for editing in the appropriate editor. The context menu of the object or group of objects (selected with the Ctrl or Shift keys pressed) allows you to edit or drop the selected objects.

If you select a table or a view in DB Explorer, SQL Assistant displays the list of the table subobjects (e.g. columns and their types) by default. What is displayed in SQL Assistant when a table or a view is selected in DB Explorer depends on the Table Details / View Details selection. Click the btnViewMode View Mode toolbar button and select the Table Details | Show... (or View Details | Show...) drop-down menu item, or use the context menu of SQL Assistant. Possible values are: Show Columns, Show Foreign Keys, Show Checks, Show Indexes, Show Triggers, Show Table Info, Show DDL, Show Description (for tables); Show Columns, Show Indexes, Show Triggers, Show DDL, Show Description (for views).

If you select a procedure or a user-defined function in DB Explorer, SQL Assistant lists its parameters by default. Use the Procedure and UDF Details | Show... context menu item within the SQL Assistant area to define the content of SQL Assistant when a procedure or a user-defined function is selected in DB Explorer. Possible values are: Show Parameters, Show DDL, Show Description.

Selecting other objects in DB Explorer displays the definition in SQL Assistant by default. Use the Other Objects' Details | Show... context menu item within the SQL Assistant area to define the content of SQL Assistant when an object is selected in DB Explorer. Possible values are: Show DDL, Show Description.

DB Explorer - SQL Assistant - Object details

You can also use SQL Assistant to work with your queries quickly. You can drag-and-drop object aliases to the Query Data, Design Query or Execute Script editor working area, in the same way as this operation is performed in Database Explorer.

See also:

Database and Server Objects Management


Configuring Database Explorer

Configuring DB Explorer toolbar

The toolbar of Database Explorer contains most frequently used tools for working with databases and database objects, and a tool for configuring DB Explorer. The following actions are available in the toolbar by default:

  • create a new object;
  • refresh the current tree branch;
  • connect to a database;
  • disconnect from a database;
  • view the selected object properties;
  • configure Database Explorer using the View Mode menu;
  • view the list of recently opened objects;
  • jump to any of registered databases quickly.

Click More buttons... btnMoreButtons on the right side of the toolbar and use the Add or Remove Buttons popup menu items to define the set of actions available in the toolbar. To customize the toolbar, select the Add or Remove Buttons | Customize... item from the popup menu.

DB Explorer - Configuring DB Explorer - Toolbar

Configuring the Search Panel

Click More buttons... btnMoreButtons on the right side of the Search Panel and use the Add or Remove Buttons popup menu items to define the set of the panel elements. To customize the panel, select the Add or Remove Buttons | Customize... item from the popup menu.

DB Explorer - Search Panel - Customize

Using View Mode menu

Use the View Mode btnViewMode toolbar button to configure Database Explorer according to your needs.

The drop-down menu called upon clicking this button allows you to:

  • show/hide table subobjects as child nodes of tables;
  • show/hide view subobjects as child nodes of views;
  • show/hide host nodes for registered databases;
  • sort the list of databases by their aliases in the DB Explorer tree;
  • show/hide disconnected databases;
  • show/hide empty schemas;
  • configure table/view/procedure/UDF/other objects' details for the SQL Assistant area.

DB Explorer - Configuring DB Explorer - View Mode

Use the DB Explorer section of the Environment Options dialog (Options | Environment Options...) to see more options to configure Database Explorer.

See also:

Customize toolbars and menus

DB Explorer options


Managing Favorite queries

Favorite Queries is a new feature of SQL Manager. Now you are provided with an opportunity to save the most frequently used SQL queries as Favorite Queries.

Use the Favorite Queries node of DB Explorer to access the list of your Favorite queries quickly. Queries stored in the database and those stored in Windows registry can be easily distinguished by their icons.

Using the context menu you can create a new Favorite query or edit an existing one using Favorites editor, open any of the existing queries in Query Data or remove a query if you don't need it any longer.

DB Explorer - Managing Favorite queries

You can also create a separate tab for your Favorite queries. See Using tabs for database navigation section for details.

See also:

Using tabs for database navigation

Favorites editor


Managing scripts

Script files stored locally on the server can be easily accessed from the DB Explorer within the Scripts branch.

DB Explorer - Managing scripts

To create new script right-click the appropriate branch in the DB Explorer tree and select the iconNewScript New Script item. You will be asked for the script name. When the name is assigned the script appears in the DB Explorer tree and the Execute Script editor is opened.

Local Script - Setting script name

If a script is created in Execute Script editor and saved to the default folder, it will appear in the DB Explorer tree automatically.

It is also possible to create subfolders in the Scripts branch by selecting the New script folder context menu item. Folders created there are created physically as subfolders to the folder assigned as default for local scripts in the DB Registration info | Directories.

To change directory where local scripts to be stored use the Select Directory item of the Scripts context menu, or use the respective column of the DB Registration info | Directories dialog. If specified folder already contains scripts, these scripts will be added to the DBExplorer tree.

Using the context menu of a script you can:

iconOpenScript - open the script in the Execute Script editor,

rename the script,

iconDropScript - drop the script.

See also:

Execute Script

Database Explorer

Database Registration Info


Database Management

SQL Manager for SQL Server provides a number of tools you may need to manage your SQL Server databases.

Find the list of common database management operations for working in SQL Manager below.

Unregistering Hosts

In order to unregister a host in SQL Manager for SQL Server:

  • select the host to unregister in the DB Explorer tree;
  • select the Database | Unregister Host main menu item or use the corresponding btnUnregisterHost Unregister Host toolbar button

or

  • right-click the host alias and select the Unregister Host context menu item in the DB Explorer tree;
  • confirm unregistering in the corresponding dialog window.

Creating Databases

In order to create a database in SQL Manager for SQL Server:

  • select the Database | Create Database main menu item or use the corresponding btnCreateDB Create Database toolbar button;
  • set all the necessary options using Create Database wizard which guides you through the entire process of creating a new database.

Dropping Databases

In order to drop a database in SQL Manager for SQL Server:

  • select the database to drop in the DB Explorer tree;
  • select the Database | Drop Database main menu item;
  • confirm dropping in the corresponding dialog window.

Registering Databases

In order to register a single database in SQL Manager for SQL Server:

  • select the Database | Register Database... main menu item or use the corresponding btnRegisterDB Register Database toolbar button

or

  • right-click any database alias and select the Register Database... context menu item in the DB Explorer tree;
  • set all the necessary options using Register Database wizard which guides you through the entire process of database registration.

Unregistering Databases

In order to unregister a database in SQL Manager for SQL Server:

  • select the database to unregister in the DB Explorer tree;
  • select the Database | Unregister Database main menu item or use the corresponding btnUnregisterDB Unregister Database toolbar button

or

  • right-click the database alias and select the Unregister Database context menu item in the DB Explorer tree;
  • confirm unregistering in the corresponding dialog window.

Connecting to Databases

In order to connect to a database in SQL Manager for SQL Server:

  • select the database to connect to in the DB Explorer tree;
  • select the Database | Connect to Database main menu item or use the corresponding btnConnectToDB Connect to Database toolbar button

or

  • right-click the database alias and select the Connect to Database context menu item in the DB Explorer tree.

Disconnecting from Databases

In order to disconnect from a database in SQL Manager for SQL Server:

  • select the database to disconnect from in the DB Explorer tree;
  • select the Database | Disconnect from Database main menu item or use the corresponding btnDisconnectFromDB Disconnect from Database toolbar button

or

  • right-click the database alias and select the Disconnect from Database context menu item in the DB Explorer tree.

Viewing and Editing Database Registration Info

In order to view/edit database registration info in SQL Manager for SQL Server:

  • select the database or any of its objects in the DB Explorer tree;
  • select the Database | Database Registration Info... main menu item

or

  • right-click the database alias or any of its objects and select the Database Registration Info... context menu item in the DB Explorer tree.

Viewing and Editing Database Properties

In order to view/edit database properties in SQL Manager for SQL Server:

  • select the database in the DB Explorer tree;
  • right-click the database alias and select the Database Properties... context menu item or use the corresponding btnDBProperties Properties toolbar button.

Viewing and editing Server Properties

In order to view/edit server properties in SQL Manager for SQL Server:

  • select the host or a database that resides on this host in the DB Explorer tree;
  • right-click the host or the database alias and select the Server Properties context menu item.

See also:

Getting Started

Database Explorer

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Create Database wizard

Create Database wizard allows you to create a new database on your SQL Server host.

To start the wizard, select the Database | Create Database... main menu item, or use the btnCreateDB Create Database button on the main toolbar.

  • Setting database name
  • Setting connection properties
  • Defining database files
  • Defining transaction log files
  • Defining filestream files and filegroups
  • Setting recovery model and collation
  • Viewing result SQL statement

See also:

Register Database wizard

Database Registration Info

Database Properties


Setting database name

Use this step of the wizard to enter a name for the database being created.

Create Database Wizard - Setting database name

CheckBox Register after creating

Check this option to register the newly created database in SQL Manager (the Database Registration Info dialog will be opened after database creation).

Click the Next button to proceed to the Setting connection properties step of the wizard.


Setting connection properties

Use this step of the wizard to set the necessary connection parameters for the database being created. Use the corresponding boxes and options: Server name, Authentication, User name and Password.

Create Database Wizard - Setting connection properties

Specify the host where the database being created will reside: type in the host name in the Server name field or select one in the drop-down list.

Please note that if Microsoft® SQL Server™ is installed as a named instance, you should enter the name of your machine and the instance name in the Server name field in the following format: computer_name\sqlserver_instance_name (e.g. "MYCOMPUTER\SQLEXPRESS").

Authentication type

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: RadioButton Windows authentication or RadioButton SQL Server authentication. It is strongly recommended to avoid using SQL Server authentication with "sa" as the login.

If 'SQL Server' has been selected as the authentication type, you should also provide authorization settings: User name and Password.

Click the Next button to proceed to the Defining database files step of the wizard.


Defining database files

This step of the wizard allows you to define database files for the new database.

Here you can specify that the disk files used to store the data portions of the database (data files) are defined explicitly, and fill the list of file items defining the data files for the primary file group.

To add a data file, right-click in the main working area and select the iconPlus Add File popup menu item.

To remove a data file, right-click the file in the list and select the iconMinus Delete File popup menu item.

Create Database Wizard - Defining database files

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique within the database.

The File Name and Path is the name of the physical file including the directory path. The path must follow the rules for operating system file names.

File Group

The Primary file group contains the primary data file and any other files not specifically assigned to another file group. All pages for the system tables are allocated in the primary file group. User-defined file groups are any other file groups specified by the user.

Note: You can manage file groups for an existing database using the Filegroups section of the Database Properties dialog.

File size

Use the spinner control to specify the original size of the selected database file (in megabytes).

SQL Server 2005 (and higher) database files can grow automatically from their originally specified size. When you define a file, you can specify a file growth increment (in megabytes or in percent). Each time the file fills, it increases its size by the growth increment. If there are multiple files in a file group, they do not autogrow until all the files are full. Growth then occurs using a round-robin algorithm.

Each file can also have maximum file size specified. If CheckBox Unlimited is specified, the file can continue to grow until it has used all available space on the disk.

Note: After the database is created, you can manage database files using the Data files section of the Database Properties dialog.

Click the Next button to proceed to the Defining transaction log files step of the wizard.


Defining transaction log files

This step of the wizard allows you to define transaction log files for the new database.

Log files hold all of the log information used to recover the database. There must be at least one log file for each database, although there can be more than one. The recommended file name extension for log files is *.ldf.

To add a log file, right-click in the main working area and select the iconPlus Add File popup menu item.

To remove a log file, right-click the file in the list and select the iconMinus Delete File popup menu item.

Create Database Wizard - Defining transaction log files

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique within the database.

The File Name and Path is the name of the physical file including the directory path. The path must follow the rules for operating system file names.

File size

Use the spinner control to specify the original size of the selected transaction log file (in megabytes).

SQL Server 2005 (and higher) transaction log files can grow automatically from their originally specified size. When you define a file, you can specify a file growth increment. Each time the file fills, it increases its size by the growth increment. If there are multiple files in a file group, they do not autogrow until all the files are full. Growth then occurs using a round-robin algorithm.

Each file can also have maximum file size specified. If CheckBox Unlimited is specified, the file can continue to grow until it has used all available space on the disk.

Note: After the database is created, you can manage transaction log files using the Log files section of the Database Properties dialog.

Click the Next button to proceed to the Defining filestream files and filegroups step (for SQL Server 2008) or to the Setting recovery model and collation step of the wizard.


Defining files for memory-optimized data

This step of the wizard allows you to define filegroup and files for memory-optimized data tables of the new database.

Note: This step is available for SQL Server 2014.

Creating a memory-optimized filegroup is necessary for creating memory-optimized tables.

The memory-optimized filegroup holds one or more containers.

Use the Memory-optimized data files grid to add containers to the memory-optimized filegroup.

Create Database wizard - Defining memory-optimized files

To add a memory-optimized data file, right-click in the main working area and select the New Memory-Optimized Data File popup menu item.

To remove a memory-optimized data file, right-click the file in the list and select the Delete Memory-Optimized Data File popup menu item.

The Logical File Name is the name of the logical file storing the data used to refer to the physical file in all Transact-SQL statements.

Data Folder

The physical location of the data. The directory must be located on the server where the database resides. Use the ExplorerButton button to

open the SQL Server Folders dialog to select the preferable directory.

Each file can also have Maximum size specified. Use the spinner control to specify the original size of the selected database file (in megabytes).

If CheckBox Unlimited Size is specified, the file can continue to grow until it has used all available space on the disk.

Name of filegroup for memory-optimized data

Specify the name of the memory-optimized filegroup on the database.


Defining filestream files and filegroups

This step of the wizard allows you to define filestream files and filegroups for the new database.

Note: This step is available for SQL Server 2008 (and higher).

In SQL Server 2008, FILESTREAM enables the application to store unstructured data (such as text documents, images, videos, etc.) on the file system. FILESTREAM integrates the SQL Server Database Engine with an NTFS file system by storing varbinary(max) binary large object (BLOB) data as files on the file system. Transact-SQL statements can insert, update, query, search, and back up FILESTREAM data. Win32 file system interfaces provide streaming access to the data.

To add a filestream file, right-click in the main working area and select the iconPlus Add Filestream File popup menu item.

To remove a filestream file, right-click the file in the list and select the iconMinus Delete Filestream File popup menu item.

Create Database wizard - Defining filestream files and filegroups

The Logical File Name is the name of the logical file storing the data used to refer to the physical file in all Transact-SQL statements.

Directory

The physical location of the data. The directory must be located on the server where the database resides.

Filegroup Name

Specify the name of the filestream filegroup.

CheckBox Read Only

Specifies that the filestream filegroup is read-only. Updates to objects that reside in this filestream filegroup are not allowed. The default fiestream filegroup cannot be read-only.

CheckBox Default

The filestream fields data will be stored in this filestream filegroup if none was specified for the table.

Note: After the database is created, you can manage filestream files using the Filestream files and filegroups section of the Database Properties dialog.

Click the Next button to proceed to the Setting recovery model and collation step of the wizard.


Setting recovery model and collation

This step of the wizard allows you to set recovery model and collation for the new database.

Create Database Wizard - Setting recovery model and collation

Recovery model

SQL Server recovery models are used for backup and restore operations. A recovery model is a database property that controls the basic behavior of backup and restore operations for a database: how transactions are logged, whether the transaction log requires backup, what kinds of restore operations are available, etc.

RadioButton Full

When this recovery model is set, all transactions are fully logged and all the transaction log records are retained until after they are backed up. In the Enterprise Edition of SQL Server, the full recovery model allows a database to be recovered to the point of failure, assuming that the tail of the log has been backed up after the failure.

RadioButton Bulk-logged

When this recovery model is set, most bulk operations are minimally logged (e.g. index creation and bulk loads), and other transactions are fully logged.

RadioButton Simple

When this recovery model is set, most transactions are minimally logged: only the information required to ensure database consistency after a system crash or after restoring a data backup.

For detailed information concerning recovery models refer to SQL Server documentation.

Database collation

Use the drop-down list to specify collation for the database being created. By default, the server collation is used.

When you are done, click the Run button to view the result SQL statement.


Setting SQL Azure Database options

On this step of the wizard you can set options specific for Azure SQL Database.

Create Database wizard - Setting Azure SQL Database options

Database Edition

Here you can set the edition of the SQL Azure database.

RadioButton Basic

Small databases with a single operation at a given point in time.

RadioButton Standard

Workgroup and cloud applications with multiple concurrent transactions.

RadioButton Premium

Mission-critical, high transactional volume with many concurrent users.

RadioButton Web

Web apps, workgroup, dept. apps, and other lightweight database workloads.

RadioButton Business

Lightweight database workloads that require larger sizes than supported with Web.

Note: Web and Businesss editions will be retired September 2015.

Performance Level

Use the drop-down list to select the Performance Level for the database. Performance levels are specific for the selected database edition.

Maximum size

Specifies the maximum size of the database. This value must be valid for the specified Edition.

Click the Next button to proceed to the Setting database collation step of the wizard.


Setting database collation

This step of the wizard allows you to set the collation for the new database.

Create Database wizard - Setting SQL Azure Database collation

Database collation

Use the drop-down list to specify collation for the database being created. By default, the server collation is used.

Note: SQL Azure Database collation cannot be changed after the database is created.

When you are done, click the Run button to view the result SQL statement.


Viewing result SQL statement

View the result CREATE DATABASE statement issued for the new database creation. You can alter the script manually, if necessary. For more information see Changing Metadata window.

Create Database Wizard - Viewing result SQL statement

If the CheckBox Register after creating option was checked at the Setting database name step of the wizard, the Database Registration Info dialog will appear.


Register Database wizard

Register Database Wizard allows you to register a single database.

To start the wizard, select the Database | Register Database... main menu item, or use the btnRegisterDB Register Database button on the main toolbar. You can also use the Shift+Alt+R shortcut for the same purpose.

  • Setting connection parameters
  • Setting specific options

See also:

Create Database wizard

Database Registration Info

Database Properties


Setting connection parameters

Use this step of the wizard to set the necessary connection parameters for the new database using the corresponding boxes and options: Host name, Authentication, User name and Password.

Register Database wizard - Setting connection parameters

Specify the host where the database being registered resides: type in the host name in the Server name field or select one in the drop-down list.

Please note that if Microsoft® SQL Server™ is installed as a named instance, you should enter the name of your machine and the instance name in the Host name field in the following format: computer_name\sqlserver_instance_name (e.g. "MYCOMPUTER\SQLEXPRESS").

Authentication type

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: RadioButton Windows authentication or RadioButton SQL Server authentication. It is strongly recommended to avoid using SQL Server authentication with "sa" as the login.

If 'SQL Server' has been selected as the authentication type, you should also provide authorization settings: User name and Password.

CheckBox Trust server certificate

If you use this option, the connection process skips the trust chain validation. In this case, the application connects even if the certificate can't be verified.

If necessary, you can start SQL Server Configuration Manager which is provided by Microsoft® for configuration management of SQL Server services, server/client protocols and client aliases.

Click the Next button to proceed to the Setting specific options step or to the Selecting databases step of the wizard, depending on whether the CheckBox Register a single database option has been selected or not.


Selecting databases

This step of the wizard allows you to select the database(s) that reside on the host for registration in SQL Manager.

To select a database, you need to move it from the Available databases list to the Selected databases list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Register Database wizard - Selecting databases

Click the Next button to proceed to the Setting specific options step of the wizard.


Setting specific options

This step of the wizard allows you to set the database name, database alias, and registration options (using the General and Logs tabs).

Register Database wizard - Setting specific options - General

The General tab allows you to set common database registration options:

Database name

Type in or use the drop-down list to select the database to be registered.

Database alias

Enter the alias to be used to display the database in DB Explorer and SQL Manager tools. By default, a database alias generated by the application has the following format: <database_name> on <host_name[\instance_name]>

CheckBox Login prompt before connection

Enables SQL Manager for SQL Server to prompt for user name and password each time you connect to the database.

CheckBox Autoconnect at startup

With this option set, connection to the registered database is established automatically at application startup.

CheckBox Refresh objects on connection

This option allows you to enable/disable refreshing objects on connection to the database. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.

CheckBox Show system objects

If this option is checked, SQL Server system objects will be displayed in DB Explorer.

Register Database wizard - Setting specific options - Logs

The Logs tab allows you to set log options for the database:

CheckBox Enable log of metadata changes

Check this option if you wish to log metadata changes of your database in a file.

Log file

This field is enabled if the Enable log of metadata changes option is selected. Type in or use the btnSaveAs Save as button to specify the path to the *.sql file to store the metadata logs.

CheckBox Enable log of Query Data queries

Check this option if you wish to log your Query Data queries in a file.

Log file

This field is enabled if the Enable log of Query Data queries option is selected. Type in or use the btnSaveAs Save as button to specify the path to the *.sql file to store the logs of SQL queries.

CheckBox Is Unicode

Enable this option to save logs in Unicode. If the option is disabled, ANSI will be used.

Click the Finish button when done to start working with the newly registered database in SQL Manager for SQL Server.


Database Registration Info

Use the Database Registration Info dialog to view and edit the registration properties of the database.

To open the dialog, select the database or any of its objects in the DB Explorer tree, then select the Database | Database Registration Info... main menu item, or right-click the database alias in DB Explorer and use the Database Registration Info... context menu item. You can also use the btnDBRegistrationInfo Database Registration Info... button on the main toolbar.

  • Editing connection properties
  • Setting database options
  • Setting display options
  • Setting default directories
  • Setting log options
  • Setting data options
  • Find Option

See also:

Register Database wizard

Create Database wizard

Database Properties


Connection

The Connection section of the Database Registration Info dialog allows you to view and/or edit the connection properties in the corresponding boxes: Host name, Authentication, User name, Password, Database name, Database alias, Font charset, OLE DB Provider.

Database Registration Info - Editing connection properties

Server name

Stores the name of the Host where the database resides.

Authentication

Specifies the type of Microsoft® SQL Server™ authentication used for the connection:

RadioButton Windows authentication

Select this type if you wish to use Windows Integrated Security for the login.

RadioButton SQL Server authentication

Select this type if you wish to use SQL Server Authentication for the login. SQL Server Authentication stores logins and passwords in SQL Server and does not depend upon Windows. You can select SQL Server Authentication only if SQL Server Authentication has been enabled on the server.

User name

If necessary, edit the User name used to access the database (SQL Server authentication).

Password

If necessary, edit the Password used to access the database (SQL Server authentication).

CheckBox Trust server certificate

If you use this option, the connection process skips the trust chain validation. In this case, the application connects even if the certificate can't be verified.

CheckBox Data type compatibility

Use this option to apply date time custom mask to query results specified at Color & Formats.

Database name

Stores the name of the database.

Database alias

Stores the database alias which is displayed in the DB Explorer tree and SQL Manager tools. By default, a database alias generated by the application has the following format: <database_name> on <host_name[\instance_name]>

Font charset

Stores the character set used to display data in the grid.

OLE DB Provider

The list of drivers is based on the ones available in the system. Select the preferable OLE DB Provider to be used for the connection; it affects the program behaviour on processing some specific data types, such as XML and TIME, and on performing T-SQL statements.

Once you have specified the connection properties, you can check whether it is possible to establish connection to the database: click the Test Connect button for this purpose. If connection is successful, you will get the 'Connected!' message; otherwise an error message will be returned.

The Copy Alias from... menu allows you to select the alias of a previously registered database and use it for the newly created/configured database.


Options

The Options section of the Database Registration Info dialog allows you to set various options for the database.

Database Registration Info - Setting common database options

Customize common database options according to your needs. The detailed description is given below.

CheckBox Login prompt before connection

Enables SQL Manager for SQL Server to prompt for user name and password each time you connect to the database.

CheckBox Autoconnect at startup

Check this option to specify that SQL Manager for SQL Server automatically establishes connection to the registered database at application startup.

CheckBox Show system objects

This option determines whether SQL Server system objects are displayed in the DB Explorer tree.

CheckBox Refresh objects on connection

This option allows you to enable/disable refreshing objects on connection to the database. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.

CheckBox Don't use this database registration info to get server objects

If this option is enabled, the registration info of this database will not be used to establish server connection and get server objects (when expanding the Server Objects node in DB Explorer).

CheckBox Schema-organized database tree

If this option is disabled, the object tree is built without grouping into schemas (for SQL Server 2005 and higher).

CheckBox Ping server every ... seconds

If this option is ON, the program sends 'SELECT 1' statement every period specified to keep active connection to the server.


Display options

The Display Options section of the Database Registration Info dialog allows you to specify which objects will be displayed in the Database Explorer tree.

CheckBox Use custom color for DB editors

With this option unchecked the text color for editor tabs is black. To apply user font color check the option and select the color.

Database Registration Info - Setting display options

For your convenience the Select All and Deselect All functions are implemented in the context menu of the objects list area.

See also:

Database and Server Objects Management


Default directories

The Directories section of the Database Registration Info dialog allows you to set the directories to be used by default for database extract, data export, data import, saving HTML reports, creating reports, saving scripts operations.

Database Registration Info - Setting default directories


Logs

The Logs section of the Database Registration Info dialog allows you to specify log file names for metadata changes logging and SQL query logging, if necessary.

Logging can be useful when you are going to move the changes made in the development database to the production database.

Database Registration Info - Setting log options

Metadata changes

CheckBox Enable log of metadata changes

Check this option if you wish to log metadata changes of your database in a file.

Metadata log file

This field is enabled if the Enable log of metadata changes option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the metadata logs.

Query Data

CheckBox Enable log of Query Data queries

Check this option if you wish to log your Query Data queries in a file.

Query Data log file

This field is enabled if the Enable log of Query Data queries option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the logs of SQL queries: date/time of query execution, SQL text, execution result or errors (if any).

CheckBox In Unicode

Enable this option to save logs in Unicode. If the option is disabled, ANSI will be used.


Data options

The Data Options section of the Database Registration Info dialog allows you to define options for data view. These options will be applied only to this database. Default settings for newly registered databases can be defined on the Grid | Data Options page of the Environment Options dialog.

Database Registration Info - Setting data options

Default limit options in table and view editors

Define the number of records to be selected on opening the Data tab of Table Editor and View Editor:

RadioButton Select all records from a table

RadioButton Select only ... records (you should set the number of records using the corresponding spinner control)

Advanced

CheckBox Asynchronous query execution

Check this option to allow executing queries in background mode (asynchronously).

CheckBox Use transactions in object editors, Query Data and Design Query

If this option is enabled, a transaction is active until the 'Data' tab is closed or the 'Commit' button is pressed; all edited records are blocked until the transaction is committed. If this option is disabled, the transaction starts and is immediately committed (autocommit) on saving each record which is blocked only for a short period of time.

CheckBox Use separate connections for each data view within a database

Select this option to use a separate connection for each data view within a database. Disabling this option is recommended if maximum allowed number of connections is too low. Note that this option is only available when the Use transactions in Data tab of object editors, Query Data and Design Query option is enabled.

CheckBox Optimize fetching for connection with long response time

Select this option to use optimized methods of fetching data from the database if the response time for the connection is long (e.g. the database resides on a server in Internet).

Default Grid Mode

RadioButton Load visible rows

The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. The automatic sorting, filtering, summary calculations are not supported in this mode.

RadioButton Load all rows

The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

Default Grid Mode defines grid mode which will be used by default.

With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a very long time. But in this case you have some advantages: e.g. in the filter drop-down list the column headers are displayed with the values for quick filter; it is possible to open several sublevels at the same time when viewing data in master-detail view, etc.

Because opening and other operations with an object consisting of many records takes sufficient time the Load visible rows mode should be used instead. It can be set individually for each table and is saved between sessions (can be set through the context menu of the grid).

Load visible rows mode if records more than...

Set this option to switch to the Load visible rows mode when the number of records in the dataset exceeds the specified value.

See also:

Grid View

Grid options


DDL to Files

The DDL to Files section of the Database Registration Info dialog allows you to set options for saving database objects definitions to files.

Saving objects definitions to files allows using external tools for processing database scripts or using version control systems for their storage.

To launch the Database Registration Info dialog with DDL to Files tab opened use the Tools | DDL to Files | btnDBRegistrationInfo Options main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | DDL to Files | btnDBRegistrationInfo Options item of the context menu.

Database Registration Info - DDL to Files

CheckBox Write object definition to a file after compilation

Check this option if you want to save objects DDL after changing their definition and subsequent compilation.

Root folder for storing object definitions

Use the btnSelectDirectory button to select the directory for storing files with objects DDL. In order to make this data be under version control this directory must be a working copy.

File to store common options (relative path)

Enter the name of *.xml file that will contain the list of types of objects which definitions should be stored in files. This file contains templates of object file names as well.

Note: If you do not provide the full path to the file it is stored in the directory defined in the Root folder for storing object definitions field. To select another location use the btnSelectDirectory button.

Click the Edit File button to select object types and set templates for file names in the Options for Storing Object Definitions dialog.

File to store object file names (relative path)

Enter the name of *.txt file that will contain object names and file names respective to those objects.

Note: If you do not provide the full path to the file it is stored in the directory defined in the Root folder for storing object definitions field. To select another location use the btnSelectDirectory button.

Click the Edit File button to set file names in the Object File Names dialog.

CheckBox Confirm file name for new object

If this option is checked then you will be asked to set a file name for a newly created object in the Confirm Object File Names dialog. The file name for a new object is generated automatically based on defined templates but you can change it if needed.

Database Registration Info - DDL to Files - Confirm object file name

The following fields can be used for working with version control systems.

OS command after creating a file

Enter any command that will be executed after a file with object definition is created.

If you are using version control system then, for example, the following command can be entered: svn add {file_name} (for Subversion revision control system) where {file_name} stands for the respective newly created name of a file with object definition.

OS command before updating a file

Enter any command that will be executed before a file with object definition is updated.

If you are using version control system then, for example, the following command can be entered: ss checkout {file_name} -C- (for Visual Source Safe revision control system) where {file_name} stands for the respective name of a file with object definition being updated.

OS command after deleting a file

Enter any command that will be executed after a file with object definition is deleted.

If you are using version control system then, for example, the following command can be entered: svn del {file_name} (for Subversion revision control system) where {file_name} stands for the respective name of a file with object definition being deleted.

Click the Write All Objects Now button to save immediately all selected objects definitions to respective files set in the Object file names dialog. The content of already existing files will be updated.

Click the Generate Script... button to create an *.sql file containing definitions of all objects. The order of objects definitions is the same as in the Object file names dialog.


Options for storing object definitions

This dialog is used for selecting object types to be saved and setting templates for file names.

For objects of non-selected types definition is saved.

Database Registration Info - DDL to Files - Options for storing objects

Include the following object types

This grid contains the list of object types presented in a database. To select an object type check the corresponding checkbox in the Included column. For your convenience the Select All and Unselect All functions are implemented in the context menu of the list area.

Note: If subobjects (e.g. triggers) are included to save definition to separate files, their definition is excluded from definition of container object.

If you create or edit an object of the selected object type its definition is written to its corresponding *.sql file. Existing objects of the selected types can be chosen in the Object file names dialog.

The directory for storing same type objects is defined in the Subfolder for Object Files column. By default all folders have the same names as the corresponding object types.

Note: If you do not provide the full path to the folder it is stored in the directory defined in the Root folder for storing object definitions field. To select another location use the btnSelectDirectory button. This button appears on clicking the corresponding cell.

Templates of object file names

Use this group of options to define templates for file names that are used for storing objects definitions.

For your convenience tags are provided. You can use {object_name} tag both for schema and non-schema objects files templates. For schema objects a {schema_name} tag is available as well.

Files extension is optional.


Object file names

This dialog is used for managing objects that should be written to files and respective file names.

The order of objects definitions in the general script that is created on clicking the Generate Script... button coincides with the objects order in this list.

Database Registration Info - DDL to Files - Object File Names

If a database object is not added to this list its definition is not saved to file. To manage this list use the grid context menu.

To add all already existing database objects of selected types use the Add All Objects context menu item.

To add separate objects use the Add Objects... or Insert Objects... context menu item. Pick up needed object(s) in the opened Select Object dialog.

File names are generated automatically according to templates defined in the Options for storing object definitions dialog. You can change the file name and its path if needed by pressing the btnSelectDirectory button. For your convenience the Generate File Name option is available. If the File Name field is empty due to some reasons you can use this option to set the default file name based on corresponding templates.

You can add any *.sql files to this list that are not associated with objects definitions. For example, you can add a file with a script for filling up a table with data. Use the Add Files... or Insert Files... commands for this purpose. After the file is added to the list select the SQL as the Object Type for it and define the Object Name.

To remove files from the list use the Delete... context menu item. The multiple select is available.

Use the Select Not Found Objects context menu item to reveal objects that are presented in the list but do not exist in the database.

Use the Move up and the Move down context menu items to reorder the objects.


Find Option

The Find Option section allows you to search for options available within the Database Registration Info dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within the database registration options.

Database Registration Info - Find Option

The Available options area lists all options of the Database Registration category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Database Properties

The Database Properties dialog allows you to view/edit a number of properties which can be changed to optimize database performance.

To open the dialog, right-click the database alias in DB Explorer and select the Database Properties... context menu item, or use the btnDBProperties Properties button on the DB Explorer toolbar.

A number of database-level options that determine the characteristics of the database can be set for each database. Only the system administrator, database owner, members of the sysadmin and dbcreator fixed server roles and db_owner fixed database roles can modify these options. These options are unique to each database and do not affect other databases.

  • Information
  • Options

Tick Recovery options

Tick ANSI options

Tick SQL options

Tick Automation options

Tick Cursor options

Tick Advanced database options

  • Data files
  • Transaction log files
  • Filegroups
  • Filestream files and filegroups
  • Find Option

See also:

Register Database wizard

Create Database wizard

Database Registration Info


Information

The Information section of the Database Properties dialog allows you to view the database summary: Database name, Database owner, Total database size, Database available space, Total data size (used by data, used by indices, unused space), Total transaction log size (used space, unused space), Last full/differential/transaction log backup dates.

Database Properties - Information

See also:

Options

Data files

Log files

Filegroups

Filestream files and filegroups

Find Option


Options

The Options section of the Database Properties dialog allows you to view/edit options pertaining to the SQL Server database in groups: General, Recovery, ANSI, SQL, Auto, Cursor, FileTable, Advanced.

  • Recovery options
  • ANSI options
  • SQL options
  • Automation options
  • Cursor options
  • FileTable options
  • Advanced

Database Properties - Options

Options

CheckBox Read-only mode (READ_ONLY)

When this option is enabled, the database is in read-only mode. Users can retrieve data from the database, but cannot modify the data, because a read-only database does not allow data modifications:

a. Automatic recovery is skipped at system startup.

b. Shrinking the database is not possible.

c. No locking takes place in read-only databases, which can result in faster query performance.

CheckBox Can be source or target of cross-database ownership chain (DB_CHAINING)

When this option is checked, DB_CHAINING is enabled and the database can be the source or target of a cross-database ownership chain. When the option is unchecked, the database cannot participate in cross-database ownership chaining. You can change this option for user databases, but not for system databases.

CheckBox Database modules can access resources outside of database (TRUSTWORTHY)

When this option is on, database modules (for example, views, user-defined functions, or stored procedures) that use an impersonation context are allowed to access resources outside of the database.

State

RadioButton ONLINE

The database is open and available for use (enabled by default).

RadioButton OFFLINE

The database is closed and shutdown, and marked offline. The database cannot be modified while it is in the offline state.

RadioButton EMERGENCY

The database is marked READ_ONLY, logging is disabled, and only members of the sysadmin fixed server role can access the database.

Connection mode

RadioButton MULTI_USER

Allows all users with the appropriate permissions to connect to the database (enabled by default).

RadioButton RESTRICTED_USER

Allows only members of the db_owner fixed database role and dbcreator and sysadmin fixed server roles to connect to the database, but it does not limit their number.

RadioButton SINGLE_USER

Allows one user at a time to connect to the database. All other user connections are broken.

CheckBox Transparent data encryption (ENCRYPTION)

Enable the option to use encryption. Encryption of the database file is performed at the page level. The pages in an encrypted database are encrypted before they are written to disk and decrypted when read into memory.

Note: This option is available only for SQL Server 2008 databases and higher.

For SQL Azure databases the Options tab looks the following way:

Database Properties - SQL Azure Options

Database Edition

Here you can view the current edition of the SQL Azure database and change it, if necessary.

RadioButton Basic

Small databases with a single operation at a given point in time.

RadioButton Standard

Workgroup and cloud applications with multiple concurrent transactions.

RadioButton Premium

Mission-critical, high transactional volume with many concurrent users.

RadioButton Web

Web apps, workgroup, dept. apps, and other lightweight database workloads.

RadioButton Business

Lightweight database workloads that require larger sizes than supported with Web.

Note: Web and Businesss editions will be retired September 2015.

Performance Level

Use the drop-down list to select the Performance Level for the database. Performance levels are specific for the selected database edition.

Maximum size

Specifies the maximum size of the database. This value must be valid for the specified Edition.

See also:

Information

Data files

Log files

Filegroups

Filestream files and filegroups

Find Option


Recovery options

Recovery model

RadioButton FULL

Database backups and transaction log backups are used to provide full recoverability from media failure. All operations, including bulk operations such as SELECT INTO, CREATE INDEX, and bulk loading data, are fully logged.

RadioButton BULK_LOGGED

Logging for all SELECT INTO, CREATE INDEX, and bulk loading data operations is minimal and therefore requires less log space.

RadioButton SIMPLE

The database can be recovered only to the last full database backup or last differential backup.

Database Properties - Options - Recovery options

Detection of Incomplete I/O Operations

This group can be used to specify three options to discover incomplete I/O transactions caused by disk I/O errors:

RadioButton CHECKSUM

A checksum is taken over the contents of the entire page and stored in the page header when a page is written to disk. When a page is read from disk, the checksum is recomputed and compared to the checksum value stored in the page header.

RadioButton TORN_PAGE_DETECTION

A bit is reversed for each 512-byte sector in the 8-kilobyte (KB) database page when the page is written to disk. If a bit is in the wrong state when the page is later read, the page was written incorrectly; a torn page is detected.

RadioButton NONE

PAGE_VERIFY is set to OFF and future data page writes will not contain a CHECKSUM or TORN_PAGE_DETECTION bit and the page will not be verified at read time.

See also:

ANSI options

SQL options

Automation options

Cursor options

FileTable options

Advanced


ANSI options

CheckBox NULL is default for UDTs and columns (ANSI_NULL_DEFAULT)

When this option is enabled, all user-defined data types or columns that are not explicitly defined as NOT NULL during a CREATE TABLE or ALTER TABLE statement default to allowing null values. Columns that are defined with constraints follow constraint rules regardless of this option.

CheckBox Comparisons to null value evaluate to NULL (ANSI_NULLS)

When this option is enabled, all comparisons to a null value evaluate to NULL (unknown). When disabled, comparisons of non-Unicode values to a null value evaluate to TRUE if both values are NULL.

Database Properties - Options - ANSI options

CheckBox Warn on divide by zero and nulls in aggregate (ANSI_WARNINGS)

When this option is enabled, errors or warnings are issued when conditions such as "divide by zero" occur or null values appear in aggregate functions. When disabled, no warnings are raised when null values appear in aggregate functions, and null values are returned when conditions such as "divide by zero" occur.

CheckBox Not trim trailing blanks in varchar and varbinary (ANSI_PADDING)

When this option is enabled, trailing blanks in character values inserted into varchar or nvarchar columns and trailing zeros in binary values inserted into varbinary columns are not trimmed. Values are not padded to the length of the column. When disabled, the trailing blanks (for varchar or nvarchar) and zeros (for varbinary) are trimmed. This option affects only the definition of new columns.

See also:

Recovery options

SQL options

Automation options

Cursor options

FileTable options

Advanced


SQL options

CheckBox Concatenation is NULL if operand NULL (CONCAT_NULL_YIELDS_NULL)

When this option is enabled, if one of the operands in a concatenation operation is NULL, the result of the operation is NULL.

When disabled, concatenating a null value with a character string yields the character string as the result; the null value is treated as an empty character string.

CheckBox Allows identifiers in double quotation marks (QUOTED_IDENTIFIER)

When this option is enabled, identifiers can be delimited by double quotation marks and literals must be delimited by single quotation marks.

When disabled, identifiers cannot be in quotation marks and must follow all Transact-SQL rules for identifiers. Literals can be delimited by either single or double quotation marks.

CheckBox Allow triggers to fire recursively (RECURSIVE_TRIGGERS)

When this option is enabled, triggers are allowed to fire recursively. When disabled, triggers cannot be fired recursively.

Database Properties - Options - SQL options

CheckBox Terminate on overflow or divide by zero (ARITHABORT)

When this option is enabled, an overflow or divide-by-zero error causes the query or batch to terminate. If the error occurs in a transaction, the transaction is rolled back. When disabled, a warning message is displayed if one of these errors occurs, but the query, batch, or transaction continues to process as if no error occurred.

CheckBox Error on loss of precision (NUMERIC_ROUNDABORT)

If this option is enabled, an error is generated when loss of precision occurs in an expression. When disabled, losses of precision do not generate error messages and the result is rounded to the precision of the column or variable storing the result.

The Compatibility Level option group controls the behavior of an instance of Microsoft® SQL Server™, setting behavior to match a specified version of SQL Server.

Collation can be either a Windows collation name or a SQL collation name. By default, the server collation is used.

See also:

Recovery options

ANSI options

Automation options

Cursor options

FileTable options

Advanced


Automation options

CheckBox Shut down if no connected users (AUTO_CLOSE)

When this option is enabled, the database is closed and shut down when the last user of the database exits and all processes in the database complete, thereby freeing any resources. The database reopens automatically when a user tries to use the database again. When disabled, the database remains open even if no users are currently using the database.

CheckBox Auto create statistics on columns in predicates (AUTO_CREATE_STATISTICS)

When this option is enabled, statistics are automatically created on columns used in a predicate. Adding statistics improves query performance because the SQL Server query optimizer can better determine how to evaluate a query. If the statistics are not used, SQL Server automatically deletes them. When disabled, statistics are not automatically created; instead, statistics can be manually created.

Database Properties - Options - Automation options

CheckBox Auto update statistics when out-of-date (AUTO_UPDATE_STATISTICS)

When this option is enabled, existing statistics are automatically updated when the statistics become out-of-date because the data in the tables have been changed. When disabled, existing statistics are not automatically updated; instead, statistics can be manually updated.

CheckBox Asynchronous update (AUTO_UPDATE_STATISTICS_ASYNC)

When this option is enabled, queries do not wait for the statistics to be updated before compiling. Instead, the out-of-date statistics are put on a queue for updating by a worker thread in a background process. The query and any other concurrent queries compile immediately by using the existing out-of-date statistics.

CheckBox Auto shrink data and log files (AUTO_SHRINK)

When this option is enabled, the database files are candidates for periodic shrinking. Both data files and log files can be shrunk automatically by SQL Server. AUTO_SHRINK reduces the size of the transaction log only if the database is set to SIMPLE recovery model or if the log is backed up. When disabled, the database files are not automatically shrunk during periodic checks for unused space.

See also:

Recovery options

ANSI options

SQL options

Cursor options

FileTable options

Advanced


Cursor options

CheckBox Close cursor when transaction committed (CURSOR_CLOSE_ON_COMMIT)

When this option is enabled, any open cursors are closed automatically (in compliance with SQL-92) when a transaction is committed. When disabled, cursors remain open across transaction boundaries, closing only when the connection is closed or when they are explicitly closed.

Database Properties - Options - Cursor options

Cursor default (CURSOR_DEFAULT)

RadioButton LOCAL

The scope of the cursor is local to the batch, stored procedure, or trigger in which the cursor was created.The cursor name is valid only within this scope. The cursor can be referenced by local cursor variables in the batch, stored procedure, or trigger, or a stored procedure OUTPUT parameter.

RadioButton GLOBAL

The scope of the cursor is global to the connection. The cursor name can be referenced in any stored procedure or batch executed by the connection.

See also:

Recovery options

ANSI options

SQL options

Automation options

FileTable options

Advanced


FileTable options

These options are available for SQL Server 2012 only.

Database Properties - Options - FileTable

Non-transactional access to FILESTREAM data in FileTables

RadioButton Disabled

Check this option to disable non-transactional access. All the FileTable directories and their contents are no longer accessible or visible.

RadioButton Readonly

If this option is checked then all the FileTable directories and their contents are read-only

RadioButton Full

Check this option to enable full non-transactional access to FILESTREAM FileTables.

Directory name for FileTable data

Define the directory name to store in the FileTable.


Advanced

CheckBox Allow snapshot transaction isolation level (ALLOW_SNAPSHOT_ISOLATION)

If this option is enabled, SQL Server will execute snapshot transactions against the specified database when transactions are explicitly set to the SNAPSHOT transaction isolation level.

CheckBox Row versioning in Read Comitted level (READ_COMMITTED_SNAPSHOT)

If this option is enabled, transactions setting the read-committed isolation level use row versioning instead of locking.

CheckBox Additional log information for third party products (SUPPLEMENTAL_LOGGING)

When this option is enabled, additional information is added to the log for third-party products. Setting this option on will increase log space usage and may impact performance.

CheckBox Date correlation statistics in linked tables (DATE_CORRELATION_OPTIMIZATION)

If this option is enabled, SQL Server maintains correlation statistics between any two tables in the database that have DATETIME columns and are linked by a one-column foreign key constraint.

Database Properties - Options - Advanced

Service Broker options

RadioButton ENABLE_BROKER

Specifies that Service Broker is enabled for the specified database. The IS_BROKER_ENABLED flag is set to TRUE in the sys.databases catalog view and message delivery is started.

RadioButton DISABLE_BROKER

Specifies that Service Broker is disabled for the specified database. The IS_BROKER_ENABLED flag is set to FALSE in the sys.databases catalog view and message delivery is stopped.

RadioButton NEW_BROKER

Specifies that the database should receive a new broker identifier. Because the database is considered to be a completely new service broker, all existing conversations in the database are immediately removed without producing end dialog messages.

RadioButton ERROR_BROKER_CONVERSATIONS

Specifies that conversations in the database should receive an error message when the database is attached. This allows your applications to perform normal clean up for existing conversations.

Parametrization

RadioButton Simple Parametrization (SIMPLE)

Queries are parameterized on the basis of the default behavior of the database.

RadioButton Forced Parametrization (FORCED)

SQL Server parameterizes all queries in the database.

Containment

Contained Database is independent of the SQL Server Instance. All the database metadata and user information is stored inside the database itself.

RadioButton None

Check this option to make a non-contained database.

RadioButton Partial

Check this option to make a database partially contained. A partially contained database is a contained database that can allow some features that cross the database boundary (The boundary between a database and the instance of SQL Server or between a database and other databases). SQL Server includes the ability to determine when the containment boundary is crossed. The partially contained database can store important information in the database so the database still has the information after it is moved.

See also:

Recovery options

ANSI options

SQL options

Automation options

Cursor options

FileTable options


Resource usage

On this tab the results of the sys.resource_stats command are displayed. It returns CPU usage and storage data for an Azure SQL Database.

Database Properties - Resource usage


Data files

The Data files section of the Database Properties dialog allows you to specify that the disk files used to store the data portions of the database (data files) are defined explicitly, and fill the list of file items defining the data files for the primary file group.

To add a data file, right-click in the main working area and select the iconPlus Add file popup menu item.

To remove a data file, right-click the file in the list and select the iconMinus Delete file popup menu item.

Database Properties - Data files

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique within the database.

The File Name and Path is the name of the physical file including the directory path. The path must follow the rules for operating system file names.

File Group

The Primary file group contains the primary data file and any other files not specifically assigned to another file group. All pages for the system tables are allocated in the primary file group. User-defined file groups are any other file groups specified by the user.

Note: You can manage file groups for an existing database using the Filegroups section of the Database Properties dialog.

File size

Use the spinner control to specify the original size of the selected database file (in megabytes).

SQL Server 2005 (and higher) database files can grow automatically from their originally specified size. When you define a file, you can specify a file growth increment (in megabytes or in percent). Each time the file fills, it increases its size by the growth increment. If there are multiple files in a file group, they do not autogrow until all the files are full. Growth then occurs using a round-robin algorithm.

Each file can also have maximum file size specified. If CheckBox Unlimited is specified, the file can continue to grow until it has used all available space on the disk.

See also:

Information

Options

Log files

Filegroups

Filestream files and filegroups

Find Option


Log files

The Log files section of the Database Properties dialog allows you to manage transaction log files for the database.

Log files hold all of the log information used to recover the database. There must be at least one log file for each database, although there can be more than one. The recommended file name extension for log files is *.ldf.

To add a log file, right-click in the main working area and select the iconPlus Add file popup menu item.

To remove a log file, right-click the file in the list and select the iconMinus Delete file popup menu item.

Database Properties - Log files

The Name is a logical name used to refer to the physical file in all Transact-SQL statements. The logical file name must conform to the rules for SQL Server identifiers and must be unique within the database.

The File Name and Path is the name of the physical file including the directory path. The path must follow the rules for operating system file names.

File size

Use the spinner control to specify the original size of the selected transaction log file (in megabytes).

SQL Server 2005 (and higher) transaction log files can grow automatically from their originally specified size. When you define a file, you can specify a file growth increment. Each time the file fills, it increases its size by the growth increment. If there are multiple files in a file group, they do not autogrow until all the files are full. Growth then occurs using a round-robin algorithm.

Each file can also have maximum file size specified. If CheckBox Unlimited is specified, the file can continue to grow until it has used all available space on the disk.

See also:

Information

Options

Data files

Filegroups

Filestream files and filegroups

Find Option


Memory-optimized data files

The Memory-optimized data files section of the Database Properties dialog allows you to manage containers of the memory-optimized filegroup for the database.

Note: This section is only available for SQL Server 2014.

Creating a memory-optimized filegroup is necessary for creating memory-optimized tables.

The memory-optimized filegroup holds one or more containers.

Use the Memory-optimized data files grid to add containers to the memory-optimized filegroup.

Database Properties - Memory-optimized data files

To add a memory-optimized data file, right-click in the main working area and select the New Memory-Optimized Data File popup menu item.

To remove a memory-optimized data file, right-click the file in the list and select the Delete Memory-Optimized Data File popup menu item.

The Logical File Name is the name of the logical file storing the data used to refer to the physical file in all Transact-SQL statements.

Data folder

The physical location of the data. The directory must be located on the server where the database resides. Use the ExplorerButton button to

open the SQL Server Folders dialog to select the preferable directory.

Each file can also have Maximum size specified. Use the spinner control to specify the original size of the selected database file (in megabytes).

If CheckBox Unlimited is specified, the file can continue to grow until it has used all available space on the disk.

Name of filegroup for memory-optimized data

Specify the name of the memory-optimized filegroup on the database.

CheckBox Drop the filegroup

If the memory-optimized filegroup is no longer needed enable this checkbox. Note that the filegroup can be deleted only in case it is empty.


Filegroups

The Filegroups section of the Database Properties dialog allows you to manage filegroups for the database.

Each database has a PRIMARY filegroup which contains the primary data file and any secondary files that are not put into other filegroups. User-defined filegroups can be created to group data files together for administrative and data allocation/placement purposes.

Database Properties - Filegroups

All data files are stored in filegroups:

  • PRIMARY: the filegroup that contains the primary file. All system tables are allocated to the primary filegroup.
  • User-defined: any filegroup that is specifically created by the user when first creating or later altering the database.

Read Only

Specifies that the filegroup is read-only. Updates to objects that reside in this filegroup are not allowed. The PRIMARY filegroup cannot be marked read-only.

Default

When objects are created in the database without specifying to which filegroup they belong, they are assigned to the default filegroup. At any time, exactly one filegroup is designated as the default filegroup. The files in the default filegroup must be large enough to hold any new objects not allocated to other filegroups. Initially, the PRIMARY filegroup is the default filegroup.

See also:

Information

Options

Data files

Log files

Filestream files and filegroups

Find Option


Filestream files and filegroups

The Filestream files and filegroups section of the Database Properties dialog allows you to manage filestream filegroups for the database.

Note: This section is only available for SQL Server 2008 and higher.

In SQL Server 2008, FILESTREAM enables the application to store unstructured data (such as text documents, images, videos, etc.) on the file system. FILESTREAM integrates the SQL Server Database Engine with an NTFS file system by storing varbinary(max) binary large object (BLOB) data as files on the file system. Transact-SQL statements can insert, update, query, search, and back up FILESTREAM data. Win32 file system interfaces provide streaming access to the data.

To add a filestream file, right-click in the main working area and select the Add Filestream File popup menu item.

To remove a filestream file, right-click the file in the list and select the Delete Filestream File popup menu item.

Database Properties - Filestream files and filegroups

The Logical File Name is the name of the logical file storing the data used to refer to the physical file in all Transact-SQL statements.

Data folder

The physical location of the data. The directory must be located on the server where the database resides. Use the ExplorerButton button to

open the SQL Server Folders dialog to select the preferable directory.

Filegroup Name

Specify the name of the filestream filegroup.

CheckBox Read Only

Specifies that the filestream filegroup is read-only. Updates to objects that reside in this filestream filegroup are not allowed. The default fiestream filegroup cannot be read-only.

CheckBox Default

The filestream fields data will be stored in this filestream filegroup if none was specified for the table.

See also:

Information

Options

Data files

Log files

Filegroups

Find Option


Find Option

The Find Option section allows you to search for options available within the Database Properties dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within the database properties.

Database Properties - Find Option

The Available options area lists all options of the Database Properties category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.

See also:

Information

Options

Data files

Log files

Filegroups

Filestream files and filegroups


Database Registration Manager

Database Registration Manager allows you to register new databases and delete the registration of no longer needed databases, including non-existing ones.

To open Database Registration Manager use the corresponding item of the database context menu or the host context menu.

Database Registration Manager

The grid contains all databases located on the selected host. You can change Host selection using the appropriate drop-down list in the navigation bar.

Check databases you want to be registered.

Using the context menu you can:

  • select all databases,
  • uncheck all databases,
  • uncheck deleted databases,
  • refresh the list.

After the selection is made click the iconCommit Apply changes button to register selected databases.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Register Database wizard

Database Registration Info


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Database Registration Manager.

Database Registration Manager - Using navigation bar and toolbar

The Navigation bar of Database Registration Manager allows you to:

Host

iconHost select a host

General

iconRefresh refresh the list of databases

iconCommit apply changes - register selected databases

Selection

select all databases located on the host

iconUncheckAllDatabases uncheck all databases in the list

iconUnckeckDeletedDatabases uncheck databases deleted from the host

Legend

iconDB database existing on the host

iconRemovedDatabase database removed from the host

Items of the Navigation bar are also available on the ToolBar of Schema Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Server Properties

The Server Properties dialog allows you to view/edit a number of server options which can be changed to optimize Microsoft® SQL Server performance.

To open the dialog, right-click the database or host alias in DB Explorer and select the Server Properties... context menu item.

  • General options
  • Memory options
  • Processor options
  • Security options
  • Active Directory
  • Connection settings
  • Database Settings
  • Misc Server Settings
  • Advanced settings
  • Find Option

RadioButton Configured values

This option displays the configured values for options on this page. If you change these values, select Running Values to see whether the changes have taken effect. If they have not, the instance of SQL Server must be restarted first.

RadioButton Running values

This option displays the currently running values for options on this page. These values are read-only.


General options

The General section of the Server Properties dialog allows you to take a brief look at the general server configuration properties: Name, Product, Operating System, Platform, Version, Language, Memory, Processors, Root Directory, Server Collation.

Note: These properties are read-only.

Server Properties - General

Name

Indicates the name of the instance of SQL Server in the following format: computer_name\sqlserver_instance_name

Product

Indicates the full product name of SQL Server.

Operating System

Indicates the OS version and its build.

Platform

Indicates the OS and hardware configuration used on the server.

Version

Indicates SQL Server version.

Language

Indicates SQL Server language.

Memory

Indicates the amount of memory available on the machine where SQL Server is running.

Processors

Indicates the quantity of CPUs on the server machine.

Root Directory

Indicates the installation directory of SQL Server instance

Server Collation

Indicates the collation used on the server.


Memory options

The Memory section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting options pertaining to memory usage in groups: Server memory options, Other memory options.

Server Properties - Memory

Server memory options

RadioButton Dynamic memory configuration

Use the two server memory options, Minimum server memory and Maximum server memory, to reconfigure the amount of memory (in megabytes) in the buffer pool used by the instance of SQL Server.

By default, SQL Server can change its memory requirements dynamically on the basis of available system resources. The default setting for Minimum server memory is 0, and the default setting for Maximum server memory is 2147483647. The minimum amount of memory that can be specified for Maximum server memory is 16 MB.

RadioButton Locking working set

Allowing SQL Server to use memory dynamically is recommended; however, you can set the memory options manually and restrict the amount of memory that SQL Server can access.

CheckBox Use AWE memory

Under Windows Server 2003, SQL Server 2005 (and higher) can use Address Windowing Extensions (AWE) memory to further assist in balancing its own memory requirements with those of the operating system. This balancing between SQL Server and the operating system is subject to the constraints of the Minimum server memory and Maximum server memory options.

Other memory options

In SQL Server 2000/2005/2008 the Index creation memory option controls the maximum initial amount of memory allocated for index creation. If additional amount of memory is required for index creation operation, and it is available, the server will use additional memory thus exceeding the setting of this option. If additional memory is not available, the memory that has been already allocated will be used for index creation.

Use the Minimum memory per query option to specify the minimum amount of memory (in kilobytes) that will be allocated for execution of a query. For example, if Minimum memory per query is set to 2,048 KB, the query is guaranteed to get at least that much total memory. You can set Minimum memory per query to any value from 512 up to 2,147,483,647 KB (appr. 2 GB). The default value is 1,024 KB.


Processor options

The Processors section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting options pertaining to processors usage in groups: Enable processors, Threads, Parallelism.

Enable processors

To carry out multitasking, it is possible to distribute process threads among different processors. Although efficient from an operating system point of view, this activity can reduce SQL Server performance under heavy system loads, as each processor cache is repeatedly reloaded with data. Assigning processors to specific threads can improve performance under these conditions by eliminating processor reloads and reducing thread migration across processors (thereby reducing context switching); such an association between a thread and a processor is called processor affinity.

You can enable any or both two affinity mask options supported by SQL Server 2005 (and higher): CheckBox Automatically set processor affinity mask (also known as CPU affinity mask) and CheckBox Automatically set I/O affinity mask for all processors.

Server Properties - Processors

Threads

Use the Maximum worker threads option to configure the number of working threads available to Microsoft® SQL Server processes. SQL Server uses the native thread services of the Microsoft® Windows 2000 and Windows Server 2003 operating systems so that one or more threads support each network that SQL Server supports simultaneously, another thread handles database checkpoints, and a pool of threads handles all users.

Use the CheckBox Boost SQL Server priority option to specify whether SQL Server should run at a higher Windows 2000 or Windows 2003 scheduling priority than other processes on the same computer. If you set this option to 1, SQL Server runs at a priority base of 13 in the Windows 2000 or Windows Server 2003 scheduler. The default is 0, which is a priority base of 7.

Select the CheckBox Use Windows fibers (lightweight pooling) option to provide a means of reducing the system overhead associated with the excessive context switching sometimes seen in symmetric multiprocessing (SMP) environments. When excessive context switching is present, lightweight pooling can provide better throughput by performing the context switching inline, thus helping to reduce user/kernel ring transitions.

Parallelism

Use the Cost threshold for parallelism option to specify the threshold at which SQL Server creates and runs parallel plans for queries. SQL Server creates and runs a parallel plan for a query only when the estimated cost to run a serial plan for the same query is higher than the value set in Cost threshold for parallelism. The cost refers to an estimated elapsed time in seconds required to run the serial plan on a specific hardware configuration. Only set Cost threshold for parallelism on symmetric multiprocessors.

Use the Max number of locks option to set the maximum number of available locks, thereby limiting the amount of memory the Database Engine uses for them. The default setting is 0, which allows the Database Engine to allocate and deallocate lock structures dynamically, based on changing system requirements. When the server is started with locks set to 0, the lock manager acquires sufficient memory from the Database Engine for an initial pool of 2,500 lock structures. As the lock pool is exhausted, additional memory is acquired for the pool. Allowing SQL Server to use locks dynamically is the recommended configuration.

Use the Query wait option to specify the time in seconds (from 0 through 2147483647) that a query waits for resources before timing out. If the default value of -1 is used, or if –1 is specified, then the time-out is calculated as 25 times of the estimated query cost.

In Microsoft SQL Server, memory-intensive queries (such as those involving sorting and hashing) are queued when there is not enough memory available to run the query. The query times out after a set time calculated by SQL Server (25 times the estimated cost of the query) or the time specified by the nonnegative value of the query wait.

When SQL Server 2005 (and higher) runs on a computer with more than one CPU, it detects the best degree of parallelism for each instance of a parallel query execution. You can use the Max degree of parallelism option to limit the number of processors to use in parallel plan execution. The default value of 0 indicates that all available processors are used. Set Max degree of parallelism to 1 to suppress parallel plan generation. Set the value to a number greater than 1 (up to a maximum of 64) to restrict the maximum number of processors used by a single query execution. If a value greater than the number of available processors is specified, or in case the CheckBox Use all processors option is selected, the actual number of available processors is used. If the computer has only one processor, the max degree of parallelism value is ignored.


Security options

The Security section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting options pertaining to server security in groups: Server Authentication, Login auditing, Server Proxy Account, Other security options.

Server Authentication

RadioButton Windows Authentication mode

When a user connects through a Microsoft® Windows user account, SQL Server validates the account name and password using information in the Windows operating system. This is the default authentication mode, and is much more secure than the mixed mode. Windows Authentication utilizes Kerberos security protocol, provides password policy enforcement in terms of complexity validation for strong passwords, provides support for account lockout, and supports password expiration.

RadioButton SQL Server and Windows Authentication mode

This option enables the mixed mode and allows users to connect using either Windows Authentication or SQL Server Authentication. Users who connect through a Windows user account can make use of trusted connections that are validated by Windows.

Server Properties - Security

The Login auditing property exposes SQL Server Authentication logging behavior:

RadioButton None (does not log authentication attempts)

RadioButton Successful logins only (logs successful authentication)

RadioButton Failed logins only (logs failed authentication)

RadioButton Both successful and failed logins (logs all authentication attempts regardless of success or failure)

Server Proxy account

This option allows SQL Server users that do not belong to the sysadmin fixed server role to execute xp_cmdshell commands and to own SQL Server jobs. To get access to this feature, you must enter Proxy account name and Password.

Note that this option is only available when you use SQL Server 2005 (and higher). The login used by the server proxy account should have the least privileges required to perform the intended work. Excessive privileges for the proxy account could be used by a malicious user to compromise your system security.

Other security options

CheckBox Allow direct updates system tables

Turn this option on to modify system tables directly.

Note: System tables should not be changed directly by any user. It is not recommended to modify system tables with DELETE, UPDATE, INSERT statements or user-defined triggers.

CheckBox Use C2 audit tracing mode

Selecting this option will configure the server to record both failed and successful attempts to access statements and objects. This information can help you profile system activity and track possible security policy violations.


Active Directory

The Active Directory section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by managing its Active Directory: Add, Refresh, Remove.

Add SQL Server to Microsoft Active Directory when you want users to be able to use Active Directory to find this instance of SQL Server. This may be useful in large organizations with many instances of SQL Server.

Server Properties - Active Directory

Add

Add this instance of SQL Server to Active Directory.

Connects to Active Directory and registers the instance of Microsoft® SQL Server in the Active directory.

Refresh

Refresh the attributes of this instance in Active Directory.

Updates Active Directory with the current Microsoft® SQL Server properties.

Remove

Remove this instance of SQL Server from Active Directory.

Unregisters the instance of Microsoft® SQL Server from the Active Directory.


Connection settings

The Connections section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting options pertaining to connection in groups: Connections, Remote server connections.

Connections

Maximum number of concurrent connections

If this option is set to a value other than zero, the number of connections that SQL Server will allow is limited. The default value is 0 (unlimited).

Server Properties - Connections

Default connection options

Specifies the default connection options as described in the table below:

Configuration option | Description
CheckBox Disable deferred constraint checking | Controls interim or deferred constraint checking.
CheckBox Implicit transactions | Controls whether a transaction is started implicitly when a statement is run.
CheckBox Cursor close on COMMIT | Controls behavior of cursors after a commit operation has been performed.
CheckBox ANSI warnings | Controls truncation and NULL in aggregate warnings.
CheckBox ANSI padding | Controls padding of fixed-length variables.
CheckBox ANSI NULLs | Controls NULL handling when using equality operators.
CheckBox Arithmetic abort | Terminates a query when an overflow or divide-by-zero error occurs during query execution.
CheckBox Arithmetic ignore | Returns NULL when an overflow or divide-by-zero error occurs during a query.
CheckBox Quoted identifier | Differentiates between single and double quotation marks when evaluating an expression.
CheckBox No count | Turns off the message returned at the end of each statement that states how many rows were affected.
CheckBox ANSI NULL default on | Alters the session's behavior to use ANSI compatibility for nullability. New columns defined without explicit nullability are defined to allow nulls.
CheckBox ANSI NULL default off | Alters the session's behavior not to use ANSI compatibility for nullability. New columns defined without explicit nullability are defined not to allow nulls.
CheckBox Concat NULL yields NULL | Returns NULL when concatenating a NULL value with a string.
CheckBox Numeric round abort | Generates an error when a loss of precision occurs in an expression.
CheckBox Xact abort | Rolls back a transaction if a Transact-SQL statement raises a run-time error.

Remote Server Connections

CheckBox Allow remote connections to this server

Controls the execution of stored procedures from remote servers running instances of SQL Server. Selecting this check box has the same effect as setting the sp_configureremote access option to 1. Clearing it prevents execution of stored procedures from a remote server.

Remote query timeout (in seconds, 0 = no timeout)

Specifies how long (in seconds) a remote operation may take before SQL Server times out. The default is 600 seconds, or a 10-minute wait.

CheckBox Require distributed transactions for server-to-server communication

Protects the actions of a server-to-server procedure through a Microsoft® Distributed Transaction Coordinator (MS DTC) transaction.


Database Settings

The Database Settings section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting options pertaining to database in groups: Default index fill factor, Backup and restore, Recovery, Database default locations.

Default index fill factor

This value specifies how full SQL Server should make each page when it creates a new index using existing data. The fill factor affects performance because SQL Server takes time to split pages when they fill up.

The default value is 0; valid values range from 0 to 100. A fill factor of 0 or 100 creates clustered indexes with full data pages and nonclustered indexes with full leaf pages, but it leaves some space within the upper level of the index tree. Fill factor values 0 and 100 are identical in all respects.

With low fill factor values specified, SQL Server creates indexes with pages that are not full. Each index takes more storage space, but there is more room for subsequent insertions without requiring page splits.

Server Properties - Database Settings

Backup and restore

RadioButton Wait indefinitely

Specifies that SQL Server will never time out while waiting for a new backup tape.

RadioButton Try once

Specifies that SQL Server will time out if a backup tape is not available when needed.

RadioButton Try for ... minute(s)

Specifies that SQL Server will time out if a backup tape is not available within the defined period of time.

Default backup media retention (in days)

Provides a system-wide default for the length of time to retain each backup medium after it has been used for a database or transaction log backup. This option helps protect backups from being overwritten until the specified number of days has elapsed.

CheckBox Compressed backups by default

Check this option to enable default compression of backups.

Recovery

Recovery interval (minutes)

Sets the maximum period of time to recover a database. The default is 0, it stands for automatic configuration by SQL Server. In practice, this means a recovery time of less than one minute and a checkpoint approximately every one minute for active databases.

Database default locations

Data

Specify the default location for data files: type in the path in the Data field or use the ellipsis EllipsisButton button to browse for directory using the SQL Server Folders dialog.

Log

Specify the default location for log files: type in the path in the Log field or use the ellipsis EllipsisButton button to browse for directory using the SQL Server Folders dialog.


Misc Server Settings

The Misc Server Settings section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting miscellaneous server options in groups: General settings, Two-digit year support, Network settings.

General settings

Use the Default language for user drop-down list to select the default language for all newly created user logins.

CheckBox Allow triggers to fire other triggers

Use this option to specify whether server-level triggers can be fired recursively.

CheckBox Use query governor to prevent long-running queries

This option allows you to specify a limit on the time period in which a query can run. The query governor disallows execution of any query that has an estimated cost exceeding that value.

Server Properties - Misc Server Settings

Two-digit year support

Interpret two-digit year as falling between 1950 and ...

Use this option to specify an integer from 1950 to 9999 that represents the cutoff year for interpreting two-digit years as four-digit years.

Use the Network packet size option to set the packet size (in bytes) used across the entire network.

Use the Remote login timeout option to specify the time interval (in seconds) to wait before returning from a failed attempt to log in to a remote server.


Advanced settings

The Advanced section of the Server Properties dialog allows you to configure the instance of Microsoft® SQL Server by setting advanced server options in groups: Filestream access level, Database containment.

Server Properties - Advanced

Filestream access level

FILESTREAM enables SQL Server-based applications to store unstructured data, such as documents and images, on the file system. Applications can leverage the rich streaming APIs and performance of the file system and at the same time maintain transactional consistency between the unstructured data and corresponding structured data.

RadioButton Disable FILESTREAM support for this instance

Check this option to disable FILESTREAM feature for handling unstructured data.

RadioButton Enable FILESTREAM for Transact-SQL access

Enable this option to manage FILESTREAM data with Trancast-SQL statements (insert, update, query, search, and back up).

RadioButton Enable FILESTREAM for Transact-SQL and Win32 streaming access

Win32 file system interfaces provide I/O streaming access to the data. You can use Win32 to read and write data to a FILESTREAM BLOB.

Database containment

Contained Database is independent of the SQL Server Instance. All the database metadata and user information is stored inside the database itself.

CheckBox Allow contained database authentication

If this option is checked then contained databases can be created, or attached to the Database Engine.


Find Option

The Find Option section allows you to search for options available within the Server Properties dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within the server properties.

Server Properties - Find Option

The Available options area lists all options of the Server Properties category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Database and Server Objects Management

SQL Manager for SQL Server provides powerful tools to manage database and server objects.

To obtain detailed information concerning SQL Server database and objects, refer to the official Microsoft® SQL Server™ documentation.

Note: Before working with database and objects in SQL Manager for SQL Server you should connect to the database first.

Creating Database and Server Objects

To create a database or server objects:

  • select the Database | New Object... main menu item;
  • define whether to RadioButton Create Database Object or RadioButton Create Server Object;
  • select the type of object within the New Object dialog;
  • follow the steps of the wizard which guides you through the entire process of creating the object, or set the object properties using its editor - depending on the selected object type.

Note that you can also create a database object by selecting the appropriate context menu item of the DB Explorer tree or using the Ctrl+N shortcut.

Editing Database and Server Objects

To edit a database or server object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Edit <object type> <object name> context menu item, or double-click the object to open it in its editor.

Renaming Database and Server Objects

To rename a database or server object:

  • select the object to rename in the DB Explorer tree;
  • right-click the object and select the Rename <object type> <object name>... item from the context menu;
  • edit the object name using the Rename Object... dialog.

Note: This operation is possible for all objects except for schemas, XML Schema Collections, Assemblies, Certificates, Asymmetric Keys, Symmetric Keys, Full-Text Catalogs.

Dropping Database and Server Objects

To drop a database or server object:

  • select the database or server object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Drop <object type> <object name> context menu item;
  • confirm dropping in the dialog window.

When using an object editor, you can benefit from tabs. To switch between tab views, click on their respective tabs at the top of the main editor window. You can do it at any time, since the tab views are absolutely independent.

To compile a newly created or edited object, you can use the iconCompile Compile item available within the Navigation bar or Toolbar of the object editor.

See also:

Getting Started

Database Explorer

Database Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


New Object

The Create New Object dialog allows you to select the type of the object to be created and run the appropriate wizard or editor.

To open the dialog, select the Database | New Object... main menu item.

Specify whether object of the database or server level is to be created. Use the Database or Server drop-down list to select the alias of the database or server where the new object should be created. Pick an object type icon and click OK to invoke the corresponding wizard or dialog.

Database Objects management - Create New Object

Note: The RadioButton Create server object option is available only if you are connected to the host.

See also:

Operations with database and server objects

Duplicate Object Wizard

Database objects

Server Objects


Duplicate Object Wizard

Use the Duplicate Object Wizard to create a new database or server object of the same type and having the same properties as one of the existing ones.

To run the wizard, select the Database | Duplicate Object... main menu item, or right-click an object of the desired type in the DB Explorer tree and use the Duplicate <object type> <object name>... context menu item.

Note: Duplicate Object Wizard can be launched on drag-and-drop operation, when you drag an object from one server in the DB Explorer to another.

  • Selecting the source database
  • Selecting object to duplicate
  • Selecting destination database
  • Modifying the new object's definition

See also:

New Object dialog

Database objects

Server Objects


Selecting the source database

This step of the wizard allows you to specify whether object of the database or server level is to be duplicated, and to select the source database / server containing the source object for duplication.

Duplicate Object Wizard - Selecting the source database

Click the Next button to proceed to the Selecting object to duplicate step of the wizard.


Selecting object to duplicate

Use the Objects drop-down menu to select the type of object you intend to duplicate.

Select a database/server object to copy its properties to the new object.

Hint: The context menu of the objects list area allows you to specify whether objects of the specified type should be displayed as icons or as list.

Duplicate Object Wizard - Selecting object to duplicate

Click the Next button to proceed to the Selecting destination database step of the wizard.


Selecting destination database or server

Select the target database / server and schema (for a database object) to create the new object in, set the name of the new database/server object.

Check the CheckBox Copy data option to copy data from the source table to the new one.

Duplicate Object Wizard - Selecting destination database

Click the Next button to proceed to the Modifying the new object's definition step of the wizard.


Modifying the new object's definition

This step of the wizard allows you to browse the result SQL statement.

If necessary, you can edit the definition of the new object.

Duplicate Object Wizard - Modifying the new object's definition

CheckBox Close the wizard after duplicating

If this option is selected, the wizard is closed automatically when the new object is created.

CheckBox Open object when finished

Select this option to open the newly created object in its editor.

Click the Finish button to create the object.


Database objects

SQL Manager for SQL Server provides all necessary facilities for working with database objects.

Note: To start working with database objects you need to connect to database.

Database Objects:

Schemas

Schema Objects:

Tables

Views

Procedures

UDTs

UDFs

Synonyms

Aggregates

XML Schema Collections

Defaults

Rules

Queues

Non-schema Objects:

Assemblies

DDL Triggers

Partition Functions

Partition Schemes

Full-Text Catalogs

Symmetric Keys

Asymmetric Keys

Certificates

Message Types

Contracts

Services

Routes

Remote Service Bindings

Creating Database Objects

To create a database object:

  • select the Database | New Object... main menu item;
  • select the type of object within the New Object dialog;
  • follow the steps of the wizard which guides you through the entire process of creating the object, or set the object properties using its editor - depending on the selected object type.

Note that you can also create a database object by selecting the appropriate context menu item of the DB Explorer tree or using the Ctrl+N shortcut.

To create a new object with the same properties as one of existing objects has:

  • select the Database | Duplicate Object... main menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click an object in the DB Explorer tree and select the Duplicate Object <object_name>... context menu item.

Editing Database Objects

To edit a database object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Edit <object type> <object name> context menu item, or double-click the object to open it in its editor;

Renaming Database Objects

To rename a database object:

  • select the object to rename in the DB Explorer tree;
  • right-click the object and select the Rename <object type> <object name>... item from the context menu;
  • edit the object name using the Rename Object... dialog.

Note: This operation is possible for all objects except for schemas, XML Schema Collections, Assemblies, Certificates, Asymmetric Keys, Symmetric Keys, Full-Text Catalogs.

Dropping Database Objects

To drop a database object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Drop <object type> <object name> context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new object;

Ctrl+O to edit the selected object;

Ctrl+R to rename the object;

Shift+Del to drop the object from the database.

When using an object editor, you can benefit from tabs. To switch between tab views, click on their respective tabs at the top of the main editor window. You can do it at any time, since the tab views are absolutely independent.

To compile a newly created or edited object, you can use the iconCompile Compile item available within the Navigation bar or Toolbar of the object editor.

See also:

Operations with database and server objects

New Object

Duplicate Object Wizard

Server Objects


Schemas

A Schema is essentially a namespace: it can be defined as a collection of database objects that form a single namespace. A namespace is a set in which each element has a unique name.

Creating Schemas

To create a new schema:

  • select the Database | New Object... main menu item;
  • select Schema in the Create New Object dialog;
  • define schema properties using the appropriate tabs of Schema Editor.

Hint: To create a new schema, you can also right-click the Schemas node or any object within this node in the DB Explorer tree and select the New Schema item from the context menu.

To create a new schema with the same properties as one of existing schemas has:

  • select the Database | Duplicate Object... main menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a schema in the DB Explorer tree and select the Duplicate Schema <schema_name>... context menu item.

Duplicate Object Wizard allows you to select the database to create a new schema in, and to edit the result SQL statement for creating the schema.

Editing Schemas

To edit an existing schema:

  • select the schema for editing in the DB Explorer tree (type the first letters of the schema name for quick search);
  • right-click the object and select the Edit Schema <schema_name>... context menu item, or simply double-click the schema;
  • edit schema properties using the appropriate tabs of Schema Editor.

Dropping Schemas

To drop a schema:

  • select the schema to drop in the DB Explorer tree;
  • right-click the object and select the Drop Schema <schema_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new schema;

Ctrl+O to edit the selected schema;

Shift+Del to drop the object from the database.

See also:

Schema Objects


Schema Editor

Schema Editor allows you to manage SQL Server schemas efficiently. It opens automatically when you create a new schema and is available on editing an existing one (see Create schema and Edit schema for details).

To open a schema in Schema Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing schema
  • Browsing object dependencies
  • Editing schema description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Schema Editor.

Schema Editor - Using Navigation bar

The Navigation bar of Schema Editor allows you to:

Object

iconDB select a database

select a schema for editing

General

iconCompile compile the schema (if it is being created/modified)

iconSaveDescription save the schema description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the schema

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the schema:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Schema Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing schema

Use the Schema tab of Schema Editor to create/edit a schema and specify its properties.

Schema Editor - Editing schema definition

Name

Specify the name by which the schema is identified within the database.

Owner

Specify the name of the database-level principal (user or role) that will own the schema. This principal may own other schemas, and may not use the current schema as its default schema.


Schema Objects

A schema is a collection of logical structures of data, or schema objects. A schema is owned by a database user. Each user can own a single schema. Schema objects can be created and manipulated with SQL and include the following types of objects:

  • Tables
  • Views
  • Procedures
  • User-defined types
  • User-defined functions
  • Synonyms
  • Aggregates
  • XML Schema Collections
  • Defaults
  • Rules
  • Queues
  • External Tables

Use the DB Explorer tree to navigate within the existing schemas and their objects.

See also:

New Object dialog

Duplicate Object Wizard


Tables

Relational databases store all their data in Tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Creating Tables

To create a new table:

  • select the Database | New Object... main menu item;
  • select Table in the Create New Object dialog;
  • define table properties and columns using the appropriate tabs of Table Editor.

Hint: To create a new table, you can also right-click the Tables node or any object within this node in the DB Explorer tree and select the New Table... item from the context menu.

To create a new table with the same properties as one of existing tables has:

  • select the Database | Duplicate Object... main menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a table in the DB Explorer tree and select the Duplicate Table <table_name>... context menu item.

Duplicate Object Wizard allows you to select the database to create a new table in, and to edit the result SQL statement for creating the table.

Editing Tables

To edit an existing table (manage its columns, indexes, data, etc.):

  • select the table for editing in the DB Explorer tree (type the first letters of the table name for quick search);
  • right-click the object and select the Edit Table <table_name> context menu item, or simply double-click the table;
  • edit table subobjects and data using the appropriate tabs of Table Editor.

To change the name of a table:

  • select the table to rename in the DB Explorer tree;
  • right-click the table alias and select the Rename Table <table_name>... item from the context menu;
  • edit the table name using the Rename Object... dialog.

Dropping Tables

To drop a table:

  • select the table to drop in the DB Explorer tree;
  • right-click the object and select the Drop Table <table_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new table;

Ctrl+O to edit the selected table;

Ctrl+R to rename the table;

Shift+Del to drop the object from the database.


New table

The New Table window is a mode of Table Editor that opens automatically when you create a new table (see Create table for details) and allows you to create a new table, set table properties, specify table columns and edit table description.

To call Table Editor for creating a new table, you can right-click the Tables node or any object within this node in the DB Explorer tree and use the Ctrl+N shortcut.

  • Using Navigation bar and Toolbar
  • Setting table properties
  • Specifying table columns


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Table Editor.

New table - Using Navigation bar

The Navigation bar of Table Editor (in the New table mode) allows you to:

Database

iconDB select a database to create a new table in

General

iconCompile compile the newly created table

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the table:

Columns

add a new column

edit selected column

drop selected column(s)

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Table Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting table properties

Use the Table tab of Table Editor to create a table and specify its properties.

Table name

Enter a name for the new table. Note that table names must comply with the rules for identifiers and must be unique within the schema. A table name can contain a maximum of 128 characters.

Schema

Use the drop-down list to select the schema to which the table belongs. The default selection is the default schema for the current user.

New table - Setting table properties

CheckBox File table

Check this option to enable file and directory storage in the database. A FileTable is a specialized user table with a pre-defined schema that stores FILESTREAM data, as well as file and directory hierarchy information and file attributes.

CheckBox As Node

Check this option to create a node table for SQL Graph.

CheckBox As Edge

Check this option to create an edge table for SQL Graph.

CheckBox Memory-optimized table

Check this option to enable memory-optimized table creation. Memory-optimized tables are in memory user tables, the schema of which is persisted on disk similar to other user tables.

If you have selected to create a memory-optimized table, you must specify memory-optimized table indices.

Durability

RadioButton Schema and data

This value indicates that the table is a durable memory-optimized table. This option provides durability of both schema and data.

RadioButton Schema only

This value indicates that the table is non-durable. This option ensures durability of the table schema, including indexes.

Such tables are not logged and their data is not persisted on disk.

Data space

Use the drop-down list to specify the new table data storage (a file group or a partition scheme).

Partitioning column

This drop-down list is only available if a partition scheme is specified for Data space. Select a column that will be used as the partitioning column for the table.

Text and image file group

Use the drop-down list to select the file group where data of the text and image types will be stored.

If necessary, you can also use the Description area to supply a description for the table being created.

For SQL Server 2008 and higher, Table Editor provides some additional table properties to define:

Filestream dataspace

Select the needed Filestream filegroup from the drop-down list.

Compression (by partitions)

Use this area to set compression options for the table. Compression type can be different for each table partition. Set the partition compression to Row or Page. Set None to leave a partition uncompressed.

To compile the table, use the iconCompile Compile item available within the Navigation bar.


Specifying columns

The Columns tab is intended for setting up table column. Double-click a row to open Column Editor for editing the column.

Right-click within the Table Columns area to display the context menu allowing you to add, insert, edit or delete columns.

Columns management tools are also available through the Navigation bar of Table Editor.

New table - Specifying fields

The Table Columns list provides the following attributes of each field of the new table:

Primary Key

Column Name

Data Type

Size

Max Size

Precision

Not Null

Unique

Identity

Default Value

Default Object

Comment

For details see Columns.

To compile the table, use the iconCompile Compile item available within the Navigation bar.


Specifying FileTable options

Use the FileTable Options tab to configure settings for the FileTable being created.

This tab is available only for SQL Server 2012.

The fields on this tab are enabled only if the CheckBox File table option is checked on the Table tab.

New table - Specifying filetable options

FileTable directory name

Specifies the windows-compatible FileTable directory name. This name should be unique among all the FileTable directory names in the database. If this value is not specified, the name of the filetable is used.

Collation of the Name column

Select the name of the collation to be applied to the Name column in the FileTable. If this value is not specified, the database default collation is used.

Primary key constraint name

Set the name to be used for the primary key constraint that is automatically created on the FileTable. If this value is not specified, the system generates a name for the constraint.

stream_id unique key constraint name

Define the name to be used for the unique constraint that is automatically created on the stream_id column in the FileTable. If this value is not specified, the system generates a name for the constraint.

Full path unique key constraint name

Specify the name to be used for the unique constraint that is automatically created on the parent_path_locator and name columns in the FileTable. If this value is not specified, the system generates a name for the constraint.


Specifying memory-optimized table indices

Use the Indices tab to specify indices for the newly created memory- optimized table.

New table - Specifying memory-optimized table indices

The Indexes list provides the following attributes of each index of the table:

Name

Primary Key

Columns

Hash index

Number of Hash Bucket

Right-click an index to display the context menu allowing you to create new, edit or drop an index.

Double-click an index or use the New/Edit Index context menu item to open Memory-optimized table index editor for editing the index.

New table - Specifying memory-optimized table indices - Index Editor

Index type

RadioButton Primary Key

This selection indicates that the primary key index is created.

RadioButton Index

This selection specifies a regular, non-unique index.

Options

CheckBox Hash index

Checking this option indicates that a HASH index is created. A hash index consists of a collection of buckets organized in an array.

Number of hash buckets

Define the number of buckets that should be created in the hash index.

Columns

To include column(s) in the index, you need to move it from the Available Columns list to the Selected Columns list. Use the Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.


Table Editor

Table Editor is the basic SQL Manager tool for working with tables. It opens automatically in the New table mode when you create a new table and is available on editing an existing one (see Create table and Edit table for details).

Table Editor allows you to create, edit and drop table's columns, indexes, foreign keys and other table subobjects, manage table data, properties and much more.

To open a table in Table Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Managing table columns
  • Changing columns order
  • Managing table foreign keys
  • Managing table checks
  • Managing table indexes
  • Managing table triggers
  • Browsing object dependencies
  • Working with table data
  • Editing table description
  • Viewing DDL definition
  • Setting object permissions
  • Table properties


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Table Editor.

Table Editor - Using Navigation bar

The Navigation bar of Table Editor (in the Edit table mode) allows you to:

Object

iconDB select a database

select a table for editing

General

iconCompile compile the table (if it is being modified)

iconSaveDescription save the table description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the table

iconOptions adjust Table Editor options

iconRestoreDefaultSize restore the default size and position of the editor window

Tools

manage table indexes using Indices Management Wizard

update table statistics using Statistics Update Wizard

truncate data of the table (with the TRUNCATE TABLE statement used)

rebuild the dependent objects (for views only)

view the dependency tree for the table

create a procedure based on the table

Explorer

iconDBExplorer browse the table subobjects using the Explorer tree

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the table:

Columns

add a new column

edit selected column

drop selected column(s)

Foreign keys

add a new foreign key

edit selected foreign key

drop selected foreign key(s)

Checks

add a new check

edit selected check

drop selected check(s)

Indices

add a new index

edit selected index

drop selected index(-es)

Triggers

add a new trigger

edit selected trigger

drop selected trigger(s)

Data Management

iconCommit commit transaction

iconRollback rollback transaction

export data from the table using Export Data Wizard

export data from the table as SQL script using Export as SQL Script Wizard

import data into the table using Import Data Wizard

load data into the table using Bulk Insert Wizard

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Table Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Managing columns

The Columns tab is intended for managing table columns. Double-click a row to open Column Editor for editing the column.

Right-click a row to display the context menu allowing you to create new, edit, drop, rename, duplicate the selected column, or reorder columns of the table. Using the menu you can also export the list of the table columns to any of supported formats.

Columns management tools are also available through the Navigation bar of Table Editor.

Table Editor - Managing fields

The Columns list provides the following attributes of each column of the table:

Column Name

Data Type

Not Null

Unique

Identity

Default Value

For details see Columns.

If necessary, you can also use the Column Description area to supply a description for each column.


Changing columns order

The Reorder Columns dialog allows you to change the columns order in the table.

To open this dialog, open the table in Table Editor, proceed to the Columns tab there, right-click within the Columns list and select the Reorder Columns item from the context menu.

The columns are displayed in the Column name list in the current order.

To change the columns order, use the [image] [image] buttons or drag-and-drop operations within the list. Click the OK button to view the modification script in the Changing Metadata window and apply changes.

Table Editor - Changing fields order

Note: This operation is performed by dropping/recreating the table.


Managing foreign keys

The Foreign Keys tab is provided for managing table foreign keys. Double-click a foreign key to open Foreign Key Editor for editing the foreign key.

Right-click a foreign key to display the context menu allowing you to create new, edit, drop, enable/disable the selected foreign key, or enable/disable all foreign keys. Using the menu you can also export the list of the table foreign keys to any of supported formats.

Foreign keys management tools are also available through the Navigation bar of Table Editor.

Table Editor - Managing foreign keys

The Foreign Keys list provides the following attributes of each foreign key of the table:

Foreign Key Name

Columns

Foreign Table

Foreign Columns

Disabled

On Update

On Delete

For details see Foreign Keys.

If necessary, you can also use the Foreign Key Description area to supply a description for each foreign key.


Managing checks

The Checks tab is provided for managing table check constraints. Double-click a check to open Check Editor for editing the check.

Right-click a check to display the context menu allowing you to create new, edit, drop, enable/disable the selected check, or enable/disable all checks. Using the menu you can also export the list of the table checks to any of supported formats.

Check constraints management tools are also available through the Navigation bar of Table Editor.

Table Editor - Managing checks

The Checks list provides the following attributes of each check constraint of the table:

Name

Definition

Disabled

Description

If necessary, you can also use the Check Description area to supply a description for each check constraint.


Managing indices

The Indices tab is provided for managing table indexes. Double-click an index to open Index Editor for editing the index.

Right-click an index to display the context menu allowing you to create new, edit, drop, enable/disable the selected index, or enable/disable all indexes. Using the menu you can also export the list of the table indexes to any of supported formats.

Indexes management tools are also available through the Navigation bar of Table Editor.

Table Editor - Managing indexes

The Indexes list provides the following attributes of each index of the table:

Index Name

Columns

Clustered

Primary Key

Unique

Disabled

For details see Indexes.

If necessary, you can also use the Index Description area to supply a description for each index.


Managing triggers

The Triggers tab is provided for managing table triggers. Double-click a trigger to open Trigger Editor for editing the trigger.

Right-click the area to display the context menu allowing you to create new, edit, drop, enable/disable the selected trigger, or enable/disable all triggers. Using the menu you can also export the list of the table triggers to any of supported formats.

Triggers management tools are also available through the Navigation bar of Table Editor.

Table Editor - Managing triggers

The Triggers list provides the following attributes of each trigger of the table:

Name

Insert

Update

Delete

Type

Disabled

For details see Triggers.

If necessary, you can also use the Trigger Description area to supply a description for each trigger.


Working with table data

The Data tab displays the table data as a grid by default (see Data View for details). The context menu of this tab allows you to Export Data, Import Data, Export as SQL Script, Bulk Insert.

Data management tools are also available through the Navigation bar of Table Editor.

While working with data, you are provided with a number of filtering and grouping facilities.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Table Editor - Working with table data

See also:

Data View


Table properties

The Properties tab allows you to view/edit common properties of the table: Table name, Schema name, Table options (Storage attributes, Table lock usage, etc.), Table information.

Hint: These properties are also available within a modal dialog which is called through the Table Properties... context menu item of the table alias in DB Explorer.

Table Editor - Table properties

Name

Edit the name of the table. Note that table names must comply with the rules for identifiers. The name of the table must be unique within the schema. A table name can contain a maximum of 128 characters.

Schema

Use the drop-down list to select a schema for the table.

Filestream dataspace

Select the needed Filestream filegroup from the drop-down list. This option is available only for SQL Server 2008 and higher.

Table options

This group allows you to specify to CheckBox Store text, ntext and image fields in data rows, set the Data length limit, specify to CheckBox Store varchar(max), nvarchar(max), varbinary(max) and xml fields in data rows, and select whether to CheckBox Use table lock on bulk load or not.

Compression (by partitions)

Use this area to set compression options for the table. Compression type can be different for each table partition. Set the partition compression to Row or Page. Set None to leave a partition uncompressed.

The Table information group allows you to view the table summary: System (Yes/No), Row count, Space used by data, Space used by indices, Creation date, ANSI nulls on creation (On/Off), Quoted identifier on creation (On/Off), File group, Text file group.

Durability

This group of options is available for memory-optimized tables only.

RadioButton Schema and data

This value indicates that the table is a durable memory-optimized table. This option provides durability of both schema and data.

RadioButton Schema only

This value indicates that the table is non-durable. This option ensures durability of the table schema, including indexes.

Such tables are not logged and their data is not persisted on disk.


Columns

Table columns are managed within the Columns tab of Table Editor.

Creating Columns

To create a new table column:

  • open the table in Table Editor;
  • proceed to the Columns tab there;
  • right-click the tab area and select the New Column context menu item, or press the Ins key;
  • define the column properties using the Column Editor dialog.

Editing Columns

To edit an existing table column:

  • open the table in Table Editor;
  • proceed to the Columns tab there;
  • right-click the row and select the Edit Column <column_name> context menu item, or simply double-click the column;
  • edit the column properties using the Column Editor dialog.

To change the order of table columns:

  • open the table in Table Editor;
  • proceed to the Columns tab there;
  • right-click the row and select the Reorder Columns <column_name> context menu item;
  • edit columns' order using the Reorder Columns dialog.

Dropping Columns

To drop a table column:

  • open the table in Table Editor;
  • proceed to the Columns tab there;
  • right-click the row and select the Drop Column <column_name> context menu item;
  • confirm dropping in the dialog window.


Column Editor

Column Editor allows you to specify column definition and set column properties. It opens automatically when you create a new column and is available on editing an existing one (see Create column and Edit column for details).

To open a column in Column Editor, double-click it in the DB Explorer tree, or use the Edit Column... item of the context menu within the Columns tab of Table Editor.

  • Setting column name and type
  • Setting column identity
  • Setting column defaults
  • Setting column description


Setting column name and type

Column name

Enter a name for the new column, or modify the name of the column being edited. Note that the name of a column must be unique among all the column names in the table.

The Data type tab defines the type of the column.

Column type kind

This group allows you to select whether the column being created/edited is based on a standard data type, a user-defined type, or is a computed column.

RadioButton Standard data type

Specifies that the column is based upon a built-in SQL Server data type.

Field Editor - Setting field name and type - Standard

Type

Here you can set the column type by selecting it from the drop-down list of the standard SQL Server data types.

Size

Specify the size value (for certain types). Check the CheckBox Maximum size option to use the maximum values set by SQL Server.

Scale

Defines the maximum number of decimal digits that can be stored to the right of the decimal point of the value (for numeric and decimal data types).

Collation

Use the drop-down list to specify the collation for text and char columns. By default, the column is assigned the default collation of the database.

CheckBox Not NULL

Check this option to specify that the values for the column should never contain a null value. NOT NULL affects all INSERT and UPDATE operations on a column.

CheckBox RowGuid

This option specifies that the ROWGUIDCOL property is added to the column. ROWGUIDCOL indicates that the column is a row GUID column.

CheckBox Primary key

Check this option to include the column into the primary key. Note that if you include a column to a primary key, you should also make it Not Null.

A table typically has a column or combination of columns that contain values that uniquely identify each row in the table. This column, or columns, is called the primary key (PK) of the table and enforces integrity of the table.

CheckBox Unique key

Check this option to create a unique key on the column that provides entity integrity for a particular column or columns using a unique index.

CheckBox Sparse

Check this option to make the column a Sparse column. Sparse columns are ordinary columns that have an optimized storage for null values. Sparse columns reduce the space requirements for null values at the cost of more overhead to retrieve non-null values.

CheckBox Filestream

Check this option to store the data from this column in the Filestream filegroup. This option is available if any filestream file group is specified for the table.

CheckBox Online

Check this option to enable ONLINE mode on column modification.

RadioButton User-defined data type

Specifies that the column is based upon a user-defined data type.

Type

Use the drop-down list to select the user-defined type for the column being created/edited.

RadioButton Computed

Specifies that the column is computed from an expression that can use other columns in the same table.

Field Editor - Setting field name and type - Computed

CheckBox Store computed values in table

This option determines whether computed values are stored in the table or the column is not physically stored in the table.

Specify an expression that defines the value of the computed column. For example, a computed column can have the following definition:

cost AS price * qty.

The expression can be a noncomputed column name, constant, function, variable, and any combination of these connected by one or more operators. The expression cannot be a subquery or include an alias data type.


Setting column identity

The Identity tab is only available for integer column types and for user-defined types based on integer types. Using this tab you can create an identity column.

CheckBox Identity

This option specifies that the new column is an identity column.

Seed

Specify the value used for the first row that is loaded into the table.

Increment

Specify the value added to the identity value of the previous row that is loaded.

Field Editor - Setting field identity

CheckBox Not for replication

This option allows you to specify that the Identity property should not be enabled when a replication agent modifies the table that contains the identity column.

NB: This operation is performed by dropping/recreating the table.


Setting XML properties

The XML tab is only available for XML column type and for user-defined types based on XML type.

The xml data type is a built-in data type in SQL Server and is somewhat similar to other built-in types such as int and varchar. As with other built-in types, you can use the xml data type as a column type when you create a table as a variable type, a parameter type, a function-return type, or in CAST and CONVERT.

Field Editor - Setting XML properties

XML schema collection

Use the drop-down list to select an XML Schema Collection to be used by this column.

The XML schema collection stores the imported XML schemas.

The schemas in the collection are used to validate the XML instances. By default, instances stored in the typed xml column are stored as XML content. For typed xml columns, you can constrain the column to allow only single, top-level elements for each instance stored in it. You can do this by selecting the Document option.

The Stored as group allows you to select the way your xml data will be stored: as RadioButton Content or as a RadioButton Document.


Setting column defaults

The Default tab allows you to define the default value for the column. You can either select the default object from the list of database defaults or define a default value for the column. The second option is not available for the Computed column type.

Field Editor - Setting field defaults

Constraint name

This box allows you to set a name for the constraint which is automatically created when you set a default value for the data column. If you leave this field empty, the constraint will be named by the server.


Setting column description

The Description tab allows you to enter optional text as a description for the column.

Field Editor - Setting field description

Note: Changing object description is performed by means of sp_updateextendedproperty 'MS_Description'.


Foreign Keys

A Foreign key constraint (also called a referential integrity constraint) designates a column as the Foreign key and establishes a relationship between that foreign key and a specified Primary or Unique key called the referenced key. A composite Foreign key designates a combination of columns as the foreign key.

Table Foreign keys are managed within the Foreign Keys tab of Table Editor.

Creating Foreign Keys

To create a new Foreign key:

  • open the table in Table Editor;
  • proceed to the Foreign Keys tab there;
  • right-click the tab area and select the New Foreign Key context menu item, or press the Ins key;
  • define the Foreign key properties using the Foreign Key Editor dialog.

Editing Foreign Keys

To view/edit an existing Foreign key:

  • open the table in Table Editor;
  • proceed to the Foreign Keys tab there;
  • right-click the Foreign key to edit and select the Edit Foreign Key <foreign_key_name> context menu item, or simply double-click the Foreign key;
  • edit the Foreign key properties using the Foreign Key Editor dialog.

Dropping Foreign Keys

To drop a Foreign key:

  • open the table in Table Editor;
  • proceed to the Foreign Keys tab there;
  • right-click the Foreign key and select the Drop Foreign Key <foreign_key_name> context menu item;
  • confirm dropping in the dialog window.


Foreign Key Editor

Foreign Key Editor allows you to specify foreign key definition and set foreign key properties. It opens when you create a new foreign key or edit an existing one (see Create Foreign Key and Edit Foreign Key for details).

To open a foreign key in Foreign Key Editor, double-click it in the DB Explorer tree, or use the Edit Foreign Key... item of the context menu within the Foreign Keys tab of Table Editor.

  • Using Navigation bar and Toolbar
  • Creating/editing foreign key
  • Browsing object dependencies
  • Editing foreign key description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Foreign Key Editor.

Foreign Key Editor - Using Navigation bar

The Navigation bar of Foreign Key Editor allows you to:

General

iconCompile compile the foreign key (if it is being created/modified)

iconSaveDescription save the foreign key description (if it has been modified)

iconRefresh refresh the content of the active tab

view the dependency tree for the foreign key

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the foreign key:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Foreign Key Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing foreign key

Use the Foreign Key tab of Foreign Key Editor to create/edit a foreign key constraint and specify its properties.

Name

Enter a name for the new foreign key, or modify the name of the foreign key being edited.

Table

The drop-down list of tables allows you to select the table for which the foreign key is created.

Foreign Key Editor - Editing foreign key definition

The Table Columns area allows you to select Foreign key column(s).

To select a column, you need to move it from the Available Columns list to the Included Columns list. Use the Move to Selected Move to Available buttons or drag-and-drop operations to move the columns from one list to another.

Foreign table

Use the drop-down list to select the foreign table.

The Foreign Table Columns area allows you to select the column(s) of the Foreign table.

To select a column, you need to move it from the Available Columns list to the Included Columns list. Use the Move to Selected Move to Available buttons or drag-and-drop operations to move the columns from one list to another.

If the referenced column(s) are changed frequently, it may be wise to add an index to the foreign key column so that referential actions associated with the foreign key column were performed more efficiently. See Indexes for details.

Update action / Delete action

  • No action

Produce an error indicating that the deletion or update would create a foreign key constraint violation. If the constraint is deferred, this error will be produced at constraint check time if there still exist any referencing rows. This is the default action.

  • Cascade

Delete any rows referencing the deleted row, or update the value of the referencing column to the new value of the referenced column, respectively.

  • Set NULL

Set the referencing column(s) to null.

  • Set default

Set the referencing column(s) to their default values.

CheckBox Enabled

Enables/disables the foreign key immediately after it is created.

CheckBox Check existing data

This option specifies whether the data in the table is or is not validated against a newly added or re-enabled foreign key.

CheckBox Not for replication

This option allows you to specify that the foreign key should not be enabled when a replication agent modifies the table that is involved in the foreign key.


Checks

A Check specifies an expression producing a Boolean result which new or updated rows must satisfy for an insert or update operation to succeed. Expressions evaluating to TRUE or UNKNOWN succeed. Should any row of an insert or update operation produce a FALSE result an error exception is raised and the insert or update does not alter the database. A check constraint specified as a column constraint should reference that column's value only, while an expression appearing in a table constraint may reference multiple columns.

Table checks are managed within the Checks tab of Table Editor.

Creating Checks

To create a new check:

  • open the table in Table Editor;
  • proceed to the Checks tab there;
  • right-click the tab area and select the New Check Constraint context menu item, or press the Ins key;
  • define the check properties using the Check Editor dialog.

Editing Checks

To view an existing check:

  • open the table in Table Editor;
  • proceed to the Checks tab there;
  • right-click the check and select the Edit Check <check_name> context menu item, or simply double-click the check;
  • edit the check properties using the Check Editor dialog.

Dropping Checks

To drop a check:

  • open the table in Table Editor;
  • proceed to the Checks tab there;
  • right-click the check and select the Drop Check <check_name> context menu item;
  • confirm dropping in the dialog window.


Check Editor

Check Editor allows you to specify check definition and set check properties. It opens automatically when you create a new check and is available on editing an existing one (see Create check and Edit check for details).

To open a check constraint in Check Editor, double-click it in the DB Explorer tree, or use the Edit Check... item of the context menu within the Checks tab of Table Editor.

  • Using Navigation bar and Toolbar
  • Creating/editing check
  • Browsing object dependencies
  • Editing check description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Check Editor.

Check Editor - Using Navigation bar

The Navigation bar of Check Editor allows you to:

General

iconCompile compile the check (if it is being created/modified)

iconSaveDescription save the check description (if it has been modified)

iconRefresh refresh the content of the active tab

view the dependency tree for the check

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the check:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Check Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing check

Use the Check tab of Check Editor to create/edit a check constraint and specify its properties.

Name

Enter a name for the new check, or modify the name of the check being edited.

Table

The drop-down list of tables allows you to select the table for which the check is created.

Check Editor - Editing check definition

CheckBox Enabled

Enables/disables the check immediately after it is created.

CheckBox Check existing data

This option specifies whether the data in the table is or is not validated against a newly added or re-enabled check.

CheckBox Not for replication

This option allows you to specify that the check should not be enabled when a replication agent modifies the table that is involved in the check.

Definition

This area represents the condition implied by the check constraint.

You can specify any logical (Boolean) expression that returns TRUE or FALSE based on the logical operators. For example, salary >= 15000 AND salary <= 100000.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.


Indexes

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Indices

Table indexes are managed within the Indices tab of Table Editor.

Creating Indices

To create a new table index:

  • open the table in Table Editor;
  • proceed to the Indices tab there;
  • right-click the tab area and select the New Index context menu item, or press the Ins key;
  • define the index properties using the Index Editor dialog.

Editing Indices

To edit an existing table index:

  • open the table in Table Editor;
  • proceed to the Indices tab there;
  • right-click the index and select the Edit Index context menu item, or simply double-click the index;
  • edit the index properties using the Index Editor dialog.

Dropping Indices

To drop a table index:

  • open the table in Table Editor;
  • proceed to the Indices tab there;
  • right-click the index and select the Drop Index context menu item;
  • confirm dropping in the dialog window.


Index Editor

Index Editor allows you to specify index definition and set index properties. It opens automatically when you create a new index and is available on editing an existing one (see Create Index and Edit Index for details).

To open an index in Index Editor, double-click it in the DB Explorer tree, or use the Edit Index... item of the context menu within the Indices tab of Table Editor.

  • Using Navigation bar and Toolbar
  • Creating/editing index
  • Defining index storage
  • Viewing index info
  • Editing index description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Index Editor.

Index Editor - Using Navigation bar

The Navigation bar of Index Editor allows you to:

Object

iconDB select a database

select an index for editing

General

iconCompile compile the index (if it is being created/modified)

iconSaveDescription save the index description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the index

iconRestoreDefaultSize restore the default size and position of the editor window

Tools

rebuild the index using the ALTER INDEX ... REBUILD statement

reorganize the index using the ALTER INDEX ... REORGANIZE statement

update statistics using the UPDATE STATISTICS statement

view the dependency tree for the index

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the index:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Index Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing index

Use the Index tab of Index Editor to create/edit an index on a specified table or view, or an XML index on a specified table, and specify index properties.

Name

Enter a name for the new index, or modify the name of the index being edited.

Table or view

The drop-down list of tables and views allows you to select the table or view to be indexed.

Fill factor

Specify a percentage that indicates how full the Database Engine should make the leaf level of each index page during index creation or rebuild.

Index Editor - Editing index definition

Index type

RadioButton Primary Key

This selection indicates that the primary key index is created.

RadioButton Unique key

This selection indicates that the unique key index is created (no two rows are permitted to have the same index value). A clustered index on a view must be unique.

RadioButton Unique index

This selection indicates that the unique index is created (ensures that the index key contains no duplicate values and therefore each row in the table or view is in some way unique). Both clustered and nonclustered indexes can be unique.

RadioButton XML index

This selection indicates that the XML index on the specified XML column is created.

RadioButton Spatial index

This selection indicates that the spatial index is created. These indexes are used by spatial databases (databases which store information related to objects in space).

RadioButton Columnstore index

This selection indicates that the columnstore index is created. These indices group and store data for each column and then join all the columns to complete the whole index.

RadioButton Index

This selection specifies a regular, non-unique index.

Index creation

CPUs for indexing

This option allows you to limit the number of processors used in a parallel plan execution. Set a value to restrict the maximum number of processors used in a parallel index operation to the specified number or fewer based on the current system workload. If 0 is specified, the actual number of processors is used.

CheckBox Default

If this option is checked, the default setting for the number of processors is applied.

CheckBox Online operation

This option specifies whether underlying tables and associated indexes are available for queries and data modification during the index operation.

CheckBox Sort in tempdb

This option specifies whether temporary sort results should be stored in tempdb.

XML Index options

Select the XML index type:

RadioButton Value index

This selection indicates creation of a secondary XML index on columns where key columns are (node value and path) of the primary XML index. If your workload involves querying for values from XML instances without knowing the element or attribute names that contain the values, VALUE index may be useful.

RadioButton Path index

This selection indicates creation of a secondary XML index on columns built on path values and node values in the primary XML index. If your queries generally specify path expressions on xml type columns, a PATH secondary index may be able to speed up the search.

RadioButton Property index

This selection indicates creation of a secondary XML index on columns (PK, path and node value) of the primary XML index where PK is the primary key of the base table. Queries that retrieve one or more values from individual XML instances may benefit from a PROPERTY index.

Index options

CheckBox Clustered

Use this option to create an index in which the logical order of the key values determines the physical order of the corresponding rows in a table. The bottom, or leaf, level of the clustered index contains the actual data rows of the table. A table or view is allowed one clustered index at a time.

CheckBox Ignore duplicate keys

This option is available if the Unique option is checked. This option specifies the error response to duplicate key values in a multiple-row insert operation on a unique clustered or unique nonclustered index.

CheckBox Pad index

This option determines whether the percentage of free space that is specified by fillfactor is applied to the intermediate-level pages of the index.

CheckBox Do not recompute statistics

This option specifies that out-of-date index statistics are not automatically recomputed.

In cases when access patterns are well understood and consistent, limiting the locking levels available for an index can be beneficial. Disallowing a locking level can affect the concurrency for a table or index.

CheckBox Allow row locks

This option specifies whether row locks are allowed when accessing the index.

CheckBox Allow page locks

This option specifies whether page locks are allowed when accessing the index.

CheckBox Hash index (for memory-optimized tables)

Checking this option indicates that a HASH index is created. A hash index consists of a collection of buckets organized in an array.

Number of hash buckets (for memory-optimized tables)

Define the number of buckets that should be created in the hash index.

Index filter

Use this field to set the filter for the data from the column(s) included in this index. Available for SQL Server 2008 and higher.

Columns for index

To include column(s) in the index, you need to move it from the Available list to the Selected list. Use the Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

To change the sorting order for a column, select the column in the Selected list and change the Order value (ascending/descending).

Set the CheckBox Include Only flag to specify that the non-key column is added to the leaf level of the nonclustered index.


Defining index storage

At the Storage tab of the Index Editor you need to define the storage for the index.

Index Editor - Defining index storage

Data space

Use the drop-down list to specify the new index data storage (a file group or a partition scheme that defines the filegroups onto which the partitions of a partitioned index will be mapped).

Note: When creating an index you need not specify the data space; the data space of the table is used by default.

Partitioning column

This drop-down list is only available if a partition scheme is specified for Data space. Select a column that will be used as the partitioning column for the table.

Filestream dataspace

Select the needed Filestream filegroup from the drop-down list. This option is available only in SQL Server 2008 and higher.

Compression (by partitions)

Use this section to set the compression options for the index. Compression type can be different for each partition. Set the index compression to Row or Page. Set None to leave a partition uncompressed.


Setting spatial index options

Use the Spatial tab to set spatial index options. The settings on this tab are available only if the RadioButton Spatial index was selected on the Index tab.

Spatial indices are enabled in SQL Server 2008 and higher.

Index Editor - Spatial index options

Bounding box

Specifies a numeric four-tuple that defines the four coordinates of the bounding box: the x-min and y-min coordinates of the Lower-left corner, and the x-max and y-max coordinates of the Upper-right corner.

Grid tessellation

Define the density of the grid at each level of a tessellation scheme.

CheckBox Automatic grid tessellation

Check this option to set default values for this data type.

Level n grid size

RadioButton Low

Specifies the lowest possible density for the grid at a given level. LOW equates to 16 cells (a 4x4 grid).

RadioButton Medium

Specifies the medium density for the grid at a given level. MEDIUM equates to 64 cells (an 8x8 grid).

RadioButton High

Specifies the highest possible density for the grid at a given level. HIGH equates to 256 cells (a 16x16 grid).

RadioButton Default

If the database compatibility level is set to 100 or lower, then the default is MEDIUM on all levels. When the database compatibility level is set to 110 or higher, then the default is an auto grid scheme.

Spatial index options

Max cells per object (except level 1)

Set the number of tessellation cells per object that can be used for a single spatial object in the index by the tessellation process. If the CheckBox Default option is checked then the default value is used for the specified tessellation.


Viewing index info

The Info tab of Index Editor allows you to view the index summary:

Index Editor - Viewing index info

General: Average row size, Depth, Forwarded records, Ghost rows, Index type, Leaf-level rows, Maximum row size, Minimum row size, Pages, Partition ID, Version ghost rows;

Fragmentation: Page fullness, Total fragmentation.


Triggers

A Trigger is a special kind of stored procedure that automatically executes when an event occurs in the database server.

DML Triggers execute when a user tries to modify data through a data manipulation language (DML) event. DML events are INSERT, UPDATE, or DELETE statements on a table or view.

Table triggers are managed within the Triggers tab of Table Editor.

Creating Triggers

To create a new trigger:

  • open the table in Table Editor;
  • proceed to the Triggers tab there;
  • right-click the tab area and select the New Trigger context menu item, or press the Ins key;
  • define the trigger properties using the Trigger Editor dialog.

Editing Triggers

To edit an existing trigger:

  • open the table in Table Editor;
  • proceed to the Triggers tab there;
  • right-click the trigger and select the Edit Trigger <trigger_name> context menu item, or simply double-click the trigger;
  • edit the trigger properties using the Trigger Editor dialog.

Dropping Triggers

To drop a trigger:

  • open the table in Table Editor;
  • proceed to the Triggers tab there;
  • right-click the trigger and select the Drop Trigger <trigger_name> context menu item;
  • confirm dropping in the dialog window.


Trigger Editor

Trigger Editor allows you to specify trigger definition and set trigger properties. It opens automatically when you create a new trigger and is available on editing an existing one (see Create Trigger and Edit Trigger for details).

To open a trigger in Trigger Editor, double-click it in the DB Explorer tree, or use the Edit Trigger... item of the context menu within the Triggers tab of Table Editor.

  • Using Navigation bar and Toolbar
  • Creating/editing trigger
  • Browsing object dependencies
  • Editing trigger description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Trigger Editor.

Trigger Editor - Using Navigation bar

The Navigation bar of Trigger Editor allows you to:

Object

iconDB select a database

select a trigger for editing

General

iconCompile compile the trigger (if it is being created/modified)

iconSaveDescription save the trigger description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the trigger

view the dependency tree for the trigger

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the trigger:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Datar

Items of the Navigation bar are also available on the ToolBar of Trigger Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing trigger

Use the Trigger tab of Trigger Editor to create/edit a DML trigger and specify its properties.

Name

Enter a name for the new trigger, or modify the name of the trigger being edited.

Table or view

The drop-down list of tables and views allows you to select the table or view on which the trigger is executed.

Trigger Editor - Editing trigger definition

Type

Select the trigger behavior type:

RadioButton After

This selection specifies that the trigger is fired only when all operations specified in the triggering SQL statement have executed successfully.

RadioButton Instead of

This selection specifies that the trigger is executed instead of the triggering SQL statement.

On event

Specify the data modification statements that activate the trigger when it is tried against this table or view: Insert, Update or Delete. At least one option must be specified.

Options

CheckBox Enabled

Enables/disables the trigger immediately after it is created. Enabling a trigger causes it to fire when any Transact-SQL statements on which it was originally programmed are executed. A disabled trigger still exists as an object in the current database, but does not fire.

CheckBox Not for replication

This option allows you to specify that the trigger should not be executed when a replication agent modifies the table that is involved in the trigger.

CheckBox Encrypted

You can check this option to encrypt the text of the CREATE TRIGGER statement if you want to ensure that other users cannot view the trigger definition.

CheckBox ANSI Nulls

This option specifies ISO compliant behavior of the Equals (=) and Not Equal To (<>) comparison operators when they are used with null values. When this option is switched on, a SELECT statement that uses WHERE column_name = NULL returns zero rows even if there are null values in column_name. A SELECT statement that uses WHERE column_name <> NULL returns zero rows even if there are nonnull values in column_name.

CheckBox Quoted identifier

This option causes SQL Server to follow the ISO rules regarding quotation mark delimiting identifiers and literal strings. When this option is switched on, identifiers can be delimited by double quotation marks, and literals must be delimited by single quotation marks. When it is switched off, identifiers cannot be quoted and must follow all Transact-SQL rules for identifiers.

Execute as

Specify the security context under which the trigger is to be executed: RadioButton Caller, RadioButton Owner, RadioButton Current user or RadioButton User (select which user account should be used to validate permissions on the objects that are referenced by the trigger).

Code Source

Select the trigger code source: it can be a direct set of SQL statements or an external procedure call from a .NET assembly or DLL.

SQL statements or assembly method

This area allows you to set the trigger conditions and actions. Trigger conditions specify additional criteria that determine whether the tried DML statements cause the trigger actions to be performed.

The trigger actions take effect when the DML operation is performed.


Creating procedures from table

SQL Manager for SQL Server provides you with an ability to create SELECT/INSERT/UPDATE/DELETE procedures from a table and set their properties using the Create Procedures dialog.

To open the dialog, right-click the table in DB Explorer and select the Tasks | Create SIUD Procedures... context menu item, or open the table in Table Editor and use the Create Procedure item of the Navigation bar.

  • Options
  • SELECT procedure
  • INSERT procedure
  • UPDATE procedure
  • DELETE procedure

See also:

Procedures


Options

The Options section of the Create Procedures dialog allows you to specify common options for the procedures being created.

Tables - Create Procedure from Table - Options

Procedure type

Select procedure type(s) to be created with the help of the corresponding flags:

CheckBox Create SELECT procedure

CheckBox Create INSERT procedure

CheckBox Create UPDATE procedure

CheckBox Create DELETE procedure

Procedure schema

Select the schema where the procedure should be created.


SELECT Procedure

The Select section of the Create Procedures dialog provides the definition of the SELECT procedure generated from the table.

Tables - Create Procedure from Table - SELECT

Name

Specifies procedure name (if necessary, you can edit the one assigned by default).

The Columns list displays columns as specified in the columns clause of the procedure definition.

The list provides the following attributes of each column:

Name

Type

To add/remove columns to/from the construction, check/uncheck flags available in the first column of the Columns list.

For your convenience the Select All, Deselect All and Invert Selection functions are implemented in the context menu of the columns list area.

The lower area represents the SELECT procedure definition as SQL statement. It is possible to edit the definition directly using the editor area to make appropriate changes.

Edit the block of statements within the BEGIN / END pair according to your needs.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.


INSERT Procedure

The Insert section of the Create Procedures dialog provides the definition of the INSERT procedure generated from the table.

Tables - Create Procedure from Table - INSERT

Name

Specifies procedure name (if necessary, you can edit the one assigned by default).

The Columns list displays columns as specified in the columns clause of the procedure definition.

The list provides the following attributes of each column:

Name

Type

To add/remove columns to/from the construction, check/uncheck flags available in the first column of the Columns list.

For your convenience the Select All, Deselect All and Invert Selection functions are implemented in the context menu of the fields list area.

The lower area represents the INSERT procedure definition as SQL statement. It is possible to edit the definition directly using the editor area to make appropriate changes.

Edit the block of statements within the BEGIN / END pair according to your needs.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.


UPDATE procedure

The Update section of the Create Procedures dialog provides the definition of the UPDATE procedure generated from the table.

Tables - Create Procedure from Table - UPDATE

Name

Specifies procedure name (if necessary, you can edit the one assigned by default).

The Columns list displays columns as specified in the columns clause of the procedure definition.

The list provides the following attributes of each column:

Name

Type

To add/remove columns to/from the construction, check/uncheck flags available in the first column of the Columns list.

For your convenience the Select All, Deselect All and Invert Selection functions are implemented in the context menu of the columns list area.

The lower area represents the UPDATE procedure definition as SQL statement. It is possible to edit the definition directly using the editor area to make appropriate changes.

Edit the block of statements within the BEGIN / END pair according to your needs.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.


DELETE Procedure

The Delete section of the Create Procedures dialog provides the definition of the DELETE procedure generated from the table.

Tables - Create Procedure from Table - DELETE

Name

Specifies procedure name (if necessary, you can edit the one assigned by default).

The lower area represents the DELETE procedure definition as SQL statement. It is possible to edit the definition directly using the editor area to make appropriate changes.

Edit the block of statements within the BEGIN / END pair according to your needs.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.


Views

A View is a logical table based on one or more tables or views. A view contains no data itself. The tables upon which a view is based are called base tables.

Views are useful for allowing users to access a set of relations (tables) as if it were a single table, and limiting their access to just that. Views can also be used to restrict access to rows (a subset of a particular table).

View Editor allows you to create new views and define their properties (view name and the SELECT statement it implements). It opens automatically when you create a new view and is available on editing an existing one.

To open a view in View Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing view
  • Managing columns
  • Managing indexes
  • Managing triggers
  • Browsing object dependencies
  • Working with data
  • Editing view description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in View Editor.

View Editor - Using Navigation bar

The Navigation bar of View Editor allows you to:

Object

iconDB select a database

select a view for editing

General

iconCompile compile the view (if it is being created/modified)

iconSaveDescription save the view description (if it has been modified)

edit the view query using Design Query

iconRefresh refresh the content of the active tab

iconPrint print metadata of the view

create a procedure based on the view

view the dependency tree for the view

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the view:

Indices

add a new index

edit selected index

drop selected index(-es)

Triggers

add a new trigger

edit selected trigger

drop selected trigger(s)

Data Management

iconCommit commit transaction

iconRollback rollback transaction

export data from the view using Export Data Wizard

export data from the view as SQL script using Export as SQL Script Wizard

import data

bulk insert

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of View Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing view

Use the View tab of View Editor to create/edit a view and specify its definition.

This tab represents the view definition as SQL statement, hence it is enough to simply edit the whole definition using the editor area to make appropriate changes, and recompile the view.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.

View Editor - Editing view definition

To compile a view, you can use the iconCompile Compile item available within the Navigation bar.


Managing columns

The Columns tab is provided for viewing columns represented in the view.

Right-click a row to display the context menu allowing you to export column name list or copy it to clipboard.

View Editor - Viewing fields

The Columns list provides the following attributes of each column of the view:

Column Name

Data Type

Not Null

Unique

Identity

Default Value

Description

For details see Columns.

If necessary, you can also use the Column Description area to supply a description for each column.


Managing indexes

The Indices tab is provided for viewing indexes represented in the view. Double-click an index to open Index Editor for editing the index.

Right-click an index to display the context menu allowing you to create new, edit, drop, enable/disable the selected index, or enable/disable all indexes. Using the menu you can also export the list of the view indexes to any of supported formats.

View Editor - Managing indexes

The Indexes list provides the following attributes of each index of the view:

Index Name

Columns

Clustered

Primary Key

Unique

Disabled

For details see Indexes.

If necessary, you can also use the Index Description area to supply a description for each index.


Managing triggers

The Triggers tab is provided for managing triggers represented in the view. Double-click a trigger to open Trigger Editor for editing the trigger.

Right-click the area to display the context menu allowing you to create new, edit, drop, enable/disable the selected trigger, or enable/disable all triggers. Using the menu you can also export the list of the view triggers to any of supported formats.

View Editor - Managing triggers

The Triggers list provides the following attributes of each trigger of the view:

Name

Insert

Update

Delete

Type

Disabled

For details see Triggers.

If necessary, you can also use the Trigger Description area to supply a description for each trigger.


Working with data

The Data tab displays the view data as a grid by default (see Data View for details). The context menu of this tab and the Navigation bar allow you to Export Data, Import Data, Export as SQL Script, Bulk Insert.

While working with view data, you are provided with a number of filtering and grouping facilities.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Data management tools are also available through the Navigation bar and toolbar of View Editor.

View Editor - Working with data

See also:

Data View


Procedures

A Procedure is a set of procedural constructs and embedded SQL statements that is stored in the database and can be called by name.

When you create an application with Microsoft SQL Server 2005 (and higher), the Transact-SQL programming language is the primary programming interface between your applications and the Microsoft SQL Server database. When you use Transact-SQL programs, two methods are available for storing and executing the programs. You can store the programs locally and create applications that send the commands to SQL Server and process the results, or you can store the programs as stored procedures in SQL Server and create applications that execute the stored procedures and process the results.

A stored procedure is a saved collection of Transact-SQL statements or a reference to a Microsoft .NET Framework common language runtime (CLR) method that can take and return user-supplied parameters. Procedures can be created for permanent use or for temporary use within a session, local temporary procedure, or for temporary use within all sessions, global temporary procedure.

Procedure Editor allows you to create new procedure, execute the existing procedure or edit its definition. It opens automatically when you create a new procedure and is available on editing an existing one.

To open a stored procedure in Procedure Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing procedure
  • Browsing procedure parameters
  • Browsing object dependencies
  • Editing procedure description
  • Specifying input parameters
  • Executing procedure
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Procedure Editor.

Procedure Editor - Using Navigation bar

The Navigation bar of Procedure Editor allows you to:

Object

iconDB select a database

select a procedure for editing

General

iconCompile compile the procedure (if it is being created/modified)

iconSaveDescription save the procedure description (if it has been modified)

iconExecute execute the procedure

iconInfoMessages enable/disable information messages

iconRefresh refresh the content of the active tab

iconPrint print metadata of the procedure

view the dependency tree for the procedure

iconRestoreDefaultSize restore the default size and position of the editor window

iconDebugger debug the procedure

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the procedure:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Procedure Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing procedure

Use the Procedure tab of Procedure Editor to create/edit a stored procedure and specify its definition.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.

Procedure Editor - Editing procedure definition

To execute a procedure, you can use the btnExecuteQuery Execute item available within the Navigation bar.


Browsing procedure parameters

The Parameters tab is provided for browsing the list of parameters of the stored procedure.

Right-click the list to display the popup menu allowing you to export this list to any of supported formats.

Procedure Editor - Browsing procedure parameters

The parameter list provides the following attributes of each parameter used in the procedure:

Name (parameter name specified by using an at (@) sign as the first character)

Data Type (the parameter data type)

Default Value (a default value for the parameter)

Output (indicates that the parameter is an output parameter)

If necessary, you can also use the Parameter Description area to supply a description for each parameter.


Specifying input parameters

If the stored procedure (or user-defined function) has parameters, the Input Parameter dialog appears before the procedure execution. It allows you to specify the values for all procedure parameters. After changes are done, click the OK button to execute the stored procedure, or the Cancel button to abort the execution.

Procedure Editor - Specifying input parameters

Check the CheckBox Default option to apply specified default input parameters.

See also:

Executing procedure/function


Executing procedure/function

Procedure Editor / UDF Editor provide an ability to execute procedures and user-defined functions. Click the btnExecuteQuery Execute item of the Navigation bar or use the corresponding toolbar button to execute the procedure/UDF.

If the procedure/UDF has input parameters, SQL Manager allows you to specify the values for these parameters in the Input Parameters dialog which appears just before execution.

The result of the successfully executed procedure/UDF, as well as the error message in case of execution failure, appears in the message panel at the bottom of the Procedure Editor / UDF Editor window.

Procedure Editor - Executing procedure

Note: If any unsaved changes are applied to the stored procedure/UDF being currently edited, the execution of the procedure/UDF is impossible unless changes are saved through the Compile item of the Navigation bar.

See also:

Specifying input parameters

Procedure Editor

UDF Editor


UDFs

A Function is a mapping embodied as a program (the function body) that can be invoked by using zero or more input values (arguments) to a single value (the result). A User-Defined Function is stored as a database object providing reusable code.

The Transact-SQL programming language provides the following types of functions:

Rowset functions (can be used like table references in an SQL statement)

Aggregate functions (operate on a collection of values but return a single, summarizing value)

Ranking functions (return a ranking value for each row in a partition)

Scalar functions (operate on a single value and then return a single value; scalar functions can be used wherever an expression is valid)

UDF Editor allows you to define user-defined function properties. It opens automatically when you create a new user-defined function and is available on editing an existing one.

To open a user-defined function in UDF Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing user-defined function
  • Browsing user-defined function parameters
  • Browsing object dependencies
  • Editing user-defined function description
  • Specifying input parameters
  • Executing function
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in UDF Editor.

UDF Editor - Using Navigation bar

The Navigation bar of UDF Editor allows you to:

Object

iconDB select a database

select a user-defined function for editing

General

iconCompile compile the UDF (if it is being created/modified)

iconSaveDescription save the UDF description (if it has been modified)

iconExecute execute the UDF

iconRefresh refresh the content of the active tab

iconPrint print metadata of the UDF

view the dependency tree for the UDF

iconRestoreDefaultSize restore the default size and position of the editor window

iconDebugger debug the procedure

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the UDF:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of UDF Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing UDF

Use the Function tab of UDF Editor to create/edit a user-defined function and specify its definition.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.

UDF Editor - Editing UDF definition

Note: A UDF is a Transact-SQL or common language runtime (CLR) routine that returns a value. User-defined functions, like system functions, can be invoked from a query. Scalar functions can be executed by using an EXECUTE statement like stored procedures.

To execute a UDF, you can use the btnExecuteQuery Execute item available within the Navigation bar.


Browsing UDF parameters

The Parameters tab is provided for browsing the list of parameters of the user-defined function.

Right-click the list to display the popup menu allowing you to export this list to any of supported formats.

UDF Editor - Browsing UDF parameters

The parameter list provides the following attributes of each parameter used in the UDF:

Name (parameter name specified by using an 'at' (@) sign as the first character)

Data Type (the parameter data type)

Default Value (a default value for the parameter)

If necessary, you can also use the Parameter Description area to supply a description for each parameter.


UDTs

A User-Defined Data Type is internally represented as an existing type, but is considered to be a separate data type. In fact, this is an alias data type in an instance of SQL Server, a CLR data type, or a table data type (for SQL Server 2008). An alias data type's implementation is based on a SQL Server native system type. A user-defined type is implemented through a class of an assembly in the Microsoft .NET Framework common language runtime (CLR).

UDT Editor allows you to define user-defined type properties. It opens automatically when you create a new type and is available on editing an existing one.

To open a user-defined type in UDT Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing user-defined type
  • Managing UDT checks
  • Managing UDT Primary/Unique Keys
  • Browsing object dependencies
  • Editing user-defined type description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in UDT Editor.

UDT Editor - Using Navigation bar

The Navigation bar of UDT Editor allows you to:

Object

iconDB select a database

select a user-defined type for editing

General

iconCompile compile the user-defined type (if it is being created/modified)

iconSaveDescription save the UDT description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the UDT

view the dependency tree for the UDT

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the user-defined type:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of UDT Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing UDT

Use the Type tab of UDT Editor to create/edit a user-defined data type and specify its properties.

If you create a new user-defined type, you should first specify its implementation kind.

UDT Editor - New UDT

RadioButton Alias data type

This selection specifies that an alias data type will be created on the basis of an existing SQL Server data type.

RadioButton CLR data type

This selection specifies that the user-defined will be taken from an assembly.

RadioButton Table data type

This selection specifies that a new user-defined table type will be created.

Name

Enter a name for the new user-defined type, or modify the name of the user-defined type being edited.

Schema

Use the drop-down list to select the schema to which the user-defined type belongs. The default selection is the default schema for the current user. For Microsoft® SQL Server 2000 or SQL Server 7.0, specify the owner of the UDT (the default value is the current user).

Alias Data Type Properties

UDT Editor - Editing UDT definition - Alias Data Type

Type

Use the drop-down list to select SQL Server supplied data type on which the alias data type is based (base_type). The base type of an existing UDT is not editable.

CheckBox Not Null

Specify whether the UDT can accept NULL values. The nullability of an existing UDT is not editable.

Size

Specify the size value (for certain types). Check CheckBox Maximum size to use the maximum values set by SQL Server.

Scale

Defines the maximum number of decimal digits that can be stored to the right of the decimal point of the value (for numeric and decimal data types).

Rule

Use the drop-down list to select a rule to bind to the user-defined data type (optional). Check CheckBox For new columns only to apply the selected rule only to newly added columns.

Default

Use the drop-down list to select a default to bind to the user-defined data type (optional). Check CheckBox For new columns only to apply the selected default only to newly added columns.

Note: Some properties cannot be modified because of dependent objects. Open the Dependencies tab to browse the list of dependent objects, or view the dependency tree for the user-defined type.

CLR Data Type Properties

UDT Editor - Editing UDT definition - CLR Data Type

Assembly

Use the drop-down list to select the SQL Server assembly that references the implementation of the user-defined type in the common language runtime (CLR). The assembly must have been already created in the database.

Class name

Specifies the class within the assembly that implements the user-defined type. The class name can be a namespace-qualified name (if the programming language that is used to write the class uses the concept of namespaces, such as C#).

Table Data Type Properties

UDT Editor - Editing UDT definition - Table Data Type

Columns

This area lists the columns of the user-defined type as a grid.

Double-click a row to open Column Editor for editing the column.

Right-click within the Columns area to display the context menu allowing you to add new, insert, edit using Column Editor, delete the selected column, or move it up/down within the list.

The Columns list provides the following attributes of each column of the UDT:

Primary Key

Column Name

Data Type

Size/Precision

Max Size

Scale

Not Null

Unique

Identity

Sparse

Filestream

Default Value

Comment

For details see Columns.


Managing UDT checks

The Checks tab is provided for viewing and editing UDT checks. This tab is only available for Table Data Type.

UDT Editor - Managing UDT checks

Double-click a check to edit the condition of the check using the Table Type Check Constraint dialog.

Right-click a check to display the context menu allowing you to create new, edit, or drop the selected check constraint.


Table Type Check Constraint dialog

The Table Type Check Constraint dialog allows you to specify the UDT check condition.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.

UDT Editor - Managing UDT checks - Table Type Check Constraint dialog


Managing UDT Primary/Unique Keys

The Primary/Unique Keys tab is provided for viewing and editing UDT primary/unique keys. This tab is only available for Table Data Type.

Double-click a constraint to edit it using the Table Type Constraint dialog.

Right-click a constraint to display the context menu allowing you to create new, edit, or drop the selected constraint.

UDT Editor - Managing UDT Primary_Unique Keys

The Columns list provides the following attributes of each constraint of the UDT:

Primary Key

Unique Key

Columns

Clustered

Ignore Duplicates


Table Type Constraint dialog

The Table Type Constraint dialog allows you to specify the UDT Primary/Unique Key properties.

UDT Editor - Managing UDT Primary_Unique Keys - Table Type Constraint dialog

Constraint Type

This group allows you to specify the UDT constraint type:

RadioButton Primary Key

Specifies a primary key constraint.

RadioButton Unique Key

Specifies a unique key constraint.

Options

CheckBox Clustered

If this option is selected, the logical order of the key values determines the physical order of the corresponding rows in a table.

CheckBox Ignore duplicate keys

This option specifies the error response to duplicate key values in a multiple-row insert operation on a unique clustered or unique nonclustered constraint.

Columns

To specify column(s) for the UDT constraint, you need to move it from the Available Columns list to the Selected Columns list. Use the Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

To change the sorting order for a column, select the column in the Selected Columns list and change the Order value (ascending/descending).


Sequences

A Sequence is a database object from which multiple users may generate unique integers. You can use sequences to automatically generate primary key values. When a sequence number is generated, the sequence is incremented, independently of the transaction committing or rolling back. If two users concurrently increment the same sequence, then the sequence numbers each user acquires may have gaps, because sequence numbers are being generated by the other user. One user can never acquire the sequence number generated by another user. After a sequence value is generated by one user, that user can continue to access that value regardless of whether the sequence is incremented by another user.

Sequence Editor allows you to define sequence properties. It opens automatically when you create a new sequence and is available on editing an existing one (see Create sequence and Edit sequence for details).

To open a sequence in the Sequence Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing sequence
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Sequence Editor.

Sequence Editor - Using Navigation bar

The Navigation bar of Sequence Editor allows you to:

Object

iconDB select a database

select a sequence for editing

General

iconCompile compile the sequence (if it is being created)

iconPrint set printing options to print metadata of the sequence

view the dependency tree for the sequence

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the sequence:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Sequence Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing sequence

Use the Sequence tab of Sequence Editor to create/edit a sequence and specify its properties.

Name

Specify the name of the sequence to be created, or view the name of the sequence being edited. Note that the sequence name must be unique within its schema.

CheckBox Cycle

This option indicates that the sequence continues to generate values after reaching either its maximum or minimum value. After an ascending sequence reaches its maximum value, it generates its minimum value. After a descending sequence reaches its minimum, it generates its maximum value.

Schema

Use the drop-down list to specify the schema in which the sequence will be created.

Sequence Editor - Editing Sequence Definition

Type

Specify the type of generated sequence numbers.

Precision

Specify the size value (for the decimal type).

Start value

Specify the first sequence number to be generated. Use this setting to start an ascending sequence at a value greater than its minimum or to start a descending sequence at a value less than its maximum.

Increment

Specify which value is added to the current sequence value to create a new value. A positive value will make an ascending sequence, a negative one - a descending sequence. The default value is 1.

Min value

Specify the minimum value of the sequence.

Max value

Specify the maximum value for the sequence.

Value Cache

Specify how many sequence numbers are to be preallocated and stored in memory for faster access in the RadioButton This size cache field or select RadioButton Default cache size or RadioButton No cache.

To compile the object, use the corresponding iconCompile Compile item of the Navigation bar or toolbar.


Synonyms

You can use Synonyms in place of their referenced base object in a number of SQL statements and expression contexts. When working with synonyms in these contexts, the base object is affected. For example, if you have a synonym that references a base object that is a table, when you insert a row into the synonym, you are actually inserting a row into the referenced table.

Synonym Editor allows you to define synonym properties. It opens automatically when you create a new synonym and is available on editing an existing one.

To open a synonym in Synonym Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing synonym
  • Browsing object dependencies
  • Editing synonym description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Synonym Editor.

Synonym Editor - Using Navigation bar

The Navigation bar of Synonym Editor allows you to:

Object

iconDB select a database

select a synonym for editing

General

iconCompile compile the synonym (if it is being created/modified)

iconSaveDescription save the synonym description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the synonym

view the dependency tree for the synonym

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the synonym:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Synonym Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing synonym

Use the Synonym tab of Synonym Editor to create/edit a synonym and specify its properties.

Name

Enter a name for the new synonym, or modify the name of the synonym being edited.

Schema

Use the drop-down list to select the schema in which the synonym is created.

Synonym Editor - Editing synonym definition

Object name

This box displays the base object that the synonym references. To change the object, click the Select... button.

The Select Object dialog allows you to specify a database object to use as the referenced object.

Synonym Editor - Select object

Hint: The context menu of the Select Object dialog allows you to toggle the Icons/List object representation mode.


Aggregates

Aggregate functions, or Aggregates, perform a calculation on a set of values and return a single value. Traditionally Microsoft® SQL Server supported only built-in aggregate functions, such as SUM or MAX, that operate on a set of input scalar values and generate a single aggregate value from that set. SQL Server integration with the .NET Framework common language runtime (CLR) now allows developers to create custom aggregate functions in managed code and make these functions accessible to Transact-SQL or other managed code.

Aggregate Editor allows you to define aggregate properties. It opens automatically when you create a new aggregate and is available on editing an existing one.

To open an aggregate in Aggregate Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing aggregate
  • Browsing object dependencies
  • Editing aggregate description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Aggregate Editor.

Aggregate Editor - Using Navigation bar

The Navigation bar of Aggregate Editor allows you to:

Object

iconDB select a database

select an aggregate for editing

General

iconCompile compile the aggregate (if it is being created/modified)

iconSaveDescription save the aggregate description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the aggregate

view the dependency tree for the aggregate

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the aggregate:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Aggregate Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing aggregate

Use the Aggregate tab of Aggregate Editor to create/edit an aggregate function and specify its definition.

Name

Enter a name for the new aggregate, or modify the name of the aggregate being edited.

Schema

Use the drop-down list to select the schema to which the user-defined aggregate function belongs.

Aggregate Editor - Editing aggregate definition

Parameter

Name

Specify the parameter name for the user-defined aggregate. The value of the parameter is supplied by the user when the aggregate function is executed. Specify a parameter name using an at (@) sign as the first character.

Type

Use the drop-down list to select one of the SQL Server system scalar data types to hold the value of the input parameter or return value.

Size

Specify the size value (for certain types). Check the CheckBox Maximum size option to use the maximum values set by SQL Server.

Scale

Defines the maximum number of decimal digits that can be stored to the right of the decimal point of the value (for float data types).

Return value

Type

Use the drop-down list to select the name of an existing data type to be used as the return value type.

Size

Specify the size value (for certain types). Check the CheckBox Maximum size option to use the maximum values set by SQL Server.

Assembly

Assembly name

Use the drop-down list to select the SQL Server assembly to bind with the user-defined aggregate function. The assembly must already have been created in the database.

Class name

Specify the name of the class in the assembly that implements the user-defined aggregate. This value must be a valid SQL Server identifier and match the name of a class that exists in the assembly. This may be a namespace-qualified name if the programming language used to write the class uses namespaces, such as C#.


XML Schema Collections

Microsoft® SQL Server™ provides native storage of XML data through the XML data type. The XML Schema Collection stores the imported XML schemas and is then used to do the following:

  • Validate XML instances
  • Type the XML data as they are stored in the database

The XML stored in a column or variable that a schema is associated with is referred to as typed XML, because the schema provides the necessary data type information for the instance data. SQL Server uses this type information to optimize data storage.

Note that XML Schema Collection is a metadata entity like a table in the database, hence the XML Schema Collection can be created, modified and dropped.

XML Schema Collection Editor allows you to define XML schema collection properties. It opens automatically when you create a new XML schema collection and is available on editing an existing one.

To open a XML schema collection in XML Schema Collection Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing XML Schema Collection
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in XML Schema Collection Editor.

XML Schema Collection Editor - Using Navigation bar

The Navigation bar of XML Schema Collection Editor allows you to:

Object

iconDB select a database

select a XML schema collection for editing

General

iconCompile compile the XML schema collection (if it is being created/modified)

iconSaveDescription save the XML schema collection description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the XML schema collection

view the dependency tree for the XML schema collection

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the XML schema collection:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of XML Schema Collection Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing XML Schema Collection

Use the XML Schema Collection tab of XML Schema Collection Editor to create/edit a XML Schema Collection and specify its definition.

Name

Enter a name for the new XML Schema Collection, or view the name of the XML Schema Collection being edited.

Schema

Use the drop-down list to select the schema to which the XML Schema Collection belongs.

XML Schema Collection Editor - Editing XML Schema Collection

The lower area of the editor window allows you to specify the XML Schema Collection definition. You can add a new schema or its component(s) to XML Schema Collection. After successful compilation, the DDL tab will display the changes made to the schema. To compile the schema, use the corresponding item of the Navigation bar.


Defaults

When bound to a column or a user-defined data type, a Default specifies a value to be inserted into the column to which the object is bound (or into all columns, in case of UDF) when no value is explicitly supplied during an insert operation.

Default Editor allows you to define default properties. It opens automatically when you create a new default and is available on editing an existing one.

To open a default in Default Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing default
  • Browsing object dependencies
  • Editing default description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Default Editor.

Default Editor - Using Navigation bar

The Navigation bar of Default Editor allows you to:

Object

iconDB select a database

select a default for editing

General

iconCompile compile the default (if it is being created/modified)

iconSaveDescription save the default description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the default

view the dependency tree for the default

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the default:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Default Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing default

Use the Default tab of Default Editor to create/edit a default and specify its definition.

Name

Enter a name for the new default, or modify the name of the default being edited.

Schema

Use the drop-down list to select the schema to which the default belongs.

Default Editor - Editing default definition

Definition

This area represents an expression that contains only constant values (it cannot include the names of any columns or other database objects). Any constant, built-in function, or mathematical expression can be used, except those containing alias data types.

The definition must conform to the following rules:

  • character and date constants are enclosed in single quotation (') marks;
  • monetary, integer, and floating-point constants do not require quotation marks;
  • binary data must be preceded by 0x
  • monetary data must be preceded by a dollar ($) sign.


Rules

When bound to a column or a user-defined data type, a Rule specifies the acceptable values that can be inserted into that column or to the fields having the specified data type.

Rule Editor allows you to define rule properties. It opens automatically when you create a new rule and is available on editing an existing one.

To open a rule in Rule Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing rule
  • Browsing object dependencies
  • Editing rule description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Rule Editor.

Rule Editor - Using Navigation bar

The Navigation bar of Rule Editor allows you to:

Object

iconDB select a database

select a rule for editing

General

iconCompile compile the rule (if it is being created/modified)

iconSaveDescription save the rule description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the rule

view the dependency tree for the rule

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the rule:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Rule Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing rule

Use the Rule tab of Rule Editor to create/edit a rule and specify its definition.

Name

Enter a name for the new rule, or modify the name of the rule being edited.

Schema

Use the drop-down list to select the schema to which the rule belongs.

Rule Editor - Editing rule definition

Definition

This area represents the condition(s) that define the rule (condition_expression). This can be any expression valid in a WHERE clause and can include elements such as arithmetic operators, relational operators, and predicates (for example, IN, LIKE, BETWEEN).

Rule definition includes one variable. The at (@) sign precedes each local variable. The expression refers to the value entered with the UPDATE or INSERT statement. Any name or symbol can be used to represent the value when creating the rule, but the first character must be the at (@) sign.


Queues

A Queue is a schema object that holds incoming messages for a service. When a message arrives for a service, Service Broker puts the message on the queue associated with the service.

Queue Editor allows you to define queue properties. It opens automatically when you create a new queue and is available on editing an existing one.

To open a queue in Queue Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing queue
  • Viewing queue messages
  • Browsing object dependencies
  • Editing rule description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Queue Editor.

Queue Editor - Using Navigation bar

The Navigation bar of Queue Editor allows you to:

Object

iconDB select a database

select a queue for editing

General

iconCompile compile the queue (if it is being created/modified)

iconSaveDescription save the queue description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the queue

view the dependency tree for the queue

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the queue:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Queue Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing queue

Use the Queue tab of Queue Editor to create/edit a queue and specify its properties.

Queue Editor - Editing queue definition

Name

Is the name of the queue to create. This name must meet the guidelines for SQL Server identifiers.

Schema

Is the name of the schema to which the new queue belongs. The schema defaults to the default schema for the user that executes the statement.

CheckBox Enabled

Specifies whether the queue is enabled (available) or disabled (unavailable). When the queue is disabled, no messages can be added to the queue or removed from the queue.

CheckBox Retain messages

Specifies the retention setting for the queue. If the option is enabled, all messages sent or received on conversations that use this queue are retained in the queue until the conversations have ended.

Activation options

CheckBox Enabled activation

Specifies whether Service Broker starts the stored procedure to process messages in this queue.

Procedure name

Enter the name of the activation stored procedure, i.e. the stored procedure that has to be started to process messages in this queue.

Max queue readers

Specifies the maximum number of instances of the activation stored procedure that the queue starts at the same time.

Execute as

Use the drop-down list to select the SQL Server database user account under which the activation stored procedure runs.

Filegroup

Specifies the SQL Server filegroup on which the queue is created.


Viewing queue messages

Use the Queue Messages tab of Queue Editor to view queue messages within a request-reply message cycle.

Queue Editor - Viewing queue messages

The Queue Messages List displays the messages as a grid with the following columns: Status, Priority, Order, Message Sequence Number, Service Name, Service Contract Name, Message Type Name, Validation, Message Body. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.


External Tables

External tables are used in SQL Server to access data stored in a Hadoop cluster or Azure blob storage. It can also be used to create an external table for Elastic Database query.

To open an external table double-click it in the DB Explorer tree.

  • Creating/editing external tables
  • Editing external table description
  • Viewing DDL definition


Creating/editing external tables

Name

Specify the name for the new external table.

Schema

Select schema for the external table location.

Data source

Select the name of the external data source.

External table - Object editor

File format

Select the existing external file format object that stores file type and compression method for external data.

Remote schema

Specify the different schema on the remote database to map the external table definition.

Remote name

Set the remote table name

Location

Specify the folder or the full path to the file for the actual data in Hadoop or Azure blob storage. The location starts from the root folder; the root folder is the data location specified in the external data source.

Distribution

This option is only required SHARD_MAP_MANAGER databases. Select how the table is treated:

RadioButton SHARDED table so data from different tables is not overlapped;

RadioButton REPLICATED table so that tables have the same data on every shard;

RadioButton ROUND_ROBIN so that application-specific method is used to distribute the data.

Reject options

Reject parameters are used to determine how PolyBase will handle dirty records.

Select if the values will be specified as literal RadioButton Value or RadioButton Percentage.

Value

Specifies the value or the percentage of rows that can be rejected before the query fails.

Sample value

This attribute is required when you specify Percentage value type. It determines the number of rows to attempt to retrieve before the PolyBase recalculates the percentage of rejected rows.

Row location

Input the directory within the External Data Source to write rejected rows and the error file.


Non-schema Objects

Other types of objects are also stored in the database and can be created and manipulated with SQL, but are not contained in a schema:

  • Assemblies
  • DDL Triggers
  • Partition Functions
  • Partition Schemes
  • Full-Text Catalogs
  • Symmetric Keys
  • Asymmetric Keys
  • Certificates
  • Message Types
  • Contracts
  • Services
  • Routes
  • Remote Service Bindings
  • DB Scoped Credentials
  • External Data Sources
  • External File Formats

Use the DB Explorer tree to navigate within the database(s) and the objects.

See also:

New Object dialog

Duplicate Object Wizard


Users

A database User is a database-level security principal enabling object access permission control at the finest level of granularity. A user represents a single SQL Server login within the scope of the database in which the user is defined.

User Editor allows you to define user properties and membership. It opens automatically when you create a new user and is available on editing an existing one.

To open a user in User Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing user
  • Defining user membership
  • Editing object description
  • Viewing DDL definition
  • Setting object permissions

See also:

Roles

Logins

Grant Manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in User Editor.

User Editor - Using Navigation bar

The Navigation bar of User Editor allows you to:

Object

iconDB select a database

select a user for editing

General

iconCompile compile the user (if it is being created/modified)

iconSaveDescription save the user description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the user

view the dependency tree for the user

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the user:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of User Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing user

Use the User tab of User Editor to create/edit a user and specify its properties.

User Editor - Editing user definition

RadioButton Login

If this option is selected, use the drop-down list to specify the SQL Server login for which the database user is being created.

RadioButton Windows principal

Check this option to specify the Windows principal for which the database user is being created. The Windows principal can be a Windows user, or a Windows group. The user will be created even if the Windows principal does not have a login. When connecting to SQL Server, if the Windows principal does not have a login, the Windows principal must authenticate at the Database Engine through membership in a Windows group that has a login, or the connection string must specify the contained database as the initial catalog.

CheckBox Local account on server

Select this option to specify a built-in server account for the user, or specify the Windows Domain. After that specify User/group name in the corresponding field.

You can select whether a new user will be created in a RadioButton User/custom group or in a RadioButton Built-in group.

RadioButton Certificate

If this option is selected, use the drop-down list to specify the certificate for which the database user is being created.

RadioButton Asymmetric key

If this option is selected, use the drop-down list to specify the asymmetric key for which the database user is being created.

RadioButton Without login

This option specifies that the user should not be mapped to any of existing logins.

User Name

Specifies the name by which the user is identified inside this database.

Default schema

Use the drop-down list to specify the first schema that will be searched by the server when it resolves the names of objects for this database user.

Default language

Specify the default language for the new user. If no default language is specified, the default language for the user will be the default language of the database.

Note: Default language can be specified only for contained database users.


Defining user membership

The Member of tab of User Editor allows you to define user membership, i.e. to select the built-in database role(s) the user will belong to. The selected roles determine the tasks that can be performed through the user.

User Editor - Defining membership

To select a role, you need to move it from the Available Roles list to the Selected Roles list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the roles from one list to another.


Specifying permissions

Use the Permissions tab to grant permissions to a user.

User Editor - Specifying permissions

The Grantee column contains the list of roles and users; each subsequent column corresponds to the permission which can be granted on the selected user: ALTER, CONTROL, VIEW DEFINITION, IMPERSONATE.

Right-click a cell to grant a specific permission on a certain user or role. To grant a permission on a user, you should find the object in the Grantee list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission to the user;
  • grant a permission (with Grant Option) to the user;
  • deny a permission to the user;
  • revoke a previously granted or denied permission;
  • grant all permissions to the user;
  • grant all permissions (with Grant Option) to the user;
  • deny all permissions to the user;
  • revoke all previously granted or denied permissions;
  • grant a permission on all users and roles to the user;
  • grant a permission (with Grant Option) on all users and roles to the user;
  • deny a permission on all users and roles to the user;
  • revoke a previously granted or denied permission on all users


Roles

All users interact with SQL Server within the context of a database-level principal - Role. A user can belong to multiple groups and have multiple roles, and the operations that are permitted by each role determine the actions that the user can perform. It is necessary to create SQL Server database roles when a group of users needs to perform a specified set of activities in the database.

Role Editor allows you to define role properties and membership. It opens automatically when you create a new role and is available on editing an existing one.

To open a role in Role Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing role
  • Defining role membership
  • Viewing DDL definition
  • Setting object permissions

See also:

Users

Grant Manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Role Editor.

Role Editor - Using Navigation bar

The Navigation bar of Role Editor allows you to:

Object

iconDB select a database

select a role for editing

General

iconCompile compile the role (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the role

view the dependency tree for the role

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the role:

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Role Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing role

Use the Role tab of Role Editor to create/edit a role and specify its properties and membership.

Name

Enter a name for the new role, or view the name of the role being edited.

Role type

Select whether the preferable role type:

RadioButton Standard (user-defined) role

RadioButton Application role

Role Editor - Editing role definition

If a Standard role is being created/edited, you should add members to the role, i.e. add the users (or other roles) that will inherit the permissions of the role.

To add a user, you need to move it from the Available Users list to the Selected Users list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the users from one list to another.

An Application role is a database principal that enables an application to run with its own, user-like permissions. You can use application roles to enable access to specific data to only those users who connect through a particular application.

If an Application role is being created/edited, you should specify a password for the role.

Default schema

Specify the first schema that will be searched by the server when it resolves the names of objects for this role.

Note: If this field remains <Default>, the application role will use DBO as its default schema. The schema defined may not exist in the database.

Note that in the Database Explorer different icons are used for [image] Application role and [image] User role.


Defining role membership

The Member of tab of Role Editor allows you to define role membership, i.e. to select the built-in database role(s) the current role will be a member of. The selected roles determine the tasks that can be performed through the current role.

Role Editor - Defining role members

To select a role, you need to move it from the Available Roles list to the Selected Roles list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the roles from one list to another.


Assemblies

An Assembly is a managed application module containing class metadata and managed code as an object in SQL Server, against which CLR functions, stored procedures, triggers, user-defined aggregates, and user-defined types can be created in SQL Server.

Assembly Editor allows you to define assembly properties. It opens automatically when you create a new assembly and is available on editing an existing one.

To open an assembly in Assembly Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing assembly
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Assembly Editor.

Assembly Editor - Using Navigation bar

The Navigation bar of Assembly Editor allows you to:

Object

iconDB select a database

select an assembly for editing

General

iconCompile compile the assembly (if it is being created/modified)

iconSaveDescription save the assembly description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the assembly

view the dependency tree for the assembly

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the assembly:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Assembly Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing assembly

Use the Assembly tab of Assembly Editor to create/edit an assembly and specify its properties.

Name

Enter a name for the new assembly, or view the name of the assembly being edited.

Owner

Use the drop-down list to select the owner of the assembly (the name of a database user or role).

Assembly Editor - Editing assembly definition

CheckBox Visible for creating CLR objects

This option specifies whether the assembly is visible for creating common language runtime (CLR) functions, stored procedures, triggers, user-defined aggregates, and user-defined types against it. If disabled, the assembly is intended to be called only by other assemblies. If there are existing CLR database objects already created against the assembly, the visibility of the assembly cannot be changed.

CheckBox Don't check data that depends on assembly

If this option is unchecked, SQL Server refreshes even those assemblies upon which persisted data in the database is dependent.

Code access permissions

Specifies a set of code access permissions granted to the assembly when it is accessed by SQL Server.

RadioButton Safe

The most restrictive permission set. Code executed by an assembly cannot access external system resources such as files, the network, environment variables, or the registry.

RadioButton External access

Allows assemblies to access certain external system resources such as files, networks, environmental variables, and the registry.

RadioButton Unsafe

Allows assemblies unrestricted access to resources, both within and outside SQL Server. Code executing from within an Unsafe assembly can call unmanaged code.

The Assembly info panel is used to display information about the assembly or application, including a description, version information, company name, product name, and more. This information corresponds to the values of global assembly attributes.

The Files list allows you to manage files that correspond to the assembly, and specify the local path or network location.

To add a file, right-click within the Files area and select the iconPlus Add Row popup menu item.

To remove a file, right-click the file name within the Files area and select the iconMinus Delete Row popup menu item.


DDL Triggers

A Trigger is a special kind of stored procedure that automatically executes when an event occurs in the database.

DDL Triggers fire in response to a variety of data definition language (DDL) events which are primarily CREATE, ALTER and DROP statements; logon triggers fire in response to the LOGON event that is raised when a user sessions is being established.

DDL Trigger Editor allows you to define DDL trigger properties (the scope of the DDL triggers is applied to the current database, i.e. the trigger fires whenever event_type or event_group happens in the current database). It opens automatically when you create a new DDL trigger and is available on editing an existing one.

To open a DDL trigger in DDL Trigger Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing DDL trigger
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in DDL Trigger Editor.

DDL Trigger Editor - Using Navigation bar

The Navigation bar of DDL Trigger Editor allows you to:

Object

iconDB select a database

select a DDL trigger for editing

General

iconCompile compile the DDL trigger (if it is being created/modified)

iconSaveDescription save the DDL trigger description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the DDL trigger

view the dependency tree for the DDL trigger

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the DDL trigger:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of DDL Trigger Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing DDL trigger

Use the DDL Trigger tab of DDL Trigger Editor to create/edit a database-scoped DDL trigger and specify its properties.

Name

Enter a name for the new DDL trigger, or modify the name of the DDL trigger being edited.

DDL Trigger Editor - Editing DDL trigger definition

CheckBox Enabled

Enables/disables the trigger immediately after it is created. A disabled trigger still exists as an object in the current database, but does not fire.

CheckBox Encrypted

If this option is selected, the text of the CREATE TRIGGER statement is encrypted. Using this option prevents the trigger from being published as part of SQL Server replication.

Execute as

Specify the security context under which the trigger is to be executed: RadioButton Caller, RadioButton Self or RadioButton User (select which user account should be used to validate permissions on any database objects that are referenced by the trigger).

Code Source

Select the trigger code source: it can be a direct set of SQL statements or an external procedure call from a .NET assembly or DLL.

Events

This area lists the DDL events as groups. The trigger will fire after execution of any data definition language event selected in this list. Set the corresponding flag next to an event or event group name.

SQL statements or assembly method

This area allows you to set the trigger conditions and actions. Trigger conditions specify additional criteria that determine whether the tried DDL statements cause the trigger actions to be performed.

The trigger actions take effect when the DDL operation is performed.


Partition Functions

A Partition function specifies how a table or index is partitioned. The function maps the domain into a set of partitions. When creating a partition function, you specify the number of partitions, the partitioning column, and the range of partition column values for each partition. Note that when you specify the partitioning column, you can only specify one.

Partition Function Editor allows you to define partition function properties. It opens automatically when you create a new partition function and is available on editing an existing one.

To open a partition function in Partition Function Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing partition function
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Partition Function Editor.

Partition Function Editor - Using Navigation bar

The Navigation bar of Partition Function Editor allows you to:

Object

iconDB select a database

select a partition function for editing

General

iconCompile compile the partition function (if it is being created/modified)

iconSaveDescription save the partition function description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the partition function

view the dependency tree for the partition function

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the partition function:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Partition Function Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing partition function

Use the Partition Function tab of Partition Function Editor to create/edit a partition function and specify its properties.

Name

Enter a name for the new partition function, or view the name of the partition function being edited.

Parameter

Type

Specifies the data type of the column used for partitioning.

Size

Specifies the size of the data type. This box is not editable if the size of the selected data type is fixed or not applicable.

Scale

Specifies the maximum number of decimal digits that can be stored to the right of the decimal point. This box is editable only for numeric and decimal data types only.

Collation

Defines the collation for text, char, nchar, varchar, nvarchar values.

Partition Function Editor - Editing partition function definition

CheckBox Boundary values belong to left interval

This option specifies to which side of each boundary value interval, left or right, the boundary value belongs, when interval values are sorted by the Database Engine in ascending order from left to right. If checked, LEFT is specified.

Boundary values

This area lists the boundary values specified by the partition function.

To add a value, right-click within the Boundary values area and select the iconPlus Add Value popup menu item, or press the corresponding Add value btnAddItem button.

To remove a value, right-click the value within the Boundary values area and select the iconMinus Delete Value popup menu item, or press the corresponding Delete value btnRemoveItem button.

Use the Move up btnMoveUp and the Move down btnMoveDown buttons or popup menu items to reorder the intervals.

To add a partition scheme which will use the current partition function, right-click within the Boundary values area and select the Add Partition Scheme... popup menu item.

To drop the partition scheme which uses the current partition function, right-click within the Boundary values area and select Drop Partition Scheme <partition_scheme_name> popup menu item.


Partition Schemes

A Partition scheme maps the partitions produced by a partition function to a set of filegroups that you define. A partition scheme can use only one partition function. However, a partition function can participate in more than one partition scheme.

Partition Scheme Editor allows you to define partition scheme properties. It opens automatically when you create a new partition scheme and is available on editing an existing one.

To open a partition scheme in Partition Scheme Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing partition scheme
  • Browsing object dependencies
  • Editing object description
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Partition Scheme Editor.

Partition Scheme Editor - Using Navigation bar

The Navigation bar of Partition Scheme Editor allows you to:

Object

iconDB select a database

select a partition scheme for editing

General

iconCompile compile the partition scheme (if it is being created/modified)

iconSaveDescription save the partition scheme description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the partition scheme

view the dependency tree for the partition scheme

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the partition scheme:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Partition Scheme Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing partition scheme

Use the Partition Scheme tab of Partition Scheme Editor to create/edit a partition scheme and specify its properties.

Name

Enter a name for the new partition scheme, or modify the name of the partition scheme being edited.

Partition function

Use the drop-down list to select the name of the partition function that will use the partition scheme.

Partition Scheme Editor - Editing partition scheme definition

Filegroups

Partitions created by the partition function are mapped to the filegroups specified in the partition scheme.

Select the filegroup name in the Filegroup drop-down list for each of the intervals specified by the partition function. If PRIMARY is selected, the partition is stored in the primary filegroup.

Hint: Filegroups can be created on the Filegroups page of the Database Properties dialog.


Full-Text Catalogs

Full-text catalogs and Full-text indexes are the objects that are implemented in Microsoft® SQL Server for efficient full-text administration which is carried out at the server, database, table and column levels.

Like regular indexes, Full-text indexes can be automatically updated as data are modified in the associated tables. Index updating is normally performed as an asynchronous process that runs in the background during periods of low database activity. Tables with the same update characteristics (e.g. small number of changes and large number of changes) should be grouped together and assigned to the same Full-text catalog.

One Full-text catalog can have several full-text indexes, but a full-text index can only be part of one full-text catalog.

Full-Text Catalog Editor allows you to define full-text catalog properties. It opens automatically when you create a new full-text catalog and is available on editing an existing one.

To open a full-text catalog in Full-Text Catalog Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing full-text catalog
  • Managing full-text indexes
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Full-Text Catalog Editor.

Full-Text Catalog Editor - Using Navigation bar

The Navigation bar of Full-Text Catalog Editor allows you to:

Object

iconDB select a database

select a full-text catalog for editing

General

iconCompile compile the full-text catalog (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the full-text catalog

view the dependency tree for the full-text catalog

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the full-text catalog:

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Full-Text Catalog Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing full-text catalog

Use the Full-Text Catalog tab of Full-Text Catalog Editor to create/edit a full-text catalog and specify its properties.

Name

Enter a name for the new full-text catalog, or view the name of the full-text catalog being edited.

Full-Text Catalog Editor - Editing full-text catalog definition

Owner

Use the drop-down list to select the owner of the full-text catalog (the name of a database user or role).

File group

Use the drop-down list to select the filegroup which will include the new catalog. The default full-text filegroup is the PRIMARY filegroup for the database.

Path

Use the ellipsis EllipsisButton button to specify the root directory for the catalog using the SQL Server Folders dialog.

Note: Full-text catalogs must be created on a local hard drive associated with an instance of SQL Server.

CheckBox Set as default catalog

This option specifies that the catalog is the default catalog. When full-text indexes are created without a full-text catalog explicitly specified, the default catalog is used.

Accent sensitivity

Specify whether the catalog is accent RadioButton sensitive or RadioButton insensitive for full-text indexing.


Managing full-text indexes

The Indices tab of Full-Text Catalog Editor allows you to manage full-text indexes and specify their properties.

Indices

This area lists the tables containing indexes that will be used by the full-text catalog.

To add a full-text index, right-click within the Indices area and select the iconPlus Add index popup menu item, or use the corresponding button at the bottom.

The Select Object dialog allows you to specify a table or an indexed view to use indexes from.

Full-Text Catalog Editor - Select object

Hint: The context menu of the Select Object dialog allows you to toggle the Icons/List object representation mode.

To remove a full-text index, right-click the index within the Indices area and select the iconMinus Delete index popup menu item, or use the corresponding button at the bottom.

Full-Text Catalog Editor - Managing full-text indexes

Options

Select the unique not null key index from Unique index dropdown list, which is required for a full-text index.

Select the Filegroup for creating a full-text index. If 'Default' value is selected the full-text index is placed in the same filegroup as base table or view for a nonpartitioned table or in the Primary filegroup for a partitioned table.

Select the full-text Stop list for the index. The index is not populated with any tokens that are part of the specified stoplist.

Use Search property list to associate with the index.

If a table index is enabled (i.e. the CheckBox Enabled flag is set in the Indices list), you can select the unique index and set the Track changes property:

RadioButton Auto

Specifies that SQL Server automatically updates the full-text index as the data are modified in the associated tables.

RadioButton Manual

Specifies that the change-tracking log will be propagated either on a schedule using SQL Server Agent, or manually by the user.

RadioButton Off

Specifies that SQL Server does not keep a list of changes to the indexed data.

Columns

This area lists the columns of the selected table. Set the Language of the data stored in each column. Specifies the Data Type that is used to hold the document type for a varbinary(max) or image document. Tick Statistical Semantics on to create the additional key phrase and document similarity indexes that are part of statistical semantic indexing.


Symmetric Keys

In SQL Server 2005 and higher, data can be encrypted with a hierarchical encryption and key management infrastructure. Each layer encrypts the layer below it by using a combination of the following mechanisms for encryption: symmetric keys, asymmetric keys, certificates.

A Symmetric key is a single key that is used for both encryption and decryption. Encryption and decryption by using a symmetric key is fast and suitable for routine use with sensitive data in the database.

Symmetric Key Editor allows you to define symmetric key properties. It opens automatically when you create a new symmetric key and is available on editing an existing one.

To open a symmetric key in Symmetric Key Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing symmetric key
  • Browsing object dependencies
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Symmetric Key Editor.

Symmetric Key Editor - Using Navigation bar

The Navigation bar of Symmetric Key Editor allows you to:

Object

iconDB select a database

select a symmetric key for editing

General

iconCompile compile the symmetric key (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the symmetric key

view the dependency tree for the symmetric key

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the symmetric key:

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Symmetric Key Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing symmetric key

Use the Symmetric key tab of Symmetric Key Editor to create/edit a symmetric key and specify its properties.

Name

Enter a name for the new symmetric key, or view the name of the symmetric key being edited.

Symmetric Key Editor - Editing symmetric key definition

Key options

Key source

Specify a passphrase that will be used to derive the key from.

Algorithm

Use the drop-down list to specify an algorithm to be used by the symmetric key. Possible values are: DES, TRIPLE_DES, RC2, RC4, DESX, AES_128, AES_192, AES_256.

Identity value

Specify an identity phrase from which to generate a GUID for tagging data that is encrypted with a temporary key.

Create date

Stores the date when the symmetric key was created.

Modify date

Stores the date when the symmetric key was last modified.

Symmetric key encrypt by

This area lists the encrypting mechanisms used by the symmetric key (the ENCRYPTION BY clause).

To add an encrypting mechanism, right-click within the Symmetric key encrypt by area and select the iconPlus Add Encryption popup menu item.

The Add Encryption By dialog allows you to specify a password, a certificate, an asymmetric key, or a symmetric key to be used to encrypt the key that is being created.

Symmetric Key Editor - Add encryption

To remove an encrypting mechanism, right-click the encrypting mechanism within the Symmetric key encrypt by area and select the iconMinus Drop Encryption popup menu item.


Asymmetric Keys

In SQL Server 2005 and higher, data can be encrypted with a hierarchical encryption and key management infrastructure. Each layer encrypts the layer below it by using a combination of the following mechanisms for encryption: symmetric keys, asymmetric keys, certificates.

An Asymmetric key is composed of a private key and the corresponding public key. Each key can decrypt data encrypted by the other. Asymmetric encryption and decryption provide a higher level of security than symmetric encryption. An asymmetric key can be used to encrypt a symmetric key for storage in a database.

Asymmetric Key Editor allows you to define asymmetric key properties. It opens automatically when you create a new asymmetric key and is available on editing an existing one.

To open an asymmetric key in Asymmetric Key Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing asymmetric key
  • Browsing object dependencies
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Asymmetric Key Editor.

Asymmetric Key Editor - Using Navigation bar

The Navigation bar of Asymmetric Key Editor allows you to:

Object

iconDB select a database

select an asymmetric key for editing

General

iconCompile compile the asymmetric key (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the asymmetric key

view the dependency tree for the asymmetric key

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the asymmetric key:

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Asymmetric Key Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing asymmetric key

Use the Asymmetric key tab of Asymmetric Key Editor to create/edit an asymmetric key and specify its properties.

Name

Enter a name for the new asymmetric key, or view the name of the asymmetric key being edited.

Asymmetric Key Editor - Creating asymmetric key

Asymmetric key source

RadioButton File

If this option is selected, you should specify the path to a strong-name file to be used to load the key pair from. Use the ExplorerButton button to specify the complete path and the name of the strong-name file.

CheckBox Executable

If this option is selected, the file is a DLL used by the asymmetric key.

RadioButton Assembly

If this option is selected, use the drop-down list to specify an assembly to be used to load the public key from.

RadioButton Algorithm

If this option is selected, use the drop-down list to specify an algorithm to be used by the asymmetric key (the WITH ALGORITHM clause). Possible values are: RSA_512, RSA_1024, RSA_2048.

Encryption by password / Confirm password

Specify the password that will be used to encrypt the private key, and confirm the password in the corresponding boxes.

The Asymmetric key tab of Asymmetric Key Editor allows you to edit properties of an exiting asymmetric key.

Asymmetric Key Editor - Editing asymmetric key

Options

RadioButton Remove private key

If this option is selected, the private key will be removed from the asymmetric key.

RadioButton Change password

If this option is selected, you can change the password used to encrypt the private key.

Decryption by password / Encryption by password / Confirm password

Specify the current password, a new password that will be used to encrypt the private key, and confirm the password in the corresponding boxes.


Certificates

In SQL Server 2005 and higher, data can be encrypted with a hierarchical encryption and key management infrastructure. Each layer encrypts the layer below it by using a combination of the following mechanisms for encryption: symmetric keys, asymmetric keys, certificates.

A Certificate is a digitally-signed statement that binds the value of a public key to the identity of the person, device or service that holds the corresponding private key. Certificates are database-level securable objects that follow the X.509 standard and support X.509 V1 fields. A certificate can be loaded from a file or assembly upon its creation.

Certificate Editor allows you to define certificate properties. It opens automatically when you create a new certificate and is available on editing an existing one.

To open a certificate in Certificate Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing certificate
  • Backup Certificate dialog
  • Browsing object dependencies
  • Viewing DDL definition
  • Setting object permissions


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Certificate Editor.

Certificate Editor - Using Navigation bar

The Navigation bar of Certificate Editor allows you to:

Object

iconDB select a database

select a certificate for editing

General

iconCompile compile the certificate (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the certificate

view the dependency tree for the certificate

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the certificate:

Actions

iconSaveToFile save the certificate using the Backup Certificate dialog

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Certificate Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing certificate

Use the Certificate tab of Certificate Editor to create/edit a certificate and specify its properties.

Name

Enter a name for the new certificate, or view the name of the certificate being edited.

Authorization

Use the drop-down list to select the name of the user that will own this certificate, or view the user selected upon the certificate creation.

Certificate Editor - Creating certificate

CheckBox Active for begin dialog

This option makes the certificate available to the initiator of a Service Broker dialog conversation.

RadioButton Assembly

If this option is selected, use the drop-down list to specify a signed assembly that has been already loaded into the database.

RadioButton File

If this option is selected, you should specify the complete path and name of a DER-encoded file that contains the certificate.

CheckBox Executable

If this option is used, the file is a DLL that has been signed by the certificate.

CheckBox With private key

Check this option to specify that the private key of the certificate is loaded into SQL Server. This option is only available when the certificate is being created from a file.

Use the ExplorerButton button to specify the complete path and name of the private key.

Decryption by password

Specify the password required to decrypt a private key that is retrieved from a file.

Encryption by password / Confirm password

Specify the password that will be used to encrypt the private key, and confirm the password in the corresponding box.

RadioButton Generate new key

If this option is selected, a new key will be generated for the certificate. In this case you should specify the password for the new key, and the subject (a field in the metadata of the certificate as defined in the X.509 standard).

Start date

Set the date when the certificate becomes valid.

Expire date

Set the date when the certificate expires.

The Certificate tab of Certificate Editor allows you to edit properties of an exiting certificate.

Certificate Editor - Editing certificate

Tasks

RadioButton Remove private key

If this option is selected, the private key will be removed from the certificate.

RadioButton Change certificate password

If this option is selected, you can change the password used to protect the certificate.

RadioButton Change private key password

If this option is selected, you can change the password used to encrypt the private key.

RadioButton Import private key for a certificate

If this option is selected, you can import a private key to the certificate.

RadioButton Protect private key using the database master key

If this option is selected, the private key used for the certificate will be protected with the database master key.

RadioButton Protect certificate by password

If this option is selected, you can set a password to protect the certificate.

Private key file

Use the ExplorerButton button to specify the complete path and name of the private key.

Decryption by password / Encryption by password / Confirm password

Specify the current password, a new password that will be used to encrypt the certificate / private key, and confirm the password in the corresponding boxes.


Backup Certificate dialog

The Backup Certificate dialog allows you to set saving certificate options.

To call this dialog, use the Backup Certificate item of the Navigation bar or toolbar.

Certificate Editor - Backup Certificate

File

Type in or use the btnSaveAs button to specify the path and name of the file that will contain the certificate.

CheckBox With private key

Check this option to specify that the certificate has a private key. Type in or use the btnSaveAs button to specify the path and name of the private key file.

Decryption by password

Specify the password required to decrypt the private key.

Encryption by password / Confirm password

Specify the password that will be used to encrypt the private key, and confirm the password in the corresponding box.


Message Types

A Message type object defines a name for a message type and defines the type of data that the message contains. Message types persist in the database where the message type is created. You create an identical message type in each database that participates in a conversation.

Message Type Editor allows you to define message type properties. It opens automatically when you create a new message type and is available on editing an existing one.

To open a message type in Message Type Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing message type
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Message Type Editor.

Message Type Editor - Using Navigation bar

The Navigation bar of Message Type Editor allows you to:

Object

iconDB select a database

select a message type for editing

General

iconCompile compile the message type (if it is being created/modified)

iconSaveDescription save the message type description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the message type

view the dependency tree for the message type

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the message type:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Message Type Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing message type

Use the Message Type tab of Message Type Editor to create/edit a message type and specify its properties.

Message Type Editor - Editing Message Type

Name

Enter a name for the new message type, or view the name of the message type being edited.

Authorization

Use the drop-down list to set the owner of the message type to the specified database user or role.

Validation

Specifies how Service Broker validates the message body for messages of this type.

RadioButton None

Specifies that no validation is performed. The message body can contain data, or it can be NULL.

RadioButton Empty

Specifies that the message body must be NULL.

RadioButton Well-formed XML

Specifies that the message body must contain well-formed XML.

RadioButton Valid XML with schema

Specifies that the message body must contain XML that complies with a schema in the specified schema collection. Use the drop-down list below to select an existing XML schema collection.

Note: Some properties cannot be modified because of dependent objects. Open the Dependencies tab to browse the list of dependent objects, or view the dependency tree for the message type.


Contracts

Contracts define the name of a specific business task and list the message types used in that task. Service Broker contracts define two different service roles: the initiator and the target. The initiator of a conversation begins the conversation by sending a message to the target. The contract that the conversation uses defines which service role can send messages of a given message type.

Contract Editor allows you to define contract properties. It opens automatically when you create a new contract and is available on editing an existing one.

To open a contract in Contract Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing contract
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Contract Editor.

Contract Editor - Using Navigation bar

The Navigation bar of Contract Editor allows you to:

Object

iconDB select a database

select a contract for editing

General

iconCompile compile the contract (if it is being created/modified)

iconSaveDescription save the contract description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the contract

view the dependency tree for the contract

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the contract:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Contract Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing contract

Use the Contract tab of Contract Editor to create/edit a contract and specify its properties.

Contract Editor - Editing Contract

Name

Enter a name for the new contract, or modify the name of the contract being edited.

Authorization

Use the drop-down list to set the owner of the contract to the specified database user or role.

Message type list

This area contains the list of message types to be included as part of the contract.

Conversation field

Specifies which endpoint can send a message of the indicated message type. Contracts document the messages that services can use to have specific conversations. Each conversation has two endpoints: the initiator endpoint, the service that started the conversation, and the target endpoint, the service that the initiator is contacting.

INITIATOR

Indicates that only the initiator of the conversation can send messages of the specified message type. A service that starts a conversation is referred to as the initiator of the conversation.

TARGET

Indicates that only the target of the conversation can send messages of the specified message type. A service that accepts a conversation that was started by another service is referred to as the target of the conversation.

ANY

Indicates that messages of this type can be sent by both the initiator and the target.

Note: Some properties cannot be modified because of dependent objects. Open the Dependencies tab to browse the list of dependent objects, or view the dependency tree for the contract.


Services

A Service Broker Service is a name for a specific task or set of tasks. Service Broker uses the name of the service to route messages, deliver messages to the correct queue within a database, and enforce the contract for a conversation.

Service Editor allows you to define service properties. It opens automatically when you create a new service and is available on editing an existing one.

To open a service in Service Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing service
  • Viewing service dialogs
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Service Editor.

Service Editor - Using Navigation bar

The Navigation bar of Service Editor allows you to:

Object

iconDB select a database

select a service for editing

General

iconCompile compile the service (if it is being created/modified)

iconSaveDescription save the service description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the service

view the dependency tree for the service

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the service:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Service Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing service

Use the Service tab of Service Editor to create/edit a service and specify its properties.

Service Editor - Editing Service definition

Name

Enter a name for the new service, or modify the name of the service being edited.

Authorization

Use the drop-down list to set the owner of the service to the specified database user or role.

Queue

Use the drop-down list to specify the queue that will receive messages for the service.

Contract list

This area contains the list of contracts for which this service may be a target. Service programs initiate conversations to this service using the contracts specified. If no contracts are included, the service may only initiate conversations.


Viewing service dialogs

Use the Service Dialogs tab of Service Editor to view service dialogs within a request-reply message cycle.

Service Editor - Viewing service dialogs

The Service Dialogs List displays the messages as a grid with the following columns: State, Remote Service, System/User, Contract, Next Send Message, Next Receive Message. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.


Routes

A Route is a non-schema object which can be added to the routing table for the current database. For outgoing messages, Service Broker determines routing by checking the routing table in the local database. For messages on conversations that originate in another instance, including messages to be forwarded, Service Broker checks the routes in msdb.

Route Editor allows you to define route properties. It opens automatically when you create a new route and is available on editing an existing one.

To open a route in Route Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing route
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Route Editor.

Route Editor - Using Navigation bar

The Navigation bar of Route Editor allows you to:

Object

iconDB select a database

select a route for editing

General

iconCompile compile the route (if it is being created/modified)

iconSaveDescription save the route description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the route

view the dependency tree for the route

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the route:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Route Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing route

Use the Route tab of Route Editor to create/edit a route and specify its properties.

Route Editor - Editing Route definition

Name

Enter a name for the new route, or modify the name of the route being edited.

Authorization

Use the drop-down list to set the owner of the route to the specified database user or role.

Service

Specifies the name of the remote service that this route points to. It must exactly match the name the remote service uses.

Broker instance

Specifies the database that hosts the target service.

Lifetime

Specifies the time, in seconds, that SQL Server retains the route in the routing table. At the end of the lifetime, the route expires, and SQL Server no longer considers the route when choosing a route for a new conversation.

Address

Specifies the network address for this route.

Mirror address

Specifies the network address for a mirrored database.


Remote Service Bindings

A Remote service binding establishes a relationship between a local database user, the certificate for the user, and the name of a remote service. Service Broker uses the remote service binding to provide dialog security for conversations that target the remote service.

Remote Service Binding Editor allows you to define remote service binding properties. It opens automatically when you create a new remote service binding and is available on editing an existing one.

To open a remote service binding in Remote Service Binding Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing remote service binding
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Remote Service Binding Editor.

Remote Service Binding Editor - Using Navigation bar

The Navigation bar of Remote Service Binding Editor allows you to:

Object

iconDB select a database

select a remote service binding for editing

General

iconCompile compile the remote service binding (if it is being created/modified)

iconSaveDescription save the remote service binding description (if it has been modified)

iconRefresh refresh the content of the active tab

iconPrint print metadata of the remote service binding

view the dependency tree for the remote service binding

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the remote service binding:

Description

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL

iconSaveToFile save DDL to file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Remote Service Binding Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing remote service binding

Use the Remote Service Binding tab of Remote Service Binding Editor to create/edit a remote service binding and specify its properties.

Remote Service Binding Editor - Editing Remote Service Binding

Name

Enter a name for the new remote service binding, or modify the name of the remote service binding being edited.

Authorization

Use the drop-down list to set the owner of the remote service binding to the specified database user or role.

Service

Enter the name of the remote service to bind to the user identified in the User field.

User

Use the drop-down list to specify the database principal that owns the certificate associated with the remote service set within the Service field. This certificate is used for encryption and authentication of messages exchanged with the remote service.

CheckBox Anonymous

Specifies whether anonymous authentication is used when communicating with the remote service.


DB Scoped Credentials

A DB scoped credential is used by the database to access to the external location anytime the database is performing an operation that requires access. It is not connected with any server login or database user.

To open a DB scoped credential in the editor, double-click it in the DB Explorer tree.

  • Creating/editing db scoped credential
  • Browsing object dependencies
  • Viewing DDL definition


Creating/editing db scoped credential

Name

Specify the name of the database scoped credential.

Identity

Specify the name of the account to be used when connecting outside the server.

CheckBox For Azure Blob Storage

Select this option to create SHARED ACCESS SIGNATURE identity for Azure Blob storages.

Secret

Specify the secret for outgoing authentication.

DB Scoped Credential - Object editor

Create date

Displays date and time when the credential was created.

Modify date

Displays date and time when the credential was last modified.


External Data Sources

An external data source is used for PolyBase or Elastic Database queries.

To open an external data source in the editor, double-click it in the DB Explorer tree.

  • Creating/editing external data source
  • Browsing object dependencies
  • Viewing DDL definition


Creating/editing external data source

Name

Specify the unique name for the data source being created.

Type

Select the type of the data source: HADOOP or BLOB_STORAGE.

Location

Specify connection string for HADOOP or Azure blob storage in the special format.

External data source - Object editor

Credential

Specify the database-scoped credential for authenticating to the external data source.

Resource manager location

Specify the Hadoop resource manager location to improve query performance.

Database

Specify the name of the database that functions as the shard map manager or the remote database.

Shard map manager

Set the name of the shard map.


External File Formats

An external file format is the object defining external data stored in Hadoop, Azure Blob Storage, or Azure Data Lake Store. Creating an external file format is a prerequisite for creating an External Table. It stores the actual layout of the data referenced by an external table.

To open an external file format double-click it in the DB Explorer tree.

  • Creating/editing external file format
  • Browsing object dependencies
  • Viewing DDL definition


Creating/editing external file format

Name

Specify the name for the new external file format being created.

External file format - Object editor

Type

Select the type for the external file format from the list: PARQUET, ORC, RCFILE or DELIMITEDTEXT.

Data compression

Set the data compression method for external data. If not specified, data will not be compressed.

SerDe method

Specify the SerDe method to be used for RCFiles.

Format options

Set the options for the text format with column delimiters (DELIMITEDTEXT).

Field terminator

Set one or more characters that mark the end of each field in the text-delimited file. The default terminator is the ꞌ|ꞌ character.

String delimiter

Specify the field terminator for string type in the text-delimited file. The default is the empty string "".

Date format

Set custom date and time format for the file.

First row

Specify the row number that is read first in all files during a PolyBase load (1-15).

Encoding

Set the UTF8 or UTF16 encoding.

CheckBox Use type default

Check this option to use default values in delimited text files if the value is missing.


Server Objects

SQL Manager for SQL Server provides all necessary facilities for working with server objects.

Note: To start working with server objects you need to connect to server.

Server Objects:

Logins

Backup Devices

Jobs

Schedules

Alerts

Operators

Proxies

Credentials

Linked Servers

Endpoints

DDL Triggers

DTS Packages

Creating Server Objects

To create a server object:

  • select the Database | New Object... main menu item;
  • select the type of object within the New Object dialog;
  • follow the steps of the wizard which guides you through the entire process of creating the object, or set the object properties using its editor - depending on the selected object type.

Note that you can also create a server object by selecting the appropriate context menu item of the DB Explorer tree or using the Ctrl+N shortcut.

To create a new object with the same properties as one of existing objects has:

  • select the Database | Duplicate Object... main menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click an object in the DB Explorer tree and select the Duplicate Object <object_name>... context menu item.

Editing Server Objects

To edit a server object:

  • select the server object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Edit <object type> <object name> context menu item, or double-click the object to open it in its editor;

Renaming Server Objects

To rename a server object:

  • select the object to rename in the DB Explorer tree;
  • right-click the object and select the Rename <object type> <object name>... item from the context menu;
  • edit the object name using the Rename Object... dialog.

Note: This operation is possible for all objects except for Logins, Credentials, Linked Servers, Endpoints, DTS Packages.

Dropping Server Objects

To drop a server object:

  • select the server object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Drop <object type> <object name> context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new object;

Ctrl+O to edit the selected object;

Ctrl+R to rename the object;

Shift+Del to drop the object from the server.

When using an object editor, you can benefit from tabs. To switch between tab views, click on their respective tabs at the top of the main editor window. You can do it at any time, since the tab views are absolutely independent.

To compile a newly created or edited object, you can use the iconCompile Compile item available within the Navigation bar or Toolbar of the object editor.

See also:

Database objects


Logins

Microsoft® SQL Server™ uses two ways to validate connections to SQL Server databases:

Windows Authentication which uses Windows-level principals

and

SQL Server Authentication which uses logins to validate the connection.

A login is an indivisible principal which is used to connect to the server and use its resources.

Login Editor allows you to define login properties. It opens automatically when you create a new server login and is available on editing an existing one.

To open a login in Login Editor, double-click it in the DB Explorer tree or in the Login Manager. Alternatively, you can right-click the login alias and select the Edit Login context menu item.

  • Setting login parameters
  • Allocating members
  • Defining server permissions
  • Defining server role permissions
  • Defining endpoint permissions
  • Defining database permissions
  • User mapping
  • Viewing DDL definition

See also:

Users

Server roles

Grant Manager

Login Manager


Setting login parameters

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Login

Use the Login tab of Login Editor to configure login authentication and default parameters.

Specify the way used by the login to connect to the instance of SQL Server:

RadioButton Windows authentication

RadioButton SQL Server authentication

RadioButton Mapped to certificate

RadioButton Mapped to asymmetric key

CheckBox Enabled

Enables/disables the login immediately after it is created. A disabled login still exists in the server, but it cannot be used to connect to the instance of SQL Server.

CheckBox Login is locked out

This option is used to indicate whether the login is locked out.

RadioButton Windows authentication

When Windows Authentication is used to connect to SQL Server, Microsoft Windows is completely responsible for authenticating the client. In this case, the client is identified by its Windows account (Windows-level login).

CheckBox Built-in account on server

Select this option to specify a built-in server account for the login (User or Group), or specify the Windows Domain and User or group name.

Login Editor - Setting login parameters - Windows authentication

CheckBox Access denied

Select this option to forbid any connections to the server for the login.

Login name

Enter a name for the new login, or modify the name of the login being edited.

RadioButton SQL Server authentication

When SQL Server Authentication is used, SQL Server authenticates the client by comparing the client-supplied user name and password to the list of valid user names and passwords maintained within SQL Server.

CheckBox Enforce password policy

This option specifies that the Windows password policies of the computer where SQL Server is running should be enforced on this login.

CheckBox Enforce password expiration

This option specifies whether password expiration policy should be enforced on this login.

Credential

Use the drop-down list to select the credential that will be mapped to the new SQL Server login.

Login Editor - Setting login parameters - SQL Server authentication

RadioButton Mapped to certificate

Select this option to specify a certificate-mapped login.

Certificate name

Use the drop-down list to select the certificate that will be associated with this login.

Login Editor - Setting login parameters - Certificate

RadioButton Mapped to asymmetric key

Select this option to specify an asymmetric key-mapped login.

Asymmetric key name

Use the drop-down list to select the asymmetric key that will be associated with this login.

Login Editor - Setting login parameters - Asymmetric key

The lower group allows you to set the Default parameters pertaining to the login: Default Database and Default Language. Use the corresponding drop-down lists to select the required values that will be assigned to the login.


Allocating members

The Member Of tab of Login Editor allows you to define the login membership, i.e. to select the built-in server role(s) the login will belong to. The selected server roles determine the tasks that can be performed through the login.

Login Editor - Allocating server roles

To select a server role, you need to move it from the Available Server Roles list to the Selected Server Roles list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the server roles from one list to another.


Defining server permissions

This tab allows you to grant Server permissions to the login.

Login Editor - Defining server permissions

The Permission column contains the list of server permissions that can be granted to the login: CONNECT SQL, SHUTDOWN, CREATE ANY DATABASE, CREATE ENDPOINT, ALTER ANY LOGIN, ALTER ANY CREDENTIAL, ALTER ANY LINKED SERVER, ALTER ANY CONNECTION, etc.

Right-click a cell within the State column to grant a permission to the login. The context menu of a cell allows you to:

  • grant a permission to the login;
  • grant a permission (with Grant Option) to the login;
  • deny a permission to the login;
  • revoke a previously granted or denied permission;
  • grant all permissions to the login;
  • grant all permissions (with Grant Option) to the login;
  • deny all permissions to the login;
  • revoke all previously granted or denied permissions.


Defining server role permissions

This tab is available in SQL Server 2012 only. It allows to define Server role permissions.

Login Editor - Definig Server Role Permissions

The Server Role Name column contains the list of server roles; each subsequent column corresponds to the permission which can be granted on the selected server role: ALTER, CONTROL, TAKE OWNERSHIP, VIEW DEFINITION.

Right-click a cell to grant a specific permission on a certain server role. To grant a permission on a server role, you should find the object in the Server role name list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission on the server role to the login;
  • grant a permission (with Grant Option) on the server role to the login;
  • deny a permission on the server role to the login;
  • revoke a previously granted or denied permission;
  • grant all permissions on the server role to the login;
  • grant all permissions (with Grant Option) on the server role to the login;
  • deny all permissions on the server role to the login;
  • revoke all previously granted or denied permissions;
  • grant a permission on all server role to the login;
  • grant a permission (with Grant Option) on all server role to the login;
  • deny a permission on all server role to the login;
  • revoke a previously granted or denied permission on all server role


Defining login permissions

This tab allows you to define Login permissions to the login.

Login editor - Defining login permissions

The Login Name column contains the list of server logins; each subsequent column corresponds to the permission which can be granted on the selected login: ALTER, CONTROL, IMPERSONATE, VIEW DEFINITION.

Right-click a cell to grant a specific permission on a certain login. To grant a permission on a login, you should find the object in the Login name list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission to the login;
  • grant a permission (with Grant Option) to the login;
  • deny a permission to the login;
  • revoke a previously granted or denied permission;
  • grant all permissions to the login;
  • grant all permissions (with Grant Option) to the login;
  • deny all permissions to the login;
  • revoke all previously granted or denied permissions;
  • grant a permission on all logins to the login;
  • grant a permission (with Grant Option) on all logins to the login;
  • deny a permission on all logins to the login;
  • revoke a previously granted or denied permission on all logins


Defining endpoint permissions

This tab allows you to grant Endpoint permissions to the login.

Login Editor - Defining endpoint permissions

The Endpoint Name column contains the list of server endpoints; each subsequent column corresponds to the permission which can be granted on the selected endpoint: ALTER, CONNECT, VIEW DEFINITION, TAKE OWNERSHIP, CONTROL.

Right-click a cell to grant a specific permission on a certain endpoint. To grant a permission on an endpoint, you should find the object in the Endpoint name list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission on the endpoint to the login;
  • grant a permission (with Grant Option) on the endpoint to the login;
  • deny a permission on the endpoint to the login;
  • revoke a previously granted or denied permission;
  • grant all permissions on the endpoint to the login;
  • grant all permissions (with Grant Option) on the endpoint to the login;
  • deny all permissions on the endpoint to the login;
  • revoke all previously granted or denied permissions;
  • grant a permission on all endpoints to the login;
  • grant a permission (with Grant Option) on all endpoints to the login;
  • deny a permission on all endpoints to the login;
  • revoke a previously granted or denied permission on all endpoints


Defining database permissions

This tab allows you to grant Database permissions to the user. This tab is only available on editing an existing server login.

Login Editor - Defining database permissions

The Permission column contains the list of database permissions that can be granted to the login: CREATE ANY VIEW, CREATE PROCEDURE, CREATE FUNCTION, CREATE RULE, CREATE DEFAULT, BACKUP DATABASE, etc.; each subsequent column corresponds to a database that resides on the selected server.

Right-click a cell to grant a specific permission on a certain database that has a user mapped to the login. To grant a permission on a database, you should find the permission in the Permission list and the column with the corresponding database. The context menu of a cell allows you to:

  • grant a permission on the database to the login;
  • grant a permission (with Grant Option) on the database to the login;
  • deny a permission on the database to the login;
  • revoke a previously granted or denied permission;
  • grant all permissions on the database to the login;
  • grant all permissions (with Grant Option) on the database to the login;
  • deny all permissions on the database to the login;
  • revoke all previously granted or denied permissions;
  • grant a permission on all databases to the login;
  • grant a permission (with Grant Option) on all databases to the login;
  • deny a permission on all databases to the login;
  • revoke a previously granted or denied permission on all databases


User mapping

The User Mapping tab allows you to browse the list of databases available on the specified server, and to map their users to the login.

Login Editor - User mapping

Set the Map flag next to a database name, and specify the User and the Default Schema of the database using the corresponding drop-down lists.

If necessary, use the Database role membership for area at the bottom to define database role(s) for each mapped user.


Backup Devices

A Backup device is a tape drive or a disk drive used in backup and restore operations. When creating a backup, you must select a backup device where the data will be written. Microsoft SQL Server 2005 (and higher) can back up databases, transaction logs, and files to disk and tape devices.

Creating Backup Devices

To create a new backup device:

  • right-click the Backup Devices node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Backup Device item from the context menu;
  • define backup device properties using the appropriate boxes of the New Logical Backup Device dialog

or

  • select the Database | New Object... main menu item;
  • select Backup Device in the Create New Object dialog;
  • define backup device properties using the New Logical Backup Device dialog.

Hint: To create a new backup device, you can also select the Services | Backup Devices main menu item to open the Backup devices manager and select the Add Device... item from the context menu or on the Navigation bar.

To create a new backup device with the same properties as one of existing backup devices has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a backup device in the DB Explorer tree and select the Duplicate Backup Device <backup_device_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new backup device and to edit the result SQL statement for creating the backup device.

To create, rename and drop backup devices, you can also use the context menu and the Navigation bar of Backup devices manager.

See also:

Backup Database

Backup Devices


New backup device

The New Logical Backup Device dialog opens automatically when you create a new backup device and allows you to define the new backup device parameters.

To call the dialog, you can right-click the Backup Devices node or any object within this node in the DB Explorer tree and use the Ctrl+N shortcut.

Backup Devices - New logical backup device

Device Type

Select the logical backup device type: RadioButton File, RadioButton Pipe (for SQL Server versions earlier than 2005), or RadioButton Tape.

Disk backup devices are files on hard disks or other disk storage media are the same as regular operating system files.

Tape backup devices are used in the same way as disk devices, but the tape device must be connected physically to the computer running an instance of SQL Server, and if a tape backup device is filled during the backup operation, but more data still needs to be written, SQL Server prompts for a new tape and continues the backup operation.

Logical Name

Enter a name for the new backup device.

Physical Device Name and Path

Define the physical location of the device.

If Device Type is set to File, enter the path and the full name of the file.

If Device Type is set to Tape, enter the physical name of the device.


Jobs

A job is a specified set of operations performed sequentially by SQL Server Agent. A job can perform a wide range of activities, including running Transact-SQL scripts, command-line applications, Microsoft ActiveX scripts, Integration Services packages, Analysis Services commands and queries, or Replication tasks. Jobs can run repetitive or scheduled tasks, and they can automatically notify operators of job status by generating alerts.

Before using SQL Server jobs, make sure that the SQL Server Agent service is running.

Job Editor allows you to define job properties. It opens automatically when you create a new job and is available on editing an existing one.

To open a job in Job Editor, double-click it in the DB Explorer tree or in the Jobs manager. Alternatively, you can right-click the job alias and select the Edit Job context menu item.

  • Setting job properties
  • Managing job steps
  • Managing job schedules
  • Managing notifications
  • Managing target servers
  • Viewing DDL definition

To create, edit, rename and drop jobs, you can also use the context menu and the Navigation bar of Jobs manager.

See also:

Jobs manager

Schedules

Alerts

Operators


Setting job properties

Use the Job tab of the Job Editor to configure/view job properties. If necessary, you can use items of the Navigation bar to manage the currently opened job (see Jobs manager).

Name

Enter a name for the new job, or modify the name of the job being edited. Enable/disable the job using the CheckBox Enabled option.

Jobs - Job Editor - Editing job definition

Category

Use the drop-down list to select the job category.

Job categories help you organize your jobs for easy filtering and grouping. For example, you can organize all your database backup jobs in the Database Maintenance category.

Owner

Use the drop-down list to select the job owner.

Note: To create a job, a user must be a member of one of the SQL Server Agent fixed database roles or the sysadmin fixed server role. A job can be edited only by its owner or members of the sysadmin role.

Description

In this memo field you can supply an optional description for the job.

The lower area displays the following job events and properties:

Created

Modified

Version

Last run date

Last run status

Next run date


Managing job steps

Use the Steps tab of Job Editor to manage job steps (operations). A job step is an action that the job takes on a database or a server. Every job must have at least one job step.

Jobs - Job Editor - Managing job steps

The current job steps are displayed as a grid with the following columns: Start step, ID, Name, Type, On success, On failure, Last run outcome, Last run date, Command.

Right-click an item within the list to call the context menu allowing you to create a new job step and specify its properties using the Edit Step dialog, insert a step, edit or delete the selected step.

The Add New Job Step / Edit Step dialog allows you to define job step parameters.

The General tab allows you to define basic parameters of the step.

Jobs - Job Editor - Job Step Editor - General

Job step name

Enter a name for the new step, or modify the name of the step being edited. If necessary, you can specify to CheckBox Start job with this step. Note that a job can have only one start step.

Specify the Command Type of the step indicating the subsystem used by Microsoft SQL Server Agent service to execute the job command:

Tick Transact-SQL statement

Tick Active Script

Tick Operating-system command or executable program

Tick Replication Distribution Agent job

Tick Replication Snapshot Agent job

Tick Replication Log Reader Agent job

Tick Replication Merge Agent job

Tick Replication Queue Reader Agent job

Tick Analysis Services query (MDX, DMX)

Tick Analysis Services command (XMLA)

Tick Integration Services package execution

Tick PowerShell Script

Use the Database name drop-down list to select the database for which the current step will be executed (for Transact-SQL command type step; for an ActiveX job step, you are to specify the name of the scripting language that the step uses), and specify the security context under which the command is executed using the Run as user drop-down list.

SQL Server Agent can write output from some job steps either to the sysjobsteplogs table in the msdb database or to an operating system file.

To use this feature, check the CheckBox Add output to step history option and set the path and the file name in the Output file name field, and/or check CheckBox Log step output to msdb..sysjobsteplogs table.

You can select the CheckBox Overwrite option to specify that the existing destination log file / table will be overwritten.

Use the Command text memo field to enter the job step command code: SQL code (for Transact-SQL step), Visual Basic Script / Java Script / other script code (for Active Script step), or OS command / executable program (for Operating-system command step).

The Advanced tab provides flexible job step control of flow for success and failure.

Jobs - Job Editor - Job Step Editor - Advanced

Specify the On success action, i.e. the action the job will take if the step succeeds:

RadioButton Quit job with success

RadioButton Quit job with failure

RadioButton Go to next step

RadioButton Go to step ... (select the step from the drop-down list)

Specify the On failure action, i.e. the action the job will take if the step fails:

RadioButton Quit job with success

RadioButton Quit job with failure

RadioButton Go to next step

RadioButton Go to step ... (select the step from the drop-down list)

The Retry attempts if step fails group allows you to set optional parameters for the job step: the Number of attempts and the Interval between attempts (in minutes).

The Info group contains common information about the job step:

Last run date

Last run status

Last run attempts

Last run duration


Managing job schedules

The Schedules tab allows you to manage schedules assigned to the job.

Scheduling administrative jobs consists in defining the condition(s) that cause the job to begin running. It is possible to schedule any type of job. More than one job can use the same job schedule.

Jobs - Job Editor - Managing job schedules

The current job schedules are displayed as a grid with the following columns: ID, Name, Run type, Enabled, Next Run Date, Description.

Right-click an item within the list to call the context menu allowing you to create a new job schedule and specify its properties using the Add New Job Schedule dialog, add an existing schedule, edit or delete the selected schedule.

The Add New Job Schedule / Edit Schedule dialog allows you to define schedule parameters.

Jobs - Job Editor - Managing job schedules - Add schedule

Schedule name

Enter a name for the new schedule, or modify the name of the schedule being edited. Enable/disable the schedule using the CheckBox Enabled option.

Specify the Execution Type of the schedule indicating when the job is to be executed:

RadioButton Start when SQL Server Agent starts

RadioButton Start when CPU usage is low

RadioButton Start once on...

RadioButton Recurrent execution

If the Recurrent execution type is selected, you should also set the Recurring Interval, Daily Frequency and Duration properties of the current job schedule.

For details see Schedule Editor.


Managing notifications

The Notifications tab allows you to specify actions that the SQL Server Agent service will take after the job completes (succeeds or fails). Job responses ensure that database administrators know when jobs complete and how frequently they run.

Jobs - Job Editor - Managing notifications

Use e-mail operator

Use the drop-down list to select the operator that will be notified via e-mail, and specify the job status for the notification to be performed:

CheckBox When job succeeds and/or

CheckBox When job fails

Use page operator

Use the drop-down list to select the operator that will be notified using electronic paging, and specify the job status for the notification to be performed:

CheckBox When job succeeds and/or

CheckBox When job fails

Use net send operator

Use the drop-down list to select the operator that will be notified using a net send message, and specify the job status for the notification to be performed:

CheckBox When job succeeds and/or

CheckBox When job fails

Write to Windows Application Log

If necessary, specify the job status for writing to Microsoft Windows Application Log:

CheckBox When job succeeds and/or

CheckBox When job fails

Delete job

If you are certain that you do not need to rerun this job later, you can specify the job status deleting the job:

CheckBox When job succeeds and/or

CheckBox When job fails


Managing target servers

The Targets tab allows you to target the job at the specified target server.

Jobs - Job Editor - Managing target servers

Target server

Use the drop-down list to select the target server and press the Add To List button to add the selected server to the list of target servers available for the multiserver job operation.

Right-click an item within the Target servers area to call the context menu allowing you to iconMinus delete the selected target server or iconRefresh refresh the list.


Schedules

Shared schedules are multipurpose items that contain ready-to-use schedule information. You can create a shared schedule once, and then reference it in a subscription or property page when you need to specify schedule information.

Before using SQL Server schedules, make sure that the SQL Server Agent service is running.

Schedule Editor allows you to define schedule properties. It opens automatically when you create a new schedule and is available on editing an existing one.

To open a schedule in Schedule Editor, double-click it in the DB Explorer tree or in the Shared schedules manager. Alternatively, you can right-click the schedule alias and select the Edit Schedule context menu item.

  • Using Navigation bar and Toolbar
  • Setting schedule properties
  • Viewing scheduled jobs
  • Viewing DDL definition

To create, edit and drop schedules, you can also use the context menu and the Navigation bar of Shared schedules manager.

See also:

Shared schedules manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Schedule Editor.

Schedule Editor - Using Navigation bar

The Navigation bar of Schedule Editor allows you to:

Object

btnHost select a server instance

select a schedule for editing

General

iconCompile compile the schedule (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the schedule:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Schedule Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting schedule properties

Use the Schedule tab of Schedule Editor to configure/view schedule properties.

Name

Enter a name for the new schedule, or modify the name of the schedule being edited. Enable/disable the schedule using the CheckBox Enabled option.

Schedule Editor - Editing schedule definition

Specify the Execution Type of the schedule indicating when the scheduled job is to be executed:

RadioButton Start when SQL Server Agent starts

RadioButton Start when CPU usage is low

RadioButton Start once on... (set the date using the date editor which is activated when you click the Arrow-Down element of the combo-box; specify the time value using the spinner control)

RadioButton Recurrent execution

If the Recurrent execution type is selected, you should also set the Recurring Interval, Daily Frequency and Duration properties of the current schedule.

The Recurring Interval tab allows you to specify the daily/weekly/monthly recurrence rule, define the Every ... days/weeks value, and select the days of the week/month that can be set for the schedule.

The Daily Frequency tab allows you to select whether the scheduled job will be run once at ... or every ... hours/minutes from ... to ... (specify the day/time values using the drop-down menu and spinner controls).

Schedule Editor - Editing schedule definition - Daily frequency

The Duration tab allows you to set the Start date and the End date threshold values for the interval using the date editor which is activated when you click the Arrow-Down element of the combo-box.

Schedule Editor - Editing schedule definition - Duration

CheckBox Unlimited

Check this option if you are uncertain when the scheduled job should be finished, or if no limitations on the job duration are required.


Viewing scheduled jobs

The Scheduled Jobs tab allows you to browse the list of jobs that use the schedule, and to attach/detach them to/from the schedule.

Schedule Editor - Viewing scheduled jobs

Specify the Attached attribute for the jobs that should be attached to the schedule. Set the corresponding flag next to the job name.


Alerts

An alert is as an automated response to one or more events. You can define an alert to specify how SQL Server Agent should respond to their occurrence. An alert can respond to an event by notifying an administrator or running a job, or both. An alert can also forward an event to the Microsoft Windows application log on a different computer. By defining alerts, database administrators can monitor and manage SQL Server more effectively.

Before using SQL Server operators, make sure that the SQL Server Agent service is running.

Alert Editor allows you to define alert properties. It opens automatically when you create a new alert and is available on editing an existing one.

To open an alert in Alert Editor, double-click it in the DB Explorer tree or in the Alerts manager. Alternatively, you can right-click the alert alias and select the Edit Alert context menu item.

  • Using Navigation bar and Toolbar
  • Setting alert properties
  • Setting additional properties
  • Managing notifications
  • Viewing DDL definition

To create, edit, rename and drop alerts, you can also use the context menu and the Navigation bar of Alerts manager.

See also:

Alerts manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Alert Editor.

Alert Editor - Using Navigation bar

The Navigation bar of Alert Editor allows you to:

Object

btnHost select a server instance

select an alert for editing

General

iconCompile compile the alert (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the alert:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Alert Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting alert properties

Use the Alert tab of Alert Editor to configure/view alert properties.

Name

Enter a name for the new alert, or modify the name of the alert being edited. Enable/disable the alert using the CheckBox Enabled option.

An alert responds to an event of a specific type: server event, server performance condition or WMI event.

RadioButton Event alert

Specify properties for the alert that responds to a server event.

Alert Editor - Editing alert definition - Event Alert

Use the following parameters to specify the events that will trigger the alert:

RadioButton Error

Select this option to specify that SQL Server Agent will fire the alert when a specific error occurs. Use the spinner control to specify the Error ID and the drop-down list to select the Error message.

RadioButton Severity

Select this option to specify that SQL Server Agent will fire the alert when any error of the specific severity occurs. Use the drop-down list to select the Severity level: 01-25. For example, you can specify a severity level of 15 to respond to syntax errors in Transact-SQL statements.

Database name

SQL Server Agent fires an alert only when the event occurs in a particular database. Select a database from the list of databases that reside on the specified SQL Server instance (see Using Navigation bar).

Error messages like

SQL Server Agent fires an alert when the specified event contains a particular text string in the event message.

RadioButton Performance alert

Specify properties for the alert that responds to a server performance condition.

Alert Editor - Editing alert definition - Performance Alert

Use the following parameters to specify the server performance conditions that will trigger the alert:

Object

Use the drop-down list to select the area of performance to be monitored.

Counter

Use the drop-down list to select the attribute of the area to be monitored.

Instance

Use the drop-down list to define the specific instance (if any) of the attribute to be monitored.

Alert when counter becomes / Value

Using these boxes you should specify the threshold for the alert and the behavior that produces the alert. Use the drop-down list to select the behavior value: < (falls below), = (becomes equal to), > (rises above). Use the Value edit-box to specify the threshold number that describes the performance condition counter.

RadioButton WMI alert

Specify properties for the alert that responds to a WMI event.

Alert Editor - Editing alert definition - WMI Alert

WMI is an acronym for Windows Management Instrumentation. WMI is the Microsoft's implementation of Web-Based Enterprise Management (WBEM) - a new management technology that allows software to monitor and control managed resources throughout the network. Such managed resources include hard drives, file systems, settings of operating system, processes, services, shares, registry settings, networking components, event logs, users, groups, etc.

WMI allows monitoring of performance counters as well. Microsoft® SQL Server™ has the WMI Event Provider built-in.

One common way to use the WMI Event Provider is to create SQL Server Agent alerts that respond to specific events. SQL Server Agent submits a WQL request, receives WMI events, and runs a job in response to the event.

WMI namespace

Specify the WMI namespace on the machine where SQL Server is running.

WMI Query

Use this area to specify the WMI query text for the alert.

The WMI Query Language (WQL) is a subset of standard American National Standards Institute Structured Query Language (ANSI SQL) with minor semantic changes to support WMI.

Examples:

SELECT * FROM Win32_OperatingSystem WHERE Caption="Microsoft Windows XP Professional" AND CSDVersion="Service Pack 2"

If one needs to monitor the number of processes which use more than 10 threads, the following query can used:

SELECT ThreadCount FROM Win32_Process WHERE ThreadCount>10

The following WQL query retrieves specific event properties for any event that occurs in the AdventureWorks database and exists under the DDL_DATABASE_LEVEL_EVENTS event group:

SELECT SPID, SQLInstance, DatabaseName FROM DDL_DATABASE_LEVEL_EVENTS WHERE DatabaseName = 'AdventureWorks'


Setting additional properties

The Additional tab provides additional settings used for the specified alert.

Alert Editor - Setting additional properties

Delay between responses, seconds

Specify the wait period, in seconds, between responses to the alert.

Job to run in response to alert

Use the drop-down list to select the name of the job to be executed in response to this alert.

Include event description in

Specify in which way the description of the server error should be included as part of the notification message:

CheckBox E-mail, CheckBox Pager, CheckBox Net send

Additional message

Use this box to specify an optional additional message sent to the operator as part of the e-mail, net send, or pager notification.

The lower area displays the following alert events:

Last occurrence

Last response

Occurrence count

If necessary, you can reset the occurrence history by clicking the corresponding button.


Managing notifications

The Notifications tab allows you to specify actions that the SQL Server Agent service will take after the alert fires. Alert notifications ensure that database administrators know when events/errors occur and which measures are taken in response.

Alert Editor - Managing notifications

The main area lists all currently available operators. Specify the method by which an operator is to be notified: E-mail, Pager, Net Send. Set the corresponding flag next to the operator name.


Operators

An operator is the object that represents a single SQL Server operator. SQL Server operators receive alert and job status notification in response to events generated by the server. You can assign alert notifications and job notifications for any operator defined for the instance of SQL Server.

Before using SQL Server operators, make sure that the SQL Server Agent service is running.

Operator Editor allows you to define operator properties. It opens automatically when you create a new operator and is available on editing an existing one.

To open an operator in Operator Editor, double-click it in the DB Explorer tree or in the Operators manager. Alternatively, you can right-click the operator alias and select the Edit Operator context menu item.

  • Using Navigation bar and Toolbar
  • Setting operator properties
  • Setting additional properties
  • Managing alert notifications
  • Managing job notifications
  • Viewing DDL definition

To create, edit, rename and drop operators, you can also use the context menu and the Navigation bar of Operators manager.

See also:

Operators manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Operator Editor.

Operator Editor - Using Navigation bar

The Navigation bar of Operator Editor allows you to:

Object

btnHost select a server instance

select an operator for editing

General

iconCompile compile the operator (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the operator:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Operator Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting operator properties

Use the Operator tab of Operator Editor to configure/view operator (notification recipient) properties.

Name

Enter a name for the new operator, or modify the name of the operator being edited. Enable/disable the operator using the CheckBox Enabled option.

Operator Editor - Editing operator definition

E-mail address

Specify the e-mail address of the operator.

Pager address

Specify the pager address of the operator.

Net send address

Specify the network address of the operator to whom the network message will be sent.

The lower area displays the latest operator notifications:

Last e-mail notification

Last pager notification

Last net send notification


Setting additional properties

The Additional tab provides additional settings used for the specified operator.

Operator Editor - Setting additional properties

Ability to send pager messages

Specify when SQL Server Agent service can send pager notification to the operator:

CheckBox Monday, CheckBox Tuesday, CheckBox Wednesday, CheckBox Thursday, CheckBox Friday, CheckBox Saturday, CheckBox Sunday

From ... To ...

Set the day time interval values using the spinner controls.


Managing alert notifications

The Alert Notifications tab allows you to specify methods that the SQL Server Agent service uses to notify the operator when each of existing alerts fires.

Operator Editor - Managing alert notifications

The main area lists all currently available alerts. Specify the method by which the operator is to be notified: E-mail, Pager, Net Send. Set the corresponding flag next to the alert name.


Managing job notifications

The Job Notifications tab allows you to specify methods that the SQL Server Agent service uses to notify the operator when each of existing jobs is tried (succeeded or failed).

Operator Editor - Managing job notifications

The main area lists all currently available jobs. Specify the method by which the operator is to be notified: E-mail, Pager, Net Send. Set the corresponding flag next to the alert name.


Proxies

A Microsoft® SQL Server Agent proxy defines the security context for a job step. A proxy provides SQL Server Agent with access to the security credentials for a Microsoft Windows user. Each proxy can be associated with one or more subsystems. A job step that uses the proxy can access the specified subsystems by using the security context of the Windows user. Before SQL Server Agent runs a job step that uses a proxy, SQL Server Agent impersonates the credentials defined in the proxy, and then runs the job step by using that security context.

SQL Server proxies can be used to help database administrators ensure that each job step runs with the minimum permissions required to perform its task.

Before using SQL Server proxies, make sure that the SQL Server Agent service is running.

Proxy Editor allows you to define proxy properties. It opens automatically when you create a new proxy and is available on editing an existing one.

A SQL Server Agent proxy manages security for job steps that involve subsystems other than the Transact-SQL subsystem. Each proxy corresponds to a security credential. A proxy may have access to any number of subsystems.

To open a proxy in Proxy Editor, double-click it in the DB Explorer tree or in the Proxies manager. Alternatively, you can right-click the proxy alias and select the Edit Proxy context menu item.

  • Using Navigation bar and Toolbar
  • Setting proxy properties
  • Viewing proxy jobs
  • Viewing DDL definition

To create, edit and drop proxies, you can also use the context menu and the Navigation bar of Proxies manager.

See also:

Proxies manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Proxy Editor.

Proxy Editor - Using Navigation bar

The Navigation bar of Proxy Editor allows you to:

Object

btnHost select a server instance

select a proxy for editing

General

iconCompile compile the proxy (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the proxy:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Proxy Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting proxy properties

Use the Proxy tab of Proxy Editor to configure/view proxy properties. SQL Server Agent uses proxies to manage security contexts.

Name

Enter a name for the new proxy, or modify the name of the proxy being edited. Enable/disable the proxy using the CheckBox Enabled option.

Proxy Editor - Editing proxy definition

Credential

Each proxy corresponds to a security credential. Use the drop-down list to select a credential for the proxy.

Description

In this memo field you can supply an optional description for the proxy.

Each proxy can be associated with a set of subsystems and a set of logins.

Active to the following subsystems

Tick off the subsystem(s) to grant access to:

CheckBox ActiveX script

CheckBox Operating system

CheckBox Replication Distributor

CheckBox Replication Merge

CheckBox Replication Snapshot

CheckBox Replication Queue Reader

CheckBox Replication Transaction-Log Reader

CheckBox Analysis Services Command

CheckBox Analysis Services Query

CheckBox Integration Services Package

The Proxy principals group allows you to grant security principal access to the proxy.

Use the SQL Logins tab to grant access to SQL logins (with defined credentials).

To specify a login, select it in the drop-down list and click the Add to List button.

Use the Server Roles tab to grant access to fixed server roles.

To specify a server role, select it in the drop-down list and click the Add to List button.

Proxy Editor - Editing proxy definition - Server roles

Use the MSDB Roles tab to grant access to the database roles in the msdb database.

To specify a database role, select it in the drop-down list and click the Add to List button.

Proxy Editor - Editing proxy definition - MSDB roles

Right-click an item within the Granted SQL Logins / Server Roles / MSDB Database Roles list to call the context menu allowing you to delete a the selected principal and to refresh the list.


Viewing proxy jobs

The Proxy Jobs tab allows you to browse the list of job steps that use the proxy.

Note: The proxy can be used only for job steps that use a subsystem associated with the proxy. To create a job step that uses a specific proxy, the job owner must either belong to a login associated with that proxy or be a member of a role with unrestricted access to proxies.

Proxy Editor - Viewing proxy jobs

A proxy can be used in more than one job step.

The list displays the job steps as a grid with the following columns: Job Name, Job Step, Subsystem.


Credentials

A Credential is a record containing the authentication information required to connect to a resource outside of SQL Server. Most credentials consist of a Windows login and password.

Credentials allow users that connect to SQL Server using SQL Authentication to connect to Windows or other resources outside of SQL Server.

After creating a credential, you can map it to a login. A single credential can be mapped to multiple SQL Server logins. But a SQL Server login can be mapped to only one credential.

Credential Editor allows you to define credential properties. It opens automatically when you create a new credential and is available on editing an existing one.

To open a credential in Credential Editor, double-click it in the DB Explorer tree. Alternatively, you can right-click the credential alias and select the Edit Credential context menu item.

  • Using Navigation bar and Toolbar
  • Setting credential properties
  • Viewing DDL definition

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Logins


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Credential Editor.

Credential Editor - Using Navigation bar

The Navigation bar of Credential Editor allows you to:

Object

btnHost select a server instance

select a credential for editing

General

iconCompile compile the credential (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the credential:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Credential Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting credential properties

Use the Credential tab of Credential Editor to configure/view credential properties.

Name

Enter a name for the new credential, or view the name of the credential being edited.

Credential Editor - Editing credential definition

Identity with

Use the drop-down list to select the name of the account to be used when connecting outside the server.

Secret

Specify the secret required for outgoing authentication, and confirm the secret in the corresponding box.

The lower area displays the following credential events:

Creation date

Modification date


Linked Servers

A Linked server is a virtual server that can be defined to SQL Server 2005 (and higher) with all the information required to access an OLE DB data source. A Linked server configuration enables SQL Server to execute commands against OLE DB data sources on remote servers. Linked servers provide a number of features: remote server access; the ability to issue distributed queries, updates, commands and transactions on heterogeneous data sources; the ability to address diverse data sources universally.

Linked Server Editor allows you to define linked server properties. It opens automatically when you create a new linked server and is available on editing an existing one.

To open a linked server in Linked Server Editor, double-click it in the DB Explorer tree or in the Linked servers manager. Alternatively, you can right-click the linked server alias and select the Edit Linked Server context menu item.

  • Configuring Linked server
  • Security settings
  • Setting server options
  • Linked Server content
  • Viewing DDL definition

To create, edit and drop linked servers, you can also use the context menu and the Navigation bar of Linked servers manager.

See also:

Linked servers manager


Configuring Linked server

Use the Linked Server tab of Linked Server Editor to configure/view linked server properties.

Name

Enter a name for the new linked server, or view the name of the linked server being edited.

Linked Server Editor - Configuring Linked server

CheckBox SQL Server

Select this option to identify the linked server as an instance of Microsoft® SQL Server™. If you use this method of defining a SQL Server linked server, the name of the linked server must be the network name of the server. Also, any tables retrieved from the server are from the default database defined for the login on the linked server.

Provider

Use the drop-down list to select the name of the OLE DB Provider to be used for access to the specified linked server.

Product name

Specify the product name of the OLE DB data source you want to add as a linked server.

Data source

Specify the OLE DB data source property corresponding to the linked server.

Provider string

Specify the OLE DB provider string corresponding to the linked server.

Location

Specify the OLE DB location property corresponding to the linked server.

Catalog

Specify the OLE DB catalog property corresponding to the linked server.


Security settings

The Security tab provides security settings used for the specified linked server connection.

Local Login

Specify the local login IDs that can connect to the linked server.

Impersonate

Set this flag to specify that the local login ID will be used to connect to the linked server. Select this option if you are certain that the local login ID exactly matches a login ID with sufficient permissions on the linked server.

Remote user

Use the remote user to map the users that are not defined in Local login.

Remote password

Specify the password used to map the users that are not defined in Local login.

Linked Server Editor - Security settings

RadioButton Connecting is not allowed

Select this option to specify that the connection will not be established for logins that are not defined in the mapping list.

RadioButton Don't use security context

Select this option to specify that for logins that are not defined in the list, the connection will be established without using a security context.

RadioButton Use security context of local login

Select this option to specify that for logins that are not defined in the list, the connection will be established using the security context of the local login.

RadioButton Use this security context

Select this option to specify that for logins that are not defined in the list, the connection will be established using the login and password specified in the Remote Login and Remote password boxes below.


Setting server options

The Security tab allows you to set server options that will be used for the specified linked server connection.

Linked Server Editor - Setting server options

Collation Compatible

If this option is enabled, SQL Server assumes that all characters in the linked server are compatible with the local server, with regard to character set and collation sequence (or sort order). This enables SQL Server to send comparisons on character columns to the provider.

This option should be set only if it is certain that the data source corresponding to the linked server has the same character set and sort order as the local server.

Data Access

This option enables/disables a linked server for distributed query access.

RPC

This option enables/disables RPC from the given server.

RPC Out

This option enables/disables RPC to the given server.

Use Remote Collation

This option determines whether the collation of a remote column or of a local server will be used.

If checked, the collation of remote columns is used for SQL Server data sources, and the collation specified in collation name is used for non-SQL Server data sources.

If unchecked, distributed queries will always use the default collation of the local server, while collation name and the collation of remote columns are ignored.

Collation Name

This drop-down list allows you to specify the name of the collation used by the remote data source if use remote collation is true and the data source is not a SQL Server data source.

Connection Timeout

Use this edit-box to set the time-out value for connecting to the linked server.

Query Timeout

Use this edit-box to set the time-out value for queries against the linked server.


Linked Server content

The Content tab allows you to browse the contents of the linked server.

Linked Server Editor - Browsing content

To display the actual linked server contents, press the Show Contents button.


Endpoints

Communication of SQL Server Database Engine with an application is formatted in a Microsoft communication format called a tabular data stream (TDS) packet. The TDS packet is encapsulated inside a standard communication protocol (such as TCP/IP or Named Pipes) by the Net-Libraries on both the server and the client computers. On the server side the Net-Libraries are part of the Database Engine, whereas on the client side the Net-Libraries are part of the SQL Native Client. To configure Net-Libraries, the server and the SQL Native Client are configured to use a network protocol. The server creates a SQL Server object called a TDS Endpoint for each network protocol.

Endpoint Editor allows you to define endpoint properties. It opens automatically when you create a new endpoint and is available on editing an existing one.

To open an endpoint in Endpoint Editor, double-click it in the DB Explorer tree. Alternatively, you can right-click the endpoint alias and select the Edit Endpoint context menu item.

  • Using Navigation bar and Toolbar
  • Setting endpoint properties
  • Setting protocol options
  • Setting payload options
  • Viewing DDL definition

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Endpoint Editor.

Endpoint Editor - Using Navigation bar

The Navigation bar of Endpoint Editor allows you to:

Object

iconHost select a server instance

select an endpoint for editing

General

iconCompile compile the endpoint (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the endpoint:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of Endpoint Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting endpoint properties

Use the Endpoint tab of Endpoint Editor to configure/view endpoint properties.

Name

Enter a name for the new endpoint, or view the name of the endpoint being edited.

Endpoint Editor - Editing endpoint definition - HTTP

Endpoint state

Specify the state of the endpoint when it is created:

RadioButton Stopped

This option indicates that the endpoint is stopped. In this state, the server listens to port requests but returns errors to clients.

RadioButton Started

This option indicates that the endpoint is started and is actively listening for connections.

RadioButton Disabled

This option indicates that the endpoint is disabled. In this state, the server does not listen to the endpoint port or respond to any attempted requests to use the endpoint.

Protocol type

Specify the transport protocol to use:

RadioButton HTTP

RadioButton TCP

RadioButton Named Pipes

RadioButton Shared memory

RadioButton Via

Endpoint Editor - Editing endpoint definition - TCP

Payload type

Specify the payload type:

RadioButton Soap (available for HTTP protocol only)

RadioButton TSQL (available for TCP protocol only)

RadioButton Service broker (available for TCP protocol only)

RadioButton Database mirroring (available for TCP protocol only)


Setting protocol options

The Protocol tab allows you to specify HTTP/TCP protocol options pertaining to the endpoint.

HTTP options

Path

Specify the URL path that identifies the location of the endpoint on the host computer. This string is a logical partitioning of the URL namespace that is used by the listener to route requests appropriately.

Endpoint Editor - Protocol - HTTP

Authentication

Specify the authentication type(s) to be used to authenticate users that log on to the instance of SQL Server:

CheckBox Basic

It is one of the two required authentication mechanisms in the HTTP 1.1 specification. Basic authentication is made up of an Authentication header that contains the base64-encoded user name and password separated by a colon.

CheckBox Digest

It is the second authentication mechanism required by HTTP 1.1. This authentication is made up of the user name and password. This is then hashed with MD5, a one-way hashing algorithm, and sent to the server. The server has access to either the raw password, or a stored MD5 hash that was created when the password was set. The server can then compare the stored calculated value to the one provided by the client. This way, the client can prove that it knows the password without actually giving it to the server.

CheckBox Integrated

Endpoints configured to support integrated authentication can respond with either of the following authentication types as part of the authentication challenge: Kerberos or NTLM. Under this configuration, the server will try to authenticate the client with whichever type the client uses in requesting authentication.

CheckBox NTLM

It is the authentication mechanism supported by Windows 9x and Windows NT 4.0 (client and server). This authentication mechanism is a challenge-response protocol that offers stronger authentication than either basic or digest. NTLM is implemented in Windows 2000 and later versions by a Security Support Provider Interface (SSPI).

CheckBox Kerberos

This authentication is an Internet standard authentication mechanism. Kerberos authentication is supported in Windows 2000 and later versions by an SSPI. When Kerberos authentication is used, the instance of SQL Server must associate a Service Principal Name (SPN) with the account it will be running on.

Ports

Use this group to specify the listening port type(s) to be associated with the endpoint:

CheckBox Clear

CheckBox SSL

Auth_realm

Specify the hint that returns to the client, which sent the SOAP request to the endpoint, as part of HTTP authentication challenge (applied when Authentication is set to Digest).

Default domain

Specify the default login domain (applied when Authentication is set to Basic).

Site

Specify the name of the host computer, or one of the specific signs:

* (asterisk)

Implies that a listening operation applies to all possible host names for the computer that are not otherwise explicitly reserved.

+ (plus sign)

Implies that a listening operation applies to all possible host names for the computer.

CheckBox Compression

If this option is selected, SQL Server will honor requests where gzip encoding is accepted, and return compressed responses. That is, if a request comes in with an HTTP header specifying GZIP as a valid "accept-encoding", the server returns the response gzip-encoded.

TCP options

When TCP/IP is enabled for SQL Server, the Database Engine will listen for incoming connections on a connection point consisting of an IP address and TCP port number.

Endpoint Editor - Protocol - TCP

Listener port

Specify the port number that will be listened to for connections by the service broker TCP/IP protocol. The default port number is 4022.

Listener IP

Specifies the IP address that the endpoint will listen on.


Setting payload options

The Payload tab allows you to define the payload that is supported on the endpoint.

Endpoint Editor - Payload - HTTP - Soap

Soap options

This group is available if RadioButton HTTP is selected as the Protocol type and RadioButton Soap is specified as the Payload type at the Endpoint tab of the editor.

The upper area of the group displays the webmethods (the methods for which HTTP SOAP requests can be sent to the endpoint) as a grid with the following columns: Webmethod, Namespace, Procedure name, Schema, Format.

Right-click an item within the list to call the context menu allowing you to iconPlus add a new webmethod or iconMinus drop the selected one.

Login type

Specify the SQL Server authentication mode for the endpoint:

RadioButton WINDOWS

This option allows only Windows authentication to be used to authenticate endpoint users.

RadioButton MIXED

This option allows either SQL Server authentication or Windows authentication to be used to authenticate endpoint users.

CheckBox Batches

This option specifies whether special SQL requests are supported on the endpoint. If checked, SOAP requests for queries that use the sqlbatch method can be sent to this endpoint.

Database

Use the drop-down list to select the database in the context of which the requested operation will be executed.

Namespace

Specify the namespace for the endpoint.

Header limit

This value specifies the maximum size, of the header section in the SOAP envelope (in bytes).

CheckBox Session

This option specifies whether the instance of SQL Server allows sessions support. If checked, SQL Server allows sessions support, whereby multiple SOAP request/response message pairs can be identified as part of a single SOAP session.

Session timeout

Specify time that is available before a SOAP session expires at the server when no further requests are received (in seconds).

WSDL

This group indicates whether WSDL document generation is supported for this endpoint: RadioButton None, RadioButton Default (a default WSDL response is generated and returned for WSDL queries submitted to the endpoint), or specify stored procedure by name that will return a modified WSDL document.

Schema

This group specifies whether an XSD schema is returned by the endpoint when SOAP results are sent.

RadioButton NONE

This option omits inline schema from SOAP responses.

RadioButton STANDARD

This option includes inline schema in endpoint responses.

Character set

This group defines the character set behavior: RadioButton XML (by default), or RadioButton SQL (the characters that are not valid as character references are encoded, and then returned in the result).

Endpoint Editor - Payload - TCP - Service Broker

Service Broker options

This group is available if RadioButton TCP is selected as the Protocol type and RadioButton Service broker is specified as the Payload type at the Endpoint tab of the editor.

Authentication options

RadioButton Windows

Specifies that the endpoint is to connect using Windows Authentication protocol to authenticate the endpoints. In this case you should also select an authorization method (NTLM or KERBEROS) to be used as the authentication protocol, or NEGOTIATE that causes the endpoint to use the Windows negotiation protocol to choose either NTLM or Kerberos.

RadioButton Certificate

Specifies that the endpoint is to authenticate the connection using a certificate (you should select one from the drop-down list) to establish identity for authorization.

RadioButton Windows, Certificate

Specifies that the endpoint is to try to connect by using Windows Authentication and, if that attempt fails, to then try using the specified certificate.

RadioButton Certificate, Windows

Specifies that the endpoint is to try to connect by using the specified certificate and, if that attempt fails, to then try using Windows Authentication.

Windows auth type

Use the drop-down list to select an authorization method (NTLM or KERBEROS) to be used as the authentication protocol, or NEGOTIATE that causes the endpoint to use the Windows negotiation protocol to choose either NTLM or Kerberos.

Certificate name

Use the drop-down list to select a certificate to be used to authenticate the connection.

Encryption

This group specifies whether encryption is used in the process.

RadioButton Required

Specifies that connections to this endpoint must use encryption. Therefore, to connect to this endpoint, another endpoint must have ENCRYPTION set to either SUPPORTED or REQUIRED.

RadioButton Supported

Specifies that the data is encrypted only if the opposite endpoint specifies either SUPPORTED or REQUIRED.

RadioButton Disabled

Specifies that data sent over a connection is not encrypted.

Algorithm

Specify the form of encryption used by the endpoint:

RC4 (specifies that the endpoint must use the RC4 algorithm)

AES (specifies that the endpoint must use the AES algorithm)

AES RC4 (specifies that the two endpoints will negotiate for an encryption algorithm with this endpoint giving preference to the AES algorithm)

RC4 AES (specifies that the two endpoints will negotiate for an encryption algorithm with this endpoint giving preference to the RC4 algorithm)

CheckBox Message forwarding

This option determines whether messages received by this endpoint that are for services located elsewhere will be forwarded.

Message buffer size, Mb

Use the spinner control to specify the maximum amount of storage (in megabytes) to allocate for the endpoint to use when storing messages that are to be forwarded (if Message forwarding is selected).

Endpoint Editor - Payload - TCP - Database Mirroring

Database mirroring options

This group is available if RadioButton TCP is selected as the Protocol type and RadioButton Database mirroring is specified as the Payload type at the Endpoint tab of the editor.

Specify the TCP/IP authentication requirements for connections for this endpoint:

RadioButton Windows

Specifies that the endpoint is to connect using Windows Authentication protocol to authenticate the endpoints. In this case you should also select an authorization method (NTLM or KERBEROS) to be used as the authentication protocol, or NEGOTIATE that causes the endpoint to use the Windows negotiation protocol to choose either NTLM or Kerberos.

RadioButton Certificate

Specifies that the endpoint is to authenticate the connection using a certificate (you should select one from the drop-down list) to establish identity for authorization.

Encryption

This group specifies whether encryption is used in the process.

These options are common for Service broker and Database mirroring payload types. For details see Service Broker options.

Algorithm

Specifies the form of encryption used by the endpoint.

This option is common for Service broker and Database mirroring payload types. For details see Service Broker options.

Role

This group specifies the database mirroring role or roles that the endpoint supports.

RadioButton Witness

Enables the endpoint to perform in the role of a witness in the mirroring process.

RadioButton Partner

Enables the endpoint to perform in the role of a partner in the mirroring process.

RadioButton All

Enables the endpoint to perform in the role of both a witness and a partner in the mirroring process.


DDL Triggers

A Trigger automatically executes when an event occurs in the database server.

DDL Triggers are a special kind of trigger that fire in response to Data Definition Language (DDL) statements. They can be used to perform administrative tasks in the database server.

DDL Trigger Editor allows you to define DDL trigger properties (the scope of the DDL triggers is applied to the current server, i.e. the trigger fires whenever event_type or event_group happens anywhere in the current server). It opens automatically when you create a new DDL trigger and is available on editing an existing one.

To open a DDL trigger in DDL Trigger Editor, double-click it in the DB Explorer tree. Alternatively, you can right-click the DDL trigger alias and select the Edit DDL Trigger context menu item.

  • Using Navigation bar and Toolbar
  • Setting DDL trigger properties
  • Viewing DDL definition

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in DDL Trigger Editor.

DDL Trigger Editor (server) - Using Navigation bar

The Navigation bar of DDL Trigger Editor allows you to:

Object

iconHost select a server instance

select a DDL trigger for editing

General

iconCompile compile the DDL trigger (if it is being created/modified)

iconRefresh refresh the content of the active tab

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the DDL trigger:

DDL

iconSaveToFile save DDL to an external *.sql file

open DDL in Query Data

Items of the Navigation bar are also available on the ToolBar of DDL Trigger Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting DDL trigger properties

Use the DDL Trigger tab of DDL Trigger Editor to configure/view server-scoped DDL trigger properties.

Name

Enter a name for the new DDL trigger, or modify the name of the DDL trigger being edited.

DDL Trigger Editor (server) - Editing DDL trigger definition

CheckBox Enabled

Enables/disables the trigger immediately after it is created. A disabled trigger still exists as an object in the server, but does not fire.

CheckBox Encrypted

If this option is selected, the text of the CREATE TRIGGER statement is encrypted.

Execute as

Specify the security context under which the trigger is to be executed: RadioButton Caller, RadioButton Self or RadioButton Login (select which login account should be used to validate permissions on any server objects that are referenced by the trigger).

Code Source

Select the trigger code source: it can be a direct set of SQL statements or an external procedure call from a .NET assembly.

Event type

This group is available for SQL Server 2008. Specifies trigger type:

RadioButton Server level

RadioButton Logon

Events

This area lists the DDL events as groups. The trigger will fire after execution of any data definition language event selected in this list. Set the corresponding flag next to an event or event group name.

SQL statements or assembly method

This area allows you to set the trigger conditions and actions. Trigger conditions specify additional criteria that determine whether the tried DDL statements cause the trigger actions to be performed.

The trigger actions take effect when the DDL operation is performed.


Server roles

SQL Server provides server-level roles to help you manage the permissions on a server. These roles are security principals that group other principals. Server-level roles are server-wide in their permissions scope.

Fixed server roles are provided for convenience and backward compatibility. Assign more specific permissions whenever possible.

SQL Server provides nine fixed server roles. The permissions that are granted to the fixed server roles cannot be changed. Beginning with SQL Server 2012, you can create user-defined server roles and add server-level permissions to the user-defined server roles.

Server Role Editor allows you to define server role properties. It opens automatically when you create a new server role and is available on editing an existing one.

To open a server role in Server Role Editor, double-click it in the DB Explorer tree or in the Server Role Manager. Alternatively, you can right-click the server role alias and select the Edit Server Role context menu item.

  • Setting server role parameters
  • Defining server permissions
  • Defining server role permissions
  • Defining login permissions
  • Defining endpoint permissions

See also:

Server Role Manager


Setting server role parameters

Use the Server Role tab of Server Role Editor to specify server role properties and membership.

Server Role Editor - Setting server role parameters

Name

Enter a name for the new server role, or view the name of the server role being edited.

Owner

Use the drop-down list to select the owner of the server role (the name of a server login).

Members of the role

Add members to the role, i.e. add the logins (or other server roles) that will inherit the permissions of the server role.

To add a login, you need to move it from the Available Principals list to the Selected Princpals list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the logins from one list to another.

The role is member of

Define role membership, i.e. select the server role(s) the current server role will be a member of. The selected server roles determine the tasks that can be performed through the current server role.

To select a server role, you need to move it from the Available Server Roles list to the Selected Server Roles list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the roles from one list to another.


Defining server permissions

This tab allows you to grant Server permissions to the server role.

Server Role Editor - Setting server permissions

The Permission column contains the list of server permissions that can be granted to the server role: CONNECT SQL, SHUTDOWN, CREATE ANY DATABASE, CREATE ENDPOINT, ALTER ANY LOGIN, ALTER ANY CREDENTIAL, ALTER ANY LINKED SERVER, ALTER ANY CONNECTION, etc.

Right-click a cell within the State column to grant a permission to the server role. The context menu of a cell allows you to:

  • grant a permission to the server role;
  • grant a permission (with Grant Option) to the server role;
  • deny a permission to the server role;
  • revoke a previously granted or denied permission;
  • grant all permissions to the server role;
  • grant all permissions (with Grant Option) to the server role;
  • deny all permissions to the server role;
  • revoke all previously granted or denied permissions.


Defining server role permissions

This tab allows to define Server role permissions to the current server role.

Server Role Editor - Defining server role permissions

The Server Role Name column contains the list of server roles; each subsequent column corresponds to the permission which can be granted on the selected server role: ALTER, CONTROL, TAKE OWNERSHIP, VIEW DEFINITION.

Right-click a cell to grant a specific permission on a certain server role. To grant a permission on a server role, you should find the object in the Server Role Name list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission on the server role to the current server role;
  • grant a permission (with Grant Option) on the server role to the current server role;
  • deny a permission on the server role to the current server role;
  • revoke a previously granted or denied permission;
  • grant all permissions on the server role to the current server role;
  • grant all permissions (with Grant Option) on the server role to the current server role;
  • deny all permissions on the server role to the current server role;
  • revoke all previously granted or denied permissions;
  • grant a permission on all server role to the current server role;
  • grant a permission (with Grant Option) on all server role to the current server role;
  • deny a permission on all server role to the current server role;
  • revoke a previously granted or denied permission on all server role.


Defining login permissions

This tab allows you to define Login permissions to the server role.

Server Role Editor - Defining login permissions

The Login Name column contains the list of server logins; each subsequent column corresponds to the permission which can be granted on the selected login: ALTER, CONTROL, IMPERSONATE, VIEW DEFINITION.

Right-click a cell to grant a specific permission on a certain login. To grant a permission on an login, you should find the object in the Login Name list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission on the login to the server role;
  • grant a permission (with Grant Option) on the login to the server role;
  • deny a permission on the login to the server role;
  • revoke a previously granted or denied permission;
  • grant all permissions on the login to the server role;
  • grant all permissions (with Grant Option) on the login to the server role;
  • deny all permissions on the login to the server role;
  • revoke all previously granted or denied permissions;
  • grant a permission on all logins to the server role;
  • grant a permission (with Grant Option) on all logins to the server role;
  • deny a permission on all logins to the server role;
  • revoke a previously granted or denied permission on all logins.


Defining endpoint permissions

This tab allows you to grant Endpoint permissions to the server role.

Server Role Editor - Defining endpoint permissions

The Endpoint Name column contains the list of server endpoints; each subsequent column corresponds to the permission which can be granted on the selected endpoint: ALTER, CONNECT, CONTROL, TAKE OWNERSHIP, VIEW DEFINITION.

Right-click a cell to grant a specific permission on a certain endpoint. To grant a permission on an endpoint, you should find the object in the Endpoint name list and the column with the corresponding permission. The context menu of a cell allows you to:

  • grant a permission on the endpoint to the server role;
  • grant a permission (with Grant Option) on the endpoint to the server role;
  • deny a permission on the endpoint to the server role;
  • revoke a previously granted or denied permission;
  • grant all permissions on the endpoint to the server role;
  • grant all permissions (with Grant Option) on the endpoint to the server role;
  • deny all permissions on the endpoint to the server role;
  • revoke all previously granted or denied permissions;
  • grant a permission on all endpoints to the server role;
  • grant a permission (with Grant Option) on all endpoints to the server role;
  • deny a permission on all endpoints to the server role;
  • revoke a previously granted or denied permission on all endpoints


DTS Packages

In SQL Server 2000, Data Transformation Services (DTS) is a component built to take data from one OLE DB data source, perform certain operations and store it in a destination OLE DB data source. DTS consists of packages which define a particular set of work that forms a logical work item. DTS Packages contain multiple connections to data sources, tasks to be performed, workflows. Examples of tasks include copying data from source to destination connections, transforming data from a source connection and placing the transformed data in the destination connection, executing a set of Microsoft ActiveX scripts or Transact-SQL statements against a connection.

In SQL Server 2005 (and higher), Integration Services (SSIS) packages are provided for data warehousing purposes.

SQL Manager for SQL Server provides running Data Transformation Services (DTS) packages that were developed by using SQL Server 2000 tools. These can be run in SQL Server 2005 and higher, alongside Integration Services (SSIS) packages.

Importing DTS Packages

To import DTS Package:

  • right-click DTS Package node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the Tasks | Import DTS Package... item from the context menu.

Exporting DTS Packages

To export DTS Package:

  • right-click DTS Package node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the Tasks | Export DTS Package... item from the context menu.

Running DTS Packages

To run DTS Package:

  • right-click any object in the DTS Package node (within the Server Objects branch) in the DB Explorer tree and select the Tasks | Run DTS Package... item from the context menu.

To import, export, run DTS Packages you can also use the context menu and the Navigation bar of DTS Packages manager. You can view package properties in the DTS Package properties dialog.


DTS Package properties

The DTS Package Properties dialog allows you to browse the DTS package common information.

To open the dialog, right-click the DTS package in DB Explorer and select the DTS Package Properties... context menu item.

DTS Packages - DTS Package properties

The dialog displays common properties pertaining to the DTS package: Create Date, Version ID, Description.


Query Management Tools

When using SQL Manager for SQL Server, you are provided with two basic tools you may need to manage your SQL queries: Query Data for editing SQL query text directly and Design Query for building queries visually. Find the list of common SQL query management operations below.

Creating New Queries

In order to create a new query in Query Data:

  • select the Tools | Query Data main menu item or use the corresponding btnShowSQLEditor toolbar button;
  • click the Add new query item of the Navigation bar;
  • edit the query text within the Edit tab of Query Data.

In order to create a new query in Design Query:

  • select the Tools | Design Query main menu item or use the corresponding btnShowQueryBuilder toolbar button;
  • build the query visually within the Builder tab of Design Query.

Editing Queries

In order to open a query in Query Data:

  • select the Tools | Query Data main menu item or use the corresponding btnShowSQLEditor toolbar button;
  • use the numbered tabs at the bottom of the editor window to switch between previously edited queries. The last edited query is displayed automatically on opening the editor;
  • edit the query text within the Edit tab of Query Data.

In order to open a query in Design Query:

  • select the Tools | Design Query main menu item or use the corresponding btnShowQueryBuilder toolbar button;
  • the last edited query is displayed automatically on opening Design Query;
  • to load a previously saved diagram, click the Load diagram item of the Navigation bar;
  • to load a query from an *.sql file, open the Edit tab and click the Load SQL button of the Navigation bar;
  • edit the query visually within the Builder and/or the Edit tabs of Design Query.

In order to load a query from an *.sql file:

  • select the Tools | Query Data main menu item or use the corresponding btnNewSQLEditor toolbar button;
  • click the Load from file item of the Navigation bar;
  • browse for the query file using the Open SQL File dialog;
  • edit the query text within the Edit tab of Query Data.

Executing Queries

In order to execute a query:

  • create a new query or open an existing one;
  • click the btnExecuteQuery Execute item of the Navigation bar or use the F9 hot-key to execute the query;
  • view/edit the returned data within the Results tab of Query Data.

Saving Queries

In order to save a query:

  • create a new query or open an existing one;
  • click the Save to file Navigation bar item (in Query Data) or the Save SQL Navigation bar item (in Design Query), or use the Ctrl+S shortcut to save the query using the Save as... dialog;
  • click the Save diagram Navigation bar item in Design Query to save the designed diagram;

or

  • use the Save all Navigation bar item in Query Data if you need to save all the queries to one file.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Query Data

Query Data is the basic tool of SQL Manager for SQL Server for creating and executing queries. The tool allows you to create and edit the SQL text of a query, prepare and execute queries and view the results of query execution.

To open Query Data, select the Tools | Query Data main menu item or use the corresponding btnShowSQLEditor toolbar button. You can also use the F12 shortcut for the same purpose.

To open New Query Data use the Shift+F12 shortcut.

  • Using Navigation bar and Toolbar
  • Working with Query Data area
  • Using the context menu
  • Viewing query plan
  • Using object links
  • Executing queries and viewing results
  • Viewing query logs
  • Favorites editor
  • Merging queries

See also:

Design Query

Query parameters

Execute Script

Editor Options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Query Data.

SQL Editor - Using Navigation bar

The Navigation bar of Query Data allows you to:

Database

iconDB select a database for the query

General

iconExecute execute the current query

view estimated query execution plan

iconInfoMessages show/hide information messages

run Design Query to design the query as a diagram

open cursor on client (server) side. If the server cursor is selected then the query dataset is processed with server resources, otherwise it's processed on the client side.

switch the results representation mode: on Edit tab or on separate tab

iconOptions configure Query Data within the Tools | Query Data page of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the editor window

Queries

add a new query (note that the current query text will not be lost)

rename the current query

delete the query

delete all queries from the editor

edit the query text using Favorites editor and add the query to the Favorite Queries list

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with queries:

Edit

iconFindText activate the Find Text dialog

iconLoadFromFile load a query from an *.sql file using the Open SQL File dialog

iconSaveToFile save the query to an *.sql file

iconSaveToFileAs save the query to an *.sql file using the Save as... dialog

iconSaveAll save all queries to an *.sql file

Logs

iconFindText activate the Find Text dialog

iconSaveToFile save the query log to a file

clear logs

Data Management

iconCommit commit transaction

iconRollback rollback transaction

export the returned dataset using Export Data Wizard

export the returned dataset as SQL script using the Export as SQL Script wizard

import data

Debug

iconDebugger debug the code using the Debug T-SQL tool

Items of the Navigation bar are also available on the ToolBar of Query Data. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

See also:

Working with Query Data area

Viewing query plan

Executing queries

Viewing query logs

Favorites editor


Working with Query Data area

The Editor area of Query Data is available within the Edit tab and is provided for working with SQL queries in text mode.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented:

  • using object links allowing you to open the object in the associated editor;
  • ability to display line numbers;
  • code folding for statements and clauses;
  • customizable margins and gutters;
  • formatting code for better representation

and more.

If necessary, you can enable/disable or customize most of Query Data features using the Editor Options dialog.

The example of code completion is illustrated in the picture below. You can set the delay within the Quick code section of the Editor Options dialog or activate the completion list manually by pressing the Ctrl+Space shortcut.

SQL Editor - Working with SQL Editor area

For your convenience the possibility to use macros is implemented.

To start recording a macro, click the btnRecordMacro Record button available in the status bar area, or use the Shift+Ctrl+R shortcut.

To stop recording, click the btnStopRecordMacro Stop button, or use the Shift+Ctrl+R shortcut.

To call the recorded macro, use the btnPlayMacro Play button, or use the Shift+Ctrl+P shortcut.

Hint: To paste input parameters of a procedure quickly, use the Ctrl+Shift+P shortcut after the procedure name.

Hint: To use a keyboard template, type the template name and press the Ctrl+J shortcut: the text associated with the template will be inserted automatically.

If necessary, you can print the SQL text of your query using the corresponding item of the context menu.

See also:

Using Navigation bar and Toolbar

Using the context menu

Editor Options

Keyboard Templates

Favorites editor

Find Text dialog

Replace Text dialog


Using the context menu

The context menu of Query Data area contains execution commands, most of the standard text-processing functions (Cut, Copy, Paste, Select All) and functions for working with the query as a whole, e.g. you can move the cursor to a particular line, change the case of selected text, view the query properties or print the text of the query. Each of these operations can be also performed with the corresponding hot keys used.

SQL Editor - Using the context menu

Implementation of the Find Text / Replace Text dialogs and Incremental search bar contributes to more efficient work with the SQL code.

Find the complete list of Query Data context menu items below. The context menu allows you to:

  • add the selected text to dictionary or correct text (see Spell checking for details);
  • execute the query/selected text/text under cursor, and reset execution point (if necessary);
  • manage markers: Drop Marker, Collect Marker, Swap Marker;
  • toggle bookmarks allowing you to navigate through the query text and jump to a line with a particular number;
  • perform editing operations: Undo/Redo, Cut, Copy, Paste, Select all;
  • perform search and replace operations;
  • save/load a query to/from an external *.sql file;
  • perform preview/print operations;
  • use the Quick code group allowing you to format the selected code using SQL Formatter to make the code easier to read, toggle comments for code fragments, change case of the selected text, indent/unindent code lines;
  • add the query to the Favorite Queries list;
  • open the Editor Options dialog.

See also:

Working with Query Data area

Executing queries


Viewing query plan

Using SQL Manager for SQL Server, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open the query in Query Data and use the btnExplainQuery Show estimated execution plan item of the Navigation bar or toolbar.

The Plan tab allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution.

SQL Editor - Viewing query plan

The Operation panel below displays the operations as a tree list with the following columns: Operation, Logical Operation, Subtree Cost, IO Cost, CPU Cost, Estimated Executions, Estimated Rows, Actual Executions, Actual Rows, Row Size, Parallel, Statement, Argument, Defined Values, Output, Warnings.

Right-click within the panel to display the context menu allowing you to configure the set of visible columns or export the plan to any of supported formats.

If necessary, you can specify that the Plan tab appears automatically upon query execution in Query Data: select the CheckBox Show actual execution plan on query execution option available within the Tools | Query Data section of the Environment Options dialog.

See also:

Query Data options

Executing queries


Using object links

Objects that exist in the database are highlighted in the text as hyperlinks. You can open an object in the appropriate editor by clicking the object name in the text with the Ctrl key pressed.

SQL Editor - Using object links

Please note that you can change the way highlighted objects look in the editor: use the Display | Highlight section of the Editor Options dialog.

See also:

Working with Query Data area

Editor Options


Executing queries

When all the query parameters are set, you can immediately execute the query in Query Data.

To execute a query, click the btnExecuteQuery Execute item of the Navigation bar. You can also use the context menu or F9 hot key for the same purpose.

If the SQL syntax is correct, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the returned dataset appears within the Results tab. The position of the tab depends on the Results on Edit tab / Results on separate tab selection in the Navigation bar.

If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the editor window.

SQL Editor - Executing queries

By default, data returned by a query are displayed as a grid (see Data View for details). The context menu of the grid allows you to Export Data, Export as SQL Script.

SQL Editor - Viewing results

See also:

Data View

Export Data

Export as SQL Script


Viewing query logs

This tab allows you to view the query log. The log is available within the Logs tab of Query Data.

Using this tab you can view log entries containing the following details:

  • date and time of the query execution;
  • text of the query;
  • number of rows fetched and fetch time, or the text of the error (if any).

Date/time and the execution result information are embedded as code comments conforming with the rules of SQL.

With the help of the context menu the log can be printed, saved to file or cleared. You can also use a number of Query Data context menu generic functions.

SQL Editor - Viewing query logs

See also:

Executing queries

Using the context menu


Debugging T-SQL

T-SQL Debugger is the cutting edge feature of SQL Manager for SQL Server. This tool is provided for step-by-step code debugging of SQL scripts, procedures, UDFs. Much of the power of the debugger comes from toggling breakpoints, getting variables' values, and fetching call stacks.

Note: For debugging on the remote server the host that is running the instance must be configured as follows http://msdn.microsoft.com/en-us/library/cc646024.aspx.

The Edit tab of the T-SQL Debugger window contains the following areas:

  • the Debug panel of the Navigation bar;
  • the Watches list;
  • the T-SQL code area;
  • the Call stack box;
  • the Breakpoints list.

Note: All areas within the Edit tab of the PL/SQL Code Debugger window are dockable, i.e. you can drag an area to any location within the parent form.

The Logs tab of the PL/SQL Code Debugger window displays the debug log.

SQL Editor - Debugging T-SQL

iconDebugger Start: this command is used to start the debugging session;

Break: this command stops the current debugging session;

iconExecute Continue: use this command to continue execution up to the next breakpoint;

Step over: traces the code disregarding the object body (procedure, UDF);

Trace into: traces the code using the object body (procedure, UDF);

Trace out: traces the code up to the point of leaving the object body (procedure, UDF);

Toggle breakpoint: use this command to add/remove breakpoints;

iconClear Clear watches: allows you to clear the variables added to the Watches list.

The T-SQL code area presents the statement being debugged. All points that have been set within the code are marked with corresponding signs. Active breakpoints are highlighted red, and inactive breakpoints are highlighted green.

The Watches list allows you to watch (on the Local tab) the variables that have been declared in the code, and the value of each variable. The following attributes are listed for each watched variable:

Watch name

Value

To add custom watch proceed to the Custom tab and specify the watch name. You can delete the selected watch by using the Ctrl+U shortcut.

Use the Global tab to view values of the server global variables.

The Call stack box lists the call stacks, if applicable.

The Breakpoints list displays the currently toggled breakpoints. The following attributes are listed for each breakpoint:

Status

Line

Owner

Name

Using the context menu you can enable/disable the selected breakpoint or delete it.


Favorites editor

For your convenience the Favorite Queries list is implemented in SQL Manager for SQL Server. This list is available within the iconFavoriteQueries Favorite Queries node of Database Explorer and allows you to store the most frequently used SQL queries in one location.

To add a query to the Favorite Queries list, use the [image] Add to Favorite Queries Navigation bar item in Query Data. The corresponding item is also available in the context menu of Query Data working area.

You can edit any of your Favorite Queries using Favorites editor.

SQL Editor - Favorites editor

Name

Set the name of the Favorite query.

Storage

Specify where the Favorite query will be stored: in Windows Registry or in the Database.

See also:

Managing Favorite queries

Working with Query Data area


Merging queries

When editing the same query in several copies of Query Data, on attempt to close the Query Data window the Merging a Query dialog will appear like the one displayed below.

SQL Editor - Merging queries

The actions offered are the following:

RadioButton Save the both changed queries

The query opened in the first copy of Query Data will be saved as its original name; the query in the current copy will be saved under the name with additional postfix (by default it is '_1').

RadioButton Use changes in the current copy of Query Data

The query will be saved as the original name; the modifications of SQL made within the current copy of Query Data will be applied.

RadioButton Ignore changes in the current copy of Query Data

The query will be saved as its original name; the modifications of SQL made within the current copy of Query Data will be ignored.


Design Query

Design Query is implemented in SQL Manager for SQL Server for building queries visually. The tool allows you to create and edit queries without deep knowledge of SQL. You can also prepare and execute queries, and view the results of their execution.

To open Design Query, select the Tools | Design Query main menu item or use the corresponding btnShowQueryBuilder toolbar button.

  • Using Navigation bar and Toolbar
  • Working with diagram area
  • Joining two database objects by columns
  • Setting the selection criteria
  • Setting output columns for selection
  • Setting the grouping criteria
  • Setting parameters of sorting
  • Working with editor area
  • Executing queries and viewing results
  • Viewing query plan

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Query Data

Query parameters


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Design Query.

Query Builder - Using Navigation bar

The Navigation bar of Design Query allows you to:

Database

iconDB select a database for the query

General

iconExecute execute the current query

view estimated query execution plan

clear the query

create a view

iconOptions configure Design Query using the Design Queryr Options page of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the builder window

Objects

iconDBExplorer browse objects of the database; you can also add tables and views to the diagram using drag-and-drop operations

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with queries:

Visual Builder

iconLoadFromFile load a diagram from a *.vqb file using the Open diagram dialog

iconSaveToFile save the diagram to a *.vqb file using the Save diagram as... dialog

Edit

iconLoadFromFile load a query from an *.sql file using the Open SQL File dialog

iconSaveToFile save the query to an *.sql file

Data Management

iconCommit commit transaction

iconRollback rollback transaction

export the returned dataset using Export Data Wizard

export the returned dataset as SQL script using the Export as SQL Script wizard

Items of the Navigation bar are also available on the ToolBar of Design Query. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

See also:

Working with diagram area

Query execution


Working with diagram area

The main working area of Design Query is the diagram area available within the Builder tab. Here you can create a query by placing the database tables and views onto the area, and edit it by selecting the required data columns and setting links between objects.

To add an object to the query, you can simply drag it from the DB Explorer tree to the diagram area.

To include a column in the query, check the corresponding box located to the left from the column name in the list, or just double-click it. To include all columns of the table/view, check the box located to the left of the table/view caption. If you do not check any columns, the SQL statement is generated as SELECT * FROM <table/view_name>, i.e. all the columns are included in the query.

To collapse/expand the list of table/view columns, click the minimize/maximize button at the object caption.

To exclude a column from the query, uncheck the respective box. In order to remove the entire table/view from the query, close it by clicking the corresponding cross-button at the object caption, or right-click the object and select Delete from the context menu. You can also select the object and press the Del key.

To edit the alias of a table/view, double-click the object caption and enter the new name, or right-click the object and select Rename from the context menu.

Query Builder - Working with diagram area

Design Query allows you to create complex queries consisting of two or more queries combined in one with the UNION operator, or add nested queries. The panel to the left of the diagram area displays the tree of subqueries.

To add a query, right-click within the tree of subqueries area and select Add union from the context menu. A tab for the new query will appear in the diagram area.

To remove a query from the tree, right-click the query and select Delete union from the context menu.

To add the UNION ALL operator to the query, right-click the newly added query and select the corresponding context menu item.

Visual Query Builder - Union

Note: Depending on which query type you need to execute, you can select one from the drop-down list above the tree of subqueries: Select, Insert, Update, or Delete.

Visual Query Builder - Selecting query type

See also:

Joining two objects

Working with the editor area

Query execution


Joining two objects

The diagram area allows you to associate two objects by their columns: this operation is performed by dragging a column from one object list to another. This will set a link between these objects by the selected columns. It is indicated by a bidirectional arrow between the linked columns.

Note: Once two or more tables related by a foreign key are added to the diagram area, the corresponding visual joining of these tables appears at the Builder tab and the JOIN statement appears under the Edit tab.

Query Builder - Joining two objects

You can view the link properties of objects association: set the mouse cursor over the linking arrow, and a hint containing the association condition will popup after a short delay.

To edit the link properties, double-click the linking arrow or right-click it and select the Property popup menu item. The Link properties dialog allows you to change the association condition by choosing it from the drop-down list (=, >, <, >=, <=, <>).

Query Builder - Link properties

For your convenience the CheckBox Include all option is available for each object of the association:

if the option is enabled for the left table, the LEFT JOIN operator will be used for the association;

if the option is enabled for the right table, the RIGHT JOIN operator is used for the association;

if the option is enabled for neither of the tables, the INNER JOIN operator is used for the association.

Click OK to apply the changes you have made.

To remove a link between objects, right-click the linking arrow and select the Delete link popup menu item.

To add a point to the link line, right-click the linking arrow and select the Insert point popup menu item. Using the point you can move the link line easily. The point does not cause any changes to the query, it is only used for the diagram representation and makes visual building handy and more comprehensible.

Visual Query Builder - Link menu

See also:

Working with diagram area

Setting criteria


Setting criteria

Use the Criteria tab to set the selection conditions.

The way the conditions are used is set in the upper string of the area (All, Any, None or Not all of the following are met). Click the green link to change it.

Visual Query Builder - Criteria menu

To add a condition, click the ellipsis EllipsisButton button on the left, and select the Add condition popup menu item.

Edit the condition by clicking the elements of the condition pattern and setting the necessary values. Clicking the numbered button to the left of the condition string activates the popup menu which allows you to add a new condition at the same enclosure level, make composite condition by adding a new enclosure level, delete the current condition, expand or collapse enclosure levels of the condition (if the condition is composite).

Visual Query Builder - Condition menu

A simple condition pattern contains three elements: an argument, a condition operator and a second argument (if required for the condition).

Clicking each element column allows you to set its value. You can add a column by drag-and-dropping it from the working area to Criteria, Selection, Grouping criteria or Sorting tabs. When clicking an argument field, you can edit the argument as a text string: set an object name or a certain value in this field. Right-clicking the field in the edit mode activates the popup menu with the Insert column (also called by the Shift+Enter shortcut; this item allows you to select a column from the list of all the table columns) and Insert query (this item adds a nested query) items.

Query Builder - Setting criteria

Clicking the condition operator field activates the popup menu from which you can select the operator you need.

See also:

Setting output columns

Setting grouping criteria

Setting sorting parameters


Setting output columns

The Selection tab displays the output columns of the query as a grid.

The grid allows you to edit the names of the query output columns, specify their display order and set the aggregate functions for each column. To remove a column from the list, right-click the row and select the Delete current row popup menu item.

Visual Query Builder - Selection field menu

The popup menu also allows you to insert a nested query and add a CASE clause. To edit the CASE clause, use the CASE END AS dialog.

Query Builder - Setting output fields - CASE

To change the Source column name, click it and then type the column name or select it from the drop-down list.

To change the Name of output column, set the cursor at the corresponding column and type the required column name.

To reorder columns in the list, use the [image] [image] buttons.

Query Builder - Setting output fields

To set an aggregate function for a column, click the row within the Aggregate column, and then type in the function name or select one from the drop-down list (SUM, MIN, MAX, AVG, or COUNT).

The Grouping column displays the grouping state for each of the output columns.

CheckBox2 Select only unique records

If you check this option, the duplicate records (if any) are not included into the query result (i.e. the DISTINCT keyword is added to the SQL query text).

See also:

Setting criteria

Setting grouping criteria

Setting sorting parameters


Setting grouping criteria

The Grouping criteria tab allows you to set conditions for grouping query records.

The grouping condition pattern fields are set in the same way as those of the Criteria pattern.

Query Builder - Setting grouping criteria

These conditions will be included in the HAVING statement of the generated SQL query.

See also:

Setting criteria

Setting output columns

Setting sorting parameters


Setting sorting parameters

The Sorting tab allows you to set sorting parameters for the records returned by the query.

The working area contains the Output columns list (at the left) which represents all fields of the objects used in the query, and the Sorted columns list (at the right) which contains the columns to sort records by.

To move a column from one list to another, drag the selected column or use the Add and Remove buttons: Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available .

To change the sorting order for a sorted column, select the field in the Sorted columns list and move it using the Up and Down buttons.

To change the sorting direction, select the column in the Sorted columns list and switch the direction (Ascending, Descending) using the corresponding A..Z/Z..A button.

Query Builder - Setting sorting parameters

See also:

Setting criteria

Setting output columns

Setting grouping criteria


Working with the editor area

The Editor area of Design Query is available within the Edit tab and is provided for working directly with the SQL query text which is generated automatically while you build the query visually.

You can edit this text according to the rules of SQL, and all the changes will be displayed within the Builder tab respectively.

To learn more about the Query Data features available within the Edit tab, see Working with Query Data area.

Query Builder - Working with the editor area

See also:

Working with diagram area

Query execution

Query Data


Query execution

When all the query parameters are set, you can immediately execute the query in Design Query.

To execute a query, click the btnExecuteQuery Execute query item of the Navigation bar. You can also use the F9 hot key for the same purpose.

If the query parameters are specified correctly, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the returned dataset appears within the Result tab.

If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the Design Query window.

Query Builder - Query execution

By default, data returned by a query are displayed as a grid (see Data View for details). The context menu of the grid allows you to Export Data, Export As SQL Script.

Query Builder - Viewing results

See also:

Working with diagram area

Working with the editor area

Data View


Viewing query plan

Using SQL Manager for SQL Server, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open Design Query and use the btnExplainQuery Show estimated execution plan item of the Navigation bar or toolbar.

The Plan tab allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution.

Query Builder - Viewing query plan

If necessary, you can specify that the Plan tab appears automatically upon query execution in Design Query: select the CheckBox Show actual execution plan on query execution option available within the Tools | Design Query section of the Environment Options dialog.

See also:

Query execution


Query parameters

Both Query Data and Design Query support parameters usage inside the query text. A parameter is a kind of variable for which a value can be specified just before the query execution. In the query text the parameter should appear as an identifier with a colon (':') at the beginning, e.g.

SELECT * FROM MYTABLE WHERE ID = :param1;

Note: The Allow using of parameters in query text option should be checked on the Tools page of the Environment Options dialog for this feature to be enabled.

See also:

Query Data

Design Query


Input parameters dialog

The Input Parameters dialog is used to specify the query parameters as well as values of the input parameters of the query before execution.

Query parameters - Input parameters dialog

The edit field for input parameters varies according to the column data type. For your convenience the Calculator and Date editor are implemented for Numeric and Date and Time types respectively: click the arrow-down button to call the Calculator / Date editor popup window.

Click OK button to apply the values and execute the query or click Cancel button to abort execution.


Data Management

Table data and query results are displayed on the Data or Results tab of Table Editor, Query Data, Design Query, etc.

Data can be displayed in one of the following modes: Grid View, Form View, Print Data, BLOB View. See Data View to learn more about these modes. You are also provided with a number of filtering tools when working with your data.

  • Data View
  • Custom Filter
  • Filter Builder dialog

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Data View

SQL Manager for SQL Server provides you with powerful tools for viewing, editing and printing data from tables and queries:

  • table / view data are available within the Data tab of Table Editor / View Editor correspondingly;
  • upon a query execution the returned dataset appears within the Result(s) tab of Query Data / Design Query (in Query Data the position of the tab depends on the Results on Edit tab / Results on separate tab selection in the Navigation bar).

The data can be displayed in one of four available modes: Grid View, Form View, Print Data and BLOB View. The status bar at the bottom displays the number of records in the current dataset, the time the records were fetched by the application and the status of the records (whether the data are read-only or editable).

Please see the succeeding chapters to learn how to work with your data in the simplest and most efficient way.

  • Using Navigation bar and Toolbars
  • Grid View
  • Form View
  • Print Data
  • BLOB View
  • Applying changes

See also:

Custom Filter

Filter Builder dialog

Table Editor

View Editor


Using Navigation bar and Toolbars

When the Data tab (in Table Editor, View Editor) or the Result(s) tab (in Query Data, Design Query) is selected, the Navigation bars of these tools contain the Data Management group which allows you to:

iconCommit commit transaction (if the Use transactions in object editors, Query Data and Design Query option is selected in the Data Options section of the Database Registration Info dialog)

iconRollback rollback transaction (if the Use transactions in object editors, Query Data and Design Query option is selected in the Data Options section of the Database Registration Info dialog)

export data

export data as SQL script

import data (in Table Editor only)

bulk insert (in Table Editor only)

Data View - Using Navigation bar

Items of the Navigation bar are also available on the ToolBar. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

The Navigation pane contains toolbars allowing you to:

  • go to the first record of the dataset;
  • go to the previous page;
  • go to the previous record;
  • go to the next record;
  • go to the next page;
  • go to the last record of the dataset;
  • insert a new record (in Table Editor only);
  • delete the selected record (in Table Editor only);
  • edit the selected record (in Table Editor only);
  • post edit (in Table Editor only);
  • cancel edit (in Table Editor only);
  • refresh data;
  • set bookmark;
  • go to saved bookmark;
  • call the Filter Builder dialog;
  • search for a string in the currently selected column data;
  • show linked details table;
  • specify the maximum number of records (record limit) for displaying data (in Table Editor, View Editor only);
  • navigate within the dataset using the specified record limit (in Table Editor, View Editor only).

Data View - Navigation pane

The Toolbar of the Print Data mode allows you to:

  • customize the report using Report Formatter and the Report Options dialog;
  • load a report from an external *.rps file;
  • save the current report to an external *.rps file;
  • print the report using the default printer;
  • set printing options using the standard Print dialog;
  • call the Page Setup dialog;
  • show/hide report thumbnails;
  • customize the Report Title;
  • add Date and Time, Page Numbering, show/hide empty pages;
  • shrink the report to the page;
  • specify background color;
  • zoom in/out, setup zoom, zoom page width, whole page, two/four/multiple pages;
  • select the active page of the report;
  • go to first/previous/next/last page of the report.

Data View - Print Data - Toolbar

The Toolbar of the BLOB View mode allows you to:

  • select a BLOB column;
  • select encoding (ANSI, UTF-8, UNICODE-16);
  • load BLOB content from an external file;
  • save the BLOB column content to an external file;
  • cut/copy/paste selected text to/from clipboard (enabled for the Text and Rich Text tabs only);
  • undo changes;
  • print the text (enabled for the Text, Rich Text and HTML tabs only);
  • select font to be applied to the selected text (enabled for the Rich Text tab only);
  • select font size to be applied to the selected text (enabled for the Rich Text tab only);
  • make the selected text bold/italic/underlined (enabled for the Rich Text tab only);
  • align left/center/right (enabled for the Rich Text tab only);
  • add/remove list bullets (enabled for the Rich Text tab only).

Data View - BLOB View - Toolbar

See also:

Grid View

Form View

Print Data

BLOB View

Applying changes

Customize toolbars and menus


Grid View

By default, data returned by a query are displayed as a grid. It is indicated by the Grid View tab selected on the View mode panel at the bottom of the Results area of the window.

When in the Grid View mode, the columns correspond to the fields and the rows correspond to the records.

If more convenient, you can change the order of the columns by dragging their headers horizontally. Clicking the column caption sorts data by the values of this column in the ascending or the descending mode. The navigation pane at the top of the grid allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog and other tools.

The Navigation bar of the parent window, toolbars and the context menu of the grid provide you with a number of data management functions: Export Data, Import Data, Export as SQL Script and more.

  • Customizing columns
  • Grouping data within the grid
  • Filtering records
  • Using the context menu
  • Working in multi-level mode
  • Browsing data in card view
  • Column Summary
  • Copying records

Data View - Grid View

Hint: To increase the speed of opening tables and views with extremely large number of records, you can use options of the Limit options in table and view editors group available in the Grid | Data Options section of the Environment Options dialog.

See also:

Using Navigation bar and Toolbars

Form View

Print Data

BLOB View

Applying changes


Customizing columns

Selecting visible columns

When working in the Grid View mode, you can specify which columns of the current dataset will be visible. Click the btnSelectVisibleColumns button available in the top left corner of the data grid and select/deselect columns in the drop-down list to specify their visibility/invisibility.

Data View - Grid View - Selecting visible columns

Changing columns order

For your convenience the possibility to change the order of the columns in the data grid is available. To reorder columns, drag a column header horizontally to a place in between two other column headers indicated with green arrows.

Data View - Grid View - Changing columns order

See also:

Grouping data

Filtering records

Working in multi-level mode

Working in card view mode

Column Summary


Grouping and sorting data

In order to sort data, do the following:

open data at the Data or Results tab, choose the column by which you need to sort data and click the column title.

If the column was not sorted, the first click will sort it in the ascending order and the second one - in the descending order.

Clear Sorting

To cancel the sorting, open the context menu by right-clicking the necessary column and choose the Clear Sorting item, or press the Ctrl button and click the column title.

If necessary, you can group the data in grid by any of the columns.

This operation is performed by dragging the column header to the gray "Group by" box area at the top. In order to display this area, select the CheckBox Show "Group by" box option available in the Grid section of the Environment Options dialog.

When grouping by a column is applied to the grid, all the records are displayed as subnodes to the grouping row value as displayed in the screenshot below. The grouping row can contain the column summary information specified in the Group header group of the Column Summary dialog.

To reverse grouping, just drag the column header back.

Hint: While dragging the column header back, you can also change the column position.

Data View - Grid View - Grouping data

If necessary, you can group data by two or more columns. In this case column headers are displayed hierarchically, and data are grouped by these columns in the order the column headers appear in the Group by area.

Data View - Grid View - Grouping data by two columns

See also:

Customizing columns

Filtering records

Working in multi-level mode

Working in card view mode

Column Summary


Filtering records

A number of filtering facilities are implemented in the grid for your convenience. You can filter records in the grid in either of the following ways:

  • right-click a row and select the Quick Filter context menu item to filter records by the current value of the selected column;

Data View - Grid View - Quick Filter

  • click the Arrow-Down button next to the column caption to display the drop-down list and select any of the column values to filter records by this value of the selected column;

Data View - Grid View - Filtering records

or

  • click the Arrow-Down button next to the column caption to display the drop-down list, then select the Custom item and build a simple filter using the Custom Filter dialog;
  • use the Set filter btnSetFilter button on the navigation pane to invoke the Filter Builder dialog and create a composite filter using the dialog.

After the filter is set, the gray filtering panel becomes visible at the bottom of the grid. This panel allows you to see the active filtering condition and easily enable or disable it using the checkbox on the left. The Arrow-down button opens the drop-down menu which allows you to browse the filter history for this dataset.

If necessary, you can click the Customize... button on the right to customize your filter and add more complicated filtering conditions within the Filter Builder dialog.

Data View - Grid View - Filtering records - Filtering panel

To remove the current filter, click the btnClose Close button.

See also:

Customizing columns

Grouping data

Custom Filter

Filter Builder dialog


Using the context menu

The context menu of the grid is aimed at facilitating your work with data: you can perform a variety of operations using the context menu items:

Data View - Grid View - Using the context menu

  • copy the selected cell value to Windows clipboard;
  • paste the clipboard content to the currently selected cell;
  • copy/paste multiple records;
  • data manipulation: Export Data from the table, Import Data to the table, Export Data as SQL Script, Bulk Insert;
  • set/disable Quick Filter;
  • clear sorting;
  • set a value for the selected cell: NULL, Empty string (for string columns), Now (for TIME columns), "Zero" (for DATE columns);
  • edit the BLOB value or save the BLOB to file using BLOB viewer/editor;
  • show linked details (automatically add grid levels on the basis of existing foreign keys)
  • expand/collapse grid levels and navigate within the tabs;
  • manage grid levels: add a new grid level, delete the current grid level (this item is enabled only when the detail level exists and is currently focused);
  • switch to the Card View mode;
  • view Column Summary;
  • select visible/invisible columns of the dataset;
  • fit column width for better representation;
  • specify the grid mode: Load All Rows, Load Visible Rows, Default;
  • view/edit grid properties.

Note: If the CheckBox Show editor immediately and CheckBox Always show editor options on the Environment options | Grid tab are checked then the context menu of a grid can be evoked by selecting the necessary cell and right-clicking the table header. Otherwise, right-clicking the cell evokes the cell editing menu.


Working in multi-level mode

One of unique features of SQL Manager for SQL Server is the ability to work with data in multi-level mode to view and modify data in several related tables simultaneously.

To manage grid levels, right-click the grid and select the Grid Levels context menu group. Items of this group allow you to:

  • add a new grid level using Create Grid Level Wizard;
  • delete the current grid level;
  • switch between the ordinary Table View and the Card View modes.

Data View - Grid View - Working in multi-level mode

See also:

Using the context menu

Create Grid Level wizard


Create Grid Level wizard

Create Grid Level Wizard allows you to add a new detail level to the grid in order to get master-detail representation of your data.

To start the wizard, right-click the grid, select the Grid Levels context menu group and proceed to the Add Grid Level... item within this group.

Create Grid Level - Add Grid Level

  • Specifying master level
  • Selecting source table
  • Binding master and detail levels
  • Query parameterization
  • Setting additional parameters


Specifying master level

Use the drop-down list to select the table of the master level to which a new level will be added.

Source of new level data

Select the source type of the new level data: RadioButton Table or RadioButton Query.

Create Grid Level - Specifying master level

Click the Next button to proceed to the Defining source for detail level step to select a table for the detail level or input a query, depending on whether the RadioButton Table or the RadioButton Query option has been selected.


Defining source for detail level

If the RadioButton Table option has been selected at the previous step, you should now specify a table for the detail view using the Table name drop-down list. Set the CheckBox Show tables related by foreign keys only option to narrow the list of tables by including only tables linked by Foreign keys.

Create Grid Level - Defining source for detail level - Table

If the RadioButton Query option has been selected at the previous step, you should now enter a query that will be used as the source of the new grid level. If necessary, you can use Design Query to build the SQL query visually.

Create Grid Level - Defining source for detail level - Query

Click the Next button to proceed to the Binding master and detail levels step of the wizard.


Binding master and detail levels

Define pairs of columns to link the Master Level and the Detail Level data sources:

  • select a column in the Master Level Key Columns list;
  • select a corresponding column in the Detail Level Key Columns list;
  • click Add to set correspondence between the selected columns.

The newly created correspondences are listed in the Links Between Master and Detail Levels area. If necessary, you can delete any correspondence using the the Remove button.

The From Foreign Key... menu is available if the CheckBox Show tables related by foreign keys only option has been selected at the previous step. This menu allows you to select the foreign key to be used for identifying master-detail levels (if the table has more than one foreign key relation).

Create Grid Level - Binding master and detail levels

Click the Next button to proceed to the Setting additional parameters step or to the Query parameterization step of the wizard if RadioButton Query was selected at the Specifying master level step of the wizard.


Query parameterization

If RadioButton Query was selected at the Specifying master level step of the wizard, you should now transform the query to a parameterized form that will be used in the 'Load visible rows' Grid Mode (see the Grid | Data Options section of the Environment Options dialog to get more information about grid modes offered by SQL Manager).

Create Grid Level - Query parameterization

Click the Next button to proceed to the Setting additional parameters step of the wizard.


Setting additional parameters

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Level caption

Set the caption to be used for the new level in the grid.

Level type

Select the type of view you wish to be applied to the grid level: RadioButton Table view or RadioButton Card view.

Create Grid Level - Setting additional parameters

When you are done, click the Finish button to complete the operation.


Working in card view mode

Depending on your preferences, you can represent data in the Table View or in the Card View modes.

To switch to the Card View mode of data representation, right-click the grid, expand the Grid Levels context menu group and select the Card View item within this group.

Data View - Grid View - Working in card view mode

See also:

Using the context menu


Column Summary

If necessary, you can select the Column Summary... context menu item to open the Column Summary dialog which allows you to set the summary for each particular column that will be displayed in the grid footer, group header and group footer areas.

Data View - Grid View - Column Summary

The Column list displays all columns of the dataset. Select a column and specify which information should be displayed in the grid as summary for this column:

RadioButton None

RadioButton Sum (for numeric types only)

RadioButton Minimum (for numeric and date/time types only)

RadioButton Maximum (for numeric and date/time types only)

RadioButton Count

RadioButton Average (for numeric types only)

Use the Number format edit boxes in each group to specify the preferable format for summary info representation.

See also:

Using the context menu


Copying records

When you copy several records to clipboard and paste them into the grid, you are offered to set correspondence between columns of the clipboard and columns of the target SQL Server table using the Associate Columns dialog.

Data View - Grid View - Associate columns

The Clipboard Columns and Grid Columns lists display the source and target dataset columns respectively. Set correspondence between the source clipboard columns and the table columns:

  • select a source clipboard column in the Clipboard Columns list;
  • select the corresponding column the target table in the Grid Columns list;
  • click the Add button to set correspondence between the selected columns;
  • the pair of columns appears in the Links between... list below;
  • repeat the operation for all the columns you need copy.

Use the Add All button to add all columns to the Links between... list on the basis of their order.

To remove a correspondence, select the pair of columns in the Links between... list and press the Remove button.

To remove all correspondences, press the Remove All button.

CheckBox First row is a header

This option specifies that the first row of the associated columns will be taken as the column header.


Form View

The Form View tab allows you to view data as a form. To activate this type of data view, select the Form View tab on the View mode panel at the bottom of the window.

The form displays the current record: column names on the left and the corresponding values on the right. If the columns are available for editing, you can edit the record directly on this form. The navigation pane at the top of the form allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog.

Data View - Form View

Each row has a CheckBox Null checkbox which allows you to clear the column value and set it to NULL (if the column is nullable).

See also:

Using Navigation bar and Toolbars

Grid View

Print Data

BLOB View

Applying changes


Print Data

Using the Print Data tab you can view data in the way they are printed, in WYSIWYG mode.

When in Print Data mode, you are provided with a powerful context menu and toolbar allowing you to design a report, change the view scope, save reports and load previously saved ones, set report options, and specify a number of printing parameters using Report Formatter and the Page Setup dialog.

Data View - Print Data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Using Navigation bar and Toolbars

Grid View

Form View

BLOB View

Applying changes


Page Setup

The Page Setup dialog allows you to specify a number of settings pertaining to the report page.

To open the dialog, use the [image] Page Setup button available on the toolbar.

Use the following tabs of the Page Setup dialog:

  • Page
  • Margins
  • Header/Footer
  • Scaling

When you are done, you can click the Print... button at the bottom to call the Print dialog.

See also:

Report Formatter

Setting report options

Print dialog


Page

The Page tab of the Page Setup dialog allows you to specify the paper, page orientation, print order and shading settings.

Data View - Print Data - Page Setup - Page

Paper

Select one of the standard paper types in the Type list, or specify custom width and height using the Dimension group (in inches or millimeters, depending on the unit of measure specified in the Options dialog).

Use the Paper source drop-down list to select the paper feed type.

Orientation

Select the preferable page orientation (your selection is illustrated in the chart on the left):

RadioButton Portrait

RadioButton Landscape

Print Order

Select the preferable order for printing report pages (your selection is illustrated in the chart on the left):

RadioButton Down, then over

RadioButton Over, then down

Shading

CheckBox Print using gray shading

If this option is selected, gray shading (along with black and white) will be used for printing the report.


Margins

The Margins tab of the Page Setup dialog allows you to specify the size of the margins and running titles.

Data View - Print Data - Page Setup - Margins

Use the spinner controls to specify the size of top / bottom / left / right margins and header / footer (in inches or millimeters, depending on the unit of measure specified in the Options dialog). The Preview area on the right illustrates the changes you have made.

If you have specified an improper value, you can click the Fix button to correct it.

To restore the default size values, click the Restore Original button.

Center on page

This group allows you to specify whether the text should be centered horizontally and/or vertically on the page.


Header/Footer

The Header/Footer tab of the Page Setup dialog allows you to specify properties of the header and footer running titles.

Data View - Print Data - Page Setup - Header and Footer

Header / Footer

Click the Font... button to specify font properties using the standard Font dialog. The font name and size are displayed in the gray area next to the Font... button.

Use the Background drop-down list to select the background color that will be applied to the page header/footer, or to customize the color using the Color and Fill Effects dialogs.

For each of the running titles you are provided with three separate text editing fields. You can use any, all or none of the fields to enter the header and footer text.

The Vertical Alignment group allows you to specify vertical alignment for the header/footer text according to any of the three available patterns.

Predefined Functions

This group allows you to add the following standard functions to the header and footer:

[Machine Name]

[User Name]

[Time Printed]

[Date Printed]

[Date & Time Printed]

[Page # of Pages #]

[Total Pages]

[Page #]

CheckBox Reverse on even pages

If this option is selected, the header and footer text will be reversed on even pages of the printing report.


Scaling

The Scaling tab of the Page Setup dialog allows you to specify the page scaling options.

Data View - Print Data - Page Setup - Scaling

Select the preferable scaling mode:

RadioButton Adjust to ... % normal size

Use the spinner control to set the percentage of the regular page size to which the page size will be adjusted.

RadioButton Fit to ... page(s) wide by ... tall

Use the spinner controls to set the maximum number of pages (by width and by height) on one page to fit its size.


Report Formatter

Report Formatter allows you to specify a number of settings pertaining to the printing form of the report.

To open the tool, click the Design Report [image] button available on the toolbar, or use the Ctrl+D shortcut.

Use the following tabs of the Format Report dialog:

  • View
  • Behaviors
  • Formatting
  • Styles
  • Preview
  • Cards
  • Charts

The Title Properties... button allows you to customize the report title using the Report Title dialog.

See also:

Page Setup

Setting report options

Print dialog


View

The View tab of the Format Report dialog allows you to specify report elements to show in the report.

Data View - Print Data - Report Formatter - View

Tick off the elements to show in the report (caption, bands, headers, footers, group footers, expand buttons, filter bar) and on every page of the report (caption, bands, headers, footers, filter bar).

The Preview area on the right illustrates the changes you have made.


Behaviors

The Behaviors tab of the Format Report dialog allows you to specify the way (behavior) the report elements will appear on the printing form.

Data View - Print Data - Report Formatter - Behaviors

Selection

CheckBox Process selection / CheckBox Process exact selection

Specify whether the text selection should or should not be processed (precisely) for the printing form.

Expanding

Tick off the elements to expand in the report: groups, details, cards.

Size

CheckBox Auto Width

If this option is selected, the table will be resized automatically to fit the page by width.

The Preview area on the right illustrates the changes you have made.


Formatting

The Formatting tab of the Format Report dialog allows you to specify Look and Feel, Refinements and Pagination options.

Data View - Print Data - Report Formatter - Formatting

Look and Feel

This setting determines the manner in which the cells are painted. Use the drop-down list to select the painting style that will be applied to the cells on the printing form:

Flat

Standard

UltraFlat

Refinements

Options of this group allow you to reduce the report size.

CheckBox Transparent graphics

If this option is selected, the images will be drawn transparent in the report.

CheckBox Display graphic as text

If this option is selected, text will be displayed instead of the images.

CheckBox Flat CheckMarks

If this option is selected, the checkboxes will be drawn flat.

Pagination

Specify the way pagination will be performed for the report: By TopLevel groups or One group per page.

The Preview area on the right illustrates the changes you have made.


Styles

The Styles tab of the Format Report dialog allows you to specify styles to be applied to the report elements.

Data View - Print Data - Report Formatter - Styles

CheckBox Use native styles

This option determines whether the native Windows style will be applied to the report elements.

Note: The Native style option is currently supported for the Windows® XP operating system only.

The elements list displays the names of all report elements, with background color and font properties specified by default. You can Use native styles for them or customize them according to your preferences.

To edit an element, select it in the list and use the buttons to the right to edit the style for it.

Click the Font... button to specify font properties using the standard Font dialog.

Click the Color... button to customize the background color using the standard Color dialog.

Click the Texture... button to load an image that will be used as the texture for the element.

To rollback the changes, click the Clear button.

To restore the default stylesheet properties, click the Restore Defaults button.

If you need to save the current style sheet, you can click the Save as... button.

These items are also available through the context menu of the elements list.

Style Sheets

Use the drop-down menu to select the style sheet you need. To manage the style sheets, use the corresponding buttons below: New..., Copy..., Delete..., Rename...

The Preview area on the right illustrates the changes you have made.


Preview

The Preview tab of the Format Report dialog allows you to specify report preview options.

Data View - Print Data - Report Formatter - Preview

CheckBox Visible

This option specifies visibility of the grouping rows.

CheckBox Auto height

If this option is selected, the table will be resized automatically to fit the page by height.

Max line count

Use the spinner control to specify the maximum possible number of lines.

The Preview area on the right illustrates the changes you have made.


Cards

The Cards tab of the Format Report dialog allows you to specify properties for the card view.

Data View - Print Data - Report Formatter - Cards

Sizes

CheckBox Auto Width

If this option is selected, the cards will be resized automatically to fit the page by width.

CheckBox Keep same width

Select this option to keep the card width fixed.

CheckBox Keep same height

Select this option to keep the card height fixed.

Spacing

This group allows you to specify horizontal and vertical spacing between cards.

Framing

CheckBox Border

This option specifies visibility of the card borders.

CheckBox Horizontal lines

This option specifies visibility of the horizontal lines (row delimiters) within cards.

CheckBox Vertical lines

This option specifies visibility of the vertical lines (column delimiters) within cards.

Shadow

Use the Color drop-down list to select the color that will be applied to the card shadows. If necessary, specify the color depth using the corresponding spinner control.

The Preview area on the right illustrates the changes you have made.


Charts

The Charts tab of the Format Report dialog allows you to specify options for the charts used in the report.

Data View - Print Data - Report Formatter - Charts

CheckBox Transparent

If this option is selected, the charts will be drawn transparent in the report.

The Preview area on the right illustrates the changes you have made.


Setting report options

Options dialog

The Options dialog allows you to specify a number of settings pertaining to the printing report.

To open the dialog, open the Design Report [image] menu available on the toolbar and select the Preferences item.

Data View - Print Data - Report options

Show

Tick off the elements to show in the printing report (margins, margins hints, margins hints while dragging).

Use the Measurement Units drop-down list to select the unit of measure that will be used in report settings: default, inches, or millimeters.

Zoom Parameters

CheckBox Zoom on roll with IntelliMouse

If this option is selected, you can zoom in/out by scrolling up/down (with a Microsoft® mouse or a compatible mouse used).

Zoom Step

Use the spinner control to specify the percentage of the original page size to be considered as one zoom step.

Use the Margins Color drop-down list to select the color that will be applied to the report margins.

Report Title dialog

The Report Title dialog allows you to specify the report title text and properties.

To open the dialog, use the Title... button available on the toolbar.

Data View - Print Data - Report options - Title

Mode

Use the drop-down list to select where the report title should be displayed on the first page, on every top page, or not displayed at all.

Text

Use the edit box to enter the text of the report title.

Properties

CheckBox Transparent

If this option is selected, the report title will be drawn transparent.

Use the Color drop-down list to select the color that will be applied to the report title (enabled if the CheckBox Transparent option is not selected).

Click the Font... button to specify title font properties using the standard Font dialog. The font name and size are displayed in the gray area next to the Font... button.

CheckBox Adjust on scale

If this option is selected, the title can be adjusted on scale.

Alignment

Use the Horizontally drop-down list to select the type of horizontal alignment to be applied to the report title: Left, Center, or Right.

Use the Vertically drop-down list to select the type of vertical alignment to be applied to the report title: Top, Center, or Bottom.

To restore the default title properties, click the Restore Defaults button.

Date and Time dialog

The Date and Time dialog allows you to specify the date/time formats to be used in the report.

To open the dialog, open the Title... menu available on the toolbar and select the Date and Time... item.

Data View - Print Data - Report options - Date and Time

Select the preferable values from the Available Date Formats and the Available Time Formats lists. If necessary, you can specify that the date/time will be updated automatically.

To apply the default date/time format, click the Default... button.

Page Number Format dialog

The Page Number Format dialog allows you to specify the formats for page numbers to be used in the report.

To open the dialog, open the Title... menu available on the toolbar and select the Page Numbering... item.

Data View - Print Data - Report options - Page Number Format

Select the preferable number format from the Number Format drop-down list.

Use the Page Numbering section to specify whether page numbering should continue from the previous section (if any) or start at the specified number.

To set the default numbering values, click the Default... button.

Zoom dialog

The Zoom dialog allows you to zoom the report page more better representation.

To open the dialog, open the Zoom [image] menu available on the toolbar and select the Setup zoom... item.

Data View - Print Data - Report options - Zoom

Select the preferable percentage of zoom value (500%, 200%, 150%, 100%, 75%, 50%, 25%, 10%) or specify one of frequently used values:

RadioButton Page Width

RadioButton Whole Page

RadioButton Two Pages

RadioButton Four Pages

RadioButton Many Pages (click the chart below and select the item you need)

If necessary, you can set a custom percent value using the Percent spinner control below.

The Preview area on the right illustrates the changes you have made.

See also:

Page Setup

Report Formatter

Print dialog


Print dialog

The standard Print dialog allows you to specify printing settings for the report in groups: printer, page range, copies.

To open the dialog, click the Print dialog btnPrintSetup button available on the toolbar, or use the Ctrl+P shortcut.

Data View - Print Data - Print dialog

When you are done, click the Print button to start printing.

If you need to change any page settings before printing, you can click the Page Setup... button at the bottom to call the Page Setup dialog.

See also:

Page Setup

Report Formatter

Setting report options


BLOB View

SQL Manager for SQL Server provides BLOB Viewer/Editor to view and edit BLOB (Binary Large Object) fields content. The BLOB Viewer/Editor can be invoked from the data grid within Table Editor, Query Data, Design Query, etc.

  • Navigation within the BLOB Viewer/Editor
  • Viewing/Editing BLOB field as Hexadecimal dump
  • Viewing/Editing BLOB field as plain Text
  • Viewing/Editing BLOB field as Rich Text (RTF)
  • Viewing/Editing BLOB field as Image
  • Viewing/Editing BLOB field as HTML
  • Viewing/Editing BLOB field as XML
  • Viewing/Editing BLOB field as PDF

Data View - BLOB View

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Using Navigation bar and Toolbars

Grid View

Form View

Print Data

Applying changes


Navigation within BLOB Editor

The BLOB Viewer/Editor provides an ability to navigate within the records using DB Navigation buttons on the navigation pane at the top of the viewer window.

Using items of the navigation pane and the drop-down menu you can browse the data quickly, insert, update and delete records, set a filter for the records using the Filter Builder dialog, load new BLOB content and save the current content to files.

The toolbar allows you to switch the fields and perform a number of editing operations. The set of toolbar items depends on the current selection and view mode.

Data View - BLOB View - Navigation within BLOB Editor

See also:

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML

Editing as PDF


Editing as Hexadecimal

The Hexadecimal tab allows you to view/edit the BLOB data as hexadecimal.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the hexadecimal data to a file, or load data from a file.

Use the Ins key to switch between the Insert and Overwrite modes.

Data View - BLOB View - Hexadecimal

See also:

Navigation within BLOB Editor

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML


Editing as Text

The Text tab allows you to view/edit the BLOB data as plain text.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the text to a *.txt file, or load text from a file. Additionally, you can use the Cut, Copy, Paste, Select All, Undo, Word Wrap context menu items for editing the text efficiently, and the Print context menu item to print the content of the Text tab.

Data View - BLOB View - Text

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML


Editing as Rich Text

The Rich Text tab allows you to view/edit the BLOB data in Rich Text format (RTF).

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the Rich Text to a *.rtf file, or load text from a file. Additionally, you can use the Cut, Copy, Paste, Select All, Undo context menu items for editing the text efficiently, and the Print context menu item to print the content of the Rich Text tab.

Data View - BLOB View - Rich Text

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Image

Editing as HTML

Editing as XML


Editing as Image

The Image tab allows you to view the BLOB data as image.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the image to a *.png, *.wmf, *.ico, *.png or *.png file, or load an image from a file.

Data View - BLOB View - Image

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as HTML

Editing as XML


Editing as HTML

The HTML tab allows you to view the BLOB data as HTML (Hyper-Text Markup Language format) - in the way this data would be displayed by your Internet browser.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the content as a *.html, or *.htm file, or load content from a file.

Data View - BLOB View - HTML

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as XML


Editing as XML

The XML tab allows you to view/edit the XML (eXtensible Markup Language) data.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the content as *.xml or load XML content from a file.

Data View - BLOB View - XML

The XML content is represented as a tree-like structure consisting four editable fields: Name, Unique, Attributes and Value. You can edit data and modify the structure using drag-n-drop operations and items of the context menu.

Hint: Hold the Shift key when you drag-and-drop a node to insert it as a child one.

The context menu allows you to:

  • add a node (a child node relatively to the selected one);
  • remove the selected node;
  • copy the selected node source to clipboard;
  • cut the selected node;
  • copy the selected node;
  • paste a node from clipboard.

Press the Item attributes [image] button in the editing mode of an Attribute item to add or edit attributes.

Data View - BLOB View - XML - Item attributes

Use the btnAddItem btnRemoveItem buttons to add or remove an attribute. Click the required attribute name or value to edit.

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML


Editing as PDF

The PDF tab allows you to view the BLOB data as PDF using Adobe Acrobat Reader. You need to have Adobe Acrobat Reader installed to view PDF data.

The toolbar provides additional functionality for PDF Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save or load the document from the file.

Data View - BLOB View - PDF

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML


Applying changes

After changes are done, click the Post Edit btnPostEdit button on the navigation pane to apply the changes or the Cancel Edit btnCancelEdit button to discard the changes.

Data View - Applying changes

See also:

Using Navigation bar and Toolbars

Grid View

Form View

Print Data

BLOB View


Custom Filter

The Custom Filter dialog is one of the filtering facilities implemented in Data View for your convenience.

To open the dialog, click the Arrow-Down button next to the column caption, and select the Custom item from the drop-down list.

Select a logical operator for checking the column values (like, is less than, is greater than, etc.) and set a value to be checked by this operator in the corresponding box on the right.

Data management - Custom Filter

If necessary, you can set the second condition and specify the relation between the two conditions: whether both of them should be satisfied (AND) or just any of them (OR). Use the '_' character to represent any single symbol, and use the '%' character to represent any series of symbols in the condition string.

See also:

Data View

Filter Builder dialog


Filter Builder dialog

The Filter Builder dialog is a powerful filtering tool implemented in Data View for your convenience.

The dialog is aimed at facilitating the procedure of creating and applying complex filter criteria for data. In addition, the tool allows you to save filter criteria to an external *.flt file for future use.

To open the Filter Builder dialog, use the btnSetFilter Set filter button on the navigation pane available within the Data tab of Table Editor and the Result(s) tabs of Query Data and Design Query.

  • Invoking the Filter Builder dialog
  • Adding a new condition to the filter
  • Setting filter criteria
  • Setting filter operator
  • Setting filter criteria values
  • Adding a new group
  • Setting group operator
  • Applying filter conditions

See also:

Data View

Custom Filter


Invoking the Filter Builder dialog

The Filter Builder dialog can be invoked in either of the following ways:

  • if a simple filter or the Custom Filter is being used, click the Customize... button on the gray filtering panel;

Filter Builder dialog - Invoking the Filter Builder dialog

  • use the Set filter btnSetFilter button on the navigation pane and create a composite filter using the dialog.

Data View - Navigation pane

The succeeding pages of this chapter are intended to illustrate usage of the Filter Builder dialog. Please see the instructions below to learn how to perform various operations in the easiest way.

See also:

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Adding a new condition

Suppose we need to select data from the sample table Employee to view the list of male engineers belonging to the Engineering and Tool Design departments that were hired after 10/1/2007. These criteria are applied to the Gender, HireDate, Position and the DepID columns.

Click press the button to add a new condition - this will add a new condition to the criteria. Alternatively, you can click the Filter button and select the Add Condition popup menu item.

Filter Builder dialog - Adding a new condition

See also:

Invoking the Filter Builder dialog

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria

As we need to apply the filter criteria to the HireDate column, we click the column box (next to the ellipsis EllipsisButton button) to open the drop-down list displaying the available column names and select the HireDate item.

Filter Builder dialog - Setting filter criteria

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter operator

Since we need the list of employees hired after 10/1/2007, we need to select the IS GREATER THAN operator from the corresponding drop-down list.

Filter Builder dialog - Setting filter operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria values

Next, we need to specify value '10/1/2007' for the IS GREATER THAN operator.

Similarly, if, for example, we need to get the list of employees hired during the 9/1/2007 - 10/1/2007 term, we set the BETWEEN filter operator (this will add two empty value boxes to specify the inclusive range for the BETWEEN condition) and specify the range for the operator, i.e. the '9/1/2007' and the '10/1/2007' values in the corresponding value boxes.

It is possible to set the date value manually by typing it in, or using the date editor which is activated when you click the value box.

Filter Builder dialog - Setting filter criteria values

Editors used in value boxes are determined by the data type assigned to the corresponding columns.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Adding a new group

Setting group operator

Applying filter conditions


Adding a new group

Since we also need to get the list of male specialists-engineers (i.e. those registered in the Engineering and Tool Design departments and having an engineering-oriented position), we can add a complex filter condition combining simple conditions with the AND operator. (However, in this particular case we can just add them at the same root level as for the existing condition).

If you need to add a group of conditions, click the ellipsis EllipsisButton button for the HIRE_DATE condition and select the Add Group popup menu item.

Filter Builder dialog - Adding a new group

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Setting group operator

Applying filter conditions


Setting group operator

Conditions of complex criteria can be combined with any of the four logical operators used: AND, OR, NOT AND, NOT OR.

In our case it is enough to click the group operator box and select the AND item from the drop-down menu.

Filter Builder dialog - Setting group operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Applying filter conditions


Applying filter conditions

Suppose we have created a condition within the new group. If we need, we can add more conditions at the same level and specify the required values using the value boxes. When the operation is completed, the Filter Builder dialog will look like in the screenshot below.

Click the Apply button to see the result of the filtering you have made, and click OK or Cancel to close the dialog with or without saving your filter conditions respectively.

Filter Builder dialog - Applying filter conditions

The Filter Builder dialog allows you to save filter criteria to and load them from external files. Clicking the Save As… or the Open… buttons activates the corresponding dialogs. Filter settings are stored in *.flt files.

Please be informed that a column in the file is referenced by its position within a view, hence filter settings cannot be correctly restored if columns have been deleted from the view after saving the filter to a file.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator


Data Truncating

In the Data tab of the Table Editor you can truncate data for the table or for the selected partitions.

To truncate table data select iconTruncateTable Truncate Table on the Tools navigation bar or Toolbar and confirm your action in the opened dialog.

Use iconTruncateTablePartition Truncate Table Partitions item from the Tools navigation bar or Toolbar to open the dialog for selecting partitions to be truncated.

Data Management - Truncate Partitions

Select the partitions to truncate and click OK button.

See also:

Partition Functions

Partition Schemes


Import/Export Tools

Using SQL Manager for SQL Server you are provided with powerful tools to import and export data to/from your SQL Server database.

Export Data Wizard

Exports data to various supported formats including MS Excel, MS Access, RTF, HTML, PDF, CSV, XML, MS Excel 2007 and more.

Import Data Wizard

Imports data from any of supported formats: MS Excel, MS Access, DBF, TXT, CSV, XML, MS Excel 2007, MS Word 2007 and more.

Export Data as SQL Script

Exports data to an SQL script as a number of INSERT statements.

Bulk Insert Wizard

Imports data with the BULK INSERT statement used.

Using templates

Facilitates using import/export wizards.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Database Tools

Server Tools

Personalization

External Tools

How To...


Export Data Wizard

Export Data Wizard allows you to export data from a table / view or from a query result to any of supported formats (MS Excel, MS Access, MS Word, RTF, HTML, PDF, TXT, CSV, XML, DBF, MS Excel 2007, MS Word 2007, etc.). You can save your settings as a template any time for future use.

To start the wizard, right-click the object in DB Explorer, select the Data Manipulation context menu group and proceed to the [image] Export Data... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of Query Data / Design Query, right-click the grid there, then select the Data Manipulation context menu group and proceed to the [image] Export Data of <object_name>... item within this group, or use the [image] Export Data item of the Navigation bar.

  • Setting name and format for the destination file
  • Selecting columns for export
  • Adjusting formats applied to exported data
  • Setting header and footer text for the destination file
  • Setting format-specific options
  • Setting common export options
  • Exporting data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Import Data Wizard

Export as SQL Script

Bulk Insert Wizard

Using templates


Setting destination file name and format

This step of the wizard allows you to select the destination file format you need to export data into.

Destination file name

Type in or use the btnSaveAs button to specify the path to the file using the Save as... dialog. The file name extension changes automatically according to the selected Destination format.

Note: If the target file already exists, the application will show a warning dialog where you can choose the action you need.

Export Data - Setting destination file name and format

Destination format

Specify the format of the destination file. For details refer to Supported file formats.

Click the Next button to proceed to the Selecting columns for export step of the wizard.


Selecting columns for export

This step of the wizard allows you to select the table column(s) to be exported.

To select a column, you need to move it from the Available columns list to the Selected columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Export Data - Selecting fields for export

If you leave all the columns in the Available columns list, all columns of the table (except BLOBs) will be exported.

CheckBox Allow captions

Check this option if you need to export the column captions as well.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Adjusting data formats

This step allows you to customize formats applied to exported data.

Data formats

Edit the format masks to adjust the result format in the way you need: Integer, Float, Date, Time, DateTime, Currency, Boolean True, Boolean False, NULL string, Decimal separator, Thousand separator, Date separator, Time separator.

Export Data - Adjusting data formats

Hint: The formats used by default are specified in the Data Export section of the Environment Options dialog.

For more details refer to Format specifiers.

Click the Next button to proceed to the Setting header and footer step of the wizard.


Setting header and footer

Set Header text and Footer text for the result file. This text will appear at the beginning and at the end of the result file respectively.

Export Data - Setting header and footer

Click the Next button to proceed to Setting format-specific options.


Setting format-specific options

This step of the wizard allows you to customize Format-specific options:

  • Excel 97-2003 options
  • Access options
  • Word 97-2003 / RTF options
  • HTML options
  • PDF options
  • TXT options
  • CSV options
  • XML options
  • MS Excel / ODS options
  • MS Word / ODT options

To get more information about the file formats, see the Supported file formats page.


Excel 97-2003 options

This step allows you to set options for the target MS Excel (*.xls) file.

You can customize Data format, Extensions and set Advanced options available within the corresponding tabs:

  • Data format
  • Extensions
  • Advanced

Export Data - Format-specific options - Excel

When you are done, click the Next button to proceed to Setting common export options.


Data format

The Data Format tab contains general options which allow you to adjust the format for each kind of Excel cells. This means that you can specify such parameters as font, borders, filling color and method, etc. for each entity (such as data column, header, footer, caption, data, hyperlink and so on) separately. Also it is possible to create styles to make the target Excel file striped by columns or rows.

  • Columns
  • Options
  • Styles

For your convenience the previews illustrating the changes are displayed in the Sample Group area on each page of Data Format tab.


Columns

Using the Columns tab you can set font options, border and fill options and aggregate functions for all the Columns you want to export.

The Font tab allows you to specify properties of the font that will be used in the output Excel file cells.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Export Data - Format-specific options - Excel - Data Format - Fields

The Borders tab allows you to specify properties of the borders of the output Excel file cells.

Press the [image] [image] [image] [image] buttons on the left to show/hide the borders they indicate.

Use the drop-down list for each border to select the line type and the [image] button on the right to select the line color for each border.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

The Fill tab allows you to specify the fill pattern for the output Excel file cells.

Use the drop-down list to select the preferable fill pattern type.

Press the [image] button on the left to set the background color for the fill pattern.

Press the [image] button on the right to set the foreground color for the fill pattern.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

The Aggregate tab allows you to specify an aggregate function for the column in the output Excel file.

Select a function that will be applied to the field:

RadioButton None

RadioButton AVG

RadioButton MAX

RadioButton SUM

RadioButton MIN

Export Data - Format-specific options - Excel - Data Format - Fields - Aggregate

You can reset the changes any time using the Reset Item and the Reset All buttons.


Options

Using the Options tab you can set font options, border and fill options for all elements of the Excel sheet (header, caption, footer, aggregates and hyperlinks).

Export Data - Format-specific options - Excel - Data Format - Options

The font, borders and fill options are specified in the same way as for output Columns. For details refer to the Columns page.

You can reset the changes any time using the Reset Item and the Reset All buttons.


Styles

Using the Styles tab you can make a style template: set font options, border and fill options and save them.

To add a style template, click the iconPlus Plus button.

To delete a style template, select it and click the iconMinus Minus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Excel - Data Format - Styles

The font, borders and fill options are specified in the same way as for output Columns. For details refer to the Columns page.

You can reset the changes any time using the Reset Item and the Reset All buttons.


Extensions

The Extensions tab provides an ability to add hyperlinks and notes and to any cell of the target file, to specify a value of a cell, to create a chart and to merge cells.

Click the iconPlus Plus button to add an element;

click the iconMinus Minus button to delete an element.

  • Hyperlinks
  • Notes
  • Charts
  • Cells
  • Merged Cells


Hyperlinks

If you need to create a hyperlink:

  • set the cell coordinates (Col and Row);
  • specify whether this is a local link or URL;
  • enter the title of the hyperlink;
  • specify the target file location or address.

Export Data - Format-specific options - Excel - Extensions - Hyperlinks

Use the Col and Row spinner controls to specify the column and row for the hyperlink in the output file.

The Style group allows you to select the preferable hyperlink style:

RadioButton URL

RadioButton Local file (i.e. the file is located on your local machine or on a machine in the LAN)

Use the Title box to specify the hyperlink name.

The Target box lets you enter the path to the target file or URL. Use the [image] button to check whether the specified location is available.


Notes

If you need to create a note:

  • set the cell coordinates (Col and Row);
  • enter text of a note for the cell;
  • set the font and fill properties using the corresponding tabs.

The Base tab allows you to specify basic properties of the note to be added to the output Excel file.

Use the Col and Row spinner controls to specify the column and row for the note in the file.

Use the edit-box below to enter the text of the note.

Export Data - Format-specific options - Excel - Extensions - Notes - Base

The Font tab allows you to specify properties of the font that will be used for the note.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

The Orientation group allows you to select the note text orientation:

RadioButton No rotation

RadioButton Top to bottom

RadioButton Counterclockwise

RadioButton Clockwise

Export Data - Format-specific options - Excel - Extensions - Notes - Font

The Fill tab allows you to specify the fill type and transparency for the note.

The Fill Type group allows you to select whether the fill color will be solid or gradient:

RadioButton Horizontal

RadioButton Vertical

RadioButton Diagonal up

RadioButton Diagonal down

RadioButton From corner

RadioButton From center

Press the [image] button to set the background color for the fill pattern.

Press the [image] button to set the foreground color for the fill pattern.

The Transparency control allows you to set the transparency degree for the note. Move the slider between the 0% and 100% threshold values to select the required transparency value within this scope.

Export Data - Format-specific options - Excel - Extensions - Notes - Fill


Charts

If you need to create a chart:

  • enter the chart title;
  • select the chart style;
  • set the legend position;
  • specify if you want to show the legend;
  • specify if you want to set the chart color automatically;
  • define the chart position and category labels using the corresponding tabs.

The Base tab allows you to specify basic properties of the chart to be added to the output Excel file.

Use the Title box to specify the chart name.

Use the Style drop-down list to select the preferable chart style (Column, Column 3D, Bar, Bar 3D, Line, Line Mark, Line 3D, etc.).

The Legend position group allows you to specify position of the chart legend:

RadioButton Bottom

RadioButton Top

RadioButton Left

RadioButton Corner

RadioButton Right

CheckBox Show legend

This options specifies whether the chart legend will be visible or not.

CheckBox Auto color

If this option is selected, each series will be automatically differentiated with different colors on the chart, otherwise one color will be applied for all series.

Export Data - Format-specific options - Excel - Extensions - Charts - Base

The Position tab allows you to specify properties pertaining to the chart position on the output file sheet.

RadioButton Auto

Specifies automatic position of the chart.

The Placement group allows you to specify the chart position relative to the data:

RadioButton Bottom

RadioButton Right

Use the Left and Top spinner controls to specify the spacing between the chart and data at the left and at the top respectively.

Use the Height and Width spinner controls to specify the chart height and width respectively.

RadioButton Custom

Specifies absolute position of the chart (irrelative to the data). Use the spinner controls to set the coordinates you need.

Export Data - Format-specific options - Excel - Extensions - Charts - Position

The Category Labels tab allows you to specify in which rows and columns the chart will be built.

RadioButton Column

Use the drop-down list to select the column that will be used to take values for x-axis.

RadioButton Custom

Specify the range of cells from which x-axis values will be taken. Use the spinner controls to set the range you need.

Export Data - Format-specific options - Excel - Extensions - Charts - Category Labels

To build a chart, you also need to create series that will be used to take values for y-axis. To add series for the chart:

  • add one or more series using the iconPlus button;
  • enter the titles;
  • set data ranges (select a column from the drop-down list or set the custom range);
  • define colors for all the graphs.

Use the Title box to specify the series name.

Data range

RadioButton Column

Use the drop-down list to select the column that will be used to take values for the series.

RadioButton Custom

Specify the range of cells from which the series will be formed. Use the spinner controls to set the range you need.

Press the [image] button to set the color for the series.

Export Data - Format-specific options - Excel - Extensions - Series


Cells

If you need to add a value in a specific cell:

  • set the cell coordinates (Col and Row);
  • select the cell type;
  • enter a value;
  • if you are adding a numeric or a date/time value, you can set the cell format;
  • set the font, borders and fill properties using the corresponding tabs.

Export Data - Format-specific options - Excel - Extensions - Cells

The Base tab allows you to specify basic properties of the cell.

Use the Col and Row spinner controls to specify the column and row denoting the cell.

Use the Cell type drop-down list to select the data type for the cell (Boolean, DateTime, Numeric or String).

Set the required value in the Value edit box.

The Formats group allows you to specify data format for numeric or a date/time types.

The font, borders and fill options are specified in the same way as for output Columns. For details refer to the Columns page.


Merged Cells

If you want to merge two or more cells, set the range of cell coordinates: First col, Last col, First row, Last row. Use the spinner controls to set the range you need.

Export Data - Format-specific options - Excel - Extensions - Merged Cells


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result MS Excel file.

Page header

If necessary, enter some text for the page header.

Page footer

If necessary, enter some text for the page footer.

Hint: It is also possible to set macros in the Page header and Page footer fields:

&N stands for the quantity of pages;

&P - the number of the current page.

Sheet title

Specify the sheet title for the target file.

Page background

If necessary, use the Ellipsis EllipsisButton button to browse for a graphical file to be applied as the page background.

Export Data - Format-specific options - Excel - Advanced

CheckBox Calculate column width automatically

This option allows the wizard to determine column width in the target file automatically according to column size.


Access options

This step allows you to set options for the target MS Access/Access 97-2003 (*.accdb, *.mdb) file.

Set the name for the target table and specify whether the wizard should create a new table in the MS Access/Access 97-2003 database if it does not exist yet, or use the existing table to export data into.

Export Data - Format-specific options - Access

When you are done, click the Next button to proceed to Setting common export options.


Word 97-2003 / RTF options

This step allows you to set options for the target MS Word (*.doc) and Rich Text Format (*.rtf) files.

  • Base Styles
  • Strip Styles

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Format-specific options - Word

When you are done, click the Next button to proceed to Setting common export options.


Base Styles

The Base Styles tab contains the list of target file entities: HEADER, CAPTION, DATA, FOOTER. You can customize style options, such as font and size, background and foreground colors, text alignment, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel. You can also switch page orientation for the target Word/RTF file using this tab.

Export Data - Format-specific options - Word - Base Styles

Use the Font and Size drop-down lists to select the font and size to be applied to the text.

Use the buttons below to set font color, make text bold, italicized, underlined, strikethrough text, specify horizontal align.

CheckBox Highlight

Enables/disables text highlight.

CheckBox Background

Enables/disables background for text.

Press the [image] button to set the background color for the text.

Press the [image] button to set the highlight color for the text.

You can reset the changes any time using the Reset Item and the Reset All buttons.


Strip Styles

Using the Strip Styles tab you can create a style template: set font, size, background and foreground colors, text alignment, highlight and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Word - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.


HTML options

This step allows you to set options for the target HTML (*.html) file.

  • Preview
  • Basic
  • Multi-file
  • Advanced

Export Data - Format-specific options - HTML

When you are done, click the Next button to proceed to Setting common export options.


Preview

The Preview tab allows you to customize the style that will be applied to the target HTML file using a number of built-in templates provided in the Templates drop-down list.

Export Data - Format-specific options - HTML - Preview

You can select any of the pre-defined templates and customize it by clicking objects in the preview panel, and save the settings as a custom template using the Save template... button. Use the Load template... button to load a previously saved custom template from your hard disk.

Click on an element of the table to select the color that will be applied for this element (background, font, header row, odd row, even row, non-visited link, visited link, active link).


Basic

The Basic tab allows you to specify the basic parameters of target HTML file:

  • specify the title of the result file;
  • select whether the cascade style sheet (CSS) should be internal or external (the Ellipsis EllipsisButton button to browse for a *.css file);
  • determine whether boolean fields of the table should be exported as HTML check boxes.

Export Data - Format-specific options - HTML - Basic


Multi-file

The Multi-file tab provides you with an ability to split the target HTML file into several separate files. This tab allows you to specify the record count for a single file, set an option to generate an index HTML file, and add an ability to navigate between the exported files.

Export Data - Format-specific options - HTML - Multi-file

Multi-file export

CheckBox Use multi-file export

Enables/disables the multi-file export feature.

Record(s) in a single file

Use the spinner control to specify the number of records to be exported into each of the files.

CheckBox Generate index

Specifies that an index file containing links to all the data files will be generated. Use the edit-box next to the checkbox to set a name for the index file.

Navigation

This group allows you to specify properties for navigation elements, i.e. the elements that provide quick access to pages of the multi-file document. Navigation is implemented as a set of hyperlinks.

CheckBox On top

Specifies that the hyperlinks will be placed at the top of the page.

CheckBox On bottom

Specifies that the hyperlinks will be placed at the bottom of the page.

Use the Index link, First link, Prior link, Next link and Last link boxes to specify captions for the corresponding navigation elements.


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result HTML file.

Export Data - Format-specific options - HTML - Advanced

Body options

Default font

Use the drop-down list to select the font that will be used in the result file by default.

Background

If necessary, use the EllipsisButton Ellipsis button to browse for a graphical file to be applied as the page background.

Table options

Use the spinner controls to specify common table options: cell padding, cell spacing, border.

Background

If necessary, use the EllipsisButton Ellipsis button to browse for a graphical file to be applied as the table background.

It is also possible to define advanced attributes for both the HTML body and table.


PDF options

This step allows you to set options for the target PDF (*.pdf) file.

Fonts

This group of options allows you to customize fonts for the header, caption, data, footer of the result file.

Use the Base font name and Font encoding drop-down lists to select the preferable font (Helvetica, Courier, Times Roman, etc.) and encoding (Standard, WinANSI, MacRoman, PDFDoc) respectively, and the Font size spinner control to specify the font size.

Click the Font color... button to select the color to be applied to the font.

For your convenience the preview illustrating the changes is displayed in the Sample area.

Export Data - Format-specific options - PDF

Page options

Use the Page size drop-down list to select one of the standard page formats (Letter, Legal, A3, A4, etc.).

Use the Width and Height spinner controls to specify the page width and height respectively.

Use the Units drop-down list to select the unit of measure that will be used in report settings: inches, millimeters, or dots.

Use the Orientation drop-down list to select the preferable page orientation: portrait or landscape.

Margins

Use the Left, Right, Top, Bottom spinner controls to specify the corresponding page margins for the output PDF file.

Grid options

Use the Col spacing, Row spacing, Line width spinner controls to specify spacing for grid columns, rows, and grid line width respectively.

When you are done, click the Next button to proceed to Setting common export options.


TXT options

This step allows you to set options for the target text (*.txt) file.

Set the Calculate column width option on if you want each column of the target file to be adjusted to the maximum number of characters in it. The Spacing option specifies the number of spaces between columns in the target file.

Export Data - Format-specific options - TXT

When you are done, click the Next button to proceed to Setting common export options.


CSV options

This step allows you to set options for the target CSV (*.csv) file.

CheckBox Quote strings

Check this option to apply quoting for string values in the target file.

CheckBox Quote captions

Check this option to apply quoting for captions in the target file.

Specify the column separator using the Delimiter drop-down list and the preferable quote character using the Quote drop-down list.

Export Data - Format-specific options - CSV

When you are done, click the Next button to proceed to Setting common export options.


XML options

This step allows you to set options for the target XML (*.xml) file.

Specify XML document encoding in the Encoding edit box and set the Standalone option on if you intend to create a standalone XML document (standalone="yes").

XML type

Select the type of the result XML document: Datapacket 2.0 or Access.

Conversion between generic XML documents and documents of the XML-Datapacket (CDS) format can be performed with the help of XML Mapper by Borland®.

Export Data - Format-specific options - XML

When you are done, click the Next button to proceed to Setting common export options.


MS Excel / ODS options

This step allows you to set options for the target MS Excel 2007 (*.xlsx) or ODF Spreadsheets (*.ods) file.

Using the Base Styles tab you can set font and border options for all elements of the Excel 2007 / ODS sheet (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

If necessary, you can also specify the sheet name for the target Excel 2007 / ODS file.

Use the Font and Size drop-down lists to select the font and size to be applied to the text.

Use the buttons below to set font color, make text bold, italicized, underlined, specify horizontal and vertical align.

CheckBox Background

Enables/disables background for text.

Press the [image] button to set the background color for the text.

Press the Wrap Text button to enable/disable the text wrapping feature.

CheckBox Use border

Enables/disables borders in the output file.

Press the [image] button to set the color to be applied to the borders.

Use the Border Style drop-down list to select the preferable style that will be used for borders (thin, dashed, dashdot, dotted, etc.).

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Format-specific options - Excel 2007 - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, wrap text options and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Excel 2007 - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.

When you are done, click the Next button to proceed to Setting common export options.


MS Word / ODT options

This step allows you to set options for the target MS Word 2007 (*.docx) or ODF text (*.odt) file.

Using the Base Styles tab you can set font options for all elements of the Word 2007 / ODT document (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, text highlight, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

Use the Font and Size drop-down lists to select the font and size to be applied to the text.

Use the buttons below to set font color, make text bold, italicized, underlined, strikethrough text, specify horizontal align.

CheckBox Background

Enables/disables background for text.

Press the [image] button to set the background color for the text.

CheckBox Highlight

Enables/disables text highlight.

If this option is enabled, you should select the preferable highlight color from the drop-down list.

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Format-specific options - Word 2007 - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, highlight options and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Word 2007 - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.

Using the Border tab you can enable borders in the result Word 2007 / ODT document and customize them.

CheckBox Use border

Enables/disables borders in the output file.

Press the [image] button to set the color to be applied to the borders.

Use the Border Style drop-down list to select the preferable style that will be used for borders (single, thick, double, hairline, etc.).

Export Data - Format-specific options - Word 2007 - Border

When you are done, click the Next button to proceed to Setting common export options.


Setting common export options

Use this step of the wizard to set common export options. The detailed description of these options is given below.

Export Data - Setting common export options

CheckBox Export empty tables

If checked, you can export the table even if it does not contain any data.

Skip ... record(s)

Specifies the number of records to be skipped before export starts.

RadioButton Export all records

Specifies that all records of the table will be exported.

RadioButton Export only ... record(s)

Specifies the number of records to be exported.

CheckBox Open files after export

If this option is checked, the result file will be opened with the currently associated program after the export operation is completed.

CheckBox Print files after export

If this option is checked, the result file will be sent to the default printer after the export operation is completed.

When you are done, click the Next button to proceed to the last step of the wizard.


Exporting data

This step of the wizard is intended to inform you that all export options have been set, and you can start the export process.

The log area allows you to view the log of operations and errors (if any).

Export Data - Exporting data

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

If necessary, you can save a template for future use.

Click the Finish button to run the export process.

After the operation is completed, you can view the number of exported records, elapsed time, estimated export speed, and the log of operations and errors (if any).


Import Data Wizard

Import Data Wizard allows you to import data to a table / view from any of supported formats (MS Excel, MS Access, DBF, XML, TXT, CSV, HTML, MS Excel 2007, MS Word 2007, ODF). You can save your settings as a template any time for future use.

To start the wizard, right-click the table/view in DB Explorer, select the Data Manipulation context menu group and proceed to the [image] Import Data... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor, right-click the grid there, then select the Data Manipulation context menu group and proceed to the [image] Import Data to <object_name>... item within this group, or use the [image] Import Data item of the Navigation bar.

  • Setting source file name and format
  • Selecting the source to import data from
  • Setting correspondence between the source and target columns
  • Adjusting common data formats
  • Setting advanced column formats
  • Setting import mode and data write type
  • Customizing common import options
  • Importing data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Export as SQL Script

Bulk Insert Wizard

Using templates


Selecting source file name and format

This step of the wizard allows you to select the source file format you need to import data from.

Source file name

Type in or use the ExplorerButton button to specify the path to the file using the Open file... dialog. The file name extension changes automatically according to the selected Import Type.

Import Data - Selecting source file name and format

Import Type

Specify the format of the source file. For details refer to Supported file formats.

CSV format parameters

For CSV import you should define Delimiter and Quote settings using the corresponding drop-down lists.

Click the Next button to proceed to the Setting columns correspondence step or to the Selecting data source step of the wizard if you have selected MS Access as the source file format.


Selecting data source

This step of the wizard is only available when you are importing data from MS Access. Select a table from the table list or input a query in the corresponding text boxes to specify the data source.

If you choose a query as the data source, you also can load a SQL query from a *.sql file or save the current query text to a file using the Load from File... and the Save to File... buttons correspondingly.

Import Data - Selecting data source

Click the Next button to proceed to the Setting columns correspondence step of the wizard.


Setting columns correspondence

This step of the wizard allows you to set correspondence between columns of the source file and columns of the target SQL Server table.

  • MS Excel 97-2003
  • MS Access / DBF / XML Datapacket
  • TXT
  • CSV
  • HTML
  • XML Generic
  • MS Excel / Word, ODF

To get more information about the file formats, see the Supported file formats page.


Excel 97-2003

Specify ranges in the grid for the target and source columns:

  • select a column of the target SQL Server table in the Columns list;
  • proceed to the Sheet grid: click a column caption to select the whole column or click the row number to select the whole row;
  • the selected column/row of the source file gets green highlight, and a new range indicating the source and target columns correspondence appears in the Ranges list;
  • repeat the operation for all the columns you need to be included in the import process.

If the source Excel file and the destination SQL Server table have the same order of columns or rows, you can use the iconAutoFillColumns Auto Fill Cols or the iconAutoFillRows Auto Fill Rows buttons to set correspondence between them automatically.

If necessary, you can choose to skip a defined number of the source file columns and/or rows using the Col(s) and Row(s) spinner controls of the Skip group (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - Excel

To clear ranges for a column, select the column in the Columns list and press the iconCross Clear Ranges button.

To clear all ranges specified for the target table columns, press the iconClearAllRanges Clear All button.

Right-click a range in the Ranges list to call its popup menu. Using the popup menu you can add or edit ranges manually, remove them or change their order.

Import Data - Setting fields correspondence - Excel - Popup menu

The Range dialog allows you to edit the data range for import manually.

Range Type

Use the drop-down list to select whether a column, a row, or a cell of the source Excel file will be mapped to the target table column.

Depending on the selected range type you should specify the column (e.g. B), the row (e.g. 2) or the cell (e.g. A2).

Start / Finish

These groups allow you to set the precise data range for import: select Where data started / finished or use the spinner control to specify the start/finish row (or start/finish column).

Direction

Use this group to select the direction for importing data of the specified range: Down or Up.

Sheet

Use this group to define whether the specified range will be taken from the default Excel sheet or from a custom sheet (select sheet number or sheet name using the corresponding drop-down lists).

Import Data - Setting fields correspondence - Excel - Range

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Access/DBF/XML Datapacket

Set correspondence between the source MS Access columns and the target SQL Server table columns:

  • select a column of the target SQL Server table in the Destination Columns list;
  • select the corresponding column of the source MS Access table in the Source Columns list;
  • click the iconPlus Add button to set correspondence between the selected columns;
  • the pair of columns appears in the list below;
  • repeat the operation for all the columns you need to be included in the import process.

Use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target columns automatically on the basis of their order.

When importing data from a DBF file, the additional Skip deleted records option appears. Selecting this checkbox allows you to skip records marked for deletion.

Import Data - Setting fields correspondence - Access

To remove a correspondence, select the pair of columns in the list below and press the iconMinus Remove button.

To remove all correspondences, press the iconCross Clear button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


TXT

Set correspondence between the source text file columns and the target SQL Server table columns:

  • select a column of the target SQL Server table in the Columns list;
  • double-click in the text viewer area to add vertical separators delimiting the source column bounds;
  • click the area between the separators to assign the column to the selected target table column - the selected source column gets black highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If necessary, you can choose to skip a defined number of the source file lines using the Skip Lines spinner control (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - TXT

To clear all correspondences, press the iconCross Clear button.

Note: if you cannot see the content of the source text file properly, you should select the appropriate Charset to be used for processing data.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


CSV

Set correspondence between the target table columns and the source CSV file columns:

  • select a column of the target SQL Server table in the Columns list;
  • proceed to the source grid viewer area: click a caption to assign the column to the selected target table column;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If the source CSV file and the destination SQL Server table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

Note that the CSV delimiter is specified at the Selecting source file name and format step of the wizard.

The Col(s) control indicates the currently selected source file column. You can also use this spinner control for quick column selection.

If necessary, you can choose to skip a defined number of the source file rows using the Row(s) spinner control of the Skip group (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - CSV

To remove a correspondence, select the column in the Columns list and press the iconCross Clear button.

Note: if you cannot see the content of the source text file properly, you should select the appropriate Charset to be used for processing data.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


HTML

Set correspondence between the target table columns and the source HTML file columns:

  • select a column of the target SQL Server table in the Columns list;
  • proceed to the source grid viewer area: select the Table from which you intend to import data and click a column to assign the column to the selected target table column;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If the source HTML file and the destination SQL Server table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

The Col control indicates the currently selected source file column. You can also use this spinner control for quick column selection.

If necessary, you can choose to skip a defined number of the source file rows using the Row spinner control of the Skip group (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - HTML

To remove a correspondence, select the column in the Columns list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


XML Generic

In order to set mapping of a Generic XML document, you should enter the relative XPath (the path must be specified in the XPath format). Press the iconAutoFillColumns Fill Grid button to get the grid filled with text and attribute values of the selected node.

Note: if the source XML document contains huge amount of data, building the tree may take a long time.

Set correspondence between the source XML file columns and the target SQL Server table columns:

  • select a column of the target SQL Server table in the Columns list;
  • proceed to the source grid viewer area: click a column to assign the column to the selected target table column;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the columns you need to be included in the import process.

You can use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target columns automatically according to their order (mapping is started from the first attribute value in this case).

The Col(s) control indicates the currently selected source file column. You can also use this spinner control for quick column selection.

If necessary, you can choose to skip a defined number of the source file lines using the Row(s) spinner control of the Skip group (e.g. if you need to exclude node headers from the imported data range).

Import Data - Setting fields correspondence - XML Document

To remove a correspondence, select the column in the Columns list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


MS Excel/Word, ODF

Specify ranges in the grid for the target and source columns:

  • select a column of the target SQL Server table in the Columns list;
  • proceed to the Sheet grid: click a column to assign the column to the selected target table column;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If the source file and the tiodestination SQL Server table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

The Col control indicates the currently selected source file column. You can also use this control for quick column selection.

If necessary, you can choose to skip a defined number of the source file rows using the Skip spinner control (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

To remove a correspondence, select the column in the Columns list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Adjusting data formats

This step of the wizard provides a number of options for setting common formats for all imported data:

Date & Time formats: Short date, Long date, Short time, Long time;

Separators: Decimal, Thousand, Date, Time;

Boolean True (specify the text that will be displayed for the boolean TRUE values);

Boolean False (specify the text that will be displayed for the boolean FALSE values);

NULL values (specify the text that will be displayed for the NULL values).

For more information refer to the Format specifiers page.

Import Data - Adjusting data formats

Click the Next button to proceed to the Setting advanced column formats step of the wizard.


Setting advanced column formats

This step of the wizard allows you to set formats each column separately.

Select a column in the list and adjust format options that will be applied to this column only.

Import Data - Setting advanced field formats

Specify Generator value and Generator step for incremental data generation into the specified column, or enter a Constant value which will be set for all records in the field.

Specify the NULL value which will be used for the records where the value is NULL.

If necessary, specify the default value.

Use the Left / Right quotation edit boxes to specify left/right quotation marks.

Use the Quotation action drop-down list to select whether the quotation marks should be added, removed, or left 'As is'.

Use the Character case drop-down list to select the case that will be used for string values of the column: Upper, Lower, UpperFirst, UpperFirstWord, or 'As is'.

Use the Character set drop-down list to select which charset will be used for string data in the column: ANSI, OEM, or As is.

The Replacements area allows you to set the text you need to be replaced during data import into the selected column. Press the Plus iconPlus button to specify a new replacement options using the Add Replacement dialog.

Import Data - Setting advanced field formats - Add Replacement

To edit a replacement, click the [image] Edit button.

To remove a replacement, click the iconMinus Minus button.

When you are done, click the Next button to proceed to the Setting import mode step of the wizard.


Setting import mode

This step of the wizard allows you to define the records processing mode as Insert All, Insert New, Update, Update or Insert, Delete, Delete or Insert mode:

  • Insert all: all records from the source file are inserted into the tables irrespective of whether any records exist in the destination table or not
  • Insert new: already existing records are skipped, and new records are inserted into the destination table
  • Update: all existing records are updated from the source file
  • Update or insert: already existing records are updated and new records are inserted into the destination table
  • Delete: already existing records are deleted
  • Delete or insert: existing records are deleted and new records are inserted into the destination table

Import Data - Setting import mode

Here is an example of some import modes offered by Import Data Wizard:

All import modes (except for the Insert All mode) are based on key values information. In order to perform import operations with these modes used, you need to have matches between the source file key column(s) and the destination table key column(s).

For example, your source file contains three rows with the key values 1, 2, 3, and your destination table contains three rows with the key values 1, 2, 4.

Destination table | Source file data
Import Data - Setting import mode - Destination Table | Import Data - Setting import mode - Source Table

If you use the Insert new import mode, in this case only the row with key value 3 will be inserted into the destination table.

If you use the Update import mode, then the rows with key values 1, 2 will be updated.

If you use the Update or insert import mode, then rows 1, 2 will be updated and the row with key value 3 will be inserted.

It is applied to all other import modes, except for the Insert all mode. For all these modes (except for the Insert all mode) it is obligatory to select the primary key columns. This column (or columns) is used as key column to identify specific data in the target database.

Insert new | Update | Update or insert | Delete | Delete or insert
Import Data - Setting import mode - Result - Insert new | Import Data - Setting import mode - Result - Update | Import Data - Setting import mode - Result - Update or insert | Import Data - Setting import mode - Result - Delete | Import Data - Setting import mode - Result - Delete or insert

The key columns for these operations are defined in the Key columns area.

Single commands / Universal mode / Bulk insert type

The Single commands import mode is performed with the Single Commands method used and serves to generate and execute single SQL commands on the server, whereas the Bulk insert mode uses native commands for a particular server: BULK INSERT for Microsoft® SQL Server™. With the help of the Single commands import mode your data can be imported considerably faster as compared to the Universal mode which is used for backward compatibility.

CheckBox Keep identity

This option specifies that the values for an identity column are present in the file being imported.

Use Import mode to select whether to insert all records, or to update/delete existing ones. Note that for updating/deleting existing records in the target table you should move its key columns from the Available columns list to the Selected columns list.

The Key columns area allows you to select the columns of the table to be used as the key columns for the import process.

To select a column, you need to move it from the Available columns list to the Selected columns list. Use the Move to Selected Move all to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Click the Next button to proceed to the Customizing common options step or to the Customizing bulk insert options step of the wizard if you have selected Bulk insert as the import type.


Customizing bulk insert options

Use this step of the wizard to set bulk insert options. The detailed description of these options is given below.

Import Data - Customizing bulk insert options

CheckBox Keep nulls

This option specifies that NULL columns should retain a null value during the bulk copy operation, rather than have any default values for the columns being inserted.

CheckBox Fire triggers

This option specifies that any insert triggers defined on the destination table will execute during the bulk copy operation.

Bulk insert file name

Type in or use the btnSaveAs button to specify the name and path to the bulk insert file name using the Save As... dialog. If data_file is a remotely stored file, specify the Universal Naming Convention (UNC) name.

Bulk insert field terminator

Specify the field terminator to be used for char and varchar data types.

When you are done, click the Next button to proceed to the Customizing common options step of the wizard.


Customizing common options

Use this step of the wizard to set common import options. The detailed description of these options is given below.

Import Data - Customizing common options

Commit

RadioButton Commit when done

Commits the transaction when all records are imported.

RadioButton Commit after each block

Inserts the COMMIT statement after a defined number of records.

RadioButton Commit changes manually

Select this option if you intend to commit the transaction manually.

Block size

Use the spinner control to define the number of records in each committed block.

Record count

RadioButton Import all records

Specifies that all records of the source file will be imported.

RadioButton Import only ... record(s)

Specifies the number of records to be imported.

When you are done, click the Next button to proceed to the last step of the wizard.


Importing data

This step of the wizard is intended to inform you that all import options have been set, and you can start the import process.

The log area allows you to view the log of operations and errors (if any).

Import Data - Importing data

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the import process is completed.

If necessary, you can save a template for future use.

Click the Finish button to run the import process.

After the operation is completed, you can view the total number of processed records, the number of inserted/updated/deleted records, the number of committed records, the number of errors, elapsed time, and the log of operations and errors (if any).


Export as SQL Script

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Export as SQL Script Wizard

Export as SQL Script Wizard allows you to export data from a table / view or from a query result to SQL script as a number of INSERT statements. You can save your settings as a template any time for future use.

To start the wizard, right-click the object in DB Explorer, select the Data Manipulation context menu group and proceed to the [image] Export Data as SQL Script... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of Query Data / Design Query, right-click the grid there, then select the Data Manipulation context menu group and proceed to the [image] Export <object_name> as SQL Script... item within this group, or use the [image] Export as SQL Script item of the Navigation bar.

  • Selecting destination DBMS
  • Setting destination file name
  • Setting BLOB options
  • Selecting column to export
  • Editing the result table definition
  • Setting export options
  • Exporting as SQL Script

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Import Data Wizard

Bulk Insert Wizard

Using templates


Selecting destination DBMS

This step of the wizard allows you to define the destination server you need to export data for. The result script will be generated in compliance with the specifications of the selected DBMS:

RadioButton DB2

RadioButton InterBase/Firebird

RadioButton Microsoft® SQL Server™

RadioButton MySQL

RadioButton Oracle

RadioButton PostgreSQL

Export as SQL Script - Defining type of destination server

CheckBox Add CREATE TABLE statement

Check this option to add the CREATE TABLE statement to the result script.

Click the Next button to proceed to the Setting destination file name step of the wizard.


Setting destination file name

Specify whether the result script will be loaded to Execute Script or saved to a file.

File name

Type in or use the btnSaveAs button to specify the path to the file and the file name.

If necessary, select the File charset using the corresponding drop-down list.

Enter the Table name and the Schema name to be included in the result SQL script. Schema name should only be specified for the DBMS in which this object is implemented.

Export as SQL Script - Setting destination file name

Click the Next button to proceed to the Setting BLOB options step of the wizard.


Setting BLOB options

BLOB options

In this group of options you can determine whether BLOB and binary fields are not to be extracted, extracted as strings, or extracted into a separate file (available for DB2, InterBase/Firebird, MS SQL, Oracle destination servers). If the latter is selected, you also need to specify the File name (the *.blo file where the BLOB data will be stored) and the location of the file on your local machine using the btnSaveAs button.

CheckBox Compress file

Check this option if you wish to compress the file containing BLOB data.

Compression

Define the desired compression level to be applied for the file: None, Fastest, Default, Best.

Export as SQL Script - Setting BLOB options

Click the Next button to proceed to the Selecting columns to export step of the wizard.


Selecting columns to export

This step of the wizard allows you to select the table column(s) to be exported to SQL script.

To select a column, you need to move it from the Available columns list to the Selected columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Export as SQL Script - Selecting fields to export

Click the Next button to proceed to the Editing table definition step of the wizard.


Editing table definition

This step is available only if the Add CREATE TABLE statement option was checked on the Selecting destination DBMS step of the wizard. It allows you to view/edit the SQL script for creating the table.

For your convenience the syntax highlight, code folding and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.

Export as SQL Script - Editing table definition

Click the Next button to proceed to the Setting export options step of the wizard.


Setting export options

Specify common export options according to your needs.

If necessary, you can choose to CheckBox Replace non-print characters in strings with spaces.

CheckBox Quote identifiers - setting brackets in the statements.

CheckBox Use multi insert statements - script with multiple inserts.

Records in block

Use the spinner control to define the number of records in each committed block.

CheckBox Insert COMMIT after each block

Check this option to add the COMMIT statement after a defined number of records.

Export as SQL Script - Setting export options

Click the Next button to proceed to Exporting as SQL Script.


Exporting as SQL Script

This step of the wizard is intended to inform you that all export options have been set, and you can start the export as SQL script process.

The log area allows you to view the log of operations and errors (if any).

Export as SQL Script - Exporting as SQL Script

CheckBox Load generated script into Script Editor

Check this option to load the result script to Execute Script.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

If necessary, you can save a template for future use.

Click the Finish button to run the export as SQL script process.


Bulk Insert Wizard

Bulk Insert Wizard allows you to use the Transact-SQL BULK INSERT statement to load a data file into a database table / view in a user-specified format. This statement copies data from a file to a table, appending the records to already existing data in the table. The file must be accessible to the server and the filename must be specified from the point of view of the server. You can save your settings as a template any time for future use.

To start the wizard, right-click the table/view in DB Explorer, select the Data Manipulation context menu group and proceed to the [image] Bulk Insert... item within this group.

Alternatively, you can open the Data tab of Table Editor / View Editor, right-click the grid there, then select the Data Manipulation context menu group and proceed to the [image] Bulk Insert to <object_name>... item within this group, or use the [image] Bulk Insert item of the Navigation bar.

  • Selecting a table or view and the data file
  • Setting bulk insert options
  • Customizing data file format
  • Viewing the result SQL statement
  • Running bulk insert

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Import Data Wizard

Export as SQL Script

Using templates


Selecting a table or view and the data file

This step of the wizard allows you to select the target table (or view) and specify the data file that contains data to load into the specified table or view.

Table or view

Use the drop-down list to select the target table or view.

Data file

Select whether the data file is located on the server or in the network. Note that it is obligatory to specify a valid path from the server on which SQL Server is running. If the data file is a remote file, you should specify the Universal Naming Convention (UNC) name.

File name

Type in or use the ExplorerButton button to specify the full path to the data file for bulk insert using the Open file... dialog.

Bulk Insert - Selecting a table or view and the data file

Click the Next button to proceed to the Setting bulk insert options step of the wizard.


Setting bulk insert options

Data file type

Use this drop-down list to select the data file type value to be used to perform the load operation. Possible data file type values are: char, native, widechar and widenative.

Batch size (rows)

Specify the number of rows in a batch. Each batch is copied to the server as one transaction. If this operation fails, SQL Server commits or rolls back the transaction for every batch.

Kilobytes per batch

Specify the approximate number of kilobytes (KB) of data in each batch.

Rows per batch

This value indicates the number of rows in each batch.

Bulk Insert - Setting bulk insert options

CheckBox Check constraints

Enable this option to specify that all constraints on the target table or view must be checked during the bulk insert operation. If disabled, any CHECK constraints are ignored, and after the operation the constraint on the table is marked as not-trusted. This might be necessary if the input data contains rows that violate constraints.

Note: UNIQUE, PRIMARY KEY, FOREIGN KEY and NOT NULL constraints are always enforced.

CheckBox Fire triggers

Use this option to specify that any insert triggers defined on the destination table execute during the bulk load operation. If triggers are defined for INSERT operations on the target table, they are fired for every completed batch.

CheckBox Keep identity

Use this option to specify that identity value or values in the imported data file are to be used for the identity column. If this option is not checked, the identity values for this column are verified but not imported, and SQL Server automatically assigns unique values based on the seed and increment values specified during table creation.

CheckBox Keep nulls

Use this option to specify that empty columns should retain a null value during the bulk load operation, instead of having any default values for the columns inserted.

CheckBox Table lock

Use this option to specify that a table-level lock is acquired for the duration of the bulk load operation. Holding a lock for the duration of the bulk load operation reduces lock contention on the table and may significantly improve performance.

Max errors

Specifies the maximum number of syntax errors allowed in the data before the bulk insert operation is canceled. Each row that cannot be imported by the bulk load operation is ignored and counted as one error.

Note: This option is not applied to constraint checks and to converting money and bigint data types.

Error file

Specify the file used to collect rows that have formatting errors and cannot be converted to an OLEDB rowset. These rows are copied into this error file from the data file "as is". The error file is created when the command is executed.

Click the Next button to proceed to the Customizing data file format step of the wizard.


Customizing data file format

Code page

Use this drop-down list to select the code page of the data in the data file: ACP, OEM or RAW. This option is relevant only if the data contains char, varchar or text columns with character values greater than 127 or less than 32.

  • ACP: columns are converted from the ANSI/Microsoft Windows code page (ISO 1252) to the SQL Server code page
  • OEM: columns are converted from the system OEM code page to the SQL Server code page
  • RAW: no conversion is performed

Field terminator

Use the drop-down list to specify the field terminator to be used for char and widechar data files: tab character (\t), comma (,) or semicolon (;).

Row terminator

Use the drop-down list to select the row terminator to be used for char and widechar data files: newline character (\n) or return character (\r).

Bulk Insert - Customizing data file format

First row

Specify the number of the first row to load.

Last row

Specify the number of the last row to load. If this parameter is set to 0, the last row to load is the last row in the specified data file.

Sort order

{ column_name [ ASC | DESC ] } [ ,... n ]

This string specifies the way the data in the data file are sorted. Bulk insert operation performance is improved in case the data are sorted according to the clustered index on the table. The column names supplied must be valid columns in the destination table. By default, the bulk insert operation assumes the data file is unordered.

Format file

Specify the full path of a format file. A format file describes the data file. The format file should be used in the following cases:

  • The data file contains greater or fewer columns than the table or view
  • The columns are in a different order
  • The column delimiters vary
  • There are other changes in the data format

Click the Next button to proceed to the Viewing the result SQL statement step of the wizard.


Viewing the result SQL statement

This step of the wizard allows you to browse the result SQL statement.

If necessary, you can edit the definition of the new object.

Bulk Insert - Viewing the result SQL statement

When you are done, click the Next button to proceed to the last step of the wizard.


Running bulk insert

This step of the wizard is intended to inform you that all bulk insert options have been set, and you can start the process.

The log area allows you to view the log of operations and errors (if any).

Bulk Insert - Running bulk insert

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the bulk insert process is completed.

If necessary, you can save a template for future use.

Click the Finish button to run the bulk insert process.


Tools

SQL Manager for SQL Server provides a number of powerful tools that allow you to perform various operations over your databases.

The following common database tools are available in SQL Manager for SQL Server:

Dependency Tree

Allows you to view all the object dependencies in one diagram.

Visual Database Designer

Allows you to lay out your database schema visually.

Execute Script

Executes SQL scripts in the database.

Extract Database Wizard

Extracts the table metadata and/or data to an SQL script which can be executed later on another machine to restore the database structure and/or data.

Print Metadata

Creates powerful metadata reports in the WYSIWYG mode ready for printing.

HTML Report

Creates powerful metadata reports in the HTML format.

Reports management

Tools for efficient management of reports: creating, editing, viewing, printing.

SQL Monitor

Displays all the SQL statements executed while working in SQL Manager for SQL Server.

Using templates

Facilitates using SQL Manager wizards.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Server Tools

Personalization

External Tools

How To...


Dependency Tree

The Dependency Tree tool allows you to view all the object dependencies in one diagram.

To call the Dependency Tree window, select the Tools | btnDependencyTree Dependency Tree main menu item, or use the btnDependencyTree Dependency Tree button on the main toolbar.

  • Using Navigation bar and Toolbar
  • Viewing dependency tree

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database and Server Objects Management


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Dependency Tree.

Dependency Tree - Using Navigation bar

The Navigation bar of the Dependency Tree window allows you to:

Database

iconDB select a database for browsing object dependencies

General

iconRefresh refresh the currently displayed dependency tree

iconPrint print the diagram

iconPrintSetup set printing options using the Print Setup dialog

iconSaveAsPicture save the current diagram as a picture

iconRestoreDefaultSize restore the default size and position of the window

Object

navigate by switching to the previous object

navigate by switching to the next object

show/hide subobjects

select a root object

Diagram layout

iconShowAllObjects show all objects

iconShowDependingOnRoot show objects depending on Root

iconShowRootDependsOn show Root depends on objects

Items of the Navigation bar are also available on the ToolBar of the Dependency Tree window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

Hint: Items of the Object pane of the Navigation bar are also available in the context menu of the Dependency Tree area.


Viewing dependency tree

To view dependencies of an object, click the Select object Navigation bar item. Then select the required object in the Select Object dialog window. The dependency tree will appear in the main area of the window.

Dependency Tree - Select object

While the tree of dependencies is being built, the progress bar is displayed in the status area at the bottom of the window.

The root object is marked out with a blue frame.

The objects that the root object depends on are located to the left of the root object.

The objects that depend on the root object are located to the right of the root object.

Object dependencies are denoted as regular arrows from the left to the right (->).

A cyclic dependency (i.e. when the object already has some other depending object(s)) is denoted as a line ending with a cross (-x).

You can switch between objects by selecting them in the diagram. The selected object becomes the root object. To make an object root, you can also right-click it in the diagram area and select Set as Root from the context menu. The context menu of an object also allows you to edit it using the corresponding editor.

The history of selected root objects is also available: you can move back and forward through this history using the Previous object and the Next object links on the Navigation bar or toolbar.

Hint: To show/hide subobjects (e.g. table triggers, foreign keys), click the Show subobjects / Hide subobjects item on the Navigation bar.

See also:

Select Object dialog


SQL Monitor

SQL Monitor allows you to view the log of all operations performed over databases and database objects in SQL Manager for SQL Server. The content of the window is read-only.

To open the SQL Monitor window, select the Tools | [image] SQL Monitor main menu item, or use the Shift+Ctrl+M shortcut.

  • Using Navigation bar and Toolbar
  • Working with SQL Monitor

See also:

SQL Monitor options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in SQL Monitor.

SQL Monitor - Using Navigation bar

The Navigation bar of SQL Monitor allows you to:

General

clear the content of the window

save the content to a *.txt file using the Save as... dialog

iconFindText search for a string using the Find Text dialog

iconSearchAgain search again

iconOptions configure SQL Monitor using the SQL Monitor section of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the window

iconAlwaysOnTop specify that the window is displayed on top of other child windows

Items of the Navigation bar are also available on the ToolBar of SQL Monitor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Working with SQL Monitor

The working area of SQL Monitor lists the log of database operations and SQL queries as items, each consisting of 3 parts: Executed (the date and time of the operation), Operation (SQL statement sent to the server), Result (the result of the operation).

Items of the context menu of SQL Monitor area provide access to various functions for working with the window content. The context menu contains standard text-processing functions (Copy, Select All), spelling checking and functions for working with the content as a whole, e.g. you can set markers, move the cursor to a particular line, save the content to a file or as a favorite query, configure the editor using the properties item or preview/print the content. Most of these operations can be also performed with the corresponding hot keys used.

SQL Monitor - Working with SQL Monitor

Implementation of the Find Text dialog and Incremental search bar contributes to more efficient work with the content of SQL Monitor.


Execute Script

Using Execute Script editor you can view, edit and execute SQL scripts.

To open Execute Script editor, select the Tools | btnShowSQLScript Execute Script main menu item or use the corresponding btnShowSQLScript toolbar button. You can also use the Shift+Ctrl+S shortcut for the same purpose.

In the script area you can view and edit the SQL script text. For your convenience syntax highlight and code completion features are implemented.

  • Using Navigation bar and Toolbar
  • Working with Execute Script area
  • Using Script Explorer
  • Script execution

Note: Execute Script does not show results returned upon SELECT queries execution. Please use Query Data for that purpose instead.

See also:

Query Data

Execute Script options

Editor Options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Execute Script.

SQL Script Editor - Using Navigation bar

The Navigation bar of Execute Script allows you to:

Destination

iconHost select a host

iconDB select a database for the script

General

iconExecute execute the current script

iconCompile execute a script from file

iconNew create a new script

iconLoadFromFile load a script from an *.sql file using the Open Script dialog

iconSaveToFile save the current script

iconSaveToFileAs save the script to an *.sql file using the Save as... dialog

iconDBExplorer hide/show SQL Explorer

enable/disable result log

iconOptions configure Execute Script within the Script Options section of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the editor window

Explorer

iconDBExplorer browse the tree objects used in the script using the Script Explorer pane

Items of the Navigation bar are also available on the ToolBar of Execute Script. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

See also:

Working with Execute Script area

Using Script Explorer

Script execution


Working with Execute Script area

The Editor area of Execute Script is provided for efficient working with SQL scripts in text mode.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented:

  • using object links allowing you to open the object in the associated editor;
  • ability to display line numbers;
  • code folding for statements and clauses;
  • customizable margins and gutters;
  • formatting code for better representation

and more.

The context menu of Execute Script area contains execution commands, most of the standard text-processing functions (Cut, Copy, Paste, Select All), spelling checking and functions for working with the script as a whole, e.g. you can enable/disable parsing, toggle bookmarks and comments, move the cursor to a particular line, change the case of selected text, load/save the content from/to a file or save as a favorite query, configure the editor using the Properties item or preview/print the text of the script. Most of these operations can be also performed with the corresponding hot keys used.

Implementation of the Find Text / Replace Text dialogs and Incremental search bar contributes to more efficient work with the SQL code.

SQL Script Editor - Working with SQL Script editor area

For your convenience the possibility to use macros is implemented.

To start recording a macro, click the btnRecordMacro Record button available in the status bar area, or use the Shift+Ctrl+R shortcut.

To stop recording, click the btnStopRecordMacro Stop button, or use the Shift+Ctrl+R shortcut.

To call the recorded macro, use the btnPlayMacro Play button, or use the Shift+Ctrl+P shortcut.

See also:

Using Navigation bar and Toolbar

Using Script Explorer

Script execution

Managing Favorite queries

Execute Script options


Using Script Explorer

The Explorer group on the Navigation bar displays the tree of objects, used in the current script and allows you to get to the required script fragment quickly by clicking the object in the tree.

SQL Script Editor - Using Script Explorer

Hint: When you click a node in the Script Explorer tree, the corresponding SQL statement is highlighted in the editor area. If you double-click a node, the corresponding SQL statement is highlighted, and the current focus is switched to the editor area (the cursor appears after the highlighted statement).

See also:

Using Navigation bar and Toolbar

Working with Execute Script area

Database and Server Objects Management


Script execution

When all the script parameters are set, you can immediately execute the script in Execute Script.

To execute a script, click the btnExecuteQuery Execute script item of the Navigation bar or toolbar. You can also use the context menu or F9 hot key for the same purpose.

SQL Script Editor - Script execution

Note: If the CheckBox Execute selected text separately option (see the Tools | Execute Script section of the Environment Options dialog) is enabled (by default) and a text fragment is currently selected, only this fragment is executed when you click Execute script on the Navigation bar or press F9. If this option is disabled, the whole script is executed, but you can still execute the selected fragment using the corresponding Execute Selected Only item of the context menu or by pressing Ctrl+F9.

If the SQL syntax is correct, the script is executed and the 'Done!' information message appears.

SQL Script Editor - Script execution - Done

If the syntax contains errors or script cannot be executed, the corresponding error message is displayed in the status bar area at the bottom of the editor window.

Hint: When you select an item from the error list (in the status bar area), the corresponding SQL statement is highlighted in the editor area. If you double-click an item, the corresponding SQL statement is highlighted, and the current focus is switched to the editor area (the cursor appears after the highlighted statement).

Note: Execute Script does not show results returned upon SELECT queries execution. Please execute such queries in Query Data to see the result dataset.

See also:

Using Navigation bar and Toolbar

Working with Execute Script area

Using Script Explorer


Extract Database Wizard

Extract Database Wizard allows you to extract database objects and/or data to an SQL script, e.g. for backup purposes.

To start the wizard, select the Tools | btnExtractDB Extract Database... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | btnExtractDB Extract Database... item from the context menu.

  • Selecting a database for extraction
  • Specifying destination file name
  • Setting extraction mode
  • Setting BLOB options
  • Selecting objects for metadata extraction
  • Selecting objects for data extraction
  • Customizing script options
  • Start of extraction process
  • Using templates

See also:

Execute Script

Database Objects Management

Using templates


Selecting source database

This step of the wizard allows you to select the source database from which metadata and/or data are to be extracted.

If necessary, check the CheckBox Extract all metadata and data of the database option to simplify the wizard.

Extract Database - Selecting source database

Click the Next button to proceed to the Specifying destination file name step of the wizard.


Specifying destination file name

Script destination

This group of options allows you to specify whether the result SQL script will be automatically loaded to Execute Script or saved into a file.

File name

Set a name for the result *.sql file and type in or use the btnSaveAs Save as... button to specify the path to this file on your local machine or on a machine in the LAN.

File charset

If necessary, use the drop-down list to select the character set to be applied to the output file.

Extract Database - Specifying destination file name

Depending on whether you have checked the CheckBox Extract all metadata and data of the database option at the Selecting source database step, upon pressing the Next button you will either proceed to the next step of the wizard, or you will be immediately forwarded to the Setting BLOB options step, and then to the Customizing script options step of the wizard.


Setting extraction mode

This step allows you to specify the extraction mode: choose whether database objects, server objects and/or data only are to be extracted.

To make system objects available for extraction, use the CheckBox Allow selecting system objects to extract option.

Extract Database - Setting extraction mode

Click the Next button to proceed to the Setting BLOB options step of the wizard.


Setting BLOB options

BLOB options

In this group of options you can determine whether BLOB fields are not to be extracted, extracted as strings, or extracted into a separate file. If the latter is selected, you also need to specify the File name (the *.blo file where the BLOB data are to be stored) and the location of the file on your local machine using the btnSaveAs Save as... button.

CheckBox Compress file

Check this option if you wish to compress the file containing BLOB data.

Compression

Define the desired compression level to be applied for the file: None, Fastest, Default, Best.

Extract Database - Setting BLOB options

Note: If you choose to RadioButton Extract BLOB fields into file then afterwards the result SQL file can be restored only by using the SQL Manager for SQL Server Execute Script tool.

Click the Next button to proceed to Selecting objects for structure extraction.


Selecting objects for structure extraction

This step of the wizard allows you to select objects for metadata extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

RadioButton Extract all objects

Adds all objects of the database to structure extraction process.

RadioButton Extract all objects of schema...

Adds all objects of a schema to structure extraction process.

Schema name

Use the drop-down list to select the schema to extract all objects from.

RadioButton Extract selected objects

Adds only selected objects to structure extraction process.

Objects to extract

Use the drop-down list to select the type of objects to be extracted.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

Extract Database - Selecting objects for structure extraction

Click the Next button to proceed to Selecting objects for data extraction.


Selecting server objects for extraction

This step of the wizard allows you to select objects for metadata extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

RadioButton Extract all objects

Adds all objects of the database to structure extraction process.

RadioButton Extract all objects of schema...

Adds all objects of a schema to structure extraction process.

Schema name

Use the drop-down list to select the schema to extract all objects from.

RadioButton Extract selected objects

Adds only selected objects to structure extraction process.

Objects to extract

Use the drop-down list to select the type of objects to be extracted.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

Extract Database - Selecting server objects for extraction

Click the Next button to proceed to Selecting objects for data extraction.


Selecting objects for data extraction

This step of the wizard allows you to select tables for data extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

RadioButton Extract data of the selected tables

Adds only selected tables to data extraction process.

To select a table, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

RadioButton Extract data of all tables

Adds all tables of the database to data extraction process.

RadioButton Extract data of tables selected on the previous step

Adds only the tables selected for metadata extraction.

Extract Database - Selecting objects for data extraction

Click the Next button to proceed to the Customizing script options step of the wizard.


Customizing script options

This step allows you to customize common script options and data options for the extraction process.

Script options

CheckBox Generate "CREATE DATABASE" statement

Check this option to add the CREATE DATABASE statement to the result script.

CheckBox Generate DROP statements

Check the option to add the DROP statements for the extracted objects in the result script.

CheckBox With IF statements

Check this option to add the IF keyword to the DROP statements in the result script.

CheckBox Use IF EXISTS clause for DROP statement

Check this option to add the IF EXISTS clause to the DROP statements in the result script, if available.

CheckBox Create empty procedures

This option specifies whether procedures with empty bodies are included in the result script or not.

CheckBox Extract dependent objects

This option determines objects' dependencies usage in the extraction process. Check the option to extract all objects that the selected objects depend on.

Extract Database - Customizing script options

Data options

Records in a block / CheckBox Insert "COMMIT" statement after each block

These controls allow you to define whether the COMMIT statement is added to the script or not, and to specify the number of records in each block to be supplemented with this statement.

CheckBox Abort extraction on error

This option determines whether the extraction process should be stopped or forced to continue if an error occurs.

Click the Next button to proceed to the last step of the wizard.


Start of extraction process

This step of the wizard is intended to inform you that all extraction options have been set, and you can start the extraction process.

The log area allows you to view the log of operations and errors (if any).

Extract Database - Start of extraction process

CheckBox Close the wizard after successful completion

If this option is selected, the wizard is closed automatically when the extraction process is completed.

If necessary, you can save a template for future use.

Click the Finish button to run the extraction process.


Database Comparer Wizard

Compare Databases Wizard creates an SQL script that provides database structure synchronization. To launch the wizard use the Tools | iconCompare Compare Databases... item of the main menu.

  • Selecting source database
  • Selecting target database
  • Selecting type of the synchronization script
  • Defining options for the destination script
  • Performing operation

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Selecting source database

Use this step to define source database for comparing.

Database Comparer Wizard - Selecting source database

Source host

Define host where source database is located.

Source database

Select source database from the drop-down list.

Click the Next button to proceed to the Selecting target database step.


Selecting target database

Use this step to define target database for comparing.

Database Comparer Wizard - Selecting target database

Target host

Define host where target database is located.

Target database

Select target database from the drop-down list.

Click the Next button to proceed to the Selecting type of the synchronization script step.


Selecting type of synchronization script

Specify the direction of the selected databases comparing.

Database Comparer Wizard - Selecting type of synchronization script

RadioButton Target database into source database

Enables reverse comparing: the synchronization script will contain statements which make the target database identical to the source one.

RadioButton Source database into target database.

Enables direct comparing: the synchronization script will contain statements which make the source database identical to the target one.

Click the Next button to proceed to the Defining options concerned destination script step.


Defining options for destination script

Use this step to define additional option for destination script.

Database Comparer Wizard - Defining options for destination script

RadioButton Automatically load to Script Editor

With this option is enabled, the synchronization script will not be saved. It will be loaded to Execute Script.

RadioButton Save to file

Use this option if you need to save the synchronization script to a file.

File name

Defines the name of the file to save the synchronization script to. Click the btnSaveAs Save button to locate file using the standard dialog or type the file name and it's location manually.

File charset

Specified character set will be used when saving the script to file.

Click the Next button to proceed to the Performing operation step.


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start comparing databases.

The log area allows you to view the log of operations and errors (if any).

Database Comparer Wizard - Performing operation

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed. If the option is disabled then you can repeat the operation with the same or redefined parameters.

Click the Run button to run the backup database operation.

Use the templates button to save current settings to template or to restore settings from an existing template.


Print Metadata

Print Metadata allows you to generate and print metadata reports of any database/server object(s).

To open the window, select the Tools | btnPrintMetadata Print Metadata main menu item, or use the btnPrintMetadata Print Metadata button on the main toolbar. Alternatively, you can right-click the database alias in the DB Explorer tree and select the Tasks | btnPrintMetadata Print Metadata item from the context menu.

  • Using Navigation bar and Toolbar
  • Printing options
  • Print Preview

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database and Server Objects Management

Print Metadata options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Print Metadata.

Print Metadata - Using Navigation bar

The Navigation bar of the Print Metadata window allows you to:

Servers

iconHost select a server instance for the printing report

iconDB select a database for the printing report

General

iconPrint print metadata of the selected object(s)

iconPreview preview the printing report

iconRestoreDefaultSize restore the default size and position of the window

Database

Tick filter database objects by type

Server

Tick filter server objects by type

Items of the Navigation bar are also available on the ToolBar of the Print Metadata window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Printing options

The Print Metadata window allows you to select the database objects for printing metadata.

To select an object, you need to move it from the Available objects list to the Objects for printing list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

After you select one or several objects, the Printing Options pane appears at the bottom.

Printing Options

Select an object in the Objects for printing list and specify items to be included into the printing report: DDL, Description (for all database objects), Columns/Params, Foreign Keys, Checks, Indexes, Triggers (for tables).

Print Metadata - Printing options

See also:

Using Navigation bar and Toolbar

Print Preview


Print Preview

You can btnPrintPreview make a preview of the printing report and btnPrintMetadata print metadata for objects of the selected type using the corresponding items of the Navigation bar (or toolbar).

Print Metadata - Preview

The toolbar of the Preview window allows you to:

  • start printing the report;
  • open a previously saved printing report;
  • save the current report to an external *.fp3 file;
  • export the preview content to any of the available formats: HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image (use the btnPreviewExport Export button for this purpose);
  • search for text within the printing report;
  • adjust zoom options;
  • enable/disable printing report outline;
  • enable/disable printing report thumbnails;
  • specify page settings;
  • edit the page using Report Designer;
  • navigate within the printing report pages;
  • close the Preview window.

See also:

Using Navigation bar and Toolbar

Printing options


Search in Metadata

The Search in Metadata tool is implemented for quick search within the scope of database metadata. The tools allows you to set various search conditions and view the results.

To launch the Search in Metadata tool, select the Tools | iconSearchInMetadata Search in Metadata main menu item, or use the Ctrl+Alt+F shortcut.

  • Using Navigation bar and Toolbar
  • Setting search conditions
  • Viewing search results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database Objects Management


Using navigation bar and toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Search in Metadata.

Search in metadata - Using navigation bar and toolbar

The Navigation bar of the Search in Metadata tool allows you to:

Database

iconDB select a database for searching

General

iconSearchInMetadata set search conditions

iconNextSearchMatch - go to next search match

iconRestoreDefaultSize restore the default size and position of the window

Explorer

browse the tree of found database objects

Items of the Navigation bar are also available on the ToolBar of the Search in Metadata tool. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting search condition

The Search in Metadata dialog allows you to set search conditions. It opens each time the Search in Metadata tool is launched.

Search in metadata - Setting search condition

Text to search

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Database

Use the drop-down list to select a database for the search operation.

Options

CheckBox Search in DDL

Check this option to search for the specified text in full object DML statements. If the option is unchecked, the quick search is made in object names only.

Other search options are similar to those provided by the Find Text dialog. For detailed description of the search options refer to the Find Text dialog page.

When all the options are set, click OK. The Search in Metadata [search string] report window will display the search progress and results.

See also:

Find Text dialog


Viewing search result

The Search in Metadata window allows you to view the search progress and results fetched from the database.

Search in metadata - Viewing search result

After the search is complete, the Explorer group on the Navigation bar displays the tree of database objects in which the search string is found, and allows you to view metadata of the required object or its fragment quickly by clicking enclosed object branches in the tree.

The Object <object_name> area is provided for viewing metadata of the objects, with the search string highlighted.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with Query Data area and Using the context menu.


HTML Report Wizard

HTML Report wizard allows you to generate a detailed HTML report of the selected database objects.

To start HTML Report Wizard, select the Tools | [image] HTML Report main menu item, or use the [image] HTML Report button on the main toolbar. Alternatively, you can right-click the database alias in the DB Explorer tree and select the Tasks | [image] HTML Report... item from the context menu.

  • Selecting database and directory
  • Selecting object types
  • Specifying CSS for HTML report
  • Setting additional report options
  • Creating HTML report
  • Using templates

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database and Server Objects Management

Using templates


Selecting database and directory

At this step of the wizard you should select the source database and output directory for the HTML report.

Source host

Define host where source database is located.

Source database

Use the drop-down list of registered and connected databases to select the source database for the report.

Output directory

Type in or use the ExplorerButton button to specify the path to the output directory for the result HTML files using the Browse for Folder dialog.

HTML Report - Selecting database and directory

Click the Next button to proceed to the Selecting object types step of the wizard.


Selecting object types

Use this step of the wizard to select the types of database objects to be included in the result HTML report.

To select a database object, you need to move it from the Available objects list to the Selected objects list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

HTML Report - Selecting object types

Click the Next button to proceed to the next step allowing you to select the types of server objects to be included in the result HTML report.

To select a server object, you need to move it from the Available objects list to the Selected objects list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

HTML Report - Selecting server object types

Click the Next button to proceed to the Specifying CSS step of the wizard.


Specifying CSS

This step of the wizard allows you to edit the CSS (Cascading Style Sheet) file that will be used by the result HTML report.

On the CSS Text Tab you can edit the CSS file.

HTML Report - Specifying CSS

The CSS Preview tab allows you to view the HTML report with the defined style.

You can select one of the pre-installed templates from the Templates drop-down list or select the Custom template and edit it on the CSS Text tab.

HTML Report - Specifying CSS - Preview CSS

Click the Next button to proceed to the Setting additional report options step of the wizard.


Setting additional report options

Use this step of the wizard to set additional HTML report options.

HTML Report - Setting additional report options

If necessary, you can set optional text to Report header and Report footer of the result HTML report. For your convenience the default header and footer text is already available. If necessary, you can edit this text according to your needs.

DDL font size

This control allows you to set the font size for the DDL section. Move the slider between the small and large threshold values to select the required font size value within this scope. Note that the text size also depends on your browser settings.

Click the Next button to proceed to Creating HTML report.


Creating HTML report

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the process.

The log area allows you to view the log of operations and errors (if any).

HTML Report - Creating HTML report

CheckBox Show report after generating

This option opens the result report in your default browser after generating.

CheckBox Close the wizard after successful completion

If this option is selected, the wizard is closed automatically when the creating HTML report process is completed.

If necessary, you can save a template for future use.

Click the Finish button to run the process.


Reports management

SQL Manager for SQL Server provides several tools for efficient reports management:

Create Report Wizard

This tool is used to simplify the process of creating reports.

Report Designer

It is a basic tool for creating powerful reports.

Report Viewer

Allows you to view created reports.

Reports can be stored either in the database (table msmreports will be created to store them) or in a directory on your hard drive specified on the Directories page of the Database Registration Info dialog.


Create Report Wizard

Using Create Report Wizard you can create a report containing required datasets, bands and fields on them, with a definite report style applied.

To start the wizard, select the Database | New Object... main menu item, then select Report in the Create New Object dialog. Alternatively, you can right-click the Reports node of the DB Explorer tree and select the New Report... item from the context menu.

  • Specifying report name and options
  • Selecting report bands
  • Selecting report style
  • Specifying paper settings
  • Specifying margins
  • Specifying other page settings

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Report Designer

Report Viewer


Specifying database name and report options

Select the source database for adding a report and choose the action you need to perform: either create a new report or import an existing report from file.

Set the name for the new report and specify the save options for it:

RadioButton Save to database

The report will be created on the server inside the database.

RadioButton Save to file

If this option is selected, the report will be saved as a *.fr3 file to the directory specified on the Directories page of the Database Registration Info dialog.

Create Report - Specifying database name and report options

Click the Next button to proceed to the Selecting report bands step of the wizard.


Selecting report bands

This step of the wizard allows you to select the bands to be included in the report.

To select a band, you need to move it from the Available Bands list to the Report Bands list. Use the Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available buttons or drag-and-drop operations to move the fields from one list to another.

Use the [image] Edit button to create datasets for 'data' bands using Design Query.

Create Report - Selecting report bands

Brief information about bands functionality is listed below. See FastReport Help for more information.

Name | Functionality
Report title | Prints once at the beginning of report
Report summary | Prints once at the end of report
Page header | Prints at the top of each page
Page footer | Prints at the bottom of each page
Master header | Prints at the beginning of master list
Master data | Data rows of master list
Master footer | Prints at the end of master list
Detail header | Prints at the beginning of detail list
Detail data | Data rows of detail list
Detail footer | Prints at the end of detail list
Subdetail header | Prints at the beginning of subdetail list
Subdetail data | Data rows of subdetail list
Subdetail footer | Prints at the end of subdetail list
Group header | Prints at the beginning of each group
Group footer | Prints at the end of each group

Click the Next button to proceed to the Selecting report style step of the wizard.


Selecting report style

Select the report style by clicking one of the images illustrating the styles available for the report.

Create Report - Selecting report style

Click the Next button to proceed to the Specifying paper settings step of the wizard.


Specifying paper settings

Specify report options: paper size and orientation, page margins, other settings.

Create Report - Specifying paper settings

Use the Margins tab to specify margins for the result report.

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened in Report Designer after generating.

When you are done, click the Finish button to run the report generation process.


Specifying margins

CheckBox Stretch to print area

If this option is checked, the size of report is adjusted to the print area. If this option is unchecked, you can specify the left, right, top and bottom margins (in millimeters).

Create Report - Specifying margins

Use the Other tab to specify other page settings for the result report.

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened in Report Designer after generating.

When you are done, click the Finish button to run the report generation process.


Specifying other page settings

Options

CheckBox Print to previous page

This option allows to use white space on a previous page. This option can be used in case when a report template consists of several pages or when printing batch (composite) reports.

CheckBox Two-pass report

If this option is selected, report's formation will be performed in two steps. During the first pass, a report is formed, and is divided into pages, but the result is not saved anywhere. During the second pass a standard report formation with saving a result in the stream is performed.

CheckBox Page numbering

This option allows to print a page numbers.

Columns

Number

This parameter specifies the number of columns for multi-column reports' printing.

Gap, mm

This parameter specifies the width of the gap between columns.

Create Report - Specifying other page settings

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened in Report Designer after generating.

When you are done, click the Finish button to run the report generation process.


Report Designer

Report Designer allows you to create and edit reports. This tool can be opened after completion of Create Report Wizard to design a new report.

To edit an already existing project, use the appropriate Navigation bar item of Report Viewer.

This module is provided by Fast Reports, Inc. (http://www.fast-report.com) and has its own help system. Press the F1 key in the Report Designer to call the FastReport help.

Please find the instructions on how to create a simple report in the Report Designer below:

  • Adding dialog form
  • Adding database and query components
  • Adding report data
  • Viewing the report
  • Saving the report

Note: The Object Inspector which allows you to edit report object properties, can be shown/hidden by pressing the F11 key.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Create Report Wizard

Report Viewer


Basic elements

Report designer's working area consists of the following elements: Main menu, Report Tree, Data Tree, Workspace and Object inspector.

Main menu

Report Tree

This element is located by default in the top left part of the window. You can view report structure as a tree.

Report Designer_Report Tree

Report tree has the following tabs you can switch between: Code, Data, Page and Dialog Page.

Code

Allows working with the report script.

Data

Displays data structure of the report.

Page

Displays printing form of the report.

Form

Displays dialog form of the report.

Data Tree

This element is located by default in the bottom left part of the window. Structure of the data defined with the [image] ADOTable and [image] ADOQuery is displayed here as a tree.

Report Designer_Data Tree

Workspace

Main working space is located in the center of the window.

Object Inspector

Allows viewing and changing properties of the selected object. By default this element is located in the right part of the window.

Report Designer_Object Inspector

Note: Object Inspector can be opened by pressing the F11 keyboard button.


Toolbars

Common toolbars are located in the top part of the window.

Depending on the tab selected in the Report Tree elements of the side toolbar can differ.

For Data tab:

For Page tab:

For DialogPage tab:


Adding database and query components

To start working with report you need to define data source.

Report Designer - Adding database component

Adding database component

In order to add the Database component:

  • proceed to the Data tab of Report tree;
  • pick the [image] ADO Database component on the toolbar (on the left);
  • click within the working area - the corresponding ADODatabase1 icon appears in the area;
  • use the Edit item of the component context menu item;
  • in the appeared window define database connection parameters using the connection string or the standard windows dialog window that can be opened by pressing the EllipsisButton ellipsis button. SQL Native Client should be specified as data provider;
  • make sure that the Connected property value in the Object Inspector is set to True.

Adding table component

In order to add the Table component:

  • proceed to the Data tab of Report tree;
  • pick the [image] ADOTable component on the toolbar (on the left);
  • click within the working area - the corresponding ADOTable1 icon appears in the area;
  • Define the following options in the Object Inspector: Database (select any defined [image] ADODatabase) and TableName (select a table from the connected database). Once TableName is specified, all columns from this table are displayed in the Data Tree.

Adding query component

In order to add the Query component:

  • proceed to the Data tab of Report tree;
  • pick the [image] ADO Query component on the toolbar (on the left);
  • click within the working area - the corresponding ADOQuery1 icon appears in the area;
  • use the Object Inspector to define the following properties: Database (select any defined [image] ADODatabase) and SQL (press the EllipsisButton ellipsis button to open Query Data where you can define query text).

See also:

Adding dialog form

Adding report data

Viewing the report

Saving the report


Adding report components

To start working with the printing form of the report proceed to the Page tab of the Report Tree.

Report Designer - Adding bands

You can customize report view using bands. Each band can define specified data.

Adding bands

In order to add a band to the report:

  • proceed to the Page1 tab of Report Tree;
  • pick the [image] Insert Band component on the toolbar (on the left);
  • select the band to be added to the report;
  • click within the working area - the corresponding element appears in the area;
  • set element properties within the Properties Inspector.

Each band appears in the Report Tree as a node.

Table and report data should be added as Master Data and column headers as Group Header.

Adding report data

In order to add data to the report:

  • proceed to the Data tab within the panel on the right side of the window;
  • pick a field within the [image] Data tree and drag it to the working area;
  • add all necessary elements one by one using drag-and-drop operation for each of them.

See also:

Adding dialog form

Adding database and query components

Viewing the report

Saving the report


Viewing the report

Viewing the report

To preview the newly created report, select the File | Preview main menu item or use the corresponding btnPrintPreview Preview toolbar button. You can also use the Ctrl+P shortcut for the same purpose. This mode allows you to view, edit and print the result report.

To print the report, use the btnPrint Print toolbar button or the corresponding context menu item.

Report Designer - Preview

It is also possible to preview/print the report using Report Viewer.

To export report

  • press the btnPreviewExport Export button at the report viewer toolbar;
  • select needed file format to export report into;
  • specify file name and location in the appeared dialog.

See also:

Adding dialog form

Adding database and query components

Adding report data

Saving the report


Saving the report

When all report parameters are set, you can save the report to an external *.fr3 file on your local machine or on a machine in the LAN.

To save the report, select the File | Save main menu item or use the corresponding btnSave Save Report toolbar button. You can also use the Ctrl+S shortcut for the same purpose.

If necessary, you can add the report to the database using Create Report Wizard and perform preview/print operations using Report Viewer.

See also:

Adding dialog form

Adding database and query components

Adding report data

Viewing the report


Adding dialog form

To add a dialog form, select the File | New Dialog main menu item in Report Designer.

The new dialog appears within the DialogPage1 tab of the designer. Use the available RAD tools to add necessary interface elements to the dialog.

Report Designer - Adding dialog form

To call the dialog, proceed to the Code tab and supply the corresponding statement (PascalScript), e.g.

begin

DialogPage1.ShowModal;

end.

Using the Language drop-down list you can select the script language to be used for the event handler: PascalScript (by default), C++Script, BasicScript, JScript.

For instance, the following C++ Script code can be used as the handler for the OnClick event of the 'Show' button to open ADOQuery:

{

ADOQuery1.Active = true;

}

See also:

Adding database and query components

Adding report data

Viewing the report

Saving the report


Report Viewer

Using Report Viewer you can view, edit, save and print reports.

Possible report operations are described on the Using Navigation bar and Toolbar page.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Create Report Wizard

Report Designer


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Report Viewer.

Report Viewer - Using Navigation bar

The Navigation bar of Report Viewer allows you to:

Object

iconDB select a database

select a report for viewing

General

iconRefresh refresh the content of the window

edit report using Report Designer

iconSaveToFile save the current report

iconSaveToFileAs save the report to a *.fr3 file using the Save as... dialog

iconPrint print the report

iconRestoreDefaultSize restore the default size and position of the viewer window

Items of the Navigation bar are also available on the ToolBar of the Report Viewer window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Server-level principals

Principals are individuals, groups, and processes that can request SQL Server resources.

SQL Manager for SQL Server provides management tools for the following server-level security principals:

Logins

Allows you to manage SQL Server logins.

Server Roles Manager

Allows you to manage SQL Server roles.

Adding Logins

In order to add a new login:

  • select the Tools | Login Manager main menu item or use the corresponding btnLoginManager toolbar button to open Login Manager;
  • select the Add login... item of the context menu or within the Navigation bar;
  • define login properties and permissions using Login Editor

or

  • right-click the Logins node (Server Objects) or any object within this node in DB Explorer and select the New Login context menu item, or use the Ctrl+N shortcut;
  • define login properties and permissions using Login Editor.

Editing Login Properties

In order to edit an existing login:

  • select the Tools | Login Manager main menu item or use the corresponding btnLoginManager toolbar button to open Login Manager;
  • select the Edit login... item of the context menu or within the Navigation bar;
  • edit the login properties and permissions using Login Editor

or

  • right-click the Logins node (Server Objects) or any object within this node in DB Explorer and select the Edit Login <object_name> context menu item, or use the Ctrl+O shortcut;
  • edit the login properties and permissions using Login Editor.

Deleting Logins

In order to delete an existing login:

  • select the Tools | Login Manager main menu item or use the corresponding btnLoginManager toolbar button to open Login Manager;
  • right-click the login to delete and select the Delete Login item of the context menu or within the Navigation bar;
  • confirm deleting in the dialog window

or

  • right-click the login to delete within the Logins node (Server Objects) in DB Explorer and select the Drop Login <object_name> context menu item, or use the Shift+Del shortcut;
  • confirm deleting in the dialog window

Allocating Server Roles

In order to allocate server roles to logins:

  • select the Tools | Server Roles main menu item or use the corresponding btnServerRoles toolbar button;
  • select a server role, and add logins to the Server Role Members list using Server Roles Manager.

See also:

Server Log Viewer

Activity Monitor

Resource Governor


Logins

Microsoft® SQL Server™ uses two ways to validate connections to SQL Server databases:

Windows Authentication which uses Windows-level principals

and

SQL Server Authentication which uses logins to validate the connection.

A login is an indivisible principal which is used to connect to the server and use its resources.

  • Login Manager
  • Login Editor

See also:

Server Roles


Login Manager

The Login Manager allows you to browse the list of existing logins on each of available instances of SQL Server, and manage them efficiently.

To launch the tool, select the Tools | Login Manager main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Logins item from the context menu.

Logins - Login manager

The list displays the existing logins as a grid with the following columns: Login Name, Type, Access Denied, Default Database, Default Language, Create Date, Update Date.

Right-click an item within the list to call the context menu allowing you to create a new server login and specify its properties using Login Editor, edit, delete the selected login, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of logins to any of supported output file formats.

Logins management tools are also available through the Navigation bar of the Login Manager.

See also:

Login Editor

Server Roles


Grant Manager

Grant Manager allows you to set the user access grants for certain database objects: schemas, tables, views, procedures, synonyms, aggregates, XML schema collections, assemblies, etc.

'Global' user privileges define the user access rights to all the database objects on the server. Granting privileges on the selected database objects allows a user to perform the defined operation over the selected objects.

To open Grant Manager, select the Tools | Grant Manager main menu item.

  • Using Navigation bar, Toolbar and context menu
  • Setting object permissions
  • Managing column permissions
  • Filtering objects in list
  • Setting database permissions
  • Viewing effective permissions

Managing grants

To define grants on database objects:

  • select the Tools | Grant Manager main menu item, or use the corresponding btnGrantManager toolbar button to open Grant Manager;
  • select the object type using the drop-down list on the toolbar;
  • select a User or Role from the Privileges for pane of the Navigation bar;
  • edit user/role privileges using Grant Manager

or

  • right-click an object within the Users/Roles node in DB Explorer and select the Grants for <object_name> context menu item;
  • edit user/role privileges using Grant Manager

See also:

Login Manager

Server Roles

User Editor

Role Editor

Login Editor


Using Navigation bar, Toolbar and context menu

The Navigation bar, Toolbar and context menu provide quick access to tools implemented in Grant Manager.

Grant Manager - Using Navigation bar

The Navigation bar of Grant Manager allows you to:

Database

iconDB select a database for grants management

General

iconRefresh refresh the content of the window

iconAddUser call User Editor to add a new database user

iconEditUser call User Editor to edit an existing user

iconDeleteUser delete a database user

iconAddRole call Role Editor to add a database role

iconEditRole call Role Editor to edit an existing database role

iconDeleteRole delete a database role

iconEffectivePermissions view effective permissions on the object

iconRestoreDefaultSize restore the default size and position of the window

Privileges for

btnGroupManager select an existing database user/role to grant privileges to

Legend

Tick view the legend

Items of the Navigation bar are also available on the ToolBar of Grant Manager. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

The context menu is aimed at facilitating your work: you can perform a variety of operations using context menu items.

The context menu of Grant Manager allows you to:

  • grant a permission on a securable to the selected principal;
  • grant a permission (with Grant Option) on a securable to the selected principal;
  • deny a permission on a securable to the selected principal;
  • revoke a previously granted or denied permission;
  • grant all permissions on a securable to the selected principal;
  • grant all permissions (with Grant Option) on a securable to the selected principal;
  • deny all permissions on a securable to the selected principal;
  • revoke all previously granted or denied permissions on a securable;
  • grant a permission on all objects to the selected principal;
  • grant a permission (with Grant Option) on all objects to the selected principal;
  • deny a permission on all objects to the selected principal;
  • revoke a previously granted or denied permission on all objects;
  • apply sorting of objects in grid (by type);
  • apply sorting of objects in grid (by name);
  • view effective permissions on the object.

Grant Manager - Using context menu

See also:

Setting object permissions

Managing column permissions

Filtering objects in list

Setting database permissions

Viewing effective permissions


Object permissions

The Object Permissions tab allows you to define privileges on specified database objects.

To edit the privileges of a user/role on an object of a database, select the database using the Database panel of the Navigation bar, then select a user or role from the Privileges for list available within the Navigation bar or toolbar. Then select the type of objects to be displayed in the main working window using the combo-box at the top.

The Object Name column contains the list of objects of the selected type; each subsequent column corresponds to the permission which can be granted on the selected object:

Select, Insert, Update, Delete, References, Alter, Control, Take ownership, View definition (for tables, views);

Alter, Control, Take ownership, View definition, Execute (for procedures);

References, Alter, Control, Take ownership, View definition, Execute (for UDFs);

References, Control, Take ownership, View definition, Execute (for UDTs);

Select, Insert, Update, Delete, Control, Take ownership, View definition, Execute (for synonyms);

Alter, Control, Take ownership, View definition, Execute (for aggregates, XML schema collections);

Select, Insert, Update, Delete, References, Alter, Control, Take ownership, View definition, Execute (for schemas);

Alter, Control, View definition, Impersonate (for users);

Alter, Control, Take ownership, View definition (for roles);

References, Alter, Control, Take ownership, View definition, Execute (for assemblies);

References, Alter, Control, Take ownership, View definition (for full-text catalogs, symmetric keys, asymmetric keys, certificates, message types, contracts, queues, services, routes, remote service bindings).

Grant Manager - Object permissions

The list of objects can be configured in several ways: you can specify that only granted objects are displayed in the grid, or define an object name to filter the objects by that name.

Right-click a cell to grant a specific permission on a certain object. To grant a permission on an object, you should find the object in the Object Name list and the column with the corresponding permission. Note that the cells that are highlighted gray do not admit to setting grants for an obvious reason (e.g. you cannot execute a table). The context menu of a cell contains possible permissions that can be granted:

Grant

Grant with Grant Option

Deny (prevents the principal from inheriting the permission through its group or role memberships)

Tick Revoke (removes a previously granted or denied permission)

Grant All

Grant All with Grant Option

Deny All

Tick Revoke All

Grant on All

Grant on All with Grant Option

Deny on All

Tick Revoke on All

Hint: You can also assign privileges by double-clicking the respective cell - in this case the grant status is changed in the following order: Grant -> Grant with Grant Option -> Deny -> Revoke.

See also:

Using Navigation bar, Toolbar and context menu

Managing column permissions

Filtering objects in list

Setting database permissions

Viewing effective permissions


Managing column permissions

The Column permissions of user/role <principal_name> on <securable_name> area displays the grid with table/view columns and the privileges that can be granted to the selected user or role.

Use items of the context menu to grant/deny/revoke permissions on columns.

Grant Manager - Managing column permissions

If permissions on a column have been defined (for a table or view), the corresponding permission cell of the table/view contains a specific icon iconHasGrantedColumn .

See also:

Using Navigation bar, Toolbar and context menu

Setting object permissions

Filtering objects in list

Setting database permissions

Viewing effective permissions


Filtering objects in list

In large databases with huge amount of objects it may be difficult to find the required object. For this purpose you are provided with several tools for filtering objects in list:

  • the Object type control: select the required object type from the drop-down list (e.g. Tables);
  • the Filter panel: enter a character string to filter the object names by that string (note that the filter is case-sensitive);
  • the CheckBox Granted only option: check this option to display objects with at least one granted operation.

Grant Manager - Filtering objects in list

See also:

Using Navigation bar, Toolbar and context menu

Setting object permissions

Managing column permissions

Setting database permissions

Viewing effective permissions


Database permissions

The Database Permissions tab allows you to define privileges on execution of statements within the specified database.

To edit the database permissions of a user/role, select the database using the Database panel of the Navigation bar, then select a user or role from the Privileges for list available within the Navigation bar or toolbar.

Grant Manager - Database permissions

Right-click a cell next to the required statement to grant its execution privilege to the selected user or role. The context menu of a cell contains possible permissions that can be granted:

  • Grant
  • Grant with Grant Option
  • Revoke (removes a previously granted permission)
  • Deny
  • Grant All
  • Grant All with Grant Option
  • Revoke All
  • Deny All

See also:

Using Navigation bar, Toolbar and context menu

Setting object permissions

Managing column permissions

Filtering objects in list

Viewing effective permissions


Viewing effective permissions

An effective permission is the one which is:

  • granted directly to the principal, and not denied, or
  • implied by a higher-level permission held by the principal and not denied, or
  • granted to or held by, a role or group of which the principal is a member, and not denied.

The Grants Tree tab of the Effective Permissions dialog displays the entire list of permissions granted to the user and its role on a definite object in the form of a tree. For your convenience the Refresh, Expand/Collapse buttons are available at the bottom of the dialog window.

Grant Manager - Viewing effective permissions - Tree

The Current Effective Permissions tab of the Effective Permissions dialog displays a list of the permissions effectively granted to the specified principal on a definite object.

Grant Manager - Viewing effective permissions - Current

See also:

Using Navigation bar, Toolbar and context menu

Setting object permissions

Managing column permissions

Filtering objects in list

Setting database permissions


Server Roles

The Server Roles manager allows you to browse the list of SQL Server roles, and to define login membership for each of the roles.

To launch the tool, select the Tools | Server Roles main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Server Roles item from the context menu.

Server Roles - Server Roles manager

The upper list displays the server roles as a grid with the following columns: Server Role Name, Members Count.

Right-click an item within the list to call the context menu allowing you to refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of server roles to any of supported output file formats.

Server roles management tools are also available through the Navigation bar of the Server Roles manager.

The lower area allows you to define login membership, i.e. to select the logins that will belong to the selected server role. The server roles determine the tasks that can be performed through the selected login.

To select a login, you need to move it from the Available Logins list to the Server Role Members list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the logins from one list to another.

See also:

Logins


Database Designer

Database Designer is provided for visual presentation of databases, database objects and relations between objects. It also allows you to create, edit and drop tables and table columns, set relations between tables and perform other operations you may need to achieve your purpose.

To open the designer, select the Tools | btnVDBD Database Designer main menu item, or use the btnVDBD Database Designer button on the main toolbar.

  • Using Navigation bar and Toolbars
  • Using Diagram Navigator and DB Objects pane
  • Using context menus
  • Adding/removing objects to/from diagram
  • Incremental search
  • Creating new objects
  • Creating relations
  • Working with diagram pages
  • Reverse engineering
  • Printing diagram
  • Saving/loading diagram
  • Setting diagram options

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database Objects Management

Database Designer options


Using Navigation bar and Toolbars

The Navigation bar and Toolbars provide quick access to tools implemented in Visual Database Designer.

VDBD - Using Navigation bar

The Navigation bar of Visual Database Designer allows you to:

Database

iconDB select a database for building the diagram

General

iconOptions edit diagram options

iconRestoreDefaultSize restore the default size and position of the window

iconRefresh refresh objects in the diagram

Navigator

Tick use Diagram Navigator

Database Objects

iconFindText search for objects in the diagram using the Database Objects pane

iconPlus add objects to the diagram using the Database Objects pane

The Toolbars of Visual Database Designer provide quick access to most tools for working with diagrams.

To enable the toolbars, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbars only) or RadioButton Both (if you need both the toolbars and the Navigation bar) in the Bar style for child forms group.

The main toolbar (by default, the toolbar is located at the top of the diagram area) contains a number of tools (including items of the Navigation bar, context menu, tools for printing diagram, etc.) allowing you to:

  • select the database for building the diagram;
  • create a new diagram;
  • open an existing diagram;
  • save the current diagram to a *.msd file;
  • save the current diagram as an image;
  • activate the Incremental search panel;
  • adjust diagram zoom for optimal representation: zoom in, zoom out, fit model;
  • switch cursor mode: select / select rectangle to fit;
  • open the Print Setup dialog;
  • print the diagram;
  • show Print Preview;
  • arrange objects in the diagram;
  • extract metadata of all objects in the diagram and load the script to Execute Script;
  • perform Reverse Engineering;
  • refresh objects in the diagram;
  • view/edit diagram options;
  • specify a predefined zoom value;
  • restore the default size and position of the window.

VDBD - Toolbars - Main

The Pages toolbar (by default, the toolbar is located at the top of the diagram area) contains tools for working with diagram pages allowing you to:

  • add a new page;
  • delete the current page;
  • delete all pages.

VDBD - Toolbars - Pages

The Alignment Palette (by default, the toolbar is located on the left side of the diagram area) allows you to:

  • align left/right edges of selected objects;
  • align tops/bottoms of selected objects;
  • align horizontal/vertical centers of selected objects;
  • space selected objects equally horizontal/vertical.

VDBD - Toolbars - Alignment Palette

The New object toolbar (by default, the toolbar is located on the left side of the diagram area) allows you to:

  • set the cursor mode to Select;
  • create a new object (table, view, function, procedure or comment);
  • create a new relation.

VDBD - Toolbars - New object

See also:

Using Diagram Navigator and DB Objects pane

Using context menus

Adding/removing objects to/from diagram

Incremental search

Creating new objects

Creating relations

Working with diagram pages

Reverse engineering

Printing diagram

Saving/loading diagram

Setting diagram options


Using Diagram Navigator and DB Objects pane

To navigate within the large diagram, use the Navigator tool available on the Navigation bar. It allows you to see the whole diagram in a reduced scale and to perform a number of operations over the diagram objects.

VDBD - Diagram navigator

A mouse click in the Navigator area sets the center of the visible diagram area. The area currently visible in the main diagram area is outlined in a red bounding rectangle.

Using the Navigator you can work with the diagram objects in the same way as in the main diagram area: add/remove, create new objects, move objects within the diagram and perform other operations.

The Database Objects pane available on the Navigation bar allows you to browse the list of available database objects that can be added to the diagram.

VDBD - Database Objects pane

Select and drag an object to the diagram area or double-click it to add the object to the diagram.

Right-click an item within the list to call the context menu allowing you to:

iconFindText find the selected object in the diagram (if the object is found, it will be highlighted in the diagram area);

iconPlus add new objects to the diagram by Reverse engineering;

Tick toggle objects representation mode: as a tree / as a list;

Tick select the sorting mode applied to the objects in the list: by schema, name / by name, schema;

iconRefresh refresh the list.

See also:

Using Navigation bar and Toolbars

Adding/removing objects to/from diagram

Creating new objects

Creating relations

Working with diagram pages


Using context menus

The context menu of the diagram area contains a number of items available in the Navigation bar and toolbars and allows you to:

  • select all objects in the diagram area;
  • select headers of all objects;
  • select all columns of all objects;
  • adjust diagram zoom for optimal representation: zoom in, zoom out, select rectangle to fit, fit model, specify a predefined zoom value;
  • set the cursor mode to Select or create a new table, view, procedure, function relation, or comment;
  • configure the grid: draw grid, snap to grid;
  • adjust the diagram style: draw primary key columns separately, draw entities icons, draw attributes icons, draw only names of entities, draw foreign key names;
  • perform Reverse Engineering;
  • extract metadata of the diagram objects to Execute Script;
  • view/edit diagram options.

VDBD - Using context menu

The context menu of an entity contains items for working with the object and allows you to:

  • edit the object using its editor;
  • create a new object using its editor;
  • drop the object from the database;
  • show/hide object subitems;
  • remove the object from the diagram.

VDBD - Using entity context menu

The context menu of a column contains items for working with the object and its columns and allows you to:

  • edit the selected column using its editor (Column Editor);
  • create a new column;
  • drop the selected column;
  • edit the object using its editor;
  • create a new object using its editor;
  • drop the object from the database;
  • show/hide object subitems;
  • remove the object from the diagram.

VDBD - Using field context menu

See also:

Using Navigation bar and Toolbars

Adding/removing objects to/from diagram

Incremental search

Creating new objects

Creating relations


Adding/removing objects to/from diagram

To add an object to the diagram:

  • drag it from the Database Explorer tree to the diagram area (the whole schema can be dragged)

or

  • drag it from the Database Objects pane (available on the Navigation bar) to the diagram area or simply double-click this object in the list.

To add objects by Reverse engineering, you can right-click within the Database Objects list and select the iconPlus Add new objects... context menu item.

To remove an object from the diagram, select it in the diagram area, then right-click its title and choose the Remove <object_name> item from the context menu, or just press the Del key.

VDBD - Removing objects from diagram

See also:

Using Navigation bar and Toolbars

Using Diagram Navigator and DB Objects pane

Using context menus

Creating new objects

Creating relations

Reverse engineering

Database Objects Management


Incremental search

To search for an object within the diagram:

  • right-click the required object in the Database Objects pane and select the btnFindText Find Object in Diagram item from the context menu

or

  • click the [image] Incremental Search button on the main toolbar or use the Ctrl+F shortcut to activate the Incremental Search panel in the status bar area of the designer window.

VDBD - Incremental Search

Type a string in the edit-box, and the object having the name with the closest match will be highlighted in the diagram area.

See also:

Using Diagram Navigator and DB Objects pane


Creating objects

To create a new object using Visual Database Designer:

  • press on of the Create buttons: Create table, Create view, Create function, Create procedure on the New object toolbar;
  • click the desired point on the diagram to place the new object at;
  • specify object properties using its editor.

VDBD - Creating new table

Hint: To create a new object, you can also select the corresponding item from the context menu. The context menus also allow you to edit and drop database objects.

See also:

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram

Incremental search

Creating relations


Creating relations

To establish a new relation (which is the foreign key in terms of database management):

  • press the Create relation button on the New object toolbar;
  • click the entity where the referential constraint should be created;
  • click the referred entity;
  • specify new foreign key properties using Foreign key Editor.

VDBD - Creating relations

Hint: To create a relation, you can also use the corresponding item of the context menu.

Once the relation is created, it is displayed as a line between two entities in the diagram area. The style the line is drawn is determined by the diagram notation.

The context menu of this line allows you to edit the foreign key using Foreign key Editor or drop the foreign key from the database.

VDBD - Creating relations - Context menu

See also:

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram

Incremental search

Creating new objects


Working with diagram pages

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Working with multiple diagram pages

You can create several pages in one diagram to split the model into several subject groups, e.g. for better comprehension.

To manage diagram pages, right-click on the tabs at the bottom of the diagram area and select the required popup menu items for adding, deleting and renaming pages.

VDBD - Working with diagram pages

Hint: Page management items are also available on the Pages toolbar of Visual Database Designer.

See also:

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram


Reverse engineering

The reverse engineering operation builds relationship diagram on the basis of the current database's structure. The objects are arranged automatically within the diagram model.

To start the reverse engineering process, press the btnReverseEngineer Reverse Engineer button on the main toolbar, or use the corresponding item of the context menu.

VDBD - Reverse engineering

The Preparing Reverse Engineering dialog allows you to select schemas containing objects to reverse engineer.

VDBD - Reverse engineering - Select schema

For your convenience the Select All and Deselect All items are available in the context menu of the schemas list.

See also:

Using Navigation bar and Toolbars

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram


Printing diagram

Visual Database Designer allows you to print and preview the diagram.

To preview the diagram:

  • press the Print Preview btnPrintPreview button on the toolbar;
  • preview the diagram using the Print Preview window.

To setup print options:

  • press the btnPrintSetup Print Setup button on the toolbar, or use the corresponding link on the Navigation bar;
  • set printing options using the Print Setup dialog and press OK.

To print the diagram:

  • press the btnPrintMetadata Print button on the toolbar;
  • set printing options using the Print Setup dialog and press the Print button.


Print Preview

The Print Preview dialog allows you to see the diagram layout in WYCIWYG mode before it will be printed.

Use the navigation buttons or the spinner control to navigate within the preview pages.

Click the Print options... button to call the Print Setup dialog.

If necessary, specify the preview zoom according to your preferences.

Click the Print all button to start printing.

VDBD - Printing diagram - Print Preview

See also:

Print Setup dialog


Print Setup dialog

The Print Setup dialog of Visual Database Designer provides two tabs for setting printing options: Printer and Page options.

The Printer tab of the Print Setup dialog allows you to:

  • specify the printer (use the Choose printer button to select a printer which is not set by default on your system; the name, driver, port fields display the selected printer details);
  • specify print layout: print using a defined scale factor or arrange diagram at a defined number of pages horizontally and vertically;
  • set other print options.

Database tools - VDBD - Print Setup - Printer

The Page options tab of the Print Setup dialog allows you to:

  • specify page margins (in millimeters): Top margin, Bottom margin, Left margin, Right margin;
  • specify Page header and Page footer: enter the header/footer running titles text, set left/center/right align.

Database tools - VDBD - Print Setup - Page options

Hint: It is also possible to set macros in the Page header and Page footer fields:

#PCOUNT stands for the quantity of pages;

#PAGE - the number of the current page;

#DATE denotes the current date;

#TIME denotes the current time.

See also:

Print Preview


Saving/loading diagram

Use the btnSave Save Diagram and the ExplorerButton Open Diagram buttons on the main toolbar to save the diagram as a *.msd file for future use or to load the previously saved diagram.

VDBD - Saving and Loading diagram

If necessary, you can save the diagram as an image: click the btnSaveAsPicture Save as Picture button on the on the main toolbar.

See also:

Using Navigation bar and Toolbars

Using Diagram Navigator and DB Objects pane

Using context menus

Adding/removing objects to/from diagram


Setting diagram options

Using the Diagram Options dialog you can setup the behavior and look of each diagram page.

To open this dialog, use the btnEnvironmentOptions Page options item of the Navigation bar or on the main toolbar, or select the corresponding item from the context menu.

See detailed description of each option on the Database Designer page of the Environment Options dialog.

VDBD - Setting diagram options

CheckBox Apply changes to all existent objects on the page

If this option is selected, the current settings will be applied to all objects of the page.

See also:

Using Diagram Navigator and DB Objects pane

Database Designer options


Services

SQL Manager for SQL Server provides a number of powerful tools for working with your database server.

Server-level principals

Tools for managing server-level security principals

Server Log Viewer

A convenient tool to browse the server logs

Activity Monitor

A convenient tool to get information about connections and the locks that they hold

Resource Governor

A tool for managing SQL Server workload and resources

SQL Manager for SQL Server provides graphical user interface for most SQL Server objects and native services.

The following tools for SQL Server objects and services management are available in SQL Manager for SQL Server:

Backup Devices

Provides tools for working with backup devices: Backup devices manager, Backup Device properties.

Database Snapshots

Provides tools for working with database snapshots: Snapshots manager, Snapshot properties.

Linked Servers

Provides tools for working with linked servers: Linked servers manager, Linked Server Editor.

DTS Packages

Provides tools for working with DTS packages: DTS Packages manager, DTS Package properties.

Jobs

Provides tools for working with jobs: Jobs manager, Job Editor.

Job History

Provides a convenient tool to browse the list of recent jobs: Job History.

Alerts

Provides tools for working with alerts: Alerts manager, Alert Editor.

Operators

Provides tools for working with operators: Operators manager, Operator Editor.

Shared Schedules

Provides tools for working with schedules: Shared schedules manager, Schedule Editor.

Proxies

Provides tools for working with proxies: Proxies manager, Proxy Editor.

Credentials

Provides a powerful tool for working with credentials: Credential Editor.

Endpoints

Provides a powerful tool for working with endpoints: Endpoint Editor.

DDL Triggers

Provides a powerful tool for working with DDL triggers: DDL Trigger Editor.

Target Servers

Provides a convenient tool for target servers management: Target Servers manager

SQL Manager for SQL Server provides graphical interface for a number of database maintenance operations. The following specific database tools are available in SQL Manager:

Attach Database Wizard

Allows you to attach an existing database to the instance of Microsoft® SQL Server™.

Detach Database Wizard

Allows you to detach a database from the instance of Microsoft® SQL Server™.

Backup Database Wizard

Creates backup copies of entire databases, transaction logs and files/filegroups.

Restore Database Wizard

Restores entire databases, transaction logs and files/filegroups from previously created backups.

Shrink Database Wizard

Reduces data and transaction log files.

Indices Management Wizard

Allows you to reorganize, rebuild, and disable indexes.

Statistics Update Wizard

Updates database statistics.

Check Database Wizard

Checks the allocation, structural, and logical integrity of all database objects.

Grant Manager

Allows you to grant/revoke privileges on database objects.

Using templates

Facilitates using SQL Manager wizards.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Personalization

External Tools

How To...


Backup Database

Backup Database Wizard allows you to perform the database backup operation on your SQL Server system (the BACKUP DATABASE Transact-SQL statement is issued).

This operation is used to create a backup copy of an entire database, transaction log or files/filegroups.

To run the wizard, select the Services | [image] Backup Database... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Backup Database... item of the context menu.

  • Selecting database to backup
  • Setting backup type and options
  • Selecting database files to backup
  • Selecting backup devices
  • Setting schedule options
  • Setting media options
  • Setting advanced backup options
  • Setting data transfer and/or transaction log backup options
  • Running database backup

See also:

Restore Database

Using templates


Selecting database to backup

This step of the wizard allows you to specify the host/instance containing the database for backup.

Backup Database - Selecting database to backup

Host

Type in or use the drop-down list to select the host/instance where the database resides.

Database

Use the drop-down list of all registered databases on the selected host to specify the database to backup.

Click the Next button to proceed to the Setting backup type and options step of the wizard.


Setting backup type and options

This step of the wizard allows you to set up basic options pertaining to the database backup operation.

Database recovery model

This label displays the recovery model defined for the database.

Backup name

Enter a name for the current backup.

Backup description

Enter any optional text to describe the backup operation.

Backup Database - Setting backup type and options

Backup type

Use this parameter to define the backup type:

RadioButton Database - full (a full database backup which backs up the entire database including the transaction log)

RadioButton Database - differential (a differential backup which records only the changes made to the data in the database after the last full database backup)

RadioButton Transaction log (a sequence of log backups provided for a continuous chain of transaction information to support recovery forward from database, differential, or file backups)

CheckBox Restart interrupted backup

Specifies that SQL Server restarts an interrupted backup operation. This option may save time because it restarts the backup operation from the point it was last interrupted.

Note: This option can only be used for backups directed to tape media and for backups that span multiple tape volumes. A restart operation never occurs on the first volume of the backup.

CheckBox Copy only

This option specifies that the backup does not affect the normal sequence of backups. A copy-only backup does not affect the overall backup and restore procedures for the database. You can create a copy-only backup for any type of backup.

Click the Next button to proceed to the Selecting database files to backup step of the wizard.


Selecting database files to backup

This step allows you to select files of the database to backup.

To add a file to the backup, select it in the list and set the respective flag in the Backup column.

To add all files to the backup, check the CheckBox Backup all files option.

Backup Database - Selecting database files to backup

Click the Next button to proceed to the Selecting backup devices step of the wizard.


Selecting backup devices

Use this step of the wizard to specify the devices to backup the database to. Note that all the selected backup devices must be of the same type.

To add a device, click the Add Item button and select a media type from the menu. Alternatively, you can use the context menu of the Backup Device list area for the same purpose. Select the required backup device using the corresponding dialog.

To remove a device from the list, select it and click the Delete Item button.

To browse the selected device, click the Device Content button.

Using the Add Item menu and items of the context menu you can also create a new device and specify its properties using the New Logical Backup Device dialog, add a file, a tape or set mirroring of backup media.

For backups performed on the SQL Server 2014 adding Windows Azure URL is possible as well.

Backup Database - Selecting backup devices - Setting URL

The URL format is used for creating backups to the Windows Azure Blob storage service.

Backup Database - Selecting backup devices

Disk backup devices are files on hard disks or other disk storage media are the same as regular operating system files. Referring to a disk backup device is the same as referring to any other operating system file. You can define disk backup devices on a local disk of a server, or on a remote disk on a shared network resource, and they can be as large or as small as needed. The maximum file size is the free disk space available on the disk.

Tape backup devices are used in the same way as disk devices, but the tape device must be connected physically to the computer running an instance of SQL Server, and if a tape backup device is filled during the backup operation, but more data still needs to be written, SQL Server prompts for a new tape and continues the backup operation. To back up SQL Server data to tape, use a tape backup device or tape drive supported by the Microsoft Windows platform. Additionally, use only the tapes recommended by the drive manufacturer for the specific tape drive.

Write mode

Append to media / Overwrite media

Select whether the media should be appended or overwritten during the backup operation.

Click the Next button to proceed to the Setting schedule options step of the wizard.


Setting media options

This step is only available if the RadioButton Append to media option was selected on the Setting backup type and options step of the wizard.

At this step you can specify whether the application should check the name and password combination for the media. To enable this feature, check the corresponding option and enter a name and a password for the media.

Backup Database - Setting media options

The following step is only available if the RadioButton Overwrite media option is selected on the Setting backup type and options step of the wizard.

At this step you can set a number of options pertaining to the media being overwritten.

Backup Database - Setting Overwrite media options

CheckBox Format media

Specifies that the media header should be written on all volumes used for this backup operation. Any existing media header is overwritten. This option invalidates the entire media contents, ignoring any existing content.

NB: Use this option carefully. Formatting one backup device or medium renders the entire media set unusable. For example, if a single tape belonging to an existing striped media set is initialized, the entire media set is rendered useless.

CheckBox Don't backup to existing media if...

If the option is selected, the media will be first examined for any existing unexpired backup sets and for the correctness of the password. If the password is incorrect or the media contains any unexpired backup sets, the current media will not be used for backup.

Media name

Enter the name of the media.

Media password

Enter the password for the media.

Re-enter password

Repeat the password to avoid misprints.

Media description

Supply any optional text to describe the media.

Backup set expiration date

Define expiration date for the current backup set.

Click the Next button to proceed to the Setting advanced backup options step of the wizard.


Setting advanced media options

This step offers advanced options that may be useful for the database backup operation.

Backup Database - Setting advanced backup options

Block size

Define the size of a data block. Possible values are: Default, To restore from CD (2048), Other (i.e. you can specify an arbitrary value).

Tape after backup

Specify whether the tape should be rewound, rewound and unloaded, or kept open when the backup operation is completed.

If necessary, you can set a password for the backup: enter the password twice in the respective edit fields.

CheckBox Verify backup when finished

Check this option to enable backup verification.

CheckBox Perform checksum before writing to media

This option enables/disables checksum verification before writing to the backup media.

CheckBox Continue on error

This option determines whether the backup operation will be stopped or forced to continue if an error occurs.

CheckBox Backup compression

Defines the values that are used to specify the backup compression option.

For backups performed on SQL Server 2014 and higher the following options are available as well.

Backup Database - Setting advanced backup options - Setting encryption

Credential for Windows Azure

This field is available only when creating a backup to the Windows Azure Blob storage service. Use the drop-down list to select the credential for accessing the Windows Azure storage.

Encryption

Use this drop-down list to specify encryption for a backup. You can specify an encryption algorithm to encrypt the backup with or specify <No encryption> to not have the backup encrypted.

Note: Encryption option is allowed only if the CheckBox Format media option has been set on the previous step.

Encryptor

If you choose to encrypt you also have to specify the encryptor. Encryptors can be a master key certificate or an EKM asymmetric key from a master database.

When you are done, click the Next button to proceed to the Setting data transfer and/or transaction log backup options step of the wizard.


Setting data transfer and/or transaction log backup options

This step offers some additional options that may be useful for setting up database backup operation: data transfer options and/or transaction log backup options.

Data transfer options

(only displayed for SQL Server 2008 and higher)

Backup Database - Setting data transfer options

Buffer count

Specifies the total number of I/O buffers to be used for the backup operation.

Max transfer size

Specifies the largest unit of transfer in bytes to be used between SQL Server and the backup media.

Note: If 0 is specified (by default), the default values will be used.

Transaction log backup options

(only displayed if the RadioButton Transaction log is selected at the Setting backup type and options step).

RadioButton Truncate inactive log items

The log is truncated after all the records within one or more virtual log files become inactive.

RadioButton No truncate inactive log items

Specifies that the log not be truncated and causes the Database Engine to attempt the backup regardless of the state of the database. This option allows backing up the log in situations where the database is damaged.

RadioButton No recovery (leaves database in restoring state)

Backs up the tail of the log and leaves the database in the RESTORING state. This is useful when failing over to a secondary database or when saving the tail of the log before a restore operation.

RadioButton Standby (leaves database in read-only and standby mode)

Backs up the tail of the log and leaves the database in a read-only and STANDBY state. Using standby mode requires a standby file, specified by Undo file name.

When you are done, click the Next button to proceed to the last step of the wizard.


Setting schedule options

Using this step you can create a scheduled backup by selecting the RadioButton Create schedule option and defining the scheduling parameters.

Schedule name

Enter a name of the new backup schedule.

CheckBox Enabled

Check this option to enable the scheduled backup immediately after its creation.

Backup Database - Setting schedule options

Execution Type

This panel allows you to define the execution behavior of the schedule:

RadioButton Start when SQL Server Agent starts

The scheduled backup operation will be started each time upon the SQL Server Agent startup.

RadioButton Start when CPU usage is low

The scheduled backup operation will be started each time when the CPU usage is low.

RadioButton Start once on...

The scheduled backup operation will be started only once on the defined date at the specified time.

RadioButton Recurrent Execution

The scheduled backup operation will be started recurrently.

The following tabs allow you to setup the schedule routine:

Recurring Interval

This tab allows you to set the schedule recurrence periodicity in days: you can run your schedule daily, weekly, monthly, every several days, or on a certain day(s) of the week.

Daily Frequency

This tab allows you to set the schedule recurrence periodicity in hours: you can run your schedule once at a specified time, or run it every few hours or minutes after the specified interval.

Duration

This tab allows you to set the schedule lifetime: you can set the schedule start date and the expiration date in the respective edit fields.

Click the Next button to proceed to the Setting media options step of the wizard.


Running database backup

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the backup database process.

The log area allows you to view the log of operations and errors (if any).

Backup Database - Running database backup

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

CheckBox Show SQL

This option enables/disables SQL statements displayed within the Operations tab.

If necessary, you can save a template for future use.

Click the Finish button to run the backup database operation.


Restore Database

Restore Database Wizard allows you to perform the database restore operation on your SQL Server system (the RESTORE DATABASE Transact-SQL statement is issued).

This operation is used to rebuild a damaged or corrupted database that has been backed up using Backup Database Wizard. You can restore an entire database, part of a database, specific files and filegroups, transaction logs.

To run the wizard, select the Services | [image] Restore Database... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Restore Database... item of the context menu. Alternatively, you can right-click the Databases node and select the Tasks | [image] Restore Database... context menu item.

  • Selecting destination database
  • Setting restore type and recovery options
  • Selecting backup set to restore
  • Selecting files to restore
  • Setting advanced restore options
  • Running database restore

See also:

Backup Database

Using templates


Selecting destination database

This step of the wizard allows you to specify the host/instance to restore database, and to provide authentication parameters.

Restore Database - Selecting destination database

Server name

Type in or use the drop-down list to select the host/instance name to restore database to.

Authentication

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: the built-in RadioButton Windows authentication or RadioButton SQL Server authentication.

If 'SQL Server' has been selected as the authentication type, you should also provide authorization settings: User name and Password.

Trust server certificate

If you use this option, the connection process skips the trust chain validation. In this case, the application connects even if the certificate can't be verified.

Restore as

Select RadioButton New database if you want to create a new database, or select RadioButton Existing database to restore to an existing database.

Database name

Enter a name for the new database or select the database to restore to from the drop-down list of all available databases on the specified host.

CheckBox Register after restoring

This option indicates that the Database Registration Info dialog for the newly restored database will appear immediately after restoring the database (you need to register the database to start working with it in SQL Manager). If you intend to register the database later, uncheck this option.

Click the Next button to proceed to the Setting restore type and recovery options step of the wizard.


Setting restore type and recovery options

Use this step of the wizard to define a restore type and set recovery options.

Restore type

This group of options allows you to specify the restore type to be used for the restore operation.

RadioButton Database

Full restore or differential restore of entire database or individual files and filegroups. Files and filegroups can be restored either from a file or filegroup backup operation, or from a full database backup operation.

RadioButton Transaction log

Specifies that a transaction log backup will be used to restore this database. SQL Server checks the backed up transaction log to ensure that the transactions are being loaded into the correct database and in the appropriate sequence.

RadioButton Recovery without restore

Select this option to execute the database recovery only.

RadioButton Recovery from database snapshot

Select this option to restore the database from a previously saved snapshot.

CheckBox Restart interrupted restore

This option specifies that SQL Server should restart a restore operation that has been interrupted. The restore operation is restarted from the point it was interrupted.

Restore Database - Setting restore type and recovery options

Recovery options

This group of options allows you to specify the recovery options to be applied to the restore operation.

RadioButton Recovery

This option specifies that the restore operation rolls back any uncommitted transactions. After the recovery process the database is ready for use.

RadioButton No recovery

This option specifies that the restore operation does not roll back any uncommitted transactions.

Note: When this option is selected, the database is not usable in this intermediate, non-recovered state.

When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of the following situations:

  • a restore script is being run and the log is always being applied;
  • a sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

RadioButton Standby

This option allows the database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.

Undo file name

Specify the undo file name, so that the recovery effects can be undone. The size required for the undo file depends on the volume of undo actions resulting from uncommitted transactions. The same undo file can be used for consecutive restores of the same database.

NB: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

Click the Next button to proceed to the Selecting backup set to restore step of the wizard.


Selecting backup set to restore

At this step of the wizard you need to select a backup media to restore the database from.

You can specify a backup set manually by adding devices to the device list.

To add a device, click the Add Item button and select a media type from the menu. Select the required backup device using the corresponding dialog.

To remove a device from the list, select it and click the Delete Item button.

Restore Database - Selecting backup set to restore

Using the Add Item menu you can add a logical device, a file, or a tape.

For restoring performed on the SQL Server 2014 adding Windows Azure URL is possible as well.

Backup Database - Selecting backup devices - Setting URL

Specify the location and the file name for the Windows Azure Blob in the URL format.

Also you need to specify Credential for Windows Azure which is the credential to access the storage.

Backup number

Identifies the backup set to be restored. For example, 1 indicates the first backup set on the backup medium and 2 indicates the second backup set.

Media name

Specify the name for the media. If provided, the media name must match the media name on the backup volume(s); otherwise, the restore operation terminates. If no media name is given, no check for matching media name on the backup volume(s) is performed.

NB: Consistently using media names in backup and restore operations provides an extra safety check for the media selected for the restore operation.

Media password

Supply the password for the media set. If a password was provided when the media set was formatted, that password must be supplied to access any backup set on that media set.

Backup password

Provide the password for the backup set. If a password was provided when the backup set was created, the password must be supplied to perform any restore operation from the backup set.

To select a whole backup set, click the Select Backup Set... button and select a set in the corresponding dialog.

Restore Database - Selecting backup set

Click the Next button to proceed to the Selecting files to restore step of the wizard.


Selecting files to restore

This step allows you to select files that will be used to restore the database.

By default the application restores all files. It is indicated by the CheckBox Restore all files option selected. To select files manually, you should uncheck this option.

To add a file to the restore, select it in the list and set the respective flag in the Restore column.

To add all files to the restore, check the CheckBox Restore all files option.

You can also edit file paths by clicking the corresponding rows of the Physical File Name and Path column.

Restore Database - Selecting files to restore

CheckBox Partial database restore

This option specifies a partial restore operation. Application or user errors often affect an isolated portion of the database, such as a table. Examples of this type of error include an invalid update or a table dropped by mistake. To support recovery from these events, SQL Server provides a mechanism to restore part of the database to another location so that the damaged or missing data can be copied back to the original database.

The granularity of the partial restore operation is the database filegroup. The primary file and filegroup are always restored, along with the files that you specify and their corresponding filegroups.

Click the Next button to proceed to the Setting advanced restore options step of the wizard.


Setting advanced restore options

This step offers some additional options that are specific for each restoration mode.

CheckBox Preserve database replication settings

This option specifies that the replication settings are preserved upon restoration of a published database to a server other than that on which it was created. It prevents replication settings from being removed when a database or log backup is restored on a warm standby server and the database is recovered.

CheckBox Restrict access for database to dbo only

This option restricts access to the newly restored database to members of the db_owner, dbcreator, or sysadmin roles.

Restore Database - Setting advanced restore options

Tape after restoring

Specify whether the tape should be rewound, rewound and unloaded, or kept open when the restoration is completed.

Transaction log restore options

This section is available only if the Transaction log restore type was selected at the Setting restore type and recovery options step.

RadioButton Restore all records of transaction log

Select this option to make a complete restore from transaction log backup.

RadioButton Restore all records of transaction log before

This option indicates that database restore is based on the transaction log records added before specified date. Pick date and specify time in the fields below.

RadioButton Restore all records of transaction log up to marked transaction

Use this option to restore database to the state when marked transaction was committed.

Mark name

Specify the needed mark in the field.

Look for marks at or after

You need to define the start date time point to search for the marked transaction from.

CheckBox Perform checksum

This option enables/disables checksum verification before restoring from the backup media.

CheckBox Continue on error

This option determines whether the restore operation will be stopped or forced to continue if an error occurs.

When you are done, click the Next button to proceed to the last step of the wizard.


Running database restore

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the restore database process.

The log area allows you to view the log of operations and errors (if any).

Restore Database - Running database restore

At this step of the wizard you are provided with an ability to view the number of connections to the database.

Click the Refresh button to update the number of connections to the database.

Click the Clear button to kill all connections to the database you need to restore.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

CheckBox Show SQL

This option enables/disables SQL statements displayed within the Operations tab when running database restore.

If necessary, you can save a template for future use.

Click the Finish button to run the restore database operation.


Backup Devices

A Backup device is a tape drive or a disk drive used in backup and restore operations. When creating a backup, you must select a backup device where the data will be written. Microsoft SQL Server 2005 (and higher) can back up databases, transaction logs, and files to disk and tape devices.

To open a list of backup devices on a server select the Services | [image] Backup Devices... main menu item

  • Backup devices manager
  • Backup Device properties

See also:

Backup Database

Restore Database

Backup Devices


Backup devices manager

The Backup devices manager allows you to browse the list of SQL Server backup devices and manage them efficiently.

To launch the tool, select the Services | Backup Devices main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Backup Devices item from the context menu.

Backup Devices - Backup devices manager

The list displays the existing backup devices as a grid with the following columns: Device name, Type, Physical name.

Right-click an item within the list to call the context menu allowing you to create a new backup device and specify its properties using the New Logical Backup Device dialog, rename, delete the selected backup device, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of backup devices to any of supported output file formats.

Backup devices management tools are also available through the Navigation bar of the Backup devices manager.

The Device contents area allows you to view the contents of the selected backup device: Media name, Number of media families, Family sequence number, Media description.

To display the actual contents, press the Show button. If necessary, you can check the CheckBox Auto show option - in this case the contents of each backup device will be retrieved upon the backup device selection in the list.

The lower list displays the backup operation(s) with the following attributes:

Finished on

Backup type

DB Name

Backup Name

Size (KB)

Number

Expire on

Backup description

Device Type

Created on

Created by

If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Hint: These properties are also available within the modal Backup Device Properties dialog which is called through the Backup Device Contents... context menu item of the backup device alias in DB Explorer.


Backup Device properties

The Backup Device Properties dialog allows you to browse the backup device contents and the backup operation(s) with this backup device used.

To open the dialog, right-click the backup device in DB Explorer and select the Backup Device Contents... context menu item.

Backup Devices - Backup Device properties

The Device contents area allows you to view the contents of the backup device: Media name, Number of media families, Family sequence number, Media description.

The lower list displays the backup operation(s) as a grid with the following columns: Finished on, Backup type, DB Name, Backup Name, Size (KB), Number, Expire on, Backup description, Device Type, Created on, Created by. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.


Attach Database

Attach Database Wizard allows you to attach an existing database that is made up of one or more files to the instance of Microsoft® SQL Server™ (with SQL Server routines used).

This operation is used to attach a database with the specified name and using the specified data files.

To run the wizard, select the Services | [image] Attach Database... main menu item, or right-click the Databases node in the DB Explorer tree and select the Tasks | [image] Attach Database... context menu item.

  • Setting connection properties
  • Defining database files and general options
  • Attaching database

See also:

Detach Database

Using templates


Setting connection properties

This step of the wizard allows you to specify the host/instance to attach database to, and to provide authentication parameters.

Attach Database - Setting connection properties

Server name

Type in or use the drop-down list to select the host/instance name to attach database to.

Authentication

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: the built-in RadioButton Windows authentication or RadioButton SQL Server authentication.

If 'SQL Server' has been selected as the authentication type, you should also provide authorization settings: User name and Password.

Trust server certificate

If you use this option, the connection process skips the trust chain validation. In this case, the application connects even if the certificate can't be verified.

Click the Next button to proceed to the Defining database files and general options step of the wizard.


Defining database files and general options

Use this step of the wizard to select the files to attach to the server as a database.

MDF file name with path

Use the ExplorerButton button to specify the path and name of the file to attach to the server. Then press the Get All Files button to add the database files to the file list.

Attach Database - Defining database files and general options

Database name

Enter the name of the database to be attached.

Database owner

Use the drop-down list to select the database owner.

CheckBox Register Database

This option indicates that the Database Registration Info dialog for the new database will appear immediately after attaching the database (you need to register the database to start working with it in SQL Manager). If you intend to register the database later, uncheck this option.

When you are done, click the Next button to proceed to the Attaching database step of the wizard.


Attaching database

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the attach database process.

The log area allows you to view the log of operations and errors (if any).

Attach Database - Attaching database

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.

Click the Finish button to complete the operation.


Detach Database

Detach Database Wizard allows you to detach a database from the instance of Microsoft® SQL Server™ (with SQL Server routines used).

This operation is used to detach the specified database with or without updating statistics before the database is detached.

To run the wizard, select the Services | [image] Detach Database... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Detach Database... item of the context menu.

  • Setting connection properties
  • Selecting the database
  • Detaching database

See also:

Attach Database

Using templates


Setting connection properties

This step of the wizard allows you to specify the host/instance to detach database from, and to provide authentication parameters.

Detach Database - Setting connection properties

Server name

Type in or use the drop-down list to select the host/instance name to detach database from.

Authentication

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: the built-in RadioButton Windows authentication or RadioButton SQL Server authentication.

If 'SQL Server' has been selected as the authentication type, you should also provide authorization settings: User name and Password.

Trust server certificate

If you use this option, the connection process skips the trust chain validation. In this case, the application connects even if the certificate can't be verified.

Click the Next button to proceed to the Selecting the database step of the wizard.


Selecting the database

At this step of the wizard you should specify the database to be detached from the instance of SQL Server.

Use the Database drop-down list to select the database to be detached.

Note that you can detach a database only if it has no active connections and it is not enabled for replication. To clear the current connections to the database, use the corresponding Clear connections button.

Press the Refresh button to get the current status of the selected database.

Detach Database - Selecting the database

CheckBox Update statistics before detaching

Check this option to update the database statistics before detaching the database.

CheckBox Unregister database

Using this option you can unregister the database (if it has been registered in SQL Manager).

When you are done, click the Next button to proceed to the Detaching database step of the wizard.


Detaching database

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the detach database process.

The log area allows you to view the log of operations and errors (if any).

Detach Database - Detaching database

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.

Click the Finish button to complete the operation.


Shrink Database

Shrink Database Wizard allows you to perform database shrinking on your SQL Server system (the DBCC SHRINKDATABASE and SHRINKFILE Transact-SQL statements are issued).

This operation is used to reduce any file within the database to remove unused pages. Both data and transaction log files can be reduced, or shrunk.

To run the wizard, select the Services | [image] Shrink Database... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Shrink Database... item of the context menu.

  • Selecting database and setting shrink mode
  • Defining shrink action for database
  • Defining shrink action for files
  • Shrinking database

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Using templates


Selecting database and setting shrink mode

This step of the wizard allows you to specify the host/instance containing the database for shrinking, and to select the shrink mode.

Shrink Database - Selecting database and setting shrink mode

Host

Type in or use the drop-down list to select the host/instance where the database resides.

Database

Use the drop-down list of all registered databases on the selected host to specify the database to shrink.

Shrink

Select the preferable shrink mode: RadioButton Database (SHRINKDATABASE) or RadioButton Files (SHRINKFILE).

Click the Next button to proceed to the Defining shrink action for database step of the wizard (if you have selected the Database shrink mode), or to the Defining shrink action for files step (if you have selected the Files shrink mode).


Defining shrink action for database

This step of the wizard provides you with information on the allocated and free space, and allows you to specify the shrink action for the database.

Shrink Database - Defining shrink action for database

Database info

This group displays the currently allocated space and the available free space values pertaining to the database being shrunk.

Shrink action

CheckBox Reorganize file before releasing free unused space

This action causes the file to be reorganized before free space is released.

Max free space in files after shrinking

Specify the percentage of free space that will be left in the database file after the database is shrunk.

When you are done, click the Next button to proceed to the Shrinking database step of the wizard.


Defining shrink action for files

This step of the wizard provides you with information on the allocated and free space, and allows you to specify the shrink action for each of the database files.

Shrink Database - Defining shrink action for files

Shrink action for file

RadioButton Release unused space

The free unused space is released explicitly (default).

RadioButton Reorganize pages before releasing unused space

This action causes the pages to be reorganized before unused space is released.

RadioButton Empty file by migrating the data to other file in the same filegroup

This action migrates all data from the selected file to other files in the same filegroup. In this case placing data on the file is not allowed.

If necessary, you can change the default value of the target_size edit-box to enforce shrinking the file to the specified size.

When you are done, click the Next button to proceed to the Shrinking database step of the wizard.


Shrinking database

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the shrink database/files process.

If necessary, you can edit the result script before execution.

Shrink Database - Shrinking database

If necessary, you can save a template for future use.

Click the Finish button to execute the result script and complete the operation.


Indices Management

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Manage indices

Indices Management Wizard allows you to perform index management operations in your SQL Server database: reorganizing, rebuilding, disabling (the ALTER INDEX REORGANIZE ... REBUILD ... DISABLE Transact-SQL statements are issued).

When indexes have pages in which the logical ordering based on the key value, does not match the physical ordering inside the data file, these indexes are called fragmented. Highly fragmented indexes may considerably decrease query performance. Index fragmentation is remedied by either reorganizing or by rebuilding an index.

To run the wizard, select the Services | [image] Indices Management... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Indices Management... item of the context menu.

  • Selecting database for indices management
  • Selecting tables that contain indexes
  • Specifying actions and setting options
  • Editing and executing the result script

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Indices

Using templates


Selecting database for indices management

This step of the wizard allows you to specify the host/instance containing the database for indexes management.

Indices Management - Selecting database for indices management

Host

Type in or use the drop-down list to select the host/instance where the database resides.

Database

Use the drop-down list of all registered databases on the selected host to specify the database to manage indexes in.

Click the Next button to proceed to the Selecting tables step of the wizard.


Selecting tables

This step of the wizard allows you to select tables containing indexes.

To select a table, you need to move it from the Available Tables list to the Selected Tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Indices Management - Selecting tables

Click the Next button to proceed to the Specifying actions and setting options step of the wizard.


Specifying actions and setting options

Use this step of the wizard to specify an action for each index and set the respective parameters.

The upper area lists all indexes of the tables selected at the previous step.

The Fragmentation column indicates the current fragmentation percentage of each index (avg_fragmentation_in_percent);

the Action column allows you to specify one of the available actions to be performed over the selected index: REBUILD, REORGANIZE, DISABLE.

Indices Management - Specifying actions and setting options

The lower area lists the parameters that can be defined for the specified action (except for DISABLE).

  • REBUILD:

PAD_INDEX

This parameter sets the percentage of free space in the intermediate level pages during index creation.

FILLFACTOR

This parameter sets the percentage of free space in the leaf level of each index page during index creation.

STATISTICS_NORECOMPUTE

This option specifies whether out-of-date index statistics should be automatically recomputed.

ONLINE

This option determines whether concurrent user access to the underlying table or clustered index data and any associated non-clustered indexes is allowed during index operations.

ALLOW_ROW_LOCKS

This option determines whether row locks are used in accessing index data.

ALLOW_PAGE_LOCKS

This option determines whether page locks are used in accessing index data.

MAXDOP

This parameter sets the maximum number of processors the query processor can use to execute a single index statement. Fewer processors may be used depending on the current system workload.

  • REORGANIZE:

LOB_COMPARISON

Besides reorganizing one or more indexes, large object data types (LOBs) that are contained in the clustered index or underlying table can be compacted when an index is reorganized. The data types image, text, ntext, varchar(max), nvarchar(max), varbinary(max), and xml are large object data types. Compacting this data can cause better disk space use.

When you are done, click the Next button to proceed to Editing and executing the result script.


Editing and executing the result script

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the indexes management process.

If necessary, you can edit the result script before execution.

Indices Management - Editing and executing the result script

If necessary, you can save a template for future use.

Click the Finish button to execute the result script and complete the operation.


Update Statistics

Statistics Update Wizard allows you to perform the update statistics operation in your SQL Server database (the UPDATE STATISTICS statement is issued).

This operation is used to updates the statistics for the specified table(s) and view(s).

To run the wizard, select the Services | [image] Update Statistics... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Update Statistics... item of the context menu.

  • Selecting database for statistics update
  • Selecting tables and views
  • Specifying update statistics options
  • Editing and executing the result script

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Indices

Using templates


Selecting database for statistics update

This step of the wizard allows you to specify the host/instance containing the database for statistics update.

Statistics Update - Selecting database for statistics update

Host

Type in or use the drop-down list to select the host/instance where the database resides.

Database

Use the drop-down list of all registered databases on the selected host to specify the database to update statistics.

Click the Next button to proceed to the Selecting tables and views step of the wizard.


Selecting tables and views

This step of the wizard allows you to select tables and views to update statistics for.

To select a table/view, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

Statistics Update - Selecting tables and views

Click the Next button to proceed to the Specifying update statistics options step of the wizard.


Specifying update statistics options

Use this step of the wizard to set options for each table/view.

The main area lists all tables and views selected at the previous step.

The Option column allows you to specify one of the available options to be applied to the selected object: ALL, COLUMNS, INDEX.

Statistics Update - Specifying update statistics options

Options

This group allows you to set update statistics options for tables.

RadioButton Fullscan

Use this option to specify that all table rows should be read to gather the statistics. This option provides the same behavior as SAMPLE 100 PERCENT.

RadioButton Sample

This option allows you to specify the percentage of the table, or the number of rows to sample when collecting statistics for each table. When 0 PERCENT or ROWS is specified, the result is an empty statistics set.

RadioButton Resample

Select this option to specify that statistics will be gathered using an inherited sampling ratio for all existing statistics including indexes. If the sampling ratio creates too few rows being sampled, the Database Engine automatically corrects the sampling based on the number of existing rows in the table.

CheckBox No recompute

This option specifies that automatic recomputation of the statistics that become out of date will be disabled.

Click the Next button to proceed to the Selecting indexes step of the wizard.


Browsing indices

This step of the wizard allows you to browse indexes to be included into the UPDATE STATISTICS statement. This step appears only if INDEX option was selected on the Specifying update statistics options step at least for one table.

For you convenience the indexes are represented in the form of a tree with objects-containers as tree nodes.

Statistics Update - Selecting indexes

When you are done, click the Next button to proceed to Selecting statistics step.


Browsing statistics

This step of the wizard allows you to browse statistics to be included into the UPDATE STATISTICS statement. This step appears only if COLUMN option was selected on the Specifying update statistics options step at least for one table.

For you convenience the statistics are represented in the form of a tree with objects-containers as tree nodes.

Statistics Update - Selecting statistics

When you are done, click the Next button to proceed to Editing and executing the result script.


Editing and executing the result script

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the update statistics process.

If necessary, you can edit the result script before execution.

Statistics Update - Editing and executing the result script

If necessary, you can save a template for future use.

Click the Finish button to execute the result script and complete the operation.


Check Database

Check Database Wizard allows you to perform the check database operation on your SQL Server system (the DBCC CHECKDB Transact-SQL statement is issued).

This operation is used to check the allocation, structural, and logical integrity of all the objects in the specified database.

To run the wizard, select the Services | [image] Check Database... main menu item, or right-click the database alias in the DB Explorer tree and select the Tasks | [image] Check Database... item of the context menu.

  • Selecting database to check
  • Specifying arguments and options
  • Editing and executing the result script

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Using templates


Selecting database to check

This step of the wizard allows you to select the host/instance containing the database for checking.

Check Database - Selecting database to check

Host

Type in or use the drop-down list to select the host/instance where the database resides.

Database

Use the drop-down list of all registered databases on the selected host to specify the database to run integrity checks for.

Click the Next button to proceed to the Specifying arguments and options step of the wizard.


Specifying arguments and options

Use this step of the wizard to specify arguments and options for the check database operation.

Check Database - Specifying arguments and options

Arguments

RadioButton Disable intensive checks of nonclustered indexes for user tables

This argument (NOINDEX) specifies that intensive checks of non-clustered indexes for user tables should not be performed; therefore, the overall execution time is decreased.

RadioButton Repair with data loss

When this argument (REPAIR_ALLOW_DATA_LOSS) is used, all reported errors are repaired. These repairs can cause data loss.

RadioButton Fast repair

This argument (REPAIR_FAST) enables fast repair of errors which is maintained for backward compatibility.

RadioButton Repair and rebuild indexes

This argument (REPAIR_REBUILD) performs all repairs performed by REPAIR_FAST and includes time-consuming repairs such as rebuilding indexes. These repairs can be performed without risk of data loss.

Options

CheckBox All errors

This option (ALL_ERRORMSGS) displays an unlimited number of errors per object.

CheckBox No info messages

This option (NO_INFOMSGS) suppresses all informational messages.

CheckBox Use exclusive database lock

If this option (TABLOCK) is used, the DBCC CHECKDB statement obtains locks instead of using an internal database snapshot. This includes a short-term database exclusive lock.

CheckBox Estimate only

This option (ESTIMATEONLY) displays the estimated amount of tempdb space that is required to run DBCC CHECKDB with all the other specified options. The actual database check is not performed in this case.

CheckBox Physical only

This option (PHYSICAL_ONLY) limits the checking operation to the integrity of the physical structure of the page and record headers, the physical structure of B-trees and the allocation consistency of the database. Designed to provide a small overhead check of the physical consistency of the database, this check can also detect torn pages, checksum failures, and common hardware failures that can compromise a user's data.

CheckBox Purity of data

If this option (DATA_PURITY) is enabled, the DBCC CHECKDB statement checks the database for column values that are not valid or out-of-range.

CheckBox Max degree of parallelism

Use this option to set the degree of threads per execution. The default value for Max degree of parallelism is set to 0, this means there is no limit to the number of processors.

When you are done, click the Next button to proceed to Editing and executing the result script.


Editing and executing the result script

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the check database process.

If necessary, you can edit the result script before execution.

Check Database - Editing and executing the result script

If necessary, you can save a template for future use.

Click the Finish button to execute the result script and complete the operation.


Instance Manager

The Instance Manager tool allows you to check SQL Server services statuses on local and remote servers, stop or start them and configure some properties.

Note: To manage an instance you must have Local Administrator privileges on the host where the SQL Server service is running.

To launch this tool use the Services | Instance Manager item of main menu.

  • Using Navigation bar and Toolbar
  • Start/Stop service
  • Configure service

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Instance Manager.

Instance Manager - Using navigation bar and toolbar

The Navigation bar of Instance Manager allows you to:

Host

iconHost select a server instance for managing services

Service

iconInstanceManager select a service for configuring

Service Management

iconStartService start the selected service

iconStopService stop the selected service

iconRefresh refresh the content of the window

iconApplyChanges apply changes

iconRestoreDefaultSize restore the default size and position of the window

Items of the Navigation bar are also available on the ToolBar of the Resource Governor window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Start/Stop Service

Use this tab to start/stop the selected service.

Instance Manager - StartStop service

To stop/start the service click the Stop/Start Service button. Be aware that all users connected to the databases will be disconnected on stopping the server.

Log messages

This log shows all messages during server startup and shutdown.

Click the Clear Log button to clean all messages.


Configure Service

On the Configure Service tab you can set some service parameters.

Instance Manager - Configure service

Service Settings

CheckBox Launch service on system start

Check this option to set the Automatic launch type of the selected service. If this option is unchecked then the launch type is Manual.

Display name

Specify the service name displayed in the Computer Management Console.

Service description

Provide the description for the selected service. This description will be displayed in the Computer Management Console.

Service parameters

In this field you can view the path to the service executable file.

To apply changes click the iconApplyChanges button on the toolbar or navigation bar.


Jobs

A job is a specified set of operations performed sequentially by SQL Server Agent. A job can perform a wide range of activities, including running Transact-SQL scripts, command-line applications, Microsoft ActiveX scripts, Integration Services packages, Analysis Services commands and queries, or Replication tasks. Jobs can run repetitive or scheduled tasks, and they can automatically notify operators of job status by generating alerts.

SQL Server Agent jobs can be used to simplify SQL Server administration and make it more efficient by automating routine administrative tasks.

Before using SQL Server jobs, make sure that the SQL Server Agent service is running.

  • Jobs manager
  • Job Editor

Creating Jobs

To create a new job:

  • right-click the Jobs node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Job item from the context menu;
  • define job properties using the appropriate tabs of Job Editor.

or

  • select the Database | New Object... main menu item;
  • select Job in the Create New Object dialog;
  • define job properties using Job Editor.

Hint: To create a new job, you can also select the Services | SQL Server Agent | Jobs main menu item to open the Jobs manager and select the Add Job... item from the context menu or on the Navigation bar.

To create a new job with the same properties as one of existing jobs has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a job in the DB Explorer tree and select the Duplicate Job <job_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new job and to edit the result SQL statement for creating the job.

Editing Jobs

To edit an existing job:

  • select the job for editing in the DB Explorer tree (type the first letters of the job name for quick search);
  • right-click the object and select the Edit Job <job_name> context menu item, or simply double-click the job;
  • edit job properties using the appropriate tabs of Job Editor.

To change the name of a job:

  • select the Job to rename in the DB Explorer tree;
  • right-click the job alias and select the Rename Job <job_name>... item from the context menu;
  • edit the job name using the Rename Object... dialog.

Dropping Jobs

To drop a job:

  • select the job to drop in the DB Explorer tree;
  • right-click the object and select the Drop Job <job_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new job;

Ctrl+O to edit the selected job;

Ctrl+R to rename the job;

Shift+Del to drop the object.

To create, edit, rename and drop jobs, you can also use the context menu and the Navigation bar of Jobs manager.

See also:

Job History

Job Editor


Jobs manager

The Jobs manager allows you to browse the list of jobs and manage them efficiently.

To launch the tool, select the Services | SQL Server Agent | Jobs main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Jobs item from the context menu.

Jobs - Jobs manager

The list displays the existing jobs as a grid with the following columns: Job Name, Owner, Status, Category, Description, Enabled, Last Run Status, Last Run Date, Next Run Date, Schedules.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Hint: Enabled/disabled jobs are differentiated in the list by their icons: icons for disabled jobs are grayed out.

Note: Job events and properties are partially listed within the Job tab of Job Editor.

Right-click an item within the list to call the context menu allowing you to create a new job and specify its properties using Job Editor, start an idle job, stop a running job, edit, delete the selected job, show job history, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of jobs to any of supported output file formats.

Jobs management tools are also available through the Navigation bar of the Jobs manager.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Job History

The Job History window allows you to view the list of recent jobs and the results of their execution.

Before using job history, make sure that the SQL Server Agent service is running.

  • Viewing job history
  • Filtering job history list

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Jobs manager

Jobs Editor


Viewing job history

The Job History window allows you to browse the list of recently tried jobs and manage this list efficiently.

To launch the tool, select the Services | SQL Server Agent | Job History main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Job History item from the context menu.

Job History - Viewing job history

The list displays the recent jobs as a grid with the following columns: Run Date, Job Name, Run Status, Duration, Retries, Sent Email, Sent Pager, Net Sent, Server.

Right-click an item within the list to call the context menu allowing you to filter jobs in list, clear the history of all jobs or of the selected job, refresh the list, or show/hide columns of the list. Using the context menu you can also export the job history list to any of supported output file formats, add, edit and delete jobs.

Job history list management tools are also available through the Navigation bar of the Job History window.

The Steps area displays the list of steps defined for the selected job, with the following attributes pertaining to each step: Step ID, Step Name, Run Status, Error ID, Severity, Run Date, Duration, Retries.

At the bottom of the Job History window the Message area is located. It allows you to view the details of the selected step execution.


Filtering job history list

The Job History Filter dialog is a filtering facility implemented in Job History list for your convenience.

To open the dialog, right-click within the Job History list and select the Filter... context menu item, or use the corresponding item of the Navigation bar.

Job History - Filtering job history list

The Job History Filter dialog provides the following options for flexible Job History list filtering:

Execution Date Interval

From ... To ...

Set the date interval criteria using the date editor which is activated when you click the Arrow-Down element of the combo-box.

Execution Day Time

From ... To ...

Set the day time interval criteria using the spinner controls.

Running

Minimum Run Duration

Minimum Number of Retries

Specify the minimum duration and number of job retries criteria using the spinner controls.

Run Status

Select the job run status criterion:

RadioButton Any

RadioButton Failed

RadioButton Succeeded

RadioButton Canceled

RadioButton In-progress message

RadioButton Unknown

Execution Error

This group allows you to specify criteria for the jobs that have been run with errors: Error ID, Error message, Error Severity.

Hint: If necessary, you can reset the current filter criteria using the Clear button.


Alerts

An alert is as an automated response to one or more events. You can define an alert to specify how SQL Server Agent should respond to their occurrence. An alert can respond to an event by notifying an administrator or running a job, or both. An alert can also forward an event to the Microsoft Windows application log on a different computer. By defining alerts, database administrators can monitor and manage SQL Server more effectively.

Before using SQL Server alerts, make sure that the SQL Server Agent service is running.

  • Alerts manager
  • Alert Editor

Creating Alerts

To create a new alert:

  • right-click the Alerts node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Alert item from the context menu;
  • define alert properties using the appropriate tabs of Alert Editor.

or

  • select the Database | New Object... main menu item;
  • select Alert in the Create New Object dialog;
  • define alert properties using Alert Editor.

Hint: To create a new alert, you can also select the Services | SQL Server Agent | Alerts main menu item to open the Alerts manager and select the Add Alert... item from the context menu or on the Navigation bar.

To create a new alert with the same properties as one of existing alerts has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click an alert in the DB Explorer tree and select the Duplicate Alert <alert_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new alert and to edit the result SQL statement for creating the alert.

Editing Alerts

To edit an existing alert:

  • select the alert for editing in the DB Explorer tree (type the first letters of the alert name for quick search);
  • right-click the object and select the Edit Alert <alert_name> context menu item, or simply double-click the alert;
  • edit alert properties using the appropriate tabs of Alert Editor.

To change the name of an alert:

  • select the alert to rename in the DB Explorer tree;
  • right-click the alert alias and select the Rename Alert <alert_name>... item from the context menu;
  • edit the alert name using the Rename Object... dialog.

Dropping Alerts

To drop an alert:

  • select the alert to drop in the DB Explorer tree;
  • right-click the object and select the Drop Alert <alert_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new alert;

Ctrl+O to edit the selected alert;

Ctrl+R to rename the alert;

Shift+Del to drop the object.

To create, edit, rename and drop alerts, you can also use the context menu and the Navigation bar of Alerts manager.

See also:

Alert Editor


Alerts manager

The Alerts manager allows you to browse the list of alerts and manage them efficiently.

To launch the tool, select the Services | SQL Server Agent | Alerts main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Alerts item from the context menu.

Alerts - Alerts manager

The list displays the alerts as a grid with the following columns: Alert Name, Type, Enabled, Error Code, Severity, Last Occurrence, Sent Pager, Net Sent, Server.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Hint: Enabled/disabled alerts are differentiated in the list by their icons: icons for disabled alerts are grayed out.

Right-click an item within the list to call the context menu allowing you to create a new alert and specify its properties using Alert Editor, edit, delete the selected alert, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of alerts to any of supported output file formats.

Alerts management tools are also available through the Navigation bar of the Alerts manager.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Operators

An operator is the object that represents a single SQL Server operator. SQL Server operators receive alert and job status notification in response to events generated by the server. You can assign alert notifications and job notifications for any operator defined for the instance of SQL Server.

Before using SQL Server operators, make sure that the SQL Server Agent service is running.

  • Operators manager
  • Operator Editor

Creating Operators

To create a new operator:

  • right-click the Operators node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Operator item from the context menu;
  • define operator properties using the appropriate tabs of Operator Editor.

or

  • select the Database | New Object... main menu item;
  • select Operator in the Create New Object dialog;
  • define operator properties using Operator Editor.

Hint: To create a new operator, you can also select the Services | SQL Server Agent | Operators main menu item to open the Operators manager and select the Add Operator... item from the context menu or on the Navigation bar.

To create a new operator with the same properties as one of existing operators has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click an operator in the DB Explorer tree and select the Duplicate Operator <operator_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new operator and to edit the result SQL statement for creating the operator.

Editing Operators

To edit an existing operator:

  • select the operator for editing in the DB Explorer tree (type the first letters of the operator name for quick search);
  • right-click the object and select the Edit Operator <operator_name> context menu item, or simply double-click the operator;
  • edit operator properties using the appropriate tabs of Operator Editor.

To change the name of an operator:

  • select the operator to rename in the DB Explorer tree;
  • right-click the operator alias and select the Rename Operator <operator_name>... item from the context menu;
  • edit the operator name using the Rename Object... dialog.

Dropping Operators

To drop an operator:

  • select the operator to drop in the DB Explorer tree;
  • right-click the object and select the Drop Operator <operator_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new operator;

Ctrl+O to edit the selected operator;

Ctrl+R to rename the operator;

Shift+Del to drop the object.

To create, edit, rename and drop operators, you can also use the context menu and the Navigation bar of Operators manager.

See also:

Operator Editor


Operators manager

The Operators manager allows you to browse the list of operators and manage them efficiently.

To launch the tool, select the Services | SQL Server Agent | Operators main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Operators item from the context menu.

Operators - Operators manager

The list displays the operators as a grid with the following columns: Operator name, Enabled, E-mail, Pager, Net send, Last e-mail date, Last pager date, Last net send date.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Hint: Enabled/disabled operators are differentiated in the list by their icons: icons for disabled operators are grayed out.

Right-click an item within the list to call the context menu allowing you to create a new operator and specify its properties using Operator Editor, edit, delete the selected operator, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of operators to any of supported output file formats.

Operators management tools are also available through the Navigation bar of the Operators manager.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Schedules

Shared schedules are multipurpose items that contain ready-to-use schedule information. You can create a shared schedule once, and then reference it in a subscription or property page when you need to specify schedule information.

Before using SQL Server schedules, make sure that the SQL Server Agent service is running.

  • Shared schedules manager
  • Schedule Editor

Creating Schedules

To create a new schedule:

  • right-click the Schedules node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Schedule item from the context menu;
  • define schedule properties using the appropriate tabs of Schedule Editor.

or

  • select the Database | New Object... main menu item;
  • select Schedule in the Create New Object dialog;
  • define schedule properties using Schedule Editor.

Hint: To create a new schedule, you can also select the Services | SQL Server Agent | Shared Schedules main menu item to open the Schedules manager and select the Add Schedule item from the context menu or on the Navigation bar.

To create a new schedule with the same properties as one of existing schedules has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a schedule in the DB Explorer tree and select the Duplicate Schedule <schedule_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new schedule and to edit the result SQL statement for creating the schedule.

Editing Schedules

To edit an existing schedule:

  • select the schedule for editing in the DB Explorer tree (type the first letters of the schedule name for quick search);
  • right-click the object and select the Edit Schedule <schedule_name> context menu item, or simply double-click the schedule;
  • edit schedule properties using the appropriate tabs of Schedule Editor.

To change the name of a schedule:

  • select the schedule to rename in the DB Explorer tree;
  • right-click the schedule alias and select the Rename Schedule <schedule_name>... item from the context menu;
  • edit the schedule name using the Rename Object... dialog.

Dropping Schedules

To drop a schedule:

  • select the schedule to drop in the DB Explorer tree;
  • right-click the object and select the Drop Schedule <schedule_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new schedule;

Ctrl+O to edit the selected schedule;

Ctrl+R to rename the schedule;

Shift+Del to drop the object.

To create, edit and drop schedules, you can also use the context menu and the Navigation bar of Shared schedules manager.

See also:

Schedule Editor


Shared schedules manager

The Schedules manager allows you to browse the list of shared schedules and manage them efficiently.

To launch the tool, select the Services | SQL Server Agent | Shared Schedules main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Shared Schedules item from the context menu.

Schedules - Shared schedules manager

The list displays the shared schedules as a grid with the following columns: ID, Name, Run Type, Enabled, Created.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Hint: Enabled/disabled schedules are differentiated in the list by their icons: icons for disabled schedules are grayed out.

Right-click an item within the list to call the context menu allowing you to create a new schedule and specify its properties using Schedule Editor, edit, delete the selected schedule, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of schedules to any of supported output file formats.

Schedules management tools are also available through the Navigation bar of the Schedules manager.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Proxies

A Microsoft® SQL Server Agent proxy defines the security context for a job step. A proxy provides SQL Server Agent with access to the security credentials for a Microsoft Windows user. Each proxy can be associated with one or more subsystems. A job step that uses the proxy can access the specified subsystems by using the security context of the Windows user. Before SQL Server Agent runs a job step that uses a proxy, SQL Server Agent impersonates the credentials defined in the proxy, and then runs the job step by using that security context.

SQL Server proxies can be used to help database administrators ensure that each job step runs with the minimum permissions required to perform its task.

Before using SQL Server proxies, make sure that the SQL Server Agent service is running.

  • Proxies manager
  • Proxy Editor

Creating Proxies

To create a new proxy:

  • right-click the Proxies node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Proxy item from the context menu;
  • define proxy properties using the appropriate tabs of Proxy Editor.

or

  • select the Database | New Object... main menu item;
  • select Proxy in the Create New Object dialog;
  • define proxy properties using Proxy Editor.

Hint: To create a new proxy, you can also select the Services | SQL Server Agent | Proxies main menu item to open the Proxies manager and select the Add Proxy... item from the context menu or on the Navigation bar.

To create a new proxy with the same properties as one of existing proxies has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a proxy in the DB Explorer tree and select the Duplicate Proxy <proxy_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new proxy and to edit the result SQL statement for creating the proxy.

Editing Proxies

To edit an existing proxy:

  • select the proxy for editing in the DB Explorer tree (type the first letters of the proxy name for quick search);
  • right-click the object and select the Edit Proxy <proxy_name> context menu item, or simply double-click the proxy;
  • edit proxy properties using the appropriate tabs of Proxy Editor.

To change the name of a proxy:

  • select the proxy to rename in the DB Explorer tree;
  • right-click the proxy alias and select the Rename Proxy <proxy_name>... item from the context menu;
  • edit the proxy name using the Rename Object... dialog.

Dropping Proxies

To drop a proxy:

  • select the proxy to drop in the DB Explorer tree;
  • right-click the object and select the Drop Proxy <proxy_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new proxy;

Ctrl+O to edit the selected proxy;

Ctrl+R to rename the proxy;

Shift+Del to drop the object.

To create, edit and drop proxies, you can also use the context menu and the Navigation bar of Proxies manager.

See also:

Proxy Editor


Proxies manager

The Proxies manager allows you to browse the list of proxies and manage them efficiently.

To launch the tool, select the Services | SQL Server Agent | Proxies main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Proxies item from the context menu.

Proxies - Proxies manager

The list displays the proxies as a grid with the following columns: Proxy Name, Enabled, Description, Credential Identity.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Hint: Enabled/disabled proxies are differentiated in the list by their icons: icons for disabled proxies are grayed out.

Right-click an item within the list to call the context menu allowing you to create a new proxy and specify its properties using Proxy Editor, edit, delete the selected proxy, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of proxies to any of supported output file formats.

Proxies management tools are also available through the Navigation bar of the Proxies manager.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Target Servers

Multiserver administration which consists in automating administration across multiple instances of SQL Server is performed when there is a necessity to manage two or more servers and to schedule information flows between enterprise servers for data warehousing.

In a multiserver system, there is at least one master server and at least one target server.

A master server distributes jobs to target servers, and receives events from them. A master server also stores the central copy of job definitions for jobs that are run on target servers. Target servers connect periodically to the master server to update their schedule of jobs. If a new job exists on the master server, the target server downloads the job. After the target server completes the job, it reconnects to the master server and reports the status of the job.

Before using target servers, make sure that the SQL Server Agent service is running.

  • Working with Target Servers manager

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Target Servers manager

The Target Servers manager is intended for easy and efficient management of target servers when multiserver administration is performed. The Target Servers manager allows you to browse the list of target servers and manage them efficiently.

To launch the tool, select the Services | SQL Server Agent | Target Servers main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Target Servers item from the context menu.

Target Servers - Target Servers manager

The list displays the target servers as a grid with the following columns: Server Name, Location, Enlist Date, Last Poll Date, Poll Interval.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Right-click an item within the list to call the context menu allowing you to create a new target server using the Add New Target Server dialog, delete the selected target server, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of target servers to any of supported output file formats.

Target servers management tools are also available through the Navigation bar of the Target Servers manager.

The Add New Target Server dialog allows you to register a new target server.

Target Servers - Add target server

Target server

Type in or use the drop-down list to select the server instance to be registered.

Location

Specify the target server location.


Database Snapshots

Database snapshots were implemented in Microsoft® SQL Server 2005, and they are available only in the Enterprise Edition of Microsoft® SQL Server 2005 and higher.

A Database snapshot is a read-only, static view of a database (the source database). Multiple snapshots can exist on a source database and always reside on the same server instance as the database. Each database snapshot is transactionally consistent with the source database as of the moment of the snapshot's creation.

Snapshots can be used for reporting purposes. Also, in the event of a user error on a source database, you can revert the source database to the state it was in when the snapshot was created. Data loss is confined to updates to the database since the snapshot's creation.

  • Managing database snapshots


Managing database snapshots

The Snapshots manager allows you to browse the list of database snapshots and manage them efficiently.

To launch the tool, select the Services | Database Snapshots main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Database Snapshots item from the context menu.

Database Snapshots - Managing database snapshots

The list displays the existing database snapshots as a grid with the following columns: Snapshot Name, Source Database, Create Date, Source Used Pages (MB), Snapshot Used Pages (MB). If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Right-click an item within the list to call the context menu allowing you to create a new snapshot and specify its properties using the Add New Database Snapshot dialog, delete the selected snapshot, or refresh the list. Using the context menu you can also export the list of database snapshots to any of supported output file formats.

Database snapshots management tools are also available through the Navigation bar of the Snapshots manager.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Database snapshot properties

The Add New Database Snapshot dialog opens automatically when you create a new database snapshot and allows you to define the new snapshot parameters.

To call the dialog, right-click within the snapshots list in the Snapshots manager and select the Add Snapshot... context menu item.

Database Snapshots - Database snapshot properties

Source database

Use the drop-down list to select the source database for the new snapshot.

Snapshot name

By default, the snapshot name is generated by the application automatically on the basis of the source database name and the snapshot creation date. You can modify the name for the new snapshot, or leave the name unchanged. Note that each database snapshot requires a unique database name.

The Files area lists the database file(s) of the new database snapshot. The file name contains the name of the source database file and the snapshot creation date.

CheckBox Register database

This option indicates that the Database Registration Info dialog for the new database will appear immediately after the database snapshot is created (you need to register the database to start working with it in SQL Manager). If you intend to register the database later, uncheck this option.


Linked Servers

A Linked server is a virtual server that can be defined to SQL Server 2005 (and higher) with all the information required to access an OLE DB data source. A Linked server configuration enables SQL Server to execute commands against OLE DB data sources on remote servers. Linked servers provide a number of features: remote server access; the ability to issue distributed queries, updates, commands and transactions on heterogeneous data sources; the ability to address diverse data sources universally.

  • Linked servers manager
  • Linked Server Editor

Creating Linked Servers

To create a new linked server:

  • right-click the Linked Servers node (within the Server Objects branch) or any object within this node in the DB Explorer tree and select the New Linked Server item from the context menu;
  • define linked server properties using the appropriate tabs of Linked Server Editor.

or

  • select the Database | New Object... main menu item;
  • select Linked Server in the Create New Object dialog;
  • define linked server properties using Linked Server Editor.

Hint: To create a new linked server, you can also select the Services | Linked Servers main menu item to open the Linked servers manager and select the Add Linked Server item from the context menu or on the Navigation bar.

To create a new linked server with the same properties as one of existing linked servers has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a linked server in the DB Explorer tree and select the Duplicate Linked Server <linked_server_name>... context menu item.

Duplicate Object Wizard allows you to select the server to create a new linked server and to edit the result SQL statement for creating the linked server.

Editing Linked Servers

To edit an existing linked server:

  • select the linked server for editing in the DB Explorer tree (type the first letters of the Linked Server name for quick search);
  • right-click the object and select the Edit Linked Server <linked_server_name> context menu item, or simply double-click the linked server;
  • edit linked server properties using the appropriate tabs of Linked Server Editor.

Dropping Linked Servers

To drop a linked server:

  • select the linked server to drop in the DB Explorer tree;
  • right-click the object and select the Drop Linked Server <linked_server_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new linked server;

Ctrl+O to edit the selected linked server;

Shift+Del to drop the object.

To create, edit and drop linked servers, you can also use the context menu and the Navigation bar of Linked servers manager.

See also:

Linked Server Editor


Linked servers manager

The Linked servers manager allows you to browse the list of linked servers and manage them efficiently.

To launch the tool, select the Services | Linked Servers main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Linked Servers item from the context menu.

Linked Servers - Linked servers manager

The list displays the existing linked servers as a grid with the following columns: Server Name, SQL Server, Provider, Data Source, Location, Provider String, Catalog.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Right-click an item within the list to call the context menu allowing you to create a new linked server and specify its properties using Linked Server Editor, edit, delete the selected linked server, retrieve its content, refresh the list, or show/hide columns of the list. Using the context menu you can also export the list of linked servers to any of supported output file formats.

Linked servers management tools are also available through the Navigation bar of the Linked servers manager.

To display the actual linked server contents, press the Show Contents button.

Hint: Linked server contents are also available within the Content tab of Linked Server Editor.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


DTS Packages

In SQL Server 2000, Data Transformation Services (DTS) is a component built to take data from one OLE DB data source, perform certain operations and store it in a destination OLE DB data source. DTS consists of packages which define a particular set of work that forms a logical work item. DTS Packages contain multiple connections to data sources, tasks to be performed, workflows. Examples of tasks include copying data from source to destination connections, transforming data from a source connection and placing the transformed data in the destination connection, executing a set of Microsoft ActiveX scripts or Transact-SQL statements against a connection.

In SQL Server 2005 (and higher), Integration Services (SSIS) packages are provided for data warehousing purposes.

SQL Manager for SQL Server provides running Data Transformation Services (DTS) packages that were developed by using SQL Server 2000 tools. These can be run in SQL Server 2005 and higher, alongside Integration Services (SSIS) packages.

  • DTS packages manager
  • DTS package properties

See also:

DTS Packages Editor


DTS Packages manager

The DTS Packages manager allows you to browse the list of DTS packages and manage them efficiently.

Using this tool you can include SQL Server 2000 DTS packages in SQL Server 2005 (and higher) data transformation solutions. A package can include both Execute Package tasks and Execute DTS 2000 Package tasks because each type of task uses a different version of the run-time engine.

To launch the tool, select the Services | DTS Packages main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | DTS Packages item from the context menu.

DTS Packages - DTS Packages manager

The list displays the existing DTS packages as a grid with the following columns: Name, Owner, Description, Create Date, ID, Size.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Right-click an item within the list to call the context menu allowing you to run a package, import a package, export the selected DTS package, or show/hide columns of the list. Using the context menu you can also export the list of DTS packages to any of supported output file formats.

DTS packages management tools are also available through the Navigation bar of the DTS Packages manager.

At the bottom of the DTS Packages manager window the info area is located. It displays common information pertaining to the selected package: creation date, version ID and description.

Hint: These properties are also available within the modal DTS Package properties dialog which is called through the DTS Package Properties... context menu item of the DTS package alias in DB Explorer.

If you need to remove a package, right-click the package in the information area and select the Delete popup menu item.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Resource Governor

Resource Governor is a tool that implements the Resource Governor technology introduced in SQL Server 2008 which enables you to manage SQL Server workload and resources by specifying limits on resource consumption by incoming requests.

To launch the tool, select the Services | Resource Governor main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Resource Governor item from the context menu.

  • Using Navigation bar and Toolbar
  • Working with Resource Governor

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Resource Governor.

Resource Governor - Using Navigation bar

The Navigation bar of Resource Governor allows you to:

Servers

iconHost select a server instance for managing resources

General

iconCompile compile changes

iconRefresh refresh the content of the window

iconRestoreDefaultSize restore the default size and position of the window

Items of the Navigation bar are also available on the ToolBar of the Resource Governor window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Working with Resource Governor

The Resource Governor window consists of three basic areas: Resource Governor Configuration, Resource Pools and Workload Groups.

Resource Governor - Working with Resource Governor

Resource Governor Configuration

CheckBox Resource Governor enabled

This option enables/disables Resource Governor.

Classifier function

Use the drop-down list to select the user-defined function whose return values will be used for classifying sessions that are then routed to the appropriate workload group.

To create a new function, click the btnAddItem button. To refresh the function list, click the btnRefreshList button.

Note: If there are pending changes in Resource Governor configuration, you will need to reconfigure Resource Governor to apply these changes using the corresponding Reconfigure button.

The Resource Pools list displays the resource pools as a grid with the following columns: Resource Pool Name, Minimum CPU (%), Maximum CPU (%), Minimum Memory (%), Maximum Memory (%). If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

To set a value, click in the cell you need, and type in the required value, or use the spinner control for this purpose.

Right-click an item within the Resource Pools list to call the context menu allowing you to iconPlus add a new resource pool, iconMinus delete the selected resource pool, or export the list to any of supported output file formats.

The Workload Groups list displays the workload groups as a grid with the following columns: Workload Group Name, Importance, Max Memory Grant for Request (%), Max CPU Use Limit for Request (sec), Memory Grant Time-out for Request (sec), Max Degree of Parallelism, Max Number of Requests, Resource Pool. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

CheckBox Show all workload groups

If this option is selected, all workload groups are displayed in the list, otherwise only those associated with the currently selected resource pool.

To set a value, click in the cell you need, and type in the required value, or use the spinner control for this purpose.

To associate a workload group with a resource pool, click in a cell of the Resource Pool column and select the resource pool you need from the drop-down list.

Right-click an item within the Workload Groups list to call the context menu allowing you to iconPlus add a new workload group, iconMinus delete the selected workload group, or export the list to any of supported output file formats.

To apply changes, use the iconCompile Compile item available within the Navigation bar and toolbar.


Server Log Viewer

Server Log Viewer allows you to analyze SQL Server server logs in a simple way, providing the ability to sort, filter and group log statements.

To launch the tool, select the Services | Server Log Viewer main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Server Log Viewer item from the context menu.

  • Using Navigation bar and Toolbar
  • Working with Server Log Viewer

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Server Log Viewer.

Server Log Viewer - Using Navigation bar

The Navigation bar of Server Log Viewer allows you to:

Servers

iconHost select a server instance to view server logs

General

select a log

iconRefresh refresh the content of the window

iconLoadFromFile load a log from an external *.txt file

iconSaveToFile export log to an external *.txt file

filter logs in the list

iconRestoreDefaultSize restore the default size and position of the window

Items of the Navigation bar are also available on the ToolBar of the Server Log Viewer window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

Hint: Items of the General pane of the Navigation bar are also available in the context menu of the Server Log Viewer area.


Working with Server Log Viewer

The Server Log Viewer window displays the list of server logs as a grid, and allows you to manage them efficiently.

Server Log Viewer - Working with Server Log Viewer

The list displays the server logs as a grid with the following columns: Date, Source, Message, Log Type, Log Source. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Right-click an item within the list to call the context menu allowing you to select a log, refresh the list, load a log, export log and filter the logs in the grid.

Server logs management tools are also available through the Navigation bar and toolbar of Server Log Viewer.

The lower area displays the following server log details:

Date

Log

Source

Message


Activity Monitor

Activity Monitor allows you to get information about users connections to the Database Engine and the locks that they hold.

Use Activity Monitor when troubleshooting database locking issues, and to terminate a deadlocked or otherwise unresponsive process.

To launch the tool, select the Services | Activity Monitor main menu item, or right-click the host alias in the DB Explorer tree and select the Tasks | Activity Monitor item from the context menu.

  • Using Navigation bar and Toolbar
  • Working with Activity Monitor

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Activity Monitor.

Activity Monitor - Using Navigation bar

The Navigation bar of Activity Monitor allows you to:

Servers

iconHost select a server instance for monitoring activity

General

iconRefresh refresh the content of the window

iconRestoreDefaultSize restore the default size and position of the window

Items of the Navigation bar are also available on the ToolBar of the Activity Monitor window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Working with Activity Monitor

The Activity Monitor window consists of two basic areas: Active Process and All Locks.

Activity Monitor - Working with Activity Monitor

Hint: Background/suspended/sleeping processes are differentiated in the list by their icons next to the Process ID values.

The Active Process list displays the processes as a grid with the following columns: Process ID, Is System, Status, ExecutionContext, Blocking, Blocked By, CPU, Physical IO, Wait Type, Wait Time, Command, Application, Open Transactions, Database, User, Net Address, Net Library, Host, Memory Usage, Login Time, Last Batch.

For your convenience several filtering facilities are implemented: you can filter the rows in the Active Process list by process ID, by system/non-system attribute, or by status (background, suspended, sleeping, running). Use the corresponding controls in the upper area.

The All Locks list provides the following attributes of each lock: Process ID, Database ID, Database, Object ID, Object name, Index, Index ID, Lock type, Mode, Status, Owner, Resource.

If necessary, you can filter the rows in the All Locks list by processes or display all objects/internal.

Right-click an item within the Active Process or All Locks lists to call the context menu allowing you to kill a process, show SQL text, or show/hide columns of the list. Using the context menu you can also export the list of processes to any of supported output file formats.


Options

SQL Manager for SQL Server provides you with capabilities for flexible personalization of the application.

Please see the chapters below to learn how to use personalization tools effectively.

  • Environment Options
  • Editor Options
  • Save Settings
  • Localization
  • Keyboard Templates
  • Find Option dialog

The Options menu allows you to export all program settings to a *.reg file for future use, e.g. when you need to move the settings to another machine (see Save Settings for details).

Hint: Each of the SQL Manager Options dialogs is provided with the Reset to defaults button. You can use it either to Reset current category or to Reset all categories.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

External Tools

How To...


Environment Options

Environment Options allow you to customize general options of the SQL Manager application.

To open the Environment Options window, select the Options | btnEnvironmentOptions Environment Options... main menu item, or use the btnEnvironmentOptions Environment Options button on the main toolbar.

Preferences

Full mode activation

Confirmations

Appearance

Tools

Timeouts

DB Explorer

Search

Object Editors

Query Data

SQL Monitor

Execute Script

Design Query

Style & Color Palette

Default Data Options

Database Designer

Print Metadata

Data Export

SQL Server Reference

Fonts

Grid

Data Options

Print Data

Color & Formats

Advanced

Column Options

Localization

Global Shortcuts

Find Option

See also:

Editor Options

Visual Options


Preferences

CheckBox Show splash screen at startup

Displays the splash screen of SQL Manager for SQL Server at the application startup.

CheckBox Restore desktop on connect (for refreshed on connect databases)

This option determines whether the previously opened windows and their positions should be restored upon connection to the database.

CheckBox Do not restore if 'Refresh objects on connection' database registration option is off

Check this option to perform restoring desktop operation if the 'Refresh objects on connection' option of the Database registration info is on.

CheckBox Disable multiple instances

Checking this option prevents one from running multiple instances of SQL Manager for SQL Server.

CheckBox Show desktop panel (for MDI Environment style only)

Displays Desktop Panel when no child windows are open.

Environment Options - Preferences

If necessary, you can reset all toolbars and menus of the application using the corresponding button.

Hint: The Reset to Defaults button which is common for all sections of the Environment Options dialog opens a menu with items allowing you to discard all changes and reset options of the current category or of all categories to their defaults.


Full mode activation

Note that when using the FREE Lite version of SQL Manager for SQL Server (which contains functional limitations) you can activate a 30-day period of fully-functional usage. During this period you will get the splash screen displaying the number of days left every time you start the application. After the period expires, you will be able to continue using the Lite version.

Environment Options - Full mode activation

To activate the 30-day Full version mode, please enable the CheckBox Show Full Version features option available on the Preferences page of the Environment Options dialog (note that this option is only available in the Lite version of SQL Manager).


Confirmations

CheckBox Confirm saving the object (or document) upon closing the editor

If this option is selected, the program requires confirmation each time you want to save changes in a database object or document.

CheckBox Confirm dropping of object

If this option is selected, the program requires confirmation of dropping a database object.

CheckBox Confirm exit from SQL Manager

If this option is selected, you are prompted for confirmation each time when you exit the application.

Environment Options - Confirmations

CheckBox Confirm deleting records

This option enables/disables a confirmation dialog for deleting records.

CheckBox Confirm metadata changing (Changing Metadata Window)

This option enables/disables the Changing Metadata window.

CheckBox Confirm addition into spell checking dictionary

Enable this option if you wish to be prompted for adding a word to the dictionary which is used for checking words spelling (see Spell Checking).

CheckBox Confirm transformation of misprint into substitution

If this option is selected, you need to confirm replacing a misprinted word with a corresponding substitution word (see Spell Checking).

CheckBox Confirm transaction commit

If this option is selected, the program requires confirmation on attempt to commit a transaction.

CheckBox Confirm transaction rollback

If this option is selected, the program requires confirmation on attempt to rollback a transaction.

CheckBox Confirm transaction commit on closing data in object editors

If this option is selected, the program prompts to commit the transaction upon closing the 'Data' tab in object editors.

CheckBox Confirm rebuilding of dependent objects metadata on closing the editor (if required)

This option enables/disables a confirmation dialog for rebuilding the dependent objects after comiling.

Transaction confirmation in Query Data and Design Query

CheckBox Disable transaction confirmation on closing the editor

If this option is checked, no transaction confirmation will be required on closing Query Data and Design Query. Specify the default action (Commit or Rollback) and this action will be performed automatically each time when you exit Design Query or Query Data.


Windows

Theme

Select the main color theme for the application: Light, Blue or Dark.

Environment style

This group allows you to define the basic window environment - RadioButton MDI (like Microsoft® Office) or RadioButton Floating windows (like Borland® Delphi IDE).

Windows restrictions

This option allows you to set the number of editors (Table Editor, Query Data, etc.) that can be opened simultaneously.

Zoom options

This group of options is only available if Environment Style is set to Floating windows environment. It allows you to set maximization size for child windows:

RadioButton Full screen

RadioButton Restricted by Main Form

RadioButton Restricted by Main Form and DB Explorer

RadioButton Justified my Main Form and DB Explorer

Bar style for child forms

Here you can define the location of action buttons: RadioButton within the Navigation bar (on the left) and/or RadioButton on the Toolbar.

If necessary, you can also CheckBox Enable floating toolbars for your application.

Environment Options - Windows


Tools

Miscellaneous

CheckBox Show only connected databases in drop-down menu

If this option is checked, only connected databases are displayed in drop-down menus of such tools as Design Query, Execute Script, etc.

CheckBox Don't fill server lists in connection forms

If this option is checked, the server list will be filled up with the names of most recently used servers that are stored locally in the Windows registry. Otherwise, SQL Manager will scan the network to fill in the server lists in connection forms.

CheckBox Allow using parameters in query text

This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before an identifier (e.g. :P1) to specify a parameter within the query.

CheckBox Show collation in table DDL only if it is different from database collation

If this option is selected then collation in table DDL is not displayed in case it is equal to database collation.

CheckBox Close DDL to Files progress form after successful execution

If this option is checked the Apply Changes dialog (that indicates the writing DDL to files process) is closed automatically if operation is succeeded.

Environment Options - Tools

Object name display style

Here you can select the format in which object names will be displayed in some object editors, headers of object editors, Select Object dialog, Print metadata.

RadioButton <schema>.<name>

Display object name in the "<schema_name>.<object_name>" format.

RadioButton <name> (<schema>) with hiding the 'dbo' schema

Display object name in the "<object_name> (<schema_name>)" format. 'dbo' schema name is omitted.

New tool form should be opened for

This option defines which database should be selected in the launched tool.

RadioButton Database currently selected in DB Explorer

Tool will be opened with the database focused in the DB Explorer selected.

RadioButton Database selected in currently focused form

Tool will be opened with the database which is selected in the current form.


Timeouts

This page allows you to set timeouts for some operations performed in SQL Manager. Timeouts are necessary for preventing program hang-up upon execution of a SQL statement due to transaction interlocking. You can set timeouts for changing metadata, refreshing database objects and data tabs.

Environment Options - Tools - Timeouts

Refresh of objects can also be terminated after timeout expiration if there is an active transaction that has made any changes to metadata.


DB Explorer

General options

CheckBox Show hosts in DB Explorer

Shows/hides database hosts in the DB Explorer tree.

CheckBox Show table subobjects

Shows/hides table subobjects (columns, indexes, etc.) in the DB Explorer tree.

CheckBox Sort by aliases

Use this option to apply sorting registered hosts and databases by their aliases in the DB Explorer tree.

CheckBox Rename objects by editing in place

Allows you to edit object names in DB Explorer by selecting any object and clicking its alias one more time.

CheckBox Hide empty schemas

This option allows you to specify whether schemas containing no objects will be displayed in the DB Explorer tree.

Environment Options - Tools - DB Explorer

Recent objects count

Defines the number of objects displayed within the Recent menu of the DB Explorer.

Table details in SQL Assistant

These options switch the SQL Assistant mode for displaying table details (columns, Foreign keys, checks, indexes, triggers, table info, definition or description).

Expand on connection

This group of options allows you to specify the node(s) indicating type(s) of objects that will be expanded within DB Explorer upon successful connection to the database.

See also:

Database Explorer


Search

Here you can set search options for DB Explorer search string:

Environment Options - Tools - Db Explorer - SearchSample

CheckBox Search by categories

This option determines the search scope when the Find Item feature is used: if this option is selected, the search is performed within the currently selected category (node in the tree) only.

CheckBox Use case sensitive search

If this option is selected, the search string case is considered when using the Search Panel.

Environment Options - Tools - DB Explorer - Search

CheckBox Don't search in collapsed nodes

Enable the option to search within the expanded nodes only.

CheckBox Start-with search

Check this option to search for objects those names begin with the defined searched string.


Object Editors

All

CheckBox Convert created objects' names to lower case

Enable this option if you need to convert the names of all newly created objects to the lower case automatically.

CheckBox Always open the first tab

If this option is checked, the first tab is activated by default on opening an object in its editor.

Table Editor

CheckBox Show Object Explorer

Enables/disables the Object Explorer panel within the Navigation bar of Table Editor.

CheckBox Do not retrieve record count for a table

Check this option to disable retrieving record count for tables (with this feature enabled, opening large tables may take much time).

Environment Options - Tools - Object Editors

Object list style

These options allow you to define the style of the combo-boxes used to select database objects (e.g. Table or view in Trigger Editor). Objects can be represented as a tree, a list sorted by namespace or a list sorted by name. Use the CheckBox Ignore case option to enable/disable case sensitive sorting.

Procedure Editor

CheckBox Get info messages in Procedure Editor on execution of a procedure

This option enables/disables information messages returned upon procedure execution in Procedure Editor.

See also:

Database and Server Objects Management


Query Data

CheckBox Show actual execution plan on query execution

If this option is checked, the query plan is displayed automatically upon query execution in Query Data.

CheckBox Show result for each query

With this option checked, when you execute two or more queries (divided by "GO"), the result of each query will be displayed one by one. Otherwise, only the result of the last query will be displayed.

CheckBox Show results on Edit tab

If this option is checked, the Results tab is displayed as a separate tab.

CheckBox Execute selected text separately

Check this option to allow execution of the selected statement separately.

CheckBox Write only successfully executed queries to database SQL log file

If this option is checked, unsuccessful queries will not be saved to the Query Data log file (see Setting log options in the Database Registration Info dialog).

Environment Options - Tools - SQL Editor

CheckBox Don't save queries automatically for the next session

If this option is checked, the SQL query text will not be saved. Otherwise, it will be saved in Windows registry and will be therefore available in the next application sessions.

CheckBox Always save changes in Favorite Queries before closing

This option enables/disables saving changes in SQL queries marked as Favorite automatically upon closing the editor.

CheckBox Same queries for all databases

With this option enabled, Query Data stores all queries in a shared repository, so that switching to another database does not cause loading queries of that database (applying this option does not affect currently opened copies of Query Data). The value of the option can be changed freely without any risk to lose the query repository content.

CheckBox Refresh DB Explorer upon successful DDL statement execution

If this option is selected, the content of DB Explorer is refreshed each time a DDL statement is executed successfully in Query Data.

CheckBox Open server cursor

This option determines whether the application should attempt to open server cursor. If this option is ON, the result dataset is processed with server resources, otherwise it's processed on the client side.

CheckBox Get info messages

This options enables receiving of server messages and PRINT command results.

See also:

Query Data


SQL Monitor

SQL log

This group of options allows you to enable logging of all SQL Monitor events to a file. Check the Log SQL Monitor events to file option, specify the path to the log file using the btnSaveAs button, and enter a name for the *.sql file. To clear the log file after it reaches some definite size, check the Clear log file when it is greater than... option and set the maximum file size (in Kilobytes).

Environment Options - Tools - SQL Monitor

CheckBox Show time of operation

If this option is checked, the execution time of logged operations is added.

CheckBox Always show on top

Select this option if you want to display the SQL Monitor window in the foreground permanently.

See also:

SQL Monitor


Execute Script

CheckBox Abort script execution on error

If this option is checked, script execution is aborted if an error occurs.

CheckBox Show statements explorer

With this option checked, Execute Script parses the loaded script to enable fast navigation in the Script Explorer tool.

CheckBox Show message when done

Displays a message box on finishing script execution.

CheckBox Show info messages (slower execution)

Select this option to enable information messages when working with scripts. This causes slower script execution.

CheckBox Execute selected text separately

If a text fragment is currently selected in Execute Script, only this fragment is executed when you click Execute script on the Navigation bar or press F9. If this option is disabled, the whole script is executed, but you can still execute the selected fragment using the corresponding Execute Selected Only item of the context menu or by pressing Ctrl+F9.

CheckBox Don't clear error list on selected text execution

If this option is checked, the error list is not cleared upon execution of the selected statement.

Environment Options - Tools - SQL Script

CheckBox Register newly created databases

If a script contains the CREATE DATABASE statement, it will be registered after script execution.

CheckBox Disable all code features in Execute Script

This option disables code completion, code folding, highlight and all options that are set on the Quick Code page in Execute Script. For options that are set on the Highlight page, the defaults will be applied.

Transaction options

CheckBox Rollback on abort

This option is only available if the Abort script on error option is checked. This option evokes automatic rollback when script execution is aborted.

CheckBox Start transaction automatically if needed

If the option is enabled then transaction starts automatically after statements is executed. Otherwise, the BEGIN statement is required for transaction to start.

See also:

Execute Script


Design Query

General options

CheckBox Allow SELECT queries only

When this option is checked, the INSERT, UPDATE and DELETE statements are not allowed in Design Query.

CheckBox Select condition row

Displays the selected condition in different rows on the Criteria and Grouping Criteria tabs of Design Query.

CheckBox Drag column name

Displays the dragged column name in the editor area.

CheckBox Hide selection when inactive

Hides the selection when the Design Query window is inactive.

CheckBox Show column types

Displays the column data type next to the column name in the table box.

CheckBox Union all by default

Check this option to use the UNION ALL expression in Design Query by default.

The UNION keyword allows you to include the results of two SELECT statements in one resulting table.

The ALL parameter incorporates all rows into the results, including duplicates. If not specified, duplicate rows are removed.

CheckBox Allow owner prefix for dbo objects

Adds the schema name to the table name in the 'Table' box caption (for [dbo] schema objects)

CheckBox Show actual execution plan on query execution

If this option is checked, the query plan is displayed within the corresponding tab of the Design Query window.

Environment Options - Tools - Query Builder

Visible tabs

These options specify which Design Query tabs are available and which are not. Use the check boxes to make the corresponding tabs visible/invisible.

Script format

These options specify case formatting of keywords and functions in query text within the Edit tab: As is keeps the original case, Uppercase sets all the keywords/functions to the upper case, Lowercase sets all the keywords/functions to the lower case, and First upper sets the first letters of all keywords/functions to the upper case.

Additionally, you can set styles and color for all Design Query objects by using Style & Color Palette.

See also:

Design Query


Style & Color Palette

Style
These options specify the way various Design Query elements look: the Condition button: Flat, 3DLook, Raised; object borders: Bump, Etched, Raised, Sunken. If necessary, you can also specify flatness for objects and buttons using the corresponding options.

CheckBox XP tables style
This option determines the appearance of non-client areas of tables in Design Query.

CheckBox Show icons on tabs
With this option selected, you can see icons next to the tab names in Design Query.

Environment Options - Tools - Query Builder - Style & Color

Color palette

These options define the colors of various Design Query elements.

Active condition row (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Active condition row

Condition text (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Condition text

Condition item text (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Condition item text

Table client area (in the diagram area):

Environment Options - Tools - QB - Style & Color - Table client area

Active table caption (in the diagram area):

Environment Options - Tools - QB - Style & Color - Active table caption

Inactive table caption (in the diagram area):

Environment Options - Tools - QB - Style & Color - Inactive table caption

Column text (in the diagram area):

Environment Options - Tools - QB - Style & Color - Field text

Selected column text (in the diagram area):

Environment Options - Tools - QB - Style & Color - Selected field text

Work space (in the diagram area):

Environment Options - Tools - QB - Style & Color - Work space

Column (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Field

Operation (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Operation

Group (at the Grouping criteria tab):

Environment Options - Tools - QB - Style & Color - Group

Predicate (at the Criteria and Grouping criteria tabs when a subquery is used):

Environment Options - Tools - QB - Style & Color - Predicate

Subquery (at the Criteria and Grouping criteria tabs when a subquery is used):

Environment Options - Tools - QB - Style & Color - Subquery

Click an item to select a color for the corresponding element using the Color dialog where you can specify the required color from the palette.


Default Data Options

Default data options for newly registered databases

Environment Options - Tools - Default Data Options

CheckBox Asynchronous query execution

Check this option to allow executing queries in background mode (asynchronously).

CheckBox Use transactions in Data tab of object editors, Query Data and Design Query

If this option is enabled, a transaction is active until the 'Data' tab is closed or the 'Commit' button is pressed; all edited records are blocked until the transaction is committed. If this option is disabled, the transaction starts and is immediately committed (autocommit) on saving each record which is blocked only for a short period of time.

CheckBox Use separate connections for each data view within a database

Uncheck this option to use separate connection for each data view within a database. Note that this option is only available when the Use transactions in Data tab of object editors, Query Data and Design Query option is enabled.


Database Designer

Visual settings

CheckBox Automaticalliy open last diagram file

Allows to load the diagram from last loaded file.

Model notation

When you work in Database Designer, you can choose one of the following modeling notations:

  • Integration DEFinition for Information Modeling (IDEF1X);
  • Information Engineering (IE).

The IDEF1X and IE notations use different symbols to represent relationships between entities (and tables).

Environment Options - Tools - VDBD

CheckBox Draw PRIMARY KEY columns separately

Separates Primary key columns from other columns with a horizontal line.

Environment Options - Tools - VDBD - Draw PRIMARY KEY fields separately

CheckBox Draw entities icons

Displays icons at the left of each entity header according to its type.

Environment Options - Tools - VDBD - Draw entities icons

CheckBox Draw attributes icons

Displays icons at the left of each attribute according to its type (Primary key, Foreign key, ordinary column).

Environment Options - Tools - VDBD - Draw attributes icons

CheckBox Draw only names of entities

Displays only entity headers, columns are hidden.

Environment Options - Tools - VDBD - Draw only names of entities

CheckBox Draw FOREIGN KEY name

Displays foreign key names for the corresponding relations.

Environment Options - Tools - VDBD - Draw FOREIGN KEY name

CheckBox Draw page borders

Displays borders on the diagram page which are the borders used when printing pages with the diagram.

Grid options

CheckBox Show grid

Displays dots in the diagram area to make the grid visible.

CheckBox Snap to grid

Automatically aligns entities on the form with the nearest grid line. You cannot place an entity in between grid lines.

Grid size

Sets grid spacing in pixels along the x- and y-axes. Specify a higher number to increase grid spacing.

Entity header font

Select a font type and size to display entity headers.

Attributes font

Select a font type and size to display attributes.

Additionally, you can set color for all VDBD diagram objects using the Style and Color section.

This section allows you to customize the default appearance of the diagram.

Select a diagram element from the list:

  • Workspace
  • Selected item
  • Table
  • View
  • Function
  • Procedure
  • Relation
  • Column
  • Primary key
  • Unique column
  • Foreign key
  • Autoincrement column
  • Not null column
  • Comment

Then you can specify the following style settings for each element:

  • Font name
  • Font style
  • Font size
  • Font color
  • Brush color
  • Pen color

See also:

Visual Database Designer


Print Metadata

Default paper size

Define the default paper size for reports created with the Print Metadata tool used:

RadioButton A4 (210 x 297 mm)

RadioButton Letter (8 1/2 x 11 ")

Environment Options - Tools - Print Metadata

See also:

Print Metadata


Data Export

This page allows you to customize formats applied to exported data.

Environment Options - Tools - Data Export

Data formats

Edit the format masks to adjust the result format in the way you need: Integer format, Float format, Date format, Time format, DateTime format, Currency format, Boolean True, Boolean False, Null string.

CheckBox Auto save format strings

Select this option to save specified format strings automatically.

These settings can also be specified at the Adjusting data formats step of Export Data Wizard.

Fore more details see Format specifiers.

See also:

Export Data Wizard


SQL Server Reference

Using this page you can set which Microsoft® SQL Server™ reference system will be further used in SQL Manager for SQL Server:

RadioButton Microsoft Document Explorer (SQL Server 2008 Help)

RadioButton Microsoft Document Explorer (SQL Server 2005 Help)

RadioButton Microsoft HTML Help (SQL Server 2000 and earlier versions)

For SQL Server 2005/2008 documentation you should also specify the location of Microsoft Document Explorer: use the ExplorerButton button to browse for the file on your hard disk.

Environment Options - Tools - SQL Server Reference

Optionally you can set the help topic to be opened by default at the help system startup. To do so, check CheckBox Open this help topic and enter the help topic identifier in the editable area below.


Fonts

This section of the Environment Options dialog allows you to specify fonts used in the application.

The box below displays the sample text with the selected font applied.

Environment Options - Fonts

System font name

Defines the font used by SQL Manager for SQL Server. Select the font name from the drop-down list of available system fonts.

Environment Options - Fonts - System font name

System font size

Defines the font size used by SQL Manager for SQL Server. Type in or use the drop-down list to select the required value.

Grid font name

Defines the font used for displaying data in the Data Grid. Select the font name from the drop-down list of available system fonts.

Grid font size

Defines the font size used for displaying data in the Data Grid. Type in or use the drop-down list to select the required value.

In the sample grid you can view how the data grid will look like with the configured font.


Grid

General options

CheckBox Striped grids

Displays the odd grid rows in a different color defined by the Strip option available on the Color & Formats page.

CheckBox Show editor immediately

Allows editing the cell value right after the cell is clicked.

CheckBox Always show editor

Set this option to make the cell editors always active.

CheckBox Enable auto-search in grid

If this option is checked, the cursor is automatically forwarded to the closest match when you start typing.

CheckBox Row multi-selection

With this option set, multiple rows can be selected in grid.

CheckBox Invert selection

Determines whether a single cell within the focused row or the entire row is highlighted when focused.

CheckBox Column auto-width

With this option set, column widths are changed in order to display all columns without using the horizontal scroll bar. If the content a column is still too large to display without a need to resize the grid, then the column values are truncated and the hidden characters are replaced with an ellipsis at the end.

CheckBox Cell auto-height

If the widths of the columns are insufficient to display the full content, then text clipping occurs. Set this option to prevent this. If this option is set, the cell content is displayed in multiple lines where necessary. You can set the number of lines to display using the Cell max line count option.

Environment Options - Grid

Grid layout preference

RadioButton Autofit column widths

Use this option to shrink the grid columns so that the longest visible column value fits.

RadioButton Save and restore layout

Use this option to keep the original grid width. Check the Restore sorting option to apply defaults to sorting (except for SQL sorting) as well.

Root level options

These options are applied to the main view of the grid. See Grid View for details.

Detail level options

These options are applied to the detail view of the grid. See Grid View for details.

CheckBox Show "Group by" box

Displays the gray area above the column caption allowing one to group data in the grid.

CheckBox Show indicator

Activates/deactivates the row indicator pane at the left.

Environment Options - Grid - Show indicator

CheckBox Show navigator

Activates/deactivates the data navigator similar to the navigation pane at the top of the grid. The navigator is available at the bottom of detail level view.

Environment Options - Grid - Show navigator

CheckBox Show "New item row"

Displays an empty row at the bottom of a view which is a convenient way for adding data to the grid.

CheckBox Hide tabs for single detail

This option is useful when only one view is present on the detail level. When the option is enabled, the view tab is hidden.

Selection

If the RadioButton Row selection is selected then the whole record in the table is selected in the table on clicking the cell. Otherwise, only the clicked cell is selected ( RadioButton Cell selection option).

Check the CheckBox Row/cell multi-selection option to enable the selection of multiple cells or rows in the grid with the Shift button.

See also:

Grid View


Data Options

Limit options in table and view editors

Define the number of records to be selected on opening the Data tab of Table Editor and View Editor:

RadioButton Select all records from a table*

RadioButton Select only ... records* (you should set the number of records using the corresponding spinner control)

Advanced

Load visible rows mode if records more than...*

Set this option to switch to the Load visible rows mode when the number of records in the dataset exceeds the specified value.

String columns width (chars)

Using this option you can limit string columns width that may improve performance on large datasets.

Environment Options - Grid - Data Options

Default grid mode

RadioButton Load all rows*

The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

RadioButton Load visible rows*

The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. Automatic sorting, filtering, summary calculations are not available in this mode.

The Default grid mode options allow you to define the grid mode which will be used by default.

With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a considerable amount of time. But in this case you can make use of some advantages: in the filter drop-down list the column headers are displayed with the values for quick filtering; it is possible to open several sub-levels at the same time when viewing data in master-detail view, etc.

In case opening and other operations with an object consisting of many records takes sufficient time, the Load visible rows mode should be used instead. It can be set individually for each table and saved between sessions (can be set through the context menu of the grid).

Note: Changing the options marked with the asterisk (*) sign does not affect the way data are viewed in currently opened windows. These options are used as default values for Data Options parameters for newly registered databases. To change the options for registered databases, please use the Database Registration Info dialog.

See also:

EMS SQL Manager FAQ


Print Data

Save/restore following print data properties

These options specify which Print Data properties will be saved between work sessions (e.g. if you tick off the Page settings item, those settings will be saved and stored between the sessions).

You can save/restore the following Print Data properties: Card view representation, Detail view representation, Expanding, Formatting, Level options, "On every page" options, Pagination, Preview options, Image options, Selection options, Report size options, Showing grid elements, Page number format, Page settings, Report title.

Environment Options - Grid - Print Data


Color & Formats

Display formats

Integer columns

Defines the format for displaying TINYINT, SMALLINT, INTEGER and BIGINT columns.

Float columns

Defines the format for displaying FLOAT, DOUBLE and DECIMAL columns.

Datetime columns

Defines the format for displaying DATETIME columns.

Date columns

Defines the format for displaying DATE columns.

Time columns

Defines the format for displaying TIME columns.

For more information refer to the Format specifiers page.

Environment Options - Grid - Color & Formats

Colors

Options of this group allow you to set colors for basic grid elements. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.

Grid

Defines the background color of the data grid.

Row

Defines the color of the selected row in the data grid.

Strip

Defines the color of the odd rows (applied if the Striped grids option is set on the Grid page).

NULL values

Text

Defines the text that stands for NULL values in grid.

Font color

Defines the font color for displaying NULL values in the grid. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.


Advanced

Advanced options

CheckBox Cell hints for clipped text

Indicates whether a hint box is displayed when hovering over a cell containing clipped text.

CheckBox Focus cell on cycle

Determines whether the focus moves to the next row after it reaches the right-most cell within the current row.

CheckBox Focus first cell on new record

Determines whether the focus moves to the first cell of a newly created row.

CheckBox Next cell on pressing Enter

Determines whether the current view columns can be navigated by using the Enter key.

CheckBox Show navigator hints

Indicates whether a hint box is displayed when hovering over navigation buttons.

CheckBox MRU list in column filter

Enables showing of Most Recently Used items when filtering columns.

CheckBox Expand buttons for empty details

Specifies whether to display expand buttons within master rows that do not have associated details.

Card width

Defines the width of the card used in Card View mode.

Environment Options - Grid - Advanced

Form view

CheckBox Large memo editor

Sets the number of lines for text-typed columns when viewing data in Form view.

CheckBox Word wrap in memo editor

Determines whether long strings are wrapped within the memo editor area.

CheckBox Word wrap in string editor

Determines whether long strings are wrapped within the string editor area.

Grid lines

Determines whether to display vertical and horizontal lines between cells.

Detail tabs position

Specifies the position of the tabs in detail level views: top or left.

Card layout direction

Specifies the direction of cards in Card View mode: horizontal or vertical.

Show edit buttons

Indicates when the edit buttons are displayed: never, for focused record or always.


Column Options

Common options

CheckBox Auto-select text

Determines whether all text within an editor is automatically selected when the editor gets focus.

CheckBox Hide selection on losing focus

Determines whether the visual indication of the selected text remains when the editor loses focus.

Memo editor options

CheckBox Inserting Return characters

Specifies whether a user can insert return characters into text.

CheckBox Inserting Tab characters

Specifies whether a user can insert tab characters into text.

CheckBox Word wrap in grid

Determines whether long strings are wrapped in grid.

CheckBox Popup memo editors

Turns on popup memo editors for text BLOB type fields.

Environment Options - Grid - Column Options

Spin editor options

CheckBox Use Ctrl+Up instead of Up to increase value

Allows you to use Ctrl+Up and Ctrl+Down key combinations for editing spinner values (for INTEGER column values).

CheckBox Show large increment buttons

Determines whether fast buttons (for large increment) are visible within the editor.

Increment

Specifies the increment value for the spin editor (spinner control).

Large increment

Specifies the large increment value for the spin editor (spinner control).

Spin editor buttons' position

Specifies the position of spin editor (spinner control) buttons: vertical, horizontal / left and right or horizontal / right.


Localization

The Localization section of the Environment Options dialog is provided for managing the localization files of SQL Manager for SQL Server.

You can create your own *.lng files similar to those available in the %program_directory%\Languages folder, add them to the list of available languages and set the new language as the program interface language.

Default directory

Use the ExplorerButton Explorer button to specify the directory where the *.lng files are to be stored by default.

Choose program language

Use the drop-down list of available languages to select the interface language to be applied to the application.

CheckBox Auto scan languages on startup

When checked, the directory with localization files will be scanned automatically at the application startup; all the languages found will be added to the list of available languages.

Available Languages

Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or the *.lng file.

Add Defaults

This button is used to search for *.lng files in the Default directory and add all of them to the Available Languages list.

Add

Opens the Add language dialog where you can specify your own localization file and set the language name.

Edit

Opens the Edit language dialog where you can change the language name or select another localization file for the specified language.

Delete

Removes the selected language from the Available languages list (without confirmation).

Environment Options - Localization

See also:

Localization


Global Shortcuts

This section allows you to view/edit shortcuts most needed actions when working with SQL Manager for SQL Server.

Environment Options - Global shortcuts

To edit shortcut, select the required action click the ellipsis button and press the preferred key combination to assign it with the action.

Environment Options - Global shortcuts - Edit shortcut

Common SQL Manager Shortcuts are listed in the SQL Manager shortcuts section.


Find Option

The Find Option section allows you to search for options available within the Environment Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Environment Options.

Environment Options - Find Option

The Available options area lists all options of the Environment Options category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Editor Options

Editor Options allow you to set the parameters of viewing and editing SQL statements within Query Data and other SQL editing tools of the SQL Manager application.

To open the Editor Options window, select the Options | Editor Options... main menu item, or use the Editor Options btnEditorOptions button on the main toolbar.

  • General
  • Display
  • SQL Formatter
  • Key Mapping
  • Spell Checking
  • Find Option

See also:

Environment Options

Visual Options


General

Editor options

CheckBox Auto indent

If this option is checked, each new indention is the same as the previous one when editing SQL text.

Indents and outdents are used in the process of text editing to make the source code easier to read.

CheckBox Insert mode

If this option is checked, the insert symbols mode is on by default.

CheckBox Find text at cursor

If this option is checked, the Text to find field in the Find Text dialog is automatically filled with the text on which the cursor is set.

CheckBox Always show hyperlinks

If this option is checked, hyperlinks are displayed in the editor window. To open a link, click it with the Ctrl key pressed.

CheckBox Double click line

If this option is checked, double-clicking the line on which the cursor is set selects the whole line.

CheckBox Trim trailing spaces

If this option is checked, all spaces after the last symbol in line will be trimmed.

CheckBox Fixed line height

Prevents line height calculation. If this option is checked, the default line height is taken.

CheckBox Persistent blocks

Keeps marked blocks selected even when the cursor is moved with the arrow keys used, unless a new block is selected.

CheckBox Fixed column move

If this option is checked, the caret keeps its horizontal position when moved between lines.

CheckBox Optimal fill

Check this option to enable optimal algorithm of filling text content in the working area of the editor.

CheckBox Unindent keep align

Keeps align for the lines that are not indented.

CheckBox Smart caret

This option determines the caret movement (up, down, line start, line end). The caret is moved to the nearest position on the screen.

CheckBox Resolve aliases

Enables/disables the syntax highlight and code completion features for aliases.

Editor Options - General

CheckBox Overwrite blocks

Replaces a marked block of text with whatever is typed next. If Persistent Blocks is also selected, the text you enter is appended to the currently selected block.

CheckBox Show caret in read only mode

Displays/hides the caret in read-only mode.

CheckBox Copy to clipboard as RTF

If this option is checked, the selected text is copied in RTF format.

CheckBox Drag and drop text

This option allows to drag and drop selected text.

CheckBox Group undo

This option allows you to undo multiple actions of the same kind.

CheckBox Group redo

This option allows you to redo multiple actions of the same kind.

CheckBox Cursor beyond EOL

If this option is checked, the horizontal position of a cursor is kept. If you move the cursor (using the Up and Down arrow keys) onto a line having length less than the current cursor horizontal position, it will be positioned after the last symbol of the line.

CheckBox Enable column selection

Enables/disables column selection mode.

CheckBox Hide cursor on type

Hides/displays mouse cursor within the working area while a user is typing some text.

CheckBox Hide dynamic (no focus)

Hides dynamic highlights when an editor is not focused.

CheckBox Collapse empty lines

Collapses empty lines after a text range when this range has been collapsed.

CheckBox Scroll to the last line only

When the option is enabled, you can scroll to the last line of the text only, otherwise you can scroll to the end of the page.

CheckBox Seek variables

Disables code completion feature for variables.

CheckBox Word wrap

When on, text is wrapped at the right margin of the editor area to fit in the visible area.

CheckBox Variable horizontal scrollbar

If this option is checked, the horizontal scrollbar varies according to the current content of the editor.

CheckBox Float markers

When enabled, markers are linked to the text, and they will move with the text while the text is being edited; otherwise the markers are linked to the caret position, and stay unchanged while the text is being edited.

CheckBox Undo after save

Keeps undo buffer unchanged after saving.

CheckBox Disable selection

Disables any selection when editing.

CheckBox Draw current line focus

Draws the focus rectangle around the current line when the editor has focus.

CheckBox Hide selection (no focus)

Hides the selection when the editor loses focus.

CheckBox Greedy selection

Selects an extra column/line in column/line selection modes.

CheckBox Keep selection mode

Enables selection for caret movement commands (like in BRIEF).

CheckBox Select search result

Determines whether the search result should be selected.

CheckBox Smart paste

When this option is enabled, the editor gets both Unicode and ANSI content from the clipboard, converts them using the selected character set and selects the best text to be pasted. This allows getting correct text copied from both ANSI and Unicode applications disregarding the currently selected keyboard language.

CheckBox Disable all code features

This option disables code completion, code folding, highlight and all options that are set on the Quick Code page. For options that are set on the Highlight page, the defaults will be applied.

Collapse level

Specifies the level of text ranges that will be affected by the "Collapse all" command.

Undo limit

Defines the maximum number of changes possible to be undone.

Tab mode

Specifies the way the TAB key is processed. Possible values are: Use tab character (inserts a tab character); Insert spaces (inserts space characters); Dialog behaviour (when the edit control is in a dialog, the focus is switched to the next control); Smart tab (tabs to the first non-white space character in the preceding line).

Tab stops

Defines the tab length used when editing a text.

Comment symbols

Defines the symbols which will be used to comment code fragments.

Block indent

Specify the number of spaces to indent a marked block.

Hint: The Reset to Defaults button which is common for all sections of the Editor Options dialog opens a menu with items allowing you to discard all changes and reset options of the current category or of all categories to their defaults.


Display

Default editor fonts

Use these options to set the fonts and size used in the editor.

If the CheckBox Show only fixed-width fonts option is checked, only fonts with fixed width are displayed in the Font dialog.

Gutter

CheckBox Show line numbers

If this option is checked, line numbers are displayed in the SQL text editor window.

CheckBox Gutter auto width

Enable this option to specify that the gutter width will be adjusted automatically.

CheckBox Display line state

If this option is checked, a colored line indicating the state of all altered lines in the text is displayed at the gutter of the editor window.

CheckBox Use code folding

Check this option to enable to code folding feature of Query Data.

Width

Defines the gutter width in the editor window.

If the CheckBox Show only fixed-width fonts option is checked, only fonts with fixed width are displayed in the Font dialog.

Select the appropriate Numbering style from the dropdown list.

Editor Options - Display

Right margin

CheckBox Visible

Makes the right text margin visible.

CheckBox Word break

Allows breaking the words at the right margin.

Position

Defines the position of the right text margin in the editor window.

Code staples

CheckBox Visible

Makes the code staples visible in the editor window.

CheckBox Single color

Check the option to apply a single color for code staples.

CheckBox Offset

Specify the offset value for code staples.


Color Scheme

Scheme

Select the default color scheme for all editors: Default (Light) or Dark.

Editor Options - Color Scheme

The Element list contains all elements available in SQL editors of the program. For your convenience the preview area (located below the Element list) illustrates the changes being made to each of the elements

Controls for changing the properties of the item selected in the Element list are located on the right. Use the following instructions for each of the elements.

CheckBox Bold

Highlights the element with bold.

CheckBox Italic

Makes the element text cursive.

CheckBox Foreground

Select the foreground color for the element.

CheckBox Background

Select the background color for the element.

CheckBox Effects

Enables additional effects for the element text.

See also:

Code Completion


Code Completion

Automatic features

CheckBox Code completion

If this option is checked, then on typing the first word characters in the SQL text editor you will be offered some variants for the word completion in a popup list (an analogue of the Code Insight feature in Delphi IDE).

Sensitivity

This option allows you to set the number of characters to be typed before code completion is activated.

Delay

Using this option you can change the time after which completion variants popup.

CheckBox Parameters completion

If this option is checked, the Delphi-like hint for key words is enabled.

CheckBox Group by type

If enabled, the items in the code completion list are sorted by type, otherwise they are sorted by name.

CheckBox Show information hints

This option enables/disables information hints.

CheckBox Accept by Space key too

Check this option to enable Code Completion list to close with the selected item input when pressing the space bar.

CheckBox Code parameters

If this option is checked, the Delphi-like hint for key words is enabled.

CheckBox Auto launch keyboard templates

Allows you to use keyboard templates for faster typing frequently used expressions (see Keyboard Templates).

Editor Options - Code Completion

Completion list object

The list contains all objects for which you can set quick code parameters. For your convenience the preview area (located to the right of the Completion list object list) illustrates the changes being made to each of the objects.

If you press the Disable element button, the standard settings will be applied to this object; the button text will change to Enable element. If you press this button, you will be able to change font and color attributes for this object.

Controls for changing the properties of the item selected in the Completion list object list are located on the right.

See also:

Color Scheme


SQL Formatter

SQL Formatter is a feature implemented in SQL Manager for SQL Server and is a useful tool for formatting SQL queries and scripts, making SQL statements easy to read. SQL Formatter is introduced in Query Data, Execute Script and some object editors.

The Settings tab of the SQL Formatter section allows you to enable this feature and apply SQL formatting to subqueries, if necessary.

CheckBox Format SQL query

Check this option to enable SQL formatting.

CheckBox Format subquery

Enables SQL formatting for subqueries.

Editor Options - SQL Formatter

See also:

Query Data


SQL Words

The SQL words page of the SQL Formatter section allows you to select the key words for each action of SQL formatter and to set formatting parameters.

Wrap first element

Wraps the selected text at a specific column. Select the SQL key words after which formatting should be applied.

Params in line/list

Allows you to display the parameters followed by the defined key words in list or in line.

Editor Options - SQL Formatter - SQL Words

OR - AND

Set the placement of the AND an OR operators according to the operands followed by them. See the example below.

RadioButton Left

WHERE

AND ...

AND ...

AND ...

RadioButton Separate

WHERE

...

AND

...

AND

RadioButton Right

WHERE

... AND

... AND

... AND

The Keywords case / Identifiers case options allow you to define the case of the corresponding items.

You can choose UPPER, lower, Capitalize.

Default case means that the name of the identifier/keyword remains "AS IS".

CheckBox Space before bracket

Adds a "space" character before the opening bracket and after the closing one.

CheckBox Space into brackets

Adds a "space" character after the opening bracket and before the closing one.

Indent in list

Sets the size of indent relatively to the previous string.


Find Option

The Find Option section allows you to search for options available within the Visual Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Visual Options.

Visual Options - Find Option

The Available options area lists all options of the Visual Options category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Key Mapping

For your convenience key mapping is provided in SQL Manager for SQL Server. On this page you can set the shortcuts for various commands/operations according to your needs.

Use the Commands list on the right to select the command for which you need to make a shortcut, then place cursor into the Key editor and press the key combination you find useful (use Ctrl Alt Shift buttons). After setting the shortcut, press the New button to add it to the list of existing Key combinations. If the specified shortcut is already assigned to another command/operation, an error message with the command/operation will be returned.

Editor Options - Key Mapping

Note: It is possible to set more than one key combination for the same command/operation (e.g. Ctrl-K, Ctrl-H) using the Add button.

If necessary, you can export the current Key mapping list to an external file by pressing the Export button.

Manage the shortcuts within the Key combinations list using the Delete (to remove the selected item) and the Clear (to remove all shortcuts for this command/operation) buttons.

It is also possible to save a custom key mapping scheme, if necessary:

  • set the shortcuts for the appropriate commands/operations;
  • click the Save As... button;
  • input the new scheme name in the corresponding dialog.

To delete a scheme, select it in the Scheme name drop-down list and press the Delete button.

See also:

Query Data

SQL Manager shortcuts


Spell Checking

Spell checking is a new feature implemented in SQL Manager for SQL Server for your convenience.

Set the necessary Spell checker mode:

RadioButton Highlighting

In this mode incorrectly spelled and misprinted words are highlighted in the editor.

RadioButton Autocorrection

In this mode incorrectly spelled and misprinted words are replaced with the corresponding words from the Substitutions list automatically.

RadioButton None

In this mode the spelling checker is disabled.

Use the Add... button to add a new item to the Substitutions list, the Edit... button to alter the selected substitution, and the Delete button to remove the selected substitution from the spelling checker vocabulary.

Editor Options - Spell Checking

Case sensitivity

CheckBox Support case consistency with substitution

If this option is selected, the spelling checker uses the case of words-substitutions when performing a replacement.

CheckBox Ignore case while spell checking

Check this option to disable case checking.

CheckBox Keep the misprint case when replacing

Check this option if you do not wish to change the case of the replaced word.

Misprints

Controls of this group allow you to manage the spelling checker vocabulary: use the Add... button to add a new misprint to the vocabulary, the Auto button to use the default list of misprints, the Edit... button to change the selected misprint, the Delete button to remove the selected misprint from the vocabulary, and the Clear button to empty the list of misprints for the currently selected substitution.

It is also possible to exclude a misprint from spell checking without deleting the misprint. This misprint will therefore remain in the vocabulary, but it will be ignored by the spelling checker.

To mark a misprint as excluded, you need to move it from the Check list to the Ignore list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the misprints from one list to another.


Find Option

The Find Option section allows you to search for options available within the Editor Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Editor Options.

Editor Options - Find Option

The Available options area lists all options of the Editor Options category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Bars and menus

Use the Bars and menus section of the Visual options dialog to customize SQL Manager bars style, menus animation and a number of general options concerning toolbars and menus usage.

Visual Options - Bars and menus

Bar style

Use the drop-down list to select the painting style that will be applied to the bars:

Standard

Enhanced

Flat

XP native

Office 11

Note: If the XP native style is selected, bars use the currently applied XP theme to paint themselves. However, if the currently installed operating system is not Windows XP or the Windows Classic theme is currently applied, bars will be painted using the Enhanced style.

Menu animation

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding drop-down and popup menus)

Fade (menus fade in when appearing)

CheckBox Sunken border

If this option is enabled, the border of each dockable bar is drawn using sunken borders. Otherwise, no border is drawn around the dockable bar.

CheckBox Use F10 for menu

If this option is disabled, the application does not respond to the F10 key press events and the main menu will not will be called.

CheckBox Menu shows recent commands first

This option determines whether the most frequently used items will be placed in menus at first position.

If this option is enabled, frequently used menu items are "promoted" and displayed higher on the list. Unused and infrequently used menu items are visually suppressed and appear "collapsed".

Hint: If you wish to disable this feature, you can also right-click the toolbar and select the Customize... popup menu item to call the Customize dialog, then proceed to the Options tab within the dialog, and deselect the Menus show recently used commands first option.

CheckBox Show full menus after delay

This option is available only if the Menu shows recent commands first option is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

CheckBox Flat close buttons

This option determines the border style of the Close buttons.

If this option is enabled, the Close button is drawn flat. Otherwise, it has a 3D look.

CheckBox Gray-scale disabled images

This option specifies whether default images must be painted faded.

By default, images within disabled links are painted grayscale when the XP native or Office11 bar style is used. For other bar styles, such images are painted grayed out.

If this option is enabled, images of disabled links will be painted grayscale independently of the selected bar style.

Hint: The Reset to Defaults button which is common for all sections of the Visual Options dialog allows you to discard all changes and reset options to their defaults.


Trees and lists

Use the Trees and lists section of the Visual options dialog to view and edit the corresponding options.

Visual Options - Trees and lists

Look & feel

This setting determines the manner in which tree and list elements are painted. Use the drop-down list to select the painting style that will be applied to the trees and lists:

Standard

Flat

UltraFlat

CheckBox Hide selection

This option specifies how selected tree nodes and list items are displayed when focus leaves the tree or list control.

If this option is enabled, selected nodes look like other nodes. Otherwise, selected nodes/items are highlighted within the tree/list.

CheckBox Hide focus rectangle

This option determines whether a focus rectangle is displayed around the focused tree node or list item within the tree or list control.

If this option is disabled, the focused node/item is not highlighted but the focus rectangle is displayed around it.

CheckBox Native style

This option determines whether the native Windows style will be applied to the trees and lists.

The option has the highest priority for trees and lists. If this option is selected, the tree nodes and list items are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Edit controls

Use the Edit controls section of the Visual options dialog to customize the appearance of various SQL Manager for SQL Server edit controls: Border style, Button style, Button transparency, etc.

Visual Options - Edit controls

Border style / Button style

Use these drop-down lists to specify the style around an editor (the edit control borders) and select the painting style that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.) respectively:

None

Single

Thick

Flat

3D

UltraFlat

Button transparency

Represents the button transparency mode within an editor. Use the drop-down list to specify the transparency that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.):

None (a button is always displayed in a non-transparent fashion)

Inactive (a button is drawn when the editor has focus or when the mouse cursor is positioned over the button; otherwise, the button is transparent)

Always (a button is always transparent)

Hide inactive (a button is drawn only when the editor has focus; otherwise, the button is invisible)

Hide unselected (a button is drawn when the editor has focus or when the mouse cursor is positioned over the editor region; otherwise, the button is invisible).

Edges

This group defines which edges are displayed within an editor. Check/uncheck the boxes to hide/show individual edges of the edit controls:

CheckBox Left (if unchecked, the left border edge is invisible)

CheckBox Right (if unchecked, the right border edge is invisible)

CheckBox Top (if unchecked, the top border edge is invisible)

CheckBox Bottom (if unchecked, the bottom border edge is invisible)

CheckBox Hot track

This option specifies whether editor items are highlighted when the mouse cursor is positioned over an edit control. Select this option to highlight an edit control in response to mouse movements.

CheckBox Shadow

If this option is selected, a shadow is displayed for the edit controls.

CheckBox Native style

This option determines whether the native Windows style will be applied to the edit controls.

The option has the highest priority for edit controls. If this option is selected, the edit controls are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

CheckBox Autosize

This option specifies whether an editing field is resized to entirely display its contents.


Check boxes

Use the Check boxes section of the Visual options dialog to customize the border style and the appearance of check boxes and radio buttons.

Visual Options - Check boxes

Border style

This setting determines the manner in which check box and radio group borders are painted. Use the drop-down list to select the painting style that will be applied to the check boxes and radio groups:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Shadow

If this option is selected, a shadow is displayed for the check boxes and radio groups.

CheckBox Native style

This option determines whether the native Windows style will be applied to the check boxes and radio buttons.

The option has the highest priority for check boxes and radio buttons. If this option is selected, the check boxes and radio buttons are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Buttons

Use the Buttons section of the Visual options dialog to customize SQL Manager buttons.

Visual Options - Buttons

Button kind

This setting determines the manner in which a button is painted. Use the drop-down list to select the painting style that will be applied to buttons:

Standard

Flat

UltraFlat

CheckBox Native style

This option determines whether the native Windows style will be applied to the buttons.

The option has a higher priority than the Button kind setting. If this option is selected, the buttons are painted according to the native Windows style, otherwise the Button kind selection is applied.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Page controls

Use the Page controls section of the Visual options dialog to customize the style of all SQL Manager page controls.

Visual Options - Page controls

Tabs are visual elements of tab controls. Their purpose is to identify pages and switch between them. Once a tab is clicked, the corresponding page is selected.

Pages are container controls that represent the contents of tab controls. Tab controls contain a single page, whose context is to be updated each time the selected tab changes. Page controls contain the number of pages equal to the number of tabs.

Tab style

Use the drop-down list to select the painting style that will be applied to the tab controls:

Tabs (tabs are painted as notebook tabs)

Buttons (the selected tab is painted as a pressed button, other tabs are painted as released buttons)

Flat (tabs are painted as notebook tabs, but appear lowered slightly)

CheckBox Hot track

This option specifies whether tab captions are highlighted when the mouse pointer hovers over tabs. Select this option to enable tab highlighting.

CheckBox Multiline pages

This option specifies whether tabs are arranged across several rows.

If this option is enabled, tabs are automatically arranged into the minimum number of rows required to fit all of them. If this option is disabled, tabs are displayed within a single row.

CheckBox Native style

This option determines whether the native Windows style will be applied to the tab controls.

The option has the highest priority for the tab controls. If this option is selected, the tabs are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

Options of the Slants group allow you to apply the Slanted painting style to tabs and specify the appearance aspects (positions) of tab slants.

CheckBox Slants

If this option is enabled, the Slanted painting style is applied to a tab control: all tabs appear slanted, and the selected tab's top edge is highlighted.

Slants kind

Specify the positions (sides) at which the tabs are bent by slants.

RadioButton Cut corner (top right/left corners of tabs are cut)

RadioButton Slant (right/left sides of tabs are slanted)

Slants Positions

Specify the positions (sides) at which the tabs are bent by slants.

RadioButton Left (slants bend left sides of the tabs)

RadioButton Right (slants bend right sides of the tabs)


Group boxes

Use the Group boxes section of the Visual options dialog to customize all SQL Manager group boxes to your liking.

Visual Options - Group boxes

Border style

This setting determines the manner in which group box borders are painted. Use the drop-down list to select the painting style that will be applied to the group box borders:

None

Single

Thick

Flat

3D

UltraFlat

Look & feel

This setting determines the manner in which group boxes are painted. Use the drop-down list to select the painting style that will be applied to the group boxes:

Standard

Flat

UltraFlat

Office11

CheckBox Shadow

If this option is selected, a shadow is displayed for the group boxes.

CheckBox Native style

This option determines whether the native Windows style will be applied to the group boxes.

The option has the highest priority for the group boxes. If this option is selected, the group boxes are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Splitters

Use the Splitters section of the Visual options dialog to customize all SQL Manager splitters to your liking.

Visual Options - Splitters

Hot zone style

This setting determines the manner in which splitter hot zones are painted. Use the drop-down list to select the hot zone style that will be applied to the splitters:

Windows XP task bar

Media Player 8

Media Player 9

Simple

None (hot zone is disabled)

CheckBox Hot zone drags a splitter

This option is applied when the Hot zone style value is different from None, and specifies whether the splitter can be dragged by its hot zone.

If this option is enabled, you can drag the splitter by its hot zone (i.e. use any part of the splitter's area for dragging). Otherwise, attempts to drag the splitter by the hot zone will have no effect.


Navigation bar

Use the Navigation bar section of the Visual options dialog to customize the Navigation bars of all SQL Manager tools according to your preferences.

Visual Options - Navigation bar

View style

Several types of control representations (views) are available for Navigation bars. View styles define the appearance of Navigation bar elements (background, scroll buttons, group headers, links/items and hint boxes). Use the drop-down list to select the view style that will be applied to the Navigation bars:

Office 11

XP

Simple

Advanced

CheckBox Border

This option specifies whether a border style will be applied to the Navigation bars.

If this option is enabled, the Navigation bars have thin borders. Otherwise, no borders are drawn around the Navigation bars.


Save Settings

Save Settings Wizard allows you to export the settings of SQL Manager for SQL Server - wholly or partially - to a single *.reg file which can be applied afterwards to SQL Manager for SQL Server installed on another machine, or it can be used to backup previous settings.

To start the wizard, select the Options | Save Settings main menu item.

  • Specifying destination file
  • Selecting settings
  • Selecting databases
  • Saving settings

To apply saved settings you need to open the created *.reg file, then press the OK button in the window appeared. All settings will be applied automatically (they will be added in the Windows Registry).


Specifying destination file

This step of the wizard allows you to specify the location of the destination file.

Filename

Use the btnSaveAs button to set the path to the *.reg file where the application settings are to be saved.

Note: If the target file already exists, the application will show a warning dialog where you can choose the action you need.

Save Settings - Specifying destination file

Press the Next button to proceed to the next step of the wizard.


Selecting settings

This step of the wizard allows you to specify the information you need to be saved to the result file: Database registration info, Favorite objects, Tabs, Environment options, Editor options, Visual options, Keyboard templates, Object templates, External tools list, Form placements, MRU lists, Favorite queries stored in registry.

Save Settings - Selecting settings

Press the Next button to proceed to the next step of the wizard.


Selecting databases

This step of the wizard allows you to select the database(s) to save the registration settings.

To select a database, you need to move its alias from the Available Databases list to the Selected Databases list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Save Settings - Selecting databases

Press the Next button to proceed to the last step of the wizard.


Saving settings

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

This step of the wizard is intended to inform you that the saving settings operation has been configured, and the wizard is ready to save the application settings to the specified file.

The log area allows you to view the log of operations and errors (if any).

Save Settings - Saving settings

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

If necessary, you can save a template for future use.

Click the Finish button to start saving settings.


Localization

When using SQL Manager for SQL Server, your are provided with multi-language interface support. You can change the program language, specify the directories for your localization files easily, edit existing localizations and create your own localization files.

Changing Program Language

In order to select the program interface language:

  • select the Options | Select Program Language... main menu item;
  • select the interface language in the Select Language dialog;
  • click OK to apply the language and close the dialog.

Editing Program Localization

In order to edit the interface localization:

  • open one of the program windows (e.g. Table Editor, Query Data) where you wish to edit the localization of captions and hints;
  • use the Shift+Ctrl+L keyboard shortcut to open the Localization Editor window;
  • edit window captions and hints as necessary;
  • click the Save btnSave button on the toolbar.

Note: The Localization Editor window is only available if the currently selected language is different from the default.

Creating New Localization Files

In order to create a new localization file:

  • create a new localization file similar to those located in the %program_directory%\Languages folder;
  • select the Options | Environment Options main menu item;
  • proceed to the Localization section of the Environment Options dialog;
  • click the Add button;
  • set the language name and the path to the new *.lng file within the Language Info Editor dialog.

The new language is added to the list of available languages. Now you can set it as the interface language using the Select Program Language dialog or the Localization section of the Environment Options dialog.

See also:

Localization

Language Info Editor


Localization Editor

The Localization Editor window allows you to edit the captions and hints of any SQL Manager window, if the selected program language is different from the default one.

To call this window, use the Shift+Ctrl+L shortcut in any child window of SQL Manager for SQL Server.

The working area of the window contains the element names and the corresponding strings divided by the "=" character. These strings are what you see in the program as menu items, window captions, button hints, etc. Edit them to change the program appearance. Be careful and do not edit the identifiers that stand before the "=" character - this will not produce any effect.

For your convenience the Find and Replace features are provided - the corresponding btnFindText btnReplaceText toolbar buttons are used to call the Find Text dialog or the Replace Text dialog respectively. The Search Again btnSearchAgain button enables the repeated search for the text that was last searched.

Localization - Localization Editor

When you are done with editing, click the Save btnSave button on the toolbar to apply the changes you have made.

See also:

Select Program Language

Localization


Select Program Language

The Select Language dialog allows you to select a language for SQL Manager for SQL Server localization.

To open this dialog, select the Options | iconSelectLanguage Select Program Language... main menu item.

The dialog displays the list of available languages configured on the Environment Options | Localization page. Select a language from the list and click OK to confirm your choice and close the dialog.

Localization - Select Program Language

See also:

Localization Editor

Localization


Keyboard Templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly used expressions and to edit the existing ones.

To open this window, select the Options | Keyboard Templates... main menu item.

To add a new keyboard template, click the Add Template... button, set the template name and define the template expression. In the upper right area of the window you can change the case of the template expression (As is, Uppercase, Lowercase, First upper).

You can deactivate an existing template by selecting it from the list on the left and removing the Active flag of the template.

If necessary, you can also edit the template name using the Edit Template... button, delete the template using the Delete Template button or edit the template expression within the Expansion area of the window. For faster editing you can use the Cursor, Author, Time, Date, Clipboard, Marker buttons.

Hint: Add/edit/delete template items are also available in the context menu of the template list on the right.

CheckBox Old style

This option specifies whether the selected keyboard template expansion should conform to the template specifications used in the earlier versions of SQL Manager for SQL Server.

Once you have defined the templates, you can use them in Query Data. First of all, make sure that the CheckBox Auto launch keyboard templates option is selected on the Quick Code page of the Editor Options dialog. When editing SQL text in Query Data, type a template name and use the Ctrl+J shortcut: the text associated with the template (Expansion) will be inserted automatically.

Hint: The Reset to defaults button which is available at the bottom of the Keyboard Templates dialog allows you to discard all changes and restore the settings to their defaults.

See also:

Quick Code

SQL Manager shortcuts


Object Templates

The Object Templates window allows you to preset the definition template for the name and/or body of an object to be created.

To open this window, select the Options | iconObjectTemplates Object Templates... main menu item.

Select an object in the tree and set its template using the editor area.

Columns - template is defined within the common form of the Column Editor;

Views - set the template of a new view;

Procedures - set the template of a new procedure;

Procedures for Select - set the template for select procedure created from table;

Insert Procedures - set the template for insert procedure created from table;

Update Procedures - set the template for update procedure created from table;

Delete Procedures - set the template for delete procedure created from table;

Functions - set the template of a new function;

Triggers - template is defined within the common form of the Trigger Editor;

DB Object Names - set the template for the name of a newly created database object;

Server Object Names - set the template for the name of a newly created server object.


Views/Functions/Procedures templates

For Views, Procedures and Functions templates you can set the default definitions within the Views, Procedures and Functions tabs correspondingly.

Object Templates - View template

For the name of an object being created you can use the {full_name} tag which stands for the [schema_name].[object_name].

Click the tag to insert it at the cursor position.

Object names templates are defined within the DB Object Names tab.


SIUD Procedures templates

For Select, Insert, Update and Delete procedures created from table templates can be defined within the corresponding tabs of the Object Templates window.

For each procedure type you can define the name template of the generated procedure. The available for naming {table_name} tag stands for the name of the table from which the procedure is being created.

Within the procedure editor window you are to specify the template for procedure definition. The following tags can be used:

{full_name} - stands for [schema_name].[procedure_name];

{table_name} - name of the table from which the procedure is being created;

{table_schema} - schema which contains the table;

{in_params} - input parameters of the procedure;

{columns} (for select, insert procedures) - list of table columns;

{where_clause} (for select, update, delete procedures) - where clause of the select/update/delete statement;

{values} (for insert procedure) - values to be inserted in the table;

{set_clause} (for update procedure) - set clause used in the update statement.

Click the tag to insert it at the cursor position.

Object names templates are defined within the DB Object Names tab.


Database Object Names

On the DB Object Names tab you can define templates for names of the newly created database objects.

Object Templates - DB object names

Select the Object Type and define its Name Template. You can use the {num} tag which stands for the ordinal number of the newly created object.

Click the tag to insert it at the cursor position.


Column Names

Use the Column Names tab to set the template for the name of the newly created column.

Object Templates - Field Names

The following tags are available:

{table_name} - the name of the table in which the column is created;

{table_schema} - the name of the schema that contains the table;

{num} - the ordinal number of a column with the same name;

{num_for_dup} - the number of a column which is applied if the column with the same name (without an ordinal number) already exists.

Click the tag to insert it at the cursor position.


Foreign Key Names

Use the Foreign Key Names tab to set the template for the name of the newly created foreign key.

Object Templates - Foreign key names

The following tags are available:

{table_name} - the name of the table in which the foreign key is created;

{table_schema} - the name of the schema that contains the table;

{num} - the ordinal number of a foreign key with the same name;

{num_for_dup} - the number of a foreign key which is applied if the foreign key with the same name (without an ordinal number) already exists;

{ref_table_name} - the name of the table which is referenced using the foreign key (foreign table name);

{ref_table_schema} - the name of the schema containing the table referenced by the foreign key;

{columns} - names of columns on which the foreign key is created;

{ref_columns} - the name of the column referenced by the foreign key.

Click the tag to insert it at the cursor position.


Check Names

Use the Check Names tab to set the template for the name of the newly created check.

Object Templates - Check names

The following tags are available:

{table_name} - the name of the table in which the check is created;

{table_schema} - the name of the schema that contains the table;

{num} - the ordinal number of a check with the same name;

{num_for_dup} - the number of a check which is applied if the check with the same name (without an ordinal number) already exists.

Click the tag to insert it at the cursor position.


Index Names

Use the Index Names tab to set the template for the name of the newly created index.

Object Templates - Index names

The following tags are available:

{table_name} - the name of the table in which the index is created;

{table_schema} - the name of the schema that contains the table;

{num} - the ordinal number of an index with the same name;

{num_for_dup} - the number of an index which is applied if the index with the same name (without an ordinal number) already exists;

{index_type} - tag value of the index type which is defined in the Index type tag value;

{clustered} - tag value that which defines if the index is clustered (tag value is specified in the Clustered tag value);

{columns} - names of columns on which the index is created.

Click the tag to insert it at the cursor position.

Index type tag value

Here you can specify templates for tags added to default names of several index types: Primary key constraint, Unique constraint, Unique index, XML index, Clustered, Index.

Clustered tag value

Here you can specify templates which will be applied for clustered and non-clustered indices.


Trigger Names

Use the Trigger Names tab to set the template for the name of the newly created trigger.

Object Templates - Trigger names

The following tags are available:

{table_name} - the name of the table in which the trigger is created;

{table_schema} - the name of the schema that contains the table;

{num} - the ordinal number of a trigger with the same name;

{num_for_dup} - the number of a trigger which is applied if the trigger with the same name (without an ordinal number) already exists;

{trig_type} - tag value of the trigger type which is defined in the Trigger type tag value;

{trig_events} - tag value of the trigger events which are defined in the Trigger events tag parts.

Click the tag to insert it at the cursor position.

Trigger type tag value

Here you can specify templates for trigger type tags added to default names of After and Instead of trigger types.

Trigger events tag parts

Here you can specify templates for trigger events tag parts added to trigger events: Insert, Update, Delete.


Server Object Names

On the Server Object Names tab you can define templates for names of the newly created server objects.

Object Templates - Server Object Names

Select the Object Type and define its Name Template. You can use the {num} tag which stands for the ordinal number of the newly created object.

Click the tag to insert it at the cursor position.


Find Option dialog

The Find Option dialog allows you to search for SQL Manager options easily.

To open this dialog, select the Options | Find Option main menu item.

Option

In this field you can enter the name of the option to search for within the entire set of SQL Manager options.

Find Option dialog

The Available options area lists all options by categories according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding dialog where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


External Tools

When using SQL Manager for SQL Server, you can add external Windows applications to make your work more efficient.

  • External Tools dialog
  • External Tool Info editor

Adding External Tools

In order to add an external program:

  • select the Options | External Tools... main menu item;
  • click the Add... button in the External Tools dialog;
  • specify parameters of the new external tool within the External Tool Info editor;
  • confirm adding the new external tool by clicking OK in the External Tool Info editor and the External Tools dialog.

This adds the icon and the title of the application you have selected to the Tools | External Tools submenu. Now you can run this tool quickly without closing SQL Manager.

Removing External Tools

In order to remove an external program:

  • select the Options | External Tools... main menu item;
  • select the tool to be removed in the Tools list of the External Tools dialog;
  • press the Del key or click the Delete button within the dialog;
  • click OK to confirm removing the tool and closing the dialog.

The selected tool has been removed and is no longer accessible from the Tools | External Tools submenu.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

How To...


External Tools dialog

The External Tools dialog allows you to manage the list of external applications which can be easily run from within SQL Manager environment.

To open this dialog, select the Options | External Tools... main menu item.

Tools

Lists all added external applications.

Add...

Opens the External Tool Info editor for adding a new tool to the Tools | External Tools submenu.

Edit...

Opens the External Tool Info editor for editing the title, the hot key, the path to the executable file, the working directory and execution parameters of the tool currently selected in the Tools list.

Delete

Removes the selected tool from the list of SQL Manager for SQL Server external tools.

External tools - External Tools dialog

To change the order of tools in the list, use the [image] [image] arrow buttons at the bottom area of the dialog, or use the Ctrl+Shift+Up / Ctrl+Shift+Down shortcuts. You can also drag-and-drop items within the list box to change their positions.

See also:

External Tool Info editor


External Tool Info editor

The External Tool Info editor allows you to set common parameters of running added external programs from within SQL Manager environment. This dialog is used both when adding external tools and editing their parameters (see Add External Tool and External Tools).

Title

Enter the title to be displayed in the Tools | External Tools submenu of SQL Manager.

Hot Key

Press a key or a key combination to set it as a hot key for running the tool.

Program

Use the ExplorerButton Explorer button to specify the path to the *.exe file of the external program.

Working Dir

Set the default working directory of the program.

Parameters

This box stores parameters for the program execution (if required).

External tools - External Tool Info editor

See also:

External Tools dialog


Program interface

Main menu

The main menu allows you to perform various Database operations, open To-Do List and activate/deactivate Database Explorer, SQL Assistant and various toolbars within the View menu, manage your databases using items of the Tools and Services menus, customize the application using the Options menu, manage SQL Manager Windows using Window List and other tools, view the Tip of the Day and access Registration information and product documentation, update the product to the latest version using the corresponding items available within the Help menu.

Appendix - Program interface - MainMenu

Note: To learn how to configure SQL Manager menus, refer to the Customize toolbars and menus page.

Navigation bars in object editors and program tools

Navigation bars are interface elements that enable users to quickly locate tools they need. Navigation bar items are displayed within a group with the help of links. A typical Navigation bar of SQL Manager contains links to commonly accessed tools (refresh, print, restore default size of the window), options pertaining to the editor or tool, and specific tools.

Appendix - Program interface - NavBar - Expanded

Navigation bar panes (groups) can be expanded/collapsed. When expanded, a pane provides access to its links; when collapsed, panes are displayed as headers only.

To expand/collapse a pane, click the pane header. The [image] [image] icons indicate the current pane state (collapsed/expanded respectively).

Appendix - Program interface - NavBar - Collapsed

Note: Depending on the current tab selection, Navigation bars in most of the program tools expand to one or more additional panes with tab-specific actions that can be useful for working with the object or service.

Note: To configure the Navigation bars, you can use the Navigation bar section of the Visual Options dialog.

Hint: Most items of the Navigation bars are also available on the Toolbars.

Toolbars in the main program window, object editors and program tools

A toolbar is a horizontal row or vertical column of selectable image buttons that give the user a constantly visible reminder of and an easy way to select certain application functions. Most SQL Manager editors and tools are supplemented with toolbars.

Appendix - Program interface - Toolbar

To enable the toolbars in SQL Manager for SQL Server, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

Hint: Most SQL Manager toolbars are dockable, i.e. you can place a toolbar to any available location within the parent window.

To learn how to configure toolbar items, refer to the Customize toolbars and menus page.

Progress bars

A progress bar is an interface element that conveys the progress of a task or service. Several SQL Manager editors (e.g. Execute Script),tools (e.g. Dependency Tree) and wizards (e.g. Import Data Wizard) are supplemented with progress bars indicating the progress of lengthy operations.

The graphic of SQL Manager progress bars is accompanied by a textual representation of the progress in the percent format.

Splitters

Splitter controls are used to resize docked controls at run time. In SQL Manager for SQL Server the splitter controls are used on the main form, DB Explorer, and in program tools and editors as a separator between the working area and Navigation bars, status bars, etc.

Incremental Search bar

Incremental search bar is the tool which is available in the status bar area of some SQL Manager tools. The bar is normally called through the Ctrl+I shortcut. Type in the first letters of the search string, and the corresponding string will be highlighted in the search scope.


Viewing object DDL structure

The DDL (Data Definition Language) tab displays the SQL statement for creating the object with all its subobjects, if any. This text is read-only. If you want to change the object definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the Query Data or Execute Script.

Appendix - Viewing DDL structure

Hint: If more convenient, you can use the Save DDL to file and Open DDL in Query Data items available on the DDL pane within the Navigation bar of object editors.


Editing object description

The Description tab allows you to view and edit the comment for the object (optional).

Appendix - Editing object description

You can save changes made in this area by clicking the Save Description item on the Navigation bar.

If the changes have not been saved, on attempt to select another tab of the editor you will be prompted for an action whether changes in the object description should be saved or discarded.

Note: Changing object description is performed by means of sp_updateextendedproperty 'MS_Description'.


Browsing object dependencies

The Dependencies tab allows you to view objects that depend on the object being edited, and the objects that the edited object depends on.

Appendix - Browsing object dependencies

Hint: To open a dependent object or a depending object in its editor, you can simply double-click the object alias in the Objects that <object_name> depends on and Objects that depend on <object_name> lists.

See also:

Dependency Tree


Setting object permissions

The Permissions tab allows you to view the permissions currently allocated for this object, and to grant permissions on the object to any of the existing principals.

Appendix - Setting object permissions

For details see Grant Manager.


Changing Metadata window

The Changing Metadata window is used to trace the errors and edit SQL statements during their compilation. The compilation window appears each time metadata is changed, both when the compilation is successful and when there are compilation errors. To hide this window for successful metadata changes, select the CheckBox Don't show this window on success option.

Compile SQL

This area displays the SQL statement pending to be executed to perform metadata changing. In this area you can view and edit the SQL statement.

In case of a compilation error the Error tab also becomes visible - here you can view the error description returned by the server.

Commit

This button starts execution of the statement(s). Click it to commit the current transaction. This button is available only if there were no errors in compilation.

Rollback

This button cancels the script execution and allows you to return to the previous stage (editor window or DB Explorer).

Rollback and Recompile

This button calls for recompilation with the changes you made in the Compile SQL area. Use this button after correcting the SQL statement.

Appendix - Changing Metadata window

If necessary, you can copy information to clipboard and save it in a text editor afterwards (the button is only enabled when a compilation error occurs).

If you want this window to appear only in case of an error, uncheck the CheckBox Confirm metadata changing (Changing Metadata Window) option (checked by default) available within the Confirmations section of the Environment Options dialog.


Find Text dialog

The Find Text dialog is provided for quick and flexible searching for specified text within the working area of SQL Manager editors.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Options

CheckBox Case sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular expressions

Recognizes regular expressions in the Text to find field.

For example, you can type "empl*" to search for metadata containing the "empl" substring; enter "^emp" to search for words starting with "emp" or "^emp|emp$" to search for the string "emp" at the beginning or at the end of the string.

Note: The syntax of regular expressions that can be used in the Text to find field is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html#Regular-Expressions.

Direction

RadioButton Forward

Searches from the current position to the end of the working area.

RadioButton Backward

Searches from the current position to the beginning of the working area.

Scope

RadioButton Global

Searches within the entire working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

CheckBox Mark search result with stack marker

The option toggles marking search results. If this option is selected, stack markers are set at all search positions - this makes it possible to jump from one marker (search result) to another within the text.

Click the Show All button to highlight every occurrence of the search string.


Replace Text dialog

The Replace Text dialog is provided for searching and replacing text within the working area of SQL Manager editors.

Text to find
Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Text to replace
This box allows you to enter a string to replace the search string. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered strings. To replace the search string with an empty string, leave this input box blank.

Options

CheckBox Case sensitive
This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only
Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular expressions
Recognizes regular expressions in the Text to find field.

CheckBox Replace with template
This option requires the Regular expressions option selection.

Enable this option to use regular expressions in the Text to replace field. Expression used in this field will be applied to each string that matches the Text to find expression.

Note: The syntax of regular expressions that can be used in the Text to find and the Text to replace fields is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html#Regular-Expressions.

CheckBox Prompt on replace
Check this option if you wish to be prompted before replacing upon each occurrence of the search string. When this option is off, the search string is replaced automatically.

Direction

RadioButton Forward
Searches and replaces from the current position to the end of the working area.

RadioButton Backward
Searches and replaces from the current position to the beginning of the working area.

Scope

RadioButton Global
Searches and replaces within the entire working area, in the direction specified by the Direction setting.

RadioButton Selected text
Searches and replaces only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor
The search and replace process starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope
The search and replace process covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

CheckBox Mark search result with stack marker
The option toggles marking search results. If this option is selected, stack markers are set at all search positions - this makes it possible to jump from one marker (search result) to another within the text.

Click the Replace All button to replace every occurrence of the search string. If you have checked the Prompt on replace option, the confirmation dialog box appears upon each occurrence of the search string.


Format specifiers

The following format specifiers are supported in the format string:

Float/Integer format

0

Digit place holder. If the value being formatted has a digit in the position where the '0' appears in the format string, then that digit is copied to the output string. Otherwise, a '0' is stored in that position in the output string.

#

Digit placeholder. If the value being formatted has a digit in the position where the '#' appears in the format string, then that digit is copied to the output string. Otherwise, nothing is stored in that position in the output string.

.

Decimal point. The first '.' character in the format string determines the location of the decimal separator in the formatted value; any additional '.' characters are ignored.

,

Thousand separator. If the format string contains one or more ',' characters, the output will have thousand separators inserted between each group of three digits to the left of the decimal point. The placement and number of ',' characters in the format string does not affect the output, except to indicate that thousand separators are wanted.

E+

Scientific notation. If any of the strings 'E+', 'E-', 'e+', or 'e-' are contained in the format string, the number is formatted using scientific notation. A group of up to four '0' characters can immediately follow the 'E+', 'E-', 'e+', or 'e-' to determine the minimum number of digits in the exponent. The 'E+' and 'e+' formats cause a plus sign to be output for positive exponents and a minus sign to be output for negative exponents. The 'E-' and 'e-' formats output a sign character only for negative exponents.

Date/Time format

c

Displays the date using the format using the Short Date Format, followed by the time using the Long Time Format. The time is not displayed if the date-time value indicates midnight precisely.

d

Displays the day as a number without a leading zero (1-31).

dd

Displays the day as a number with a leading zero (01-31).

ddd

Displays the day as an abbreviation (Sun-Sat) using the strings of the Short Day Names.

dddd

Displays the day as a full name (Sunday-Saturday) using the strings of the Long Day Names.

ddddd

Displays the date using the Short Date Format.

dddddd

Displays the date using the Long Date Format.

e

Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).

ee

Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).

g

Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).

gg

Displays the period/era as a full name. (Japanese and Taiwanese locales only).

m

Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mm

Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mmm

Displays the month as an abbreviation (Jan-Dec) using the strings given of the Short Month Names.

mmmm

Displays the month as a full name (January-December) using the strings of the Long Month Names.

yy

Displays the year as a two-digit number (00-99).

yyyy

Displays the year as a four-digit number (0000-9999).

h

Displays the hour without a leading zero (0-23).

hh

Displays the hour with a leading zero (00-23).

n

Displays the minute without a leading zero (0-59).

nn

Displays the minute with a leading zero (00-59).

s

Displays the second without a leading zero (0-59).

ss

Displays the second with a leading zero (00-59).

z

Displays the millisecond without a leading zero (0-999).

zzz

Displays the millisecond with a leading zero (000-999).

t

Displays the time using the Short Time Format.

tt

Displays the time using the Long Time Format.

am/pm

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/p

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

ampm

Uses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.

/

Displays the date separator character using the Date Separator.

:

Displays the time separator character using the Time Separator.

'xx'/"xx"

Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Language Info Editor

The Language Info Editor dialog allows you to set the language name and specify the corresponding *.lng localization file. This dialog is opened when you add or edit a language (see Environment Options | Localization).

Language Name

The name of the language that is displayed in the Select Program Language dialog and within the Available Languages list of the Environment Options | Localization section.

Language File

The *.lng file containing the translated string resources. See the %program_directory%\Languages folder to find already existing localization files.

Adding a language

The Add language dialog allows you to specify your own localization file and set the language name.

Editing a language

The Edit language dialog allows you to change the language name or select another localization file for the specified language.


Using templates

For your convenience the ability to use templates is provided by SQL Manager for SQL Server. A template is a named collection of wizard options stored in a file.

Instead of performing a long chain of routine steps all the time you can save all the options of the wizard for future use as a template file. Select the Templates | Save Template drop-down menu item, specify the template file name and set an optional comment for the template file.

When starting the wizard next time, you can load the template by selecting the Templates | Load Template drop-down menu item.

Note that saving/loading of templates is possible at any step of the wizard.


Supported file formats

RadioButton MS Excel 97-2003

The most popular e-table format used by Microsoft® Excel (*.xls). The result files are fully compatible with Microsoft® Excel versions 97-2000, 2003 and XP.

RadioButton MS Access 97-2003

File of Microsoft® Access format (*.mdb) with an ADO connection used.

RadioButton MS Word 97-2003

One of the most popular text processing formats used by Microsoft® Word (*.doc). The result files are fully compatible with Microsoft® Word versions 97-2000, 2003 and XP.

RadioButton RTF

Rich Text Format (*.rtf) supported by many text processing programs (e.g. WordPad).

RadioButton HTML

Hyper Text Markup Language file format (*.html, *.htm), complete compatibility with HTML 4.0 specification.

RadioButton PDF

A standard format in electronic publishing (*.pdf).

RadioButton Text file

Plain text file format (*.txt).

RadioButton CSV file

Comma-Separated Value file format (*.csv).

RadioButton DIF file

Data Interchange File (*.dif) format.

RadioButton SYLK

Symbolic Links (*.slk) file format.

Note: all the text formats including Text file, CSV, DIF, SYLK are usually used as working or interchange formats.

RadioButton LaTeX

A specific file format (*.tex) which is a popular (especially among mathematicians and physicists) macroextension of TeX pack developed by D.Knut.

RadioButton XML

A markup language for documents containing structured information (*.xml).

RadioButton DBF

Database file format (*.dbf) used by dBASE and a number of xBASE applications.

RadioButton MS Excel

The contemporary e-table format used by Microsoft® Excel 2007 (*.xlsx). The result files are fully compatible with Microsoft® Excel 2007.

RadioButton MS Access

File of Microsoft® Access 2007 format (*.accdb) with an ADO connection used.

RadioButton MS Word

The contemporary text processing format used by Microsoft® Word 2007 (*.docx). The result files are fully compatible with Microsoft® Word 2007.

RadioButton ODF Spreadsheets

OASIS Open Document Format for Office Applications - open document file format for spreadsheets (*.ods) used by a number of applications including OpenOffice.org and KOffice.

RadioButton ODF text

OASIS Open Document Format for Office Applications - open document file format for word processing (*.odt) documents used by a number of applications including OpenOffice.org and KOffice.


To-Do List

The To-Do List window allows you to make up a list of tasks for the database.

To call this window, select the View | To-Do List main menu item, or use the Shift+Ctrl+T shortcut.

The task list is displayed in a form of a grid. Its columns (Action, Priority, User, Category) correspond to the task parameters. Click the column caption to sort the task list by the current parameter or change the sorting direction. Use the Navigation bar and context menu to add, edit, and delete to-do items.

Appendix - To-Do List

Database

Select the database to apply the task list to. When switching between the databases you can view different task lists.

To add a task to this list, click the Add Item link on the Navigation bar, or select Add Item from the context menu. You can also use the Ins key for the same purpose. Define the task parameters and click OK to add the new task to the list.

Appendix - To-Do List - Edit To-Do item

Text

Optional text to describe the task.

Priority

Set a numeric value to indicate the priority of the task.

User Name

The database User name this task is applied to.

Category

Set a category for the task. Using categories may be useful for grouping tasks.

To modify a task, select the task in the list and click the Edit Item link of the Navigation bar, or select Edit Item in the context menu. You can also use the Enter key for the same purpose.

To remove a task, select the task in the list and click the Delete Item link of the Navigation bar, or select Delete Item in the context menu. You can also use the Del key for the same purpose.

To remove all tasks from To-Do List, click the Delete all link of the Navigation bar, or select Delete all in the context menu. You can also use the Ctrl+Del shortcut for the same purpose.


Windows List

The Windows List panel allows you to browse the list of windows that are currently opened within SQL Manager for SQL Server IDE.

To activate this panel as a DB Explorer tab, select the Windows | Window List main menu item, or use the Ctrl+Alt+0 shortcut.

Appendix - Window List

If necessary, you can right-click within the list area to call the popup menu which allows you to bring a window to foreground, close windows one by one or in groups, and to arrange the windows according to your preferences.


Customize toolbars and menus

For your convenience SQL Manager for SQL Server provides toolbars and menus that you can customize, so the commands you use frequently are readily available and easily identifiable.

The Customize dialog allows you to create and personalize SQL Manager menus and toolbars.

To call this dialog, click More buttons... btnMoreButtons on the right side of any toolbar, then click Add or Remove Buttons and select Customize... from the drop-down menu. Alternatively, you can right-click any toolbar and select the Customize... popup menu item.

Toolbars

Toolbars

This list displays all currently existing toolbars of SQL Manager (both default and user-defined toolbars). Check/uncheck the box at a toolbar name to show/hide the toolbar.

New...

Use this button to add a new user-defined toolbar to the Toolbars list. Set a name for the newly created toolbar and dock it by dragging it to any permitted location within the application window.

Rename...

Use this button to rename the selected user-defined toolbar.

Delete

Use this button to delete the selected user-defined toolbar.

Appendix - Customize - Toolbars

Commands

This tab allows you to browse the list of all commands available within the menus and toolbars of the application window. Selecting categories in the Categories list displays commands of the selected category (e.g. 'Database' or 'Tools') in the Commands list.

If necessary, you can pick a command and drag it to any toolbar to create a button for this command.

Appendix - Customize - Commands

Options

Personalized Menus and Toolbars

CheckBox Menus show recently used commands first

This option determines whether the most frequently used items will be placed in menus at first position.

If this option is enabled, frequently used menu items are "promoted" and displayed higher on the list. Unused and infrequently used menu items are visually suppressed and appear "collapsed".

CheckBox Show full menus after a short delay

This option is available only if the Menus show recently used commands first option is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

Reset my usage data

Resets the lists of recently used commands in the toolbars and menus.

Appendix - Customize - Options

Other

CheckBox Large icons

This option displays larger icons on the parent window toolbars.

CheckBox Show ToolTips on toolbars

If this option is selected, ToolTips (hints) popup when the mouse cursor is positioned over a toolbar button.

CheckBox Show shortcut keys in ToolTips

If this option is selected, the corresponding shortcuts are displayed in ToolTips (hints) for toolbar buttons.

Menu animations

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding menus)

Fade (menus fade in when appearing)


SQL Manager Direct

SQL Manager Direct is a feature of SQL Manager for SQL Server which provides you with quick access to the related Internet resources and allows you to keep your SQL Manager version up-to-date.

To open the SQL Manager Direct window, select the Help | SQL Manager Direct item from the main menu.

Links to sqlmanager.net resources provided by the SQL Manager Direct window are grouped into several sections:

  • SQL Manager for SQL Server News
  • General Information
  • Downloads
  • Related Products

Upon a link selection you will be immediately forwarded to the corresponding resource.

SQL Manager for SQL Server News

This section takes you directly to the latest EMS news column. Using the links you can get up-to-date news, product information and downloads from sqlmanager.net.

General Information

This section offers a number of links to product news, features, Feature Matrix, system requirements, testimonials and much more.

Downloads

Using links of this section you can download other product versions from the download page.

Related Products

This section allows you to browse the list of related products developed by EMS Database Management Solutions, Inc.

Appendix - SQL Manager Direct

Use the btnBack btnForward buttons to navigate in the same way as you normally do it using a web browser.

Click the Update button to refresh the page.

CheckBox Automatically poll network in interval (in days)

If this option is selected, the page is refreshed automatically after the specified time interval. Use the spinner control to set the interval (in days).

In the Status area at the bottom of the SQL Manager Direct window you can find the status of your request to the sqlmanager.net website.


Database Login dialog

The Log in Database dialog appears on attempt to connect to a database if the Login prompt before connection option is enabled on the Options page of the Database Registration Info dialog.

Appendix - Database Login

Specify authentication type and user name / password (if necessary) and click OK to start working with the database.


Overwriting existing output file

If a file having the same name as specified for an output file generated by SQL Manager already exists, a warning dialog is displayed.

Appendix - Overwrite File Warning dialog

You can Overwrite the file, Make it Unique, or Cancel both and change the path or file name manually.

The application makes the file unique by adding the current timestamp to the specified file name if the CheckBox Add Timestamp to filename option is enabled, or by adding a simple numeric postfix to the file name if this option is disabled.


Script conversion

The Script conversion dialog allows you to select encoding to be used for script conversion upon loading script to one of SQL Manager editors (Query Data, Execute Script) from an external file.

Appendix - Script conversion

RadioButton Windows default

Specifies that the standard Windows encoding will be used for the script conversion.

RadioButton Database default

Specifies that the default encoding of the database will be used for the script conversion.

RadioButton Other encoding

Allows you to select the encoding that will be used for the script conversion.

Preview

This area displays the script with the current encoding parameters applied.


SQL Server Folders

SQL Server Folders dialog allows you to browse directories on the server.

Server Properties - Database Settings - SQL Server Folders

This dialog is accessible from the Database properties | Filestream files and filegroups, Server Properties | Database Settings and Full-text catalog editor.


Select Object dialog

The Select Object dialog appears each time the application requests a database object selection, e.g. upon a root object selection for the Dependency Tree tool, or when choosing an object to be added to a project.

Appendix - Select Object

First select the object type in the list on the left-hand side of the window. Pick the object you need and click OK the apply your selection.


SQL Manager shortcuts

Database management:

Shift+Alt+R | Register a database using Register Database Wizard
Shift+Alt+U | Unregister the selected database
Shift+Ctrl+C | Connect to a database
Shift+Ctrl+D | Disconnect from a database

Database objects management:

Ctrl+N | Create a new object (the object type depends on the current selection)
Ctrl+O | Edit the selected object in its editor
Ctrl+R | Rename the selected object
Shift+Del | Drop the selected object
Ctrl+Shift+C | Collapse the current DB Explorer tree branch and switch selection to the parent tree node

SQL Manager tools:

F11 | View/hide Database Explorer
Ctrl+F | Search for an item in the DB Explorer tree
Shift+Ctrl+T | Open the To-Do List window
F12 | Show Query Data
Shift+F12 | Open a new instance of Query Data
Shift+Ctrl+M | Open SQL Monitor
Shift+Ctrl+S | Open Execute Script
Shift+Ctrl+L | Open Localization Editor
Ins | Add a new table subobject (the subobject type depends on the current tab selection)
Ctrl+I | Start incremental search

Query Data and Execute Script (fixed and default):

F9 | Execute query/script
Alt+F9 | Execute selected only
Ctrl+Alt+F9 | Execute under cursor
Ctrl+Alt+F2 | Reset execution point (Query Data only)
Shift+Ctrl+<digit> | Toggle bookmark #<digit>
Ctrl+<digit> | Go to bookmark #<digit>
Ctrl+Q | Go to next bookmark
F2 | Drop marker to current position
Ctrl+Z; Alt+BkSp | Undo
Shift+Ctrl+Z; Shift+Alt+BkSp | Redo
Ctrl+F | Search for text using the Find Text dialog
Ctrl+R | Replace text using the Replace Text dialog
F3 | Search next
Ctrl+I | Start incremental search
Alt+G | Go to line number (an input number dialog prompts for the number)
Ctrl+L | Load a script from an external file
Ctrl+S | Save the script to an external file
Ctrl+F1 | Show original help SQL Server Books Online
Shift+Ctrl+F | Format the SQL text using SQL Formatter
Alt+<symbol> | Switch to the query with <&symbol> in its name (Query Data only)
Ctrl+J | Insert a keyboard template
Сtrl+D | Toggle query results display mode (at the Edit tab or at a separate one)
Ctrl+Alt+Left | Switch to the next tab of Query Data
Ctrl+Alt+Right | Switch to the previous tab of Query Data
Ctrl+Alt+PgUp | Switch to the last tab of Query Data
Ctrl+Alt+PgDown | Switch to the first tab of Query Data
Shift+Ctrl+Left | Select the previous word
Shift+Ctrl+Right | Select the next word
Shift+Home | Select text to the beginning of the line
Shift+End | Select text to the end of the line
Shift+PageUp | Select one page up
Shift+PageDown | Select one page down
Shift+Ctrl+PageUp | Select text to the first line on the page
Shift+Ctrl+PageDown | Select text to the last line on the page
Shift+Ctrl+Home | Select text to the absolute beginning
Shift+Ctrl+End | Select text to the absolute end
Shift+Alt+Left | Select column symbol-by-symbol to the left
Shift+Alt+Right | Select column symbol-by-symbol to the right
Shift+Alt+Up | Select column upwards
Shift+Alt+Down | Select column downwards
Shift+Ctrl+Alt+Left | Select column word-by-word to the left
Shift+Ctrl+Alt+Right | Select column word-by-word to the right
Shift+Alt+Home | Select column to the first char of line
Shift+Alt+End | Select column to the last char of line
Shift+Alt+PageUp | Select column to the beginning of the page
Shift+Alt+PageDown | Select column to the end of the page
Shift+Ctrl+Alt+Home | Select column from the current cursor position to the beginning of the first line
Shift+Ctrl+Alt+End | Select column from the current cursor position to the beginning of the last line
Ctrl+Up | Scroll up one line with cursor position unchanged
Ctrl+Down | Scroll down one line with cursor position unchanged
Alt+Down, Alt+Up | Toggle case of a current word
Ctrl+Alt+Up | Toggle case to upper of a current selection or char
Ctrl+Alt+Down | Toggle case to lower of a current selection or char
Ctrl+G,Ctrl+F | Collapse block at current line
Ctrl+G,Ctrl+E | Expand block at current line
Ctrl+G,Ctrl+M | Collapse all blocks in the text
Ctrl+G,Ctrl+P | Expand all blocks in the text
Ctrl+= | Collapse/expand the nearest block
Esc | Collect marker (jump back)
Shift+Esc | Swap marker to current position
Shift+Ctrl+B | Jump to matching bracket (change range side)
Shift+Ctrl+I | Indent selected block
Shift+Ctrl+U; Shift+Tab | Unindent selected block
Ctrl+/ | Comment/uncomment selected block
Ctrl+Space | Show code completion
Shift+Ctrl+Space | Show code parameters
Ctrl+Alt+Space | Show character map
Ctrl+Alt+T | Show tables
Ctrl+Alt+V | Show views
Ctrl+Alt+M | Show synonyms
Ctrl+Alt+G | Show defaults
Ctrl+Alt+L | Show rules
Ctrl+Alt+H | Show users
Ctrl+Alt+A | Show assemblies
Ctrl+Alt+Y | Show UDTs
Ctrl+Alt+W | Show SQL keywords
Ctrl+Alt+N | Show SQL functions
Ctrl+C; Ctrl+Ins | Copy selection to Clipboard
Ctrl+X; Shift+Del | Cut selection to Clipboard
Ctrl+V; Shift+Ins | Paste Clipboard to current position
Ctrl+Del | Delete current selection
Ctrl+T | Delete from cursor to the next word
Ctrl+BkSp | Delete from cursor to the beginning of the word
Ctrl+B | Delete from cursor to the beginning of the line
Shift+Ctrl+Y | Delete from cursor to the end of the line
Ctrl+Y | Delete the current line
Ctrl+M; Enter; Shift+Enter | Break line at current position, move caret to a new line
Ctrl+Alt+I | Insert Tab char
Shift+Ctrl+P | Play macro
Shift+Ctrl+R | Start macro recording
Alt+End | Skip misprint
Ctrl+Alt+End | Skip all misprints
Alt+Home | Correct all misprints

Print Data View:

Ctrl+O | Load a printing report from a file
Ctrl+S | Save the report to file
Ctrl+P | Open the Print dialog
Ctrl+Home | Go to the first page
Ctrl+Up | Go to the previous page
Ctrl+Down | Go to the next page
Ctrl+End | Go to the last page
Ctrl+D | Open Report Formatter
Ctrl+\ | Zoom 100%
Ctrl+0 | Zoom page width
Ctrl+1 | Whole page
Ctrl+2 | Two pages
Ctrl+4 | Four pages
Ctrl+W | Widen to source width
Ctrl+M | Show/hide margins
Ctrl+K | Set background color for the report

Working with windows, menus and tabs:

Ctrl+Tab | Switch to the next tab
Ctrl+Alt+0 | Open Windows List
Ctrl+Alt+D | Set defaults to all windows
Ctrl+F6 | Switch to the previous window
F6 | Switch to the next window
Ctrl+W | Close the active window
Ctrl+Down | Expand a collapsed menu
Ctrl+Shift+N | move to the next tab in DB Explorer
Ctrl+Shift+P | move to the previous tab in DB Explorer


How To...

The succeeding pages of this chapter are intended to provide you with brief instructions on how to perform this or that operation correctly using SQL Manager for SQL Server.

Work with Databases

Connect to a database

Create a database

Edit database connection parameters

Make work with a database faster

Design a visual database structure

View an ER diagram

Backup a database

Restore a database from a backup

Create a database copy

Document a database

Save metadata reports to file

Log database changes

Get an SQL dump

Reduce database size

Transfer database from one server to another

Work with Database Objects

Group objects

Find objects

View dependecies

Get an object DDL

Work with Data

View tables with many records

Set data filter

Sort and group data

Export/import data

Export data as SQL Script

Edit data of master-detail tables

Add image to table

Set data display format

Work with Queries and Scripts

Create SQL statements rapidly

Control a query productivity

Work with several queries at once

Save most frequently used queries

Execute queries with parameters

Export query results into file

Execute scripts

Execute a large SQL script

Make SQL script work faster

Customize work with Query/Script text

View executed queries and scripts

Create a simple report in Report Designer

Create a scheduled job

Transfer program settings

Update SQL Manager

Report bugs and suggestions

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools


Database Management_10

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Connect to a database

If you want to connect to a database that has not been registered yet then perform the following operations:

  1. Launch the Register Database wizard by selecting the Database | btnRegisterDB Register Database... main menu item.
  2. If a host where the database is located has not been registered yet then type in its name in the Server name field on the first step of the wizard. Otherwise, select the necessary host from the drop-down list.

Note: To register several databases at once uncheck the CheckBox Register a single database option. In this case you will proceed to the Selecting databases step of the wizard where you are to define databases you want to be registered.

  3. On the last step of the wizard set database name and specify specific options.
  4. The registered database(s) is/are now displayed in the DB Explorer. To connect to the database double-click its alias or select the btnConnectToDB Connect to Database item of the database context menu.


Database Management_4

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Create a database

To create a database on the registered server perform the following operations:

  1. Launch the Create Database wizard by selecting Database | btnCreateDB Create Database main menu item.
  2. On the first step specify a name for a newly created database.
  3. On the second step set the necessary connection parameters for the database being created. Use the corresponding boxes and options: Server name, Authentication, User name and Password.
  4. Define the data files and transaction log files on the third and the fourth steps correspondingly. The primary data file is the starting point of the database and points to the other files in the database. The recommended file name extension for primary data files is *.mdf. Log files hold all the log information that is used to recover the database. The recommended file name extension for log files is *.ldf. If you use the SQL Server 2008 (or higher) then define filestream files and filegroups on the next step. FILESTREAM enables the application to store unstructured data (such as text documents, images, videos, etc.) on the file system.
  5. On the next step set recovery model and collation. A recovery model is a database property that controls the basic behavior of backup and restore operations for a database. Collation controls the way string values are sorted.
  6. Click the Finish button to view the result SQL statement. If you have checked the CheckBox Register After Creating box on the first step of the wizard then the Database Registration Info dialog will appear after creating a new database.


Database Management_12

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Edit database connection parameters

If you have made a mistake when creating and registering a database or the information provided is incomplete then it can be edited using the Database Registration Info dialog. You can view this information both for connected or disconnected database.

To open the dialog, select the database or any of its objects in the DB Explorer tree, then select the Database | btnDBRegistrationInfo Database Registration Info... main menu item, or right-click the database alias in DB Explorer and use the btnDBRegistrationInfo Database Registration Info... context menu item.

The connection parameters can be changed on the Connections tab of the dialog. Here you can define or redefine the following properties in the corresponding boxes: Server name, User name, Password, Database name, Database alias, Font charset and OLE DB Provider.


Make work with a database faster

If your database contains too many objects or if a connection to the database is slow you can increase work speed by uncheking the CheckBox Refresh objects on connection option when registering database or editing the Database Registration Info.

Also you can uncheck the CheckBox Restore desktop on connect option in the Preferences section of the Environment Options.


Design a visual database structure

To design your database visually you may use the Visual Database Designer. It allows you to create, edit and drop tables and table columns, set relations between tables and perform other operations you may need to achieve your purpose.

To create a new object right-click within the diagram area and then choose the Create item of the context menu. After that a new object will appear on a diagram.

After you have finished designing your diagram you can click a Compile button to create this structure physically.


View an ER diagram

The relationship diagram is built using the reverse engineering operation.

To view an ER diagram of a scheme you should follow the steps:

  1. Run Visual Database Designer;
  2. Click the btnReverseEngineer Reverse Engineer button on the main toolbar or use the corresponding item of the context menu.
  3. Choose schemas to reverse engineer from.

The created diagram can be saved as a *.msd file ( btnSave Save Diagram button) or as an image ( btnSaveAsPicture Save as Picture button).


Backup a database

A database backup is created by means of the Backup Database Wizard. To launch it choose Services | [image] Backup Database main menu item.

Using this wizard you can define the necessary backup parameters and options, such as the database for backup, backup type (Full, Differential or Transaction log), files of the database to backup, physical or logical devices, media options (append or overwrite media), data transfer and/or transaction log options and others.

You can also choose to create a backup now or create a schedule to run a database backup automatically.


Restore a database from a backup

Use the Restore Database Wizard to restore a database from a backup. To launch the wizard and set restore options choose the Services | [image] Restore Database main menu item.

Using this wizard you can define the necessary restore parameters, such as database to restore, restore type (Database, Transaction log, Recovery without restore or Recovery from database snapshot), recovery options, backup media to restore a database from, database files, and some other options.


Create a database copy

In order to create a copy of the whole database or of separate objects you can:

  1. Extract DB objects structure and data into SQL script using the Extract Database Wizard. The result script can be used to copy or restore your database. If the CheckBox Generate CREATE DATABASE statement option was not checked while customizing script options then you need to create a database before performing the extract script. It is better to execute a script from file using the Execute Script.
  2. Create a database backup with the help of the Backup Database Wizard. Then run the Restore Database Wizard and select the RadioButton New database as a destination database.
  3. Create copies of separate database objects by using the Duplicate Object Wizard.


Document a database

There are several ways to document a database:

  1. You can generate a detailed HTML report of the selected database objects using HTML Report Wizard.
  2. You can generate and print metadata reports of any database object(s). Generated reports can be exported to any of the available formats: HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.
  3. You can save the Visual Database Designer diagram as a *.msd file for future use. A diagram is saved with the objects XML files. If necessary, you can also save the diagram as an image.


Save metadata reports to file

To save a metadata report in a file of any supported format (*.txt, *.csv, *.pdf, *.html) you should do the following:

  1. Open the Print Metadata window by selecting the Tools | iconPrint Print Metadata item of the main menu.
  2. Mark the needed objects and define printing settings and click the btnPrintPreview Preview button on the navigation bar or toolbar.
  3. In the opened Preview window click btnPreviewExport Export and select from the drop-down list the needed file format for report saving. When done, specify file name and location.


Log database changes

If you want to perform metadata changes logging and SQL query logging you need to:

  1. Check the CheckBox Enable log of metadata changes and specify the path to the *.sql file to store the metadata logs.
  2. Check the CheckBox Enable log of Query Data queries and specify the path to the *.sql file to store the logs of SQL queries: date/time of query execution, SQL text, execution result or errors (if any).

This can be done in the Database Registration Info | Logs window.


Get an SQL dump

To get an SQL dump (an *.sql file) of your database use the Extract Database Wizard that will extract database objects and/or data to an SQL script, e.g. for backup purposes.


Reduce database size

Database size reducing can be done by means of the Shrink Database Wizard. It allows reducing the size of data files and log files in the specified database. This operation is used to reduce any file within the database to remove unused pages. Both data and transaction log files can be reduced.

Note: You can shrink a database only if there are no active connections to this database and it is now involved in the replication.


Transfer database from one server to another

Source Server is a server where a database is located.

Target Server is a server to which the database should be moved.

If versions of the source and target servers are the same

You can transfer a database in one of the following ways:

  1. Copy database files from the source server directory to the target server directory. This can be done without SQL Manager for SQL Server. Then attach to explore the complete list of the files for copying use the Data files, Log files and Filestream files and filegroups sections of the Database Properties dialog.
  2. Create a full backup of a database using the Backup Database Wizard and save it to the file (this option is set at the step of selecting backup devices), copy the backup file to any directory of the target server to which the server has read access and then restore the database to a new one using the Restore Database Wizard (this option is set at the step of selecting destination database step).

Note: To perform file copying you need to stop the server or perform the detach database operation and then the attach database operation. Both actions will cause the temporary database offline state.

If versions of the source and target servers are different

Extract database objects structure and data into Execute Script using the Extract Database Wizard and execute the script for the target server using Execute Script.

Note: If you choose not to use the CREATE DATABASE statement during the script execution, you should create a new database before executing a script at the target server.

Note: If versions of the source and target servers are different, in most cases you will have to edit the script manually for it to be executed successfully.

Note: To transfer databases from other formats or servers to the SQL Server, use our EMS Data Pump for SQL Server tool.


Group objects

If you want to group objects you can do it in one of the following ways:

Using projects (situated in the DB Explorer tree):

  1. Click create New Sub Folder in the Favorite Objects folder using the corresponding item of the context menu
  2. Define its name and drag-and-drop necessary objects there or use the Add Object item of the created folder context menu. Pick the objects to add to folder from the appeared dialog.

Using DB Explorer tabs:

  1. Right-click the necessary object in the DB Explorer.
  2. Choose the btnNewTabFromHere New Tab from Here item of the object context menu and define the name of the tab.
  3. Now your objects are stored on the separate tab of a DB Explorer.

Note: If object is not a tree node, it cannot be placed on separate tab.


Find objects

In order to search for objects you need you can:

  1. Call the Find Object dialog by right-clicking the Database alias, any database object group nodes or objects in the DB Explorer tree and select the Find Object... context menu item.
  2. Call the Find Object dialog by using the Ctrl+F shortcut.
  3. Type in the first letters in the edit-box of the Search Panel, and the corresponding object will be highlighted in the tree, as displayed in the picture below.

Note: Objects among which the search is performed should be updated and the object node should be expanded.


View dependecies

If you want to view all the object dependencies then:

  1. Use a dependencies tab in the Table Editor.
  2. Use the Dependency Tree tool.

These tools may be useful when you can't find an object that prevents your from dropping a table.


Получить DDL объекта

Просмотреть DDL объекта можно одним из следующих способов:

  1. Дважды щелкните по объекту, чтобы открыть редактор объекта, затем перейдите на вкладку DDL.
  2. Выберите Script to Query Data | Create в контекстном меню объекта.

Для редактирования DDL объекта можно открыть в редакторе запросов, нажав на панели инструментов btnShowSQLEditor Open DDL in Query Data.


Store objects definitions in VCS

If you want your objects to be under version control system, perform the following steps.

  1. Proceed to the DDL to Files tab of the Database Registration Info dialog and enable the CheckBox Write object definition to a file after compilation option.
  2. Define the directory which will be used for storing object file names in the Root folder for storing object definitions field. In order to make files be under version control this directory must be a working copy.
  3. Choose object types and add files for storing objects definitions using the Options for storing object definitions and Object file names correspondingly. These files can be added to version control system.
  4. Use the following fields of the DDL to Files tab to define version control system commands on actions performed with objects files:
  • OS command after creating a file

Enter any command that will be executed after a file with object definition is created.

If you are using version control system then, for example, the following command can be entered: svn add {file_name} (for Subversion revision control system) where {file_name} stands for the respective newly created name of a file with object definition.

  • OS command before updating a file

Enter any command that will be executed before a file with object definition is updated.

If you are using version control system then, for example, the following command can be entered: ss checkout {file_name} -C- (for Visual Source Safe revision control system) where {file_name} stands for the respective name of a file with object definition being updated.

  • OS command after deleting a file

Enter any command that will be executed after a file with object definition is deleted.

If you are using version control system then, for example, the following command can be entered: svn del {file_name} (for Subversion revision control system) where {file_name} stands for the respective name of a file with object definition being deleted.


View tables with many records

If your table contains a lot of records you can minimize dataset loading time by:

  1. Setting the number of records to be selected;
  2. Enabling RadioButton Load visible records in order to load only a fixed number of dataset records into memory.

These options can be set only for the selected database on the Data Options page of the Database Registration Info.

Default settings for newly registered databases can be defined on the Grid | Data Options page of the Environment Options dialog.

You can set the maximum number of visible records in the Record Limit counter HowTo - Grid View - Set Record Limit located on the Data View toolbar. Press Enter or click the data grid to apply changes.

If the number of records exceeds the maximum number, the Move all to Selected Fetch all button becomes active. It allows viewing all records in a table.

Use the Grid Mode tab of the Data View context menu to set the display mode. You can choose among the Load All Rows, Load Visible Rows and Default modes.


Set data filter

Quick Filtering (by the current value in a cell)

Open the context menu of the needed column and choose the Quick Filter item. Then choose a filter condition in the opened submenu.

Filtering by Column

HowTo - Grid View - Quick Filter

Open the drop-down list on the column title and choose a filter condition from the list.

You can set advanced conditions by using the Custom... menu item.

When choosing this item, the special window for setting filter conditions opens.

Advanced Filtering

You can set advanced filter options by pressing the button btnSetFilter on the toolbar of the Data View and set filter parameters in the Filter Builder. Apply the set conditions by pressing the Apply button.

If a filter is set for a table, the special bar appears in the lower part of the table where you can see filter conditions and the history of filter changes opened by pressing the drop-down list.

Data View - Grid View - Filtering records - Filtering panel

Disable Filtering

To cancel filtering, open the context menu of the column and choose the Disable filter item.

Or press the btnClose button on the filter toolbar.


Sort and group data

In order to sort data, do the following:

  1. Open data at the Data or Results tab.
  2. Choose the column by which you need to sort data and click the column title.
  3. If the column was not sorted, the first click will sort it in the ascending order and the second one - in the descending order.

Note: To cancel the sorting, open the context menu by right-clicking the necessary column and choose the Clear Sorting item, or press the Ctrl button and click the column title.

To enable grouping, drag the column title to the special grouping bar above the grid.

HowTo - Data View - Grid View - Grouping data by two columns_Small

Note: To disable grouping, drag the column title from the group bar back to the table.


Export/import data

You can export data from a database table into an external file of any supported format by means of the Export Data Wizard.

There are several ways to launch Export Data Wizard:

  1. Open the Data or Results tab, press [image] Export Data on one of the Data View toolbars.
  2. Open the Data or Results tab, choose Data Manipulation | [image] Export Data in the Data Grid context menu.
  3. Open the table context menu in the DB Explorer, choose the Data Manipulation | [image] Export Data item.
  4. Open the Data or Results tab and use the shortcut Shift+Ctrl+E.

You can import data from external sources into a table or view using Import Data Wizard:

  1. Open the Data tab, press the [image] Import Data button on one of the Data View toolbar.
  2. Open the Data tab, choose Data Manipulation | [image] Import Data in the Data Grid context menu.
  3. Open the table context menu in the DB Explorer, choose the [image] Import Data item.
  4. Open the Data tab and use the shortcut Ctrl+I.

Note: Export and import data tools are available in full version of SQL Manager for SQL Server only.


Export data as SQL Script

You can export data from a database table into SQL script with INSERT INTO statements in one of the following ways:

  1. Open the Data or Results tab, press the [image] Export Data as SQL Script on one of the Data View toolbars and set export parameters in the opened Export as SQL Script Wizard.
  2. Open the Data or Results tab, choose Data Manipulation | [image] Export Data as SQL Script in the Data Grid context menu and set export parameters in the opened Export as SQL Script Wizard.
  3. Open the table context menu in the DB Explorer, choose the Data Manipulation | [image] Export Data as SQL Script item and set export parameters in the opened Export as SQL Script Wizard.

Note: In order to extract table DDL (CREATE TABLE statement), check the CheckBox Add CREATE TABLE statement box at the Step 1.


Edit data of master-detail tables

You can work with data in multi-level mode, that is you can view and modify it in several related tables simultaneously.

To manage grid levels, right-click the grid and select the Grid Levels context menu group. Click Add Grid Level in the menu to run the Create Grid Level wizard. After the level is added you can edit data of the related tables.


Add image to table

If you want to add an image to a table then do the following:

  1. Open the table on the Data tab.
  2. Go to the BLOB View section (the navigation buttons are located in the bottom part of the window) and then proceed to the Image tab.
  3. If there are several BLOB fields, choose the required field from the Select BLOB Column drop-down list on the toolbar of the Blob View tab and press the iconLoadFromFile Load from File button on the same toolbar.
  4. Choose the needed image file in the appeared dialog.

HowTo - Grid View - BLOBView - Select BLOB Column

Note: Adding images to table is possible only if table contains at least one BLOB field.


Set data display format

To set the format for displaying data open the Options | btnEnvironmentOptions Environment Options dialog from the main program menu, proceed to the Color & Formats tab and define or choose the display format for some data types in the Display formats section.


Create SQL statements rapidly

There are two options for creating SQL queries rapidly:

In the DB Explorer

  1. Right-click a table in the DB Explorer
  2. Choose Script to New Query Data context menu item.
  3. Select the necessary query type.

In the Design Query

  1. Open Design Query.
  2. On the Design Query tab drag an object from the DB Explorer tree to the diagram area.
  3. Choose necessary columns to include in the query by checking the corresponding box located to the left from the column name in the list, or just by double-clicking it. To include all columns of the table/view, check the box located to the left of the table/view caption.
  4. Associate two objects by their columns. Drag a column from one object list to another. This will set a link between these objects by the selected columns. It is indicated by a bidirectional arrow between the linked columns.
  5. Edit link properties. Double-click the linking arrow or right-click it and select the Property popup menu item. The Link properties dialog allows you to change the association condition by choosing it from the drop-down list.
  6. You can view and edit your SQL statement on the Edit tab of the Design Query.


Control a query productivity

You can view a query productivity on the query plan. It allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution.

To view the Plan of a query, open the query in Query Data and use the btnExplainQuery Show estimated execution plan item of the Navigation bar or toolbar.

If necessary, you can specify that the Plan tab appears automatically upon query execution in Query Data: select the CheckBox Show actual execution plan on query execution option available within the Tools | Query Data section of the Environment Options dialog.


Work with several queries at once

Query Data provides a possibility to open and edit several queries. You can create tabs in the lower part of the Query Data, each tab may contain a separate query. There are several ways for creating tabs:

  1. Open btnShowSQLEditor Query Data and choose btnNewSQLEditor Add New Query on one of the toolbars.
  2. Open btnShowSQLEditor Query Data and choose btnNewSQLEditor Add New Query in the context menu of the existing tab. HowTo - WorkWithQueries - AddNewQuery
  3. Use the shortcut Ctrl + N.

Note: Each tab can be renamed and any query can be added to Favorite Queries.


Save most frequently used queries

Use the Favorite Queries feature to store your most frequently used SQL queries. To access the list of your favorite queries you can use the Favorite Queries node of DB Explorer or create a separate tab for your Favorite queries.

Using the context menu you can create a new Favorite query or edit an existing one using Favorites editor, open any of the existing queries in Query Data or remove a query if you don't need it any longer.


Execute queries with parameters

If you want to use queries with parameters then you should check CheckBox Allow using parameters in query text option in the Environment Options | Tools.

This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before an identifier (e.g. :P1) to specify a parameter within the query.


Export query results into file

When executing queries, their results can be displayed on the Edit or Results tab in the Data View.

You can copy data from database tables into an external file of any supported format in one of the following ways:

  1. Open the Data or Results tab, press [image] Export Data on one of the Data View toolbars and define export parameters in the opened Data Export Wizard.
  2. Open the Data or Results tab, choose Data Manipulation | [image] Export Data in the Data Grid context menu and define export parameters in the opened Data Export Wizard.
  3. Open the table context menu in the DB Explorer, choose the [image] Export Data item and define export parameters in the opened Data Export Wizard.
  4. Open the Data or Results tab and use the shortcut Ctrl+E.


Execute scripts

Execute Script allows you to create, view, edit and execute SQL scripts. To open Execute Script select the Tools | btnShowSQLScript Execute Script... main menu item. This tool is intended for work with a great number of SQL statements and with scripts that are stored in files. For instance, you can execute a script directly from a file without loading it to the Editor window. This reduces memory usage. However Execute Script allows just to estimate whether the execution of script statements will be successful, but it does not return query result.

Note: To execute SQL scripts you should use Execute Script, not Query Data. The latter is intended for creating, editing and executing SQL statements. It also provides a possibility to view query result, perform various operations with it (data import, data export, etc.) and manage transactions.


Execute a large SQL script

If you need to execute a large SQL script it's not necessary to load it from file to the Execute Script window as it can take a lot of time. Instead you can execute script directly from *.sql, *.zsql or *.txt file. In order to do this click the iconCompile Execute script from file button of the Navigation bar and Toolbar in Execute Script.


Make SQL script work faster

In order to make the SQL script work faster, you can disable some functions.

Parsing

Choose and disable the iconDBExplorer Hide explorer item on one of Execute Script toolbars.

Automatic Creation of Hierarchical Text Structure

Uncheck the CheckBox Use code folding box in the Display section of the Editor options.

Syntax Highlight and Quick Code for Aliases

Choose Options | Editor options in the main program menu, proceed to the General tab and uncheck the CheckBox Resolve aliases box - the syntax highlight and quick code for aliases will be disabled.


Customize work with query/script text

To customize work with a query/script text you may:

Use Internal Link

This means that the name of the object existing on a database is highlighted in a query/script text. Such an object can be opened by holding the Ctrl key and clicking the object with a mouse.

Add Text Template

Keyboard templates allow you to type regularly used expressions and edit the existing ones quicker. Once you have defined the templates, you can use them in Query Data. When editing SQL text in Query Data, type a template name and use the Ctrl+J shortcut: the text associated with the template will be inserted automatically.

Use Automatic Completion (Object List)

You can call the autocompletion list by starting entering the first characters of the text and using the shortcut Ctrl + Space.

Customize Autocompletion List

Choose Options | Editor options in the main program menu, proceed to the Quick Code tab and define the list and quick code parameters.

Apply Automatic Formatting of Query/Script

Choose Quick Code | Format in the Query Data/Execute Script context menu or the Shift+Ctrl+F shortcut to apply automatic formatting.

Set Font and Query/Script Format at the Display tab

Choose Options | Editor Options in the main program menu, proceed to the Display tab and define common font and format parameters for Query Data/Execute Script.

Set Font and Query/Script Format at the Highlight tab

Choose Options | Editor Options in the main program menu, proceed to the Highlight tab and define font options for each element.

Note: If some font parameters are defined on the Highlight tab, they will be applied to the query/script text and not the ones defined on the Display tab.


View executed queries and scripts

To view all queries and scripts sent to the server you need to launch SQL Monitor. It will show you the log of database operations and SQL queries as items, each consisting of 3 parts: Executed (the date and time of the operation), Operation (SQL statement sent to the server), Result (the result of the operation).

Note: SQL Monitor only displays scripts and queries executed in SQL Manager for SQL Server during current session.


Create a simple report in Report Designer

SQL Manager for SQL Server
  • Index
  • « Prev
  • Next »

Create simple report in the report designer

To create a report using Report Designer:

  1. Select the Tools | [image] Report Designer main menu item.
  2. In the opened Report Designer select the File | [image] New Report main menu item, or click the [image] New Report item of the navigation bar. The following objects will be added to the newly created report: ReportTitle, MasterData and PageFooter.
  3. Connect to data source.
  4. Add ADOTable or ADOQuery object.
  5. Link ADOTable or ADOQuery with ADODatabase.
  6. Place database fields on the Page1. Move the required fields from Data Tree to Band MasterData.


Create a scheduled job

SQL Server provides a possibility to run jobs automatically without user interaction, i.e. you can define event or date to start the job.

A job can be scheduled by creating a new schedule for the job, or by attaching an existing schedule to the job.

There are two ways to create a new schedule

  • right-click the Schedules node (within the Server Objects branch) in the DB Explorer tree and select the New Schedule item from the context menu and configure schedule options in the Schedule Editor.
  • right-click the Jobs node (within the Server Objects branch) in the DB Explorer tree and select the New Job item from the context menu. In the Job Editor when Managing job schedules right-click within the work area to call the context menu and select the Add Schedules... item. Configure parameters of the new schedule in the New Schedule dialog.

To attach an existing schedule right-click the Jobs node (within the Server Objects branch) in the DB Explorer tree and select the New Job item from the context menu. In the Job Editor when Managing job schedules right-click within the work area to call the context menu and select the Add Existing Schedule item. Then choose the necessary schedule from the list.


Transfer program settings

If you want to apply current program settings (wholly or partially) to SQL Manager for SQL Server installed on another machine you can save them into a single *.reg file. This can be done by means of the Save Settings Wizard.

Note: Favorite Queries are not saved in this case. To get access to your queries from another machine please store them in the database. To save a favorite query in a database select the Database from the drop-down list in the Storage field when creating or editing a favorite query.


Update SQL Manager

SQL Manager for SQL Server can be updated in the following ways:

  1. Download the SQL Manager for SQL Server distribution package from the download page, then extract archive to the preferable directory (e.g. c:\unzipped). Close SQL Manager for SQL Server if it's opened and run MsManagerFullSetup.exe or MsManagerLiteSetup.exe.
  2. Select the Help | SQL Manager Direct, then press the Update button. If new SQL Manager for SQL Server version is released it will be offered for downloading. Click Yes in the dialog window to update SQL Manager for SQL Server automatically.


Report bugs and suggestions

  1. Before reporting bugs and suggestions make sure you are using the latest version of the SQL Manager for SQL Server.
  2. If so then you may contact us via Members Area on http://www.sqlmanager.net/, via Help main menu or by sending an email to support@sqlmanager.net.
  3. Please, don't forget to mention your OS version, SQL Server version and program version.
  4. Describe the steps to reproduce the bug in detail and illustrate them with screenshots.